Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(English.pm) perl(Exporter.pm) perl(FindBin.pm) perl(Text/Wrap.pm) perl(Tie/RefHash.pm) perl(base.pm) perl-podlators unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           NaturalDocs
Version:        1.52
Release:        alt2_22
Summary:        Documentation generator for multiple programming languages

License:        GPLv2+
URL:            http://www.naturaldocs.org/
Source0:        http://downloads.sourceforge.net/naturaldocs/%{name}-%{version}.zip
Patch0:         NaturalDocs-1.4-paths.patch
BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  rpm-build-perl
Source44: import.info

%description
Natural Docs is an open-source documentation generator for multiple
programming languages.  You document your code in a natural syntax that
reads like plain English.  Natural Docs then scans your code and builds
high-quality HTML documentation from it.


%prep
%setup -q -c
%patch0 -p0


%build
# There's a couple of files with DOS line endings
find . -type f -exec dos2unix -q -k '{}' \;

# Convert non-UTF8 files
iconv -f ISO-8859-1 -t UTF-8 Help/example/Default.css >Help/example/Default.css.utf8
touch --reference Help/example/Default.css Help/example/Default.css.utf8
mv Help/example/Default.css.utf8 Help/example/Default.css

iconv -f ISO-8859-1 -t UTF-8 Help/example/Roman.css >Help/example/Roman.css.utf8
touch --reference Help/example/Roman.css Help/example/Roman.css.utf8
mv Help/example/Roman.css.utf8 Help/example/Roman.css

iconv -f ISO-8859-1 -t UTF-8 Help/example/Small.css >Help/example/Small.css.utf8
touch --reference Help/example/Small.css Help/example/Small.css.utf8
mv Help/example/Small.css.utf8 Help/example/Small.css

iconv -f ISO-8859-1 -t UTF-8 License.txt >License.txt.utf8
touch --reference License.txt License.txt.utf8
mv License.txt.utf8 License.txt

# Drop an extra backup file
rm -f Modules/NaturalDocs/Settings.pm.orig


%install
# Directory structure
install -d %{buildroot}%{_datadir}/NaturalDocs
install -d %{buildroot}%{_sysconfdir}/NaturalDocs
install -d %{buildroot}%{perl_vendor_privlib}
install -d %{buildroot}%{_bindir}

# Copy files
cp -rp Info JavaScript Styles %{buildroot}%{_datadir}/NaturalDocs
cp -rp Modules/* %{buildroot}%{perl_vendor_privlib}
cp -rp Config/* %{buildroot}%{_sysconfdir}/NaturalDocs
install -pm 755 NaturalDocs %{buildroot}%{_bindir}


%files
%{_datadir}/NaturalDocs
%config(noreplace) %{_sysconfdir}/NaturalDocs
%{perl_vendor_privlib}/*
%{_bindir}/NaturalDocs
%doc License.txt
%doc Help/*


%changelog
