# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex)
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  bit64
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.9.7
Release:          alt1_9
Summary:          A S3 Class for Vectors of 64bit Integers

License:          GPLv2
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_0.9-7.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-bit >= 1.1-12, R-utils, R-methods, R-stats
# Imports:
# Suggests:
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-bit >= 1.1.12
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
Source44: import.info

%description
Package 'bit64' provides serializable S3 atomic 64bit (signed) integers. These
are useful for handling database keys and exact counting in +-2^63. WARNING: do
not use them as replacement for 32bit integers, integer64 are not supported for
subscripting by R-core and they have different semantics when combined with
double, e.g. integer64 + double => integer64. Class integer64 can be used in
vectors, matrices, arrays and data.frames. Methods are available for coercion
from and to logicals, integers, doubles, characters and factors as well as many
elementwise and summary functions. Many fast algorithmic operations such as
'match' and 'order' support interactive data exploration and manipulation and
optionally leverage caching.


%prep
%setup -q -c -n %{packname}

echo 'PKG_LIBS = -lm' >> %{packname}/src/Makevars

for file in %{packname}/inst/ANNOUNCEMENT-0.9-Details.txt; do
    sed "s|\r||g" ${file} > ${file}.new
    touch -r ${file} ${file}.new
    mv ${file}.new ${file}
done


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

# We don't need these files.
rm -r %{buildroot}%{rlibdir}/%{packname}/exec


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/ANNOUNCEMENT-0.8.txt
%doc %{rlibdir}/%{packname}/ANNOUNCEMENT-0.9.txt
%doc %{rlibdir}/%{packname}/ANNOUNCEMENT-0.9-Details.txt
%doc %{rlibdir}/%{packname}/README_devel.txt
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
