# BEGIN SourceDeps(oneline):
BuildRequires: tex(dehypht.tex) texi2dvi
# END SourceDeps(oneline)
Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname sp
%global packver  1.4-5
%global rlibdir  %{_libdir}/R/library

%global __suggests_exclude ^R\\((gstat|maptools)\\)

# Limit loops and extra dependencies.
%global with_suggests 0
# rgeos requires sp; this only suggests it.
%global with_loop 0

Name:             R-%{packname}
Version:          1.4.5
Release:          alt2_3
Summary:          Classes and Methods for Spatial Data

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-methods
# Imports:   R-utils, R-stats, R-graphics, R-grDevices, R-lattice, R-grid
# Suggests:  R-RColorBrewer, R-rgdal >= 1.2-3, R-rgeos >= 0.3-13, R-gstat, R-maptools, R-deldir
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
BuildRequires:    R-base R-tcltk
%if 0%{with_suggests}
BuildRequires:    R-RColorBrewer
BuildRequires:    R-rgdal >= 1.2.3
BuildRequires:    R-gstat
BuildRequires:    R-maptools
BuildRequires:    R-deldir
%if 0%{with_loop}
BuildRequires:    R-rgeos >= 0.3.13
%endif
%endif
Source44: import.info

%description
Classes and methods for spatial data; the classes document where the spatial
location information resides, for 2D or 3D data. Utility functions are
provided, e.g. for plotting data as maps, spatial selection, as well as methods
for retrieving coordinates, for subsetting, print, summary, etc.


%package devel
Group: Other
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%if %{with_loop}
%{_bindir}/R CMD check %{packname}
%else
rm %{packname}/tests/agg.R* %{packname}/tests/over2.R*  # whole file requires rgeos
%{_bindir}/R CMD check %{packname} --no-examples
%endif
%else
rm %{packname}/tests/agg.R* %{packname}/tests/over2.R*  # whole file requires rgeos
_R_CHECK_FORCE_SUGGESTS_=0 \
    %{_bindir}/R CMD check %{packname} --no-examples
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.Rd
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/external
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so

%files devel
%{rlibdir}/%{packname}/include


%changelog
