Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/perl swig unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#
# Copyright (c) 2004-2015 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Summary: Volume rendering library for Coin
Name: SIMVoleon
Version: 2.0.3
Release: alt1_5

License: GPLv2
URL: http://www.coin3d.org

Source: https://bitbucket.org/Coin3D/simvoleon/downloads/simvoleon-%{version}-src.zip

# bash-4 compatibility bugfix
Patch0: SIMVoleon-2.0.1-bash4.0.diff

BuildRequires: ctest cmake
BuildRequires: gcc-c++
BuildRequires: libcoin3d-devel
BuildRequires: libsoqt-devel
BuildRequires: doxygen

Provides: Coin4-SIMVoleon = %{version}-%{release}
Source44: import.info
Patch33: SIMVoleon-2.0.1-alt-pc.patch

%description
A volume rendering library for Coin.

%package devel
Group: Other
Summary: Development files for SIMVoleon
Requires: %{name} = %{version}-%{release}

Provides: Coin4-SIMVoleon-devel = %{version}-%{release}

%description devel
Development files for SIMVoleon.


%prep
%setup -q -n simvoleon
%patch0 -p1


chmod +x cfg/doxy4win.pl
%patch33 -p1

%build
mkdir build-%{_build_arch} && pushd build-%{_build_arch}
%{fedora_v2_cmake} -DSIMVOLEON_BUILD_DOCUMENTATION=TRUE \
       -DSIMVOLEON_BUILD_TESTS=FALSE \
       -DSIMVOLEON_BUILD_DOC_MAN=TRUE \
       -S .. -B .

%make_build


%install
cd build-%{_build_arch}
%makeinstall_std





%files
%doc AUTHORS ChangeLog README NEWS
%doc --no-dereference COPYING
%{_libdir}/libSIMVoleon*.so.*

%files devel
%{_docdir}/SIMVoleon/html/
%{_includedir}/VolumeViz/
%{_libdir}/libSIMVoleon.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}-%{version}/
%{_mandir}/man3/**


%changelog
