Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: python-devel rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           SoapySDR
Version:        0.7.2
Release:        alt2_12
Summary:        A Vendor Neutral and Platform Independent SDR Support Library

License:        Boost
URL:            https://github.com/pothosware/%{name}
Source0:        https://github.com/pothosware/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  ctest cmake
BuildRequires:  gcc-c++
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires: python3-devel
BuildRequires: python3-module-numpy python3-module-numpy-testing
Source44: import.info

%description
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python3-module-SoapySDR
Group: Other
Summary:        Python3 Bindings for SoapySDR
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-module-SoapySDR
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-devel
Group: Other
Summary:        Development Files for SoapySDR
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-doc
Group: Other
Summary:        Development Files for SoapySDR
BuildArch: noarch

%description -n %{name}-doc
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices. This package includes
library header file documentation.
    
    
%prep
%setup -q -n %{name}-soapy-sdr-%{version}


%build
export Python_ADDITIONAL_VERSIONS="%{__python3_version}"
%{fedora_v2_cmake} -DUSE_PYTHON_CONFIG=ON -DPYTHON3_EXECUTABLE=%{__python3}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install
mkdir -p %{buildroot}%{_libdir}/%{name}/modules0.7
# install docs
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -a %{__cmake_builddir}/docs/html/* %{buildroot}%{_docdir}/%{name}

%check
ctest -V %{?_smp_mflags}


%files
%doc --no-dereference LICENSE_1_0.txt
%{_bindir}/SoapySDRUtil
%{_libdir}/libSoapySDR.so.0.7.2
%{_libdir}/libSoapySDR.so.0.7
%{_mandir}/man1/*
%doc README.md
# for hardware support modules
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules0.7

%files -n python3-module-SoapySDR
%doc --no-dereference LICENSE_1_0.txt
%{python3_sitelibdir}/SoapySDR.py
%{python3_sitelibdir}/_SoapySDR.so
%{python3_sitelibdir}/__pycache__/SoapySDR.cpython-*.pyc


%files -n %{name}-devel
%{_includedir}/%{name}
%{_libdir}/libSoapySDR.so
%{_libdir}/pkgconfig/*
%dir %{_datadir}/cmake/%{name}
%{_datadir}/cmake/%{name}/*

%files -n %{name}-doc
%doc --no-dereference LICENSE_1_0.txt
%{_docdir}/%{name}/*



%changelog
