Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 9ce56f69dec5e185058508cb924b1f597a1380e5 
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           abbayedesmorts-gpl
Version:        2.0.1
Release:        alt2_14.20170709git
Summary:        Platform game set in 13th century

# Graphics and Sounds are licensed under
# Creative Commons 3.0 Attribution license.
License:        GPLv3 and CC-BY
# Original Windows game by locomalito
# https://locomalito.com/abbaye_des_morts.php
URL:            https://github.com/nevat/abbayedesmorts-gpl
Source0:        https://github.com/nevat/abbayedesmorts-gpl/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        abbaye.appdata.xml
Patch0:         %{name}-2.0.1-ldflags.patch

BuildRequires:  gcc
BuildRequires:  libSDL2-devel
BuildRequires:  libSDL2_mixer-devel
BuildRequires:  libSDL2_image-devel
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
Source44: import.info

%description
In the 13th century, the Cathars, who preach about good Christian beliefs, 
were being expelled by the Catholic Church out of the Languedoc region in 
France.

One of them, called Jean Raymond, found an old church in which to hide, not 
knowing that beneath its ruins lay buried an ancient evil.

A style close to Spectrum ZX, with its dark background and bright colors, 
proper fit with the story, because it does look old and somewhat horrifying. 
Also, the gameplay is directly inspired by Manic Miner and Jet Set Willy.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1



%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags}"
%make_build


%install
%makeinstall_std

# Validate desktop file
desktop-file-validate %{buildroot}%{_datadir}/applications/abbaye.desktop

# Install AppData file
install -d %{buildroot}%{_datadir}/metainfo
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/metainfo
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/abbaye.appdata.xml


%files
%{_bindir}/abbayev2
%{_datadir}/abbayev2
%{_datadir}/metainfo/abbaye.appdata.xml
%{_datadir}/applications/abbaye.desktop
%{_datadir}/pixmaps/abbaye.png
%doc ReadMe.md ChangeLog.md screenshots
%doc --no-dereference COPYING


%changelog
