Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global theme_name     Albatross

Name:           albatross
Version:        1.7.4
Release:        alt2_10
Summary:        Desktop Suite for Xfce, GTK+ 2 and 3

License:        GPLv2+ or CC-BY-SA
URL:            http://shimmerproject.org/project/%{name}/

Source0:        https://github.com/shimmerproject/%{theme_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
Albatross is a theme for GTK2/3 and xfwm4/metacity designed to be smooth: no rough borders, no contrasted edges, no violent contrasts, a soft blue colour.


%package gtk2-theme
Group: Other
Summary:        Albatross GTK+2 themes
Requires:       gtk2-themes-murrine libgtk-engine-murrine libgtk-engines-default

%description gtk2-theme
Themes for GTK+2 as part of the Albatross theme.


%package gtk3-theme
Group: Other
Summary:        Albatross GTK+3 themes
Requires:       libgtk-engine-unico >= 1.0.1

%description gtk3-theme
Themes for GTK+3 as part of the Albatross theme.


%package metacity-theme
Group: Other
Summary:        Albatross Metacity themes
Requires:       libmetacity3.0 metacity3.0

%description metacity-theme
Themes for Metacity as part of the Albatross theme.


%package xfwm4-theme
Group: Other
Summary:        Albatross Xfwm4 themes
Requires:       xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the Albatross theme.

%package xfce4-notifyd-theme
Group: Other
Summary:        Albatross Xfce4 notifyd theme
Requires:       xfce4-notification-plugin xfce4-notifyd

%description xfce4-notifyd-theme
Themes for Xfce4 notifyd as part of the Albatross theme.

%prep
%setup -q -n %{theme_name}-%{version}

%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr gtk-2.0/ gtk-3.0/ metacity-1/ xfwm4/ %{buildroot}%{_datadir}/themes/%{theme_name}


%files gtk2-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/metacity-1/


%files xfwm4-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/xfwm4/


%changelog
