# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-mageia-compat
BuildRequires: gcc-c++ python3-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global plugincommit 67a7a34734c4665dcb1a504432de5d2e5a56ac90
%global pluginshortcommit %(c=%{plugincommit}; echo ${c:0:7})
%global pythoncommit b9099037dec445bf5f2a91331e4d0ac4b3fb4dcc
%global pythonshortcommit %(c=%{pythoncommit}; echo ${c:0:7})
#global __python %__python3
AutoReq: yes,nopython

Name: albert
Version: 0.14.21
Release: alt1_11
Summary: A fast and flexible keyboard launcher
License: GPLv2+
Group: Graphical desktop/Other
URL: https://github.com/albertlauncher/albert
Source0: https://github.com/albertlauncher/albert/archive/v%{version}/albert-%{version}.tar.gz
Source1: https://github.com/albertlauncher/plugins/archive/%{plugincommit}/%{name}-plugins-%{pluginshortcommit}.tar.gz
Source2: https://github.com/albertlauncher/python/archive/%{pythoncommit}/%{name}-python-%{pythonshortcommit}.tar.gz
Patch0: albert-0.14.18-fix-linking.patch
Patch1: albert-0.14.18-find-and-use-python-libraries-and-headers.patch

BuildRequires: ccmake cmake ctest
BuildRequires: pybind11-devel
BuildRequires: pkgconfig(muparser)
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(libqalculate) >= 2.2.1
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(xext)

# Required for notify-send, used for un-implemented actions:
Requires: notify-send
# mga#25029
Requires: libqt5-sql
Source44: import.info

%description
Access everything with virtually zero effort. Run applications, open files
or their paths, open bookmarks in your browser, search the web, calculate
things and a lot more a..

Albert is a desktop agnostic launcher. Its goals are usability and beauty,
performance and extensibility. It is written in C++ and based on the Qt
framework.

%prep
%setup -q -a 1 -a 2
rmdir plugins
mv plugins-%{plugincommit} plugins
rmdir plugins/python/share/modules
mv python-%{pythoncommit} plugins/python/share/modules
rmdir plugins/python/pybind11
%patch0 -p1 -b .fixbuild
%patch1 -p1 -b .findpython -d plugins
perl -pi -e 's/^.*pybind11.*$//g' plugins/python/CMakeLists.txt
perl -pi -e 's|lib/albert|%{_lib}|g' {application,lib{,/albertcore,/globalshortcut,/xdg},plugins}/CMakeLists.txt
perl -pi -e 's|lib/albert|%{_lib}/albert|g' {application,plugins}/CMakeLists.txt

%build
%{mageia_cmake_qt5} -DBUILD_VIRTUALBOX=no \
           -DCMAKE_INSTALL_LIBDIR="%{_lib}" \
	   -DCMAKE_SKIP_INSTALL_RPATH=OFF \
           -DCMAKE_SKIP_RPATH=OFF
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%{_bindir}/albert
%{_datadir}/albert/
%{_iconsdir}/hicolor/scalable/apps/albert.svg
%{_datadir}/applications/albert.desktop
%{_libdir}/albert/


%changelog
