# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ libXxf86dga-devel libode-devel pkgconfig(ogg) pkgconfig(x11) pkgconfig(zlib)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	svn	5663

Name:		alienarena
Summary:	Multiplayer retro sci-fi deathmatch game
Version:	7.71.1
Release:	alt1_0.svn5663.2
License:	GPLv2+
Group:		Games/Other
URL:		http://red.planetarena.org/
# Been so long since a release, we need to use the svn code
# svn co svn://svn.icculus.org/alienarena/trunk
# cd trunk
# svn update -r %%{svn}
# # remove useless files to gain xz compressed 60MB
# rm -rf Tools/ *.dll *.exe vs2010/ lib_zipfiles/
# cd ..
# mv trunk alienarena-7.71.0-svn%%{svn}
# tar --exclude-vcs -cJf alienarena-7.71.0-svn%%{svn}.tar.xz alienarena-7.71.0-svn%%{svn}
Source0:	alienarena-7.71.1-svn%{svn}.tar.xz
# Source0:	http://red.planetarena.org/files/%%{name}-%%{version}-linux20130827.tar.gz
Source1:	%{name}.desktop
Source2:	GPL.acebot.txt
Patch3:		alienarena-7.66-no-qglBlitFramebufferEXT.patch
# I started to clean this up properly
# ... but there are a lot of misused globals here. A LOT.
# So I just added -fcommon.
Patch6:		alienarena-7.71.1-gcc10.patch
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	desktop-file-utils
Requires:	%{name}-data = 1:%{version}
Requires:	desktop-file-utils >= 0.9
Requires:	glxinfo mesa-demos
Requires:	libopenal1 openal-qt
Requires:	opengl-games-utils
Source44: import.info

%description
Alien Arena : Mercury Edition is an online deathmatch game with over 30
levels, seven modes of play, loads of mutators, built-in bots, multiple
player characters and weapons (with alt-fire modes).

%package server
Group:		Games/Other
Summary:	Dedicated server for alienarena, the FPS game
Requires:	%{name}-data = 1:%{version}

%description server
Alien Arena : Mercury Edition is an online deathmatch game with over 30
levels, seven modes of play, loads of mutators, built-in bots, multiple
player characters and weapons (with alt-fire modes).

This is the dedicated server.

%package data
Group:		Games/Other
Summary:	Data files for Alien Arena 2011
Epoch:		1
BuildArch:	noarch

%description data
This is the game data (audio, maps, etc) for Alien Arena.

%prep
%setup -q -n %{name}-%{version}-svn%{svn}
%patch3 -p1
%patch6 -p1


# Copy license clarification for acebot
cp -p %{SOURCE2} .

# clean up end-line encoding
[[ -e docs/README.txt ]] && sed -i 's/\r//' docs/README.txt

# So, AlienArena now "uses" openal by dlopening the library, which is hardcoded to
# "libopenal.so". That file only lives in openal-devel, so we need to adjust the hardcoding.
LIBOPENAL=`ls %{_libdir}/libopenal.so.? | cut -d "/" -f 4`
sed -i "s|\"libopenal.so\"|\"$LIBOPENAL\"|g" source/unix/qal_unix.c

%build
autoreconf -vfi
export PTHREAD_LIBS="-lpthread"
export PTHREAD_CFLAGS="-pthread"
%global optflags %{optflags} -fcommon
%configure
%make_build

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor ""			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mv %{buildroot}%{_datadir}/icons/%{name}/%{name}.png \
	%{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

# Fedora's little opengl checker
ln -s opengl-game-wrapper.sh %{buildroot}%{_bindir}/%{name}-wrapper
ln -s %{name}-ded %{buildroot}%{_bindir}/%{name}-server

rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

%files
%doc GPL.acebot.txt docs/README.txt docs/license.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-wrapper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files server
%{_bindir}/%{name}-ded
%{_bindir}/%{name}-server

%files data
%{_datadir}/%{name}/


%changelog
