# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define debug_package %{nil}
%define develname libzm-devel-static

Name:       ate-pairing
Version:    1.2
Release:    alt1_0.20161029.4
Summary:    High-Speed Software Implementation of the Optimal Ate Pairing over Barreto-Naehrig Curves
License:    BSD
Group:      System/Libraries
Url:        https://github.com/herumi/ate-pairing
Source0:    https://github.com/herumi/ate-pairing/archive/ate-pairing-master.zip
Patch0:		ate-pairing-dynamic.patch
BuildRequires: 	swig
BuildRequires:	xbyak-devel
BuildRequires:	libgmpxx-devel
ExclusiveArch:	x86_64
Source44: import.info

%description
This library provides functionality to compute the optimal ate pairing over 
Barreto-Naehrig (BN) curves. It is released under the BSD 3-Clause License.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Provides:	zm-static-devel

%description -n    %{develname}
This library provides functionality to compute the optimal ate pairing over 
Barreto-Naehrig (BN) curves. It is released under the BSD 3-Clause License.

%prep 
%setup -q  -n ate-pairing-master

%build
cd src
%make_build SUPPORT_SNARK=1

%install
mkdir -p %{buildroot}/%{_libdir}/
mkdir -p %{buildroot}/%{_includedir}/cybozu/
install -p lib/libzm.a %{buildroot}/%{_libdir}
install -p include/{bn.h,zm2.h,zm.h}  %{buildroot}/%{_includedir}
install -p include/cybozu/{benchmark.hpp,inttype.hpp,test.hpp}  %{buildroot}/%{_includedir}/cybozu/

%files -n %develname
%{_libdir}/libzm.a
%{_includedir}/*


%changelog
