Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-compile-resources /usr/bin/glib-gettextize /usr/bin/gtk-update-icon-cache libcompface-devel libldap-devel pkgconfig(enchant-2) pkgconfig(fribidi) pkgconfig(gcr-3) pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gspell-1) pkgconfig(gthread-2.0) pkgconfig(gtk+-3.0) pkgconfig(gtksourceview-4) pkgconfig(libcanberra-gtk3) pkgconfig(libxml-2.0) pkgconfig(sqlite3)
# END SourceDeps(oneline)
Summary(ru_RU.UTF-8): Графический почтовый клиент Balsa
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --disable-more-warnings --with-gss --with-spell-checker=gtkspell  --without-gnome --with-html-widget=webkit2 --with-libsecret

Name:           balsa
Version:        2.6.2
Release:        alt2_2
Summary:        Mail Client

License:        GPLv2+
URL:            http://pawsa.fedorapeople.org/balsa/
Source0:        http://pawsa.fedorapeople.org/balsa/%{name}-%{version}.tar.bz2

#BuildRequires: gnome-vfs2-devel
BuildRequires: desktop-file-utils
BuildRequires: libenchant-devel
BuildRequires: gettext gettext-tools
BuildRequires: libgmime3.0-devel libgmime3.0-gir-devel
BuildRequires: libgnutls-devel libgnutlsxx-devel
BuildRequires: gnome-doc-utils
BuildRequires: gpgme libgpgme-devel
BuildRequires: libgtkspell3-devel libgtkspell3-gir-devel
BuildRequires: intltool
BuildRequires: libkrb5-devel
BuildRequires: libical-devel
BuildRequires: libsecret-devel libsecret-gir-devel
BuildRequires: libtool
BuildRequires: libwebkit2gtk-devel libwebkit2gtk-gir-devel
BuildRequires: yelp-tools
Source44: import.info

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%description -l ru_RU.UTF-8
Balsa -- это клиент для чтения электронной почты.
Поддерживает работу с локальными почтовыми ящиками, протоколами POP3 и IMAP.

#FIXME
#--with-html-widget=(no|gtkhtml2|gtkhtml3|webkit)
%define def_with_param() %{expand:%%{!?_with_%{1}: %%{!?_without_%{1}: %%{?2: %%global _with_param_%{1} %{2}} %%global _with_%{1} --with-%{1}}}}
%define subst_with_param() %{expand:%%{?_with_%{1}:%%{_with_%{1}}%%{?_with_param_%{1}:=%%{_with_param_%{1}}}}} %{expand:%%{?_without_%{1}:%%{_without_%{1}}%%{?_without_param_%{1}:=%%{_without_param_%{1}}}}}
%define if_with_param() %if %{expand:%%{?_with_%{1}: %%{?2:%%(if [ "%%{_with_param_%{1}}" == "%{2}" ]; then echo 1; else echo 0; fi)}%%{!?2:1}}%%{!?_with_%{1}:0}}

%def_with_param html-widget gtkhtml3
%def_enable threads
%def_enable smime
%def_disable gregex
%def_with ldap
%def_with gpgme
%def_with gtkspell
%def_with libnotify
%def_with gtksourceview
%def_with sqlite
%def_with rubrica
%def_with ssl
%def_with gss
%def_with canberra
%def_with compface
%def_with unique
%def_with nm

%prep
%setup -q

# Needed for aclocal to work
#mkdir m4

%build

#autoreconf -f -i
%configure %{config_opts}

%make_build

%install
%makeinstall_std

desktop-file-install $RPM_BUILD_ROOT%{_datadir}/applications/org.desktop.Balsa.desktop \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
        --vendor fedora \
%endif
        --add-category=Email \
        --remove-category=Application \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \

%find_lang %{name}

%files -f %{name}.lang
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{_bindir}/balsa
%{_bindir}/balsa-ab
%{_datadir}/applications/*.desktop
%{_datadir}/balsa/
%{_datadir}/help/C/balsa/
%{_datadir}/help/cs/balsa/
%{_datadir}/help/de/balsa/
%{_datadir}/help/el/balsa/
%{_datadir}/help/es/balsa/
%{_datadir}/help/fr/balsa/
%{_datadir}/help/sl/balsa/
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/sounds/balsa/
%{_datadir}/metainfo/balsa.appdata.xml
%{_mandir}/man1/balsa.1*
%config(noreplace) %{_sysconfdir}/sound/events/balsa.soundlist

%changelog
