Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-validate python-module-setuptools
# END SourceDeps(oneline)
%define fedora 30
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           batti
Version:        0.3.8
Release:        alt2_18
Summary:        Simple battery monitor for the system tray

License:        GPLv2+
URL:            http://batti-gtk.googlecode.com/
Source0:        http://batti-gtk.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools
Requires:       python-module-pygtk python-module-pygtk-demo
Requires:       python-module-dbus
Requires:       python-module-notify
%if 0%{?fedora} >= 13
Requires:       libupower upower
%else
Requires:       DeviceKit-power
%endif
Source44: import.info


%description
Batti is a simple battery monitor for the system tray, similar to batterymon. 
Unlike the latter batti uses UPower, and if that is missing DeviceKit.Power, 
for it's power information.

Features
* one tray icon per inserted battery
* tray icons (dis-)appear with the battery (un-)plugging
* notification on low and critical battery status
* use of GTK icon-theme
* suspend/hibernate menu on left-click, if allowed by PolicyKit


%prep
%setup -q


%build
%python_build


%install
%python_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{name}*.egg-info
%{python_sitelibdir_noarch}/%{name}/
%{_datadir}/applications/batti.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*


%changelog
