Group: Development/C
BuildRequires: /usr/bin/pod2man
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       beakerlib
Summary:    A shell-level integration testing library
Version:    1.18
Release:    alt1_8
License:    GPLv2
BuildArch:  noarch
URL:        https://github.com/%{name}
Autoreq:    0
Requires:   nfs-clients nfs-server nfs-stats nfs-utils
Requires:   /bin/bash
Requires:   /bin/sh
Requires: /usr/bin/python3
Requires: /usr/bin/perl
Requires:   grep
Requires:   sed
Requires:   arpd iproute2
Requires:   coreutils
Requires:   tar
Requires:   gzip gzip-utils
Requires:   agetty cfdisk eject fdisk getopt hardlink hwclock look losetup lsblk mount msulogin rfkill schedutils setarch sfdisk util-linux
Requires:   which
#Requires:   dnf-utils
#Requires:   curl
Requires:   wget
Requires: python3-module-lxml
Requires: /usr/bin/xmllint
Conflicts:  beakerlib-redhat < 1-30

BuildRequires: /usr/bin/pod2man
BuildRequires: rpm-build-perl
BuildRequires: agetty cfdisk eject fdisk getopt hardlink hwclock look losetup lsblk mount msulogin rfkill schedutils setarch sfdisk util-linux

Source0:    https://github.com/beakerlib/beakerlib/archive/%{name}-%{version}.tar.gz
Source1:    %{name}-tmpfiles.conf

Patch0: bugzilla-links.patch
Patch1: python3.patch
Patch2: getopt-errors.patch
Patch3: log-command-T-option.patch
Patch4: fix-unbound-variables.patch
Patch5: services-state-store.patch
Patch6: local-FileSubmit-argument.patch
Patch7: cleanup-shell-options.patch
Patch8: correct-exit-code-gathering.patch
Source44: import.info

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
make build

%install
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_tmpfilesdir: %global _tmpfilesdir %{_tmpfilesdir}/}
make PKGDOCDIR=%{_docdir}/%{name} DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_tmpfilesdir}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_tmpfilesdir}/%{name}.conf

%description
The BeakerLib project means to provide a library of various helpers, which
could be used when writing operating system level integration tests.

%files
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/xslt-templates
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/examples
%dir %{_docdir}/%{name}/examples/*
%{_datadir}/%{name}/dictionary.vim
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/xslt-templates/*
%{_bindir}/%{name}-*
%{_mandir}/man1/%{name}*1*
%doc %{_docdir}/%{name}/*
%config %{_tmpfilesdir}/%{name}.conf

%package vim-syntax
Group: Development/C
Summary: Files for syntax highlighting BeakerLib tests in VIM editor
Requires: xxd
BuildRequires: xxd

%description vim-syntax
Files for syntax highlighting BeakerLib tests in VIM editor

%files vim-syntax
%{_datadir}/vim/vimfiles/after/ftdetect/beakerlib.vim
%{_datadir}/vim/vimfiles/after/syntax/beakerlib.vim

%changelog
