# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate /usr/bin/gtk-update-icon-cache libX11-devel nvidia-settings-devel pkgconfig(QtOpenGL) pkgconfig(gl) pkgconfig(liblircclient0) pkgconfig(lirc) texinfo
# END SourceDeps(oneline)
BuildRequires: libXNVCtrl-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:    bino
Version: 1.6.7
Release: alt1_8
Summary: 3D video player
Group:   System/Base
License: GPLv3+
URL:     https://bino3d.org
Source0: %url/releases/%{name}-%{version}.tar.xz
Patch1:  bino.git-7997ad11eefe241bb85a27c50d009c99851d7b0b.patch

# No libquadmath-devel on any other arch apart from x86
ExclusiveArch:  i686 x86_64

Requires:        icon-theme-hicolor

BuildRequires: automake
BuildRequires: libavcodec-devel libavdevice-devel libavfilter-devel libavformat-devel libavresample-devel libavutil-devel libpostproc-devel libswresample-devel libswscale-devel
BuildRequires: gcc-c++
BuildRequires: libGLEW-devel
BuildRequires: libass-devel
BuildRequires: libopenal-devel
BuildRequires: qt5-base-devel
BuildRequires: libquadmath-devel
BuildRequires: gettext-tools libasprintf-devel
BuildRequires: makeinfo
BuildRequires: desktop-file-utils
Source44: import.info

%description
Bino is a 3D video player. It supports stereoscopic 3D video with a wide
variety of input and output formats. It also supports multi-display video
and it can be used for powerwalls, virtual reality installations and other
multi-projector setups.

%prep
%setup -q
%patch1 -p1


# Removal of unneeded stuff
rm -rf pkg/macosx/*
touch pkg/macosx/Info.plist.in

%build
%configure --disable-silent-rules --with-qt-version=5
%{make_build} V=1

%install
%{makeinstall_std}
rm -f %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_datadir}/doc

desktop-file-validate %{buildroot}%{_datadir}/applications/bino.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README doc/*
%doc --no-dereference COPYING
%{_bindir}/bino
%{_infodir}/*
%{_mandir}/man1/*
%{_datadir}/applications/bino.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog
