Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		bio2jack
Version:	0.9
Release:	alt2_26
# The license file says GPLv2+ but the source files say LGPLv2+.
# The author of the software confirmed (via email) that it is 
# actually LGPLv2+.
License:	LGPLv2+
Summary:	A library for porting blocked io(OSS/ALSA) applications to jack
URL:		http://bio2jack.sourceforge.net/

Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  gettext gettext-tools
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libtool autoconf automake
Source44: import.info

%description
Bio (blocked i/o) 2 jack is a library for enabling easy porting of blocked
io(OSS/ALSA) applications to the jack sound server. This library allows the 
person porting the code to simply replace the calls into OSS/ALSA with calls
into interface functions of this library. The library buffers a small amount of
audio data and takes care of the rest of the jack implementation including the
linked list of audio data buffers and the jack callback.


%package devel
Group: Development/Other
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%setup -q -n %{name}

# Remove precompiled binaries:
rm -fr .libs *.o

# Screws up the build if left alive
rm -f *.lo


%build
autoreconf -vif
%configure --enable-static=no --enable-shared=yes

%make_build V=1

%install
make install DESTDIR=%{buildroot}

# Kill libtool archive
find %{buildroot} -type f -name "*.la" -delete




%files
%doc AUTHORS ChangeLog README NEWS
%{_libdir}/lib%{name}.so.*

%files devel
%{_bindir}/%{name}-config
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
