# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/mysql gcc-c++ libGLU-devel libcurl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bitfighter
Version:        021
Release:        alt1_1
Summary:        Free multi-player 2D space combat game with dual-axes controls
Group:          Games/Arcade
License:        GPLv2+
URL:            http://bitfighter.org
Source0:        http://bitfighter.org/files/%{name}-%{version}.tar.gz
Patch0:         bitfighter-019d-mga-system-tomcrypt.patch
# https://github.com/bitfighter/bitfighter/issues/639
Patch1:         0001-Weird-fix-to-dependencies-when-detected-on-the-syste.patch
# https://github.com/bitfighter/bitfighter/pull/641
Patch2:         0001-notifier-Use-usr-bin-env-python3-on-Linux.patch
# https://github.com/bitfighter/bitfighter/pull/642
Patch3:         0001-CMake-Fix-build-against-system-luajit.patch

BuildRequires:  boost-complete
BuildRequires:  ccmake cmake ctest
BuildRequires:  pkgconfig(alure)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  pkgconfig(polyclipping)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libtomcrypt-devel

# Python notifier dependencies
Requires:       python3-module-dbus
Requires:       python3-module-notify2
Requires:       python3-module-PyQt4
Requires:       python3-module-PyQt4
Source44: import.info

%description
Bitfighter is a free multi-player 2-D space combat game with dual-axes
controls. It's a team-based strategy game featuring retro vector graphics
and customizable ships. It's fast, fun, and frenetic.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


# Remove bundled dependencies
rm -rf alure \
  boost \
  clipper \
  lua \
  poly2tri \
  sqlite \
  tomcrypt

%build
# BUILD_SHARED_LIBS=OFF to prevent building tnl as .so
%{mageia_cmake} -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BIN_PATH=%{_gamesbindir} \
       -DCMAKE_DATA_PATH=%{_gamesdatadir} \
       -DMASTER_MINIMAL=ON \
       -DLUAJIT_BUILTIN=OFF

%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc doc/README.txt LICENSE.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}_notifier
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*


%changelog
