Group: Editors
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install pkgconfig(glade-sharp-2.0) pkgconfig(gtk-sharp-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#debug info would be empty due to no binarys
%global debug_package %{nil}

Name: bless
Version: 0.6.2
Release: alt2_5
Summary: High quality, full featured hex editor    

License: GPLv2+        
URL: http://home.gna.org/bless/
Source0: https://github.com/afrantzis/bless/archive/v%{version}.tar.gz
Patch1: bless-0.6.0-fixblessutilrange.patch
Patch2: bless-0.6.2-default-editmode-overwrite.patch

BuildRequires:  gcc
BuildRequires: mono-core mono-data mono-data-oracle mono-devel mono-dyndata mono-extras mono-mono2-compat mono-mono2-compat-devel mono-mvc mono-wcf mono-web mono-winforms mono-winfx
BuildRequires: libgtk-sharp2-devel     
BuildRequires: desktop-file-utils
BuildRequires: librarian
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-tools libasprintf-devel

Requires: mono-core mono-data mono-data-sqlite mono-extras mono-wcf mono-web
Requires: libgtk-sharp2

# Mono only available on these:
ExclusiveArch: %mono_arches
Source44: import.info

%description
Bless is a binary (hex) editor, a program that 
enables you to edit files as sequences of bytes.

%package doc
Group: Documentation
Summary: Bless user manual

%description doc
This package contains the documentation for the 
bless hex editor.

%prep
%setup -q
%patch1 -p1 -b .buildfixrange
%patch2 -p1 -b .editmodeoverwrite

%build
./autogen.sh
%configure --without-scrollkeeper
%make_build

%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{docdir}/%{name}/bless.spec
rm -f $RPM_BUILD_ROOT%{docdir}/%{name}/INSTALL
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/bless.desktop

%files
%{_bindir}/bless
%{_libdir}/bless/
%{_datadir}/bless/
%{_datadir}/pixmaps/bless*
%{_datadir}/applications/bless.desktop

%files doc
%{_docdir}/bless/
%exclude %{_docdir}/bless/INSTALL
%{_datadir}/omf/bless/

%changelog
