# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
Name:               boom
Version:            0.8
Release:            alt1_3
Summary:            Simple HTTP Load tester

Group:              Development/Tools
# Not sure which version number.  Defaulting to latest for now.
# https://github.com/tarekziade/boom/issues/14
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/boom
Source0:            http://pypi.python.org/packages/source/b/boom/boom-%{version}.tar.gz
Patch0:             boom-unittest2.patch

BuildArch:          noarch

BuildRequires:      python-devel
BuildRequires:      python-module-setuptools
BuildRequires:      python-module-gevent
BuildRequires:      python-module-requests
BuildRequires:      python-module-nose
BuildRequires:      python-module-unittest2

Requires:           python-module-gevent
Requires:           python-module-requests

# XXX - Temporary:  https://github.com/tarekziade/boom/pull/46
Requires:           python-module-unittest2

# In case people search for it in this way
Provides:           python-boom
Source44: import.info

%description
Boom! is a simple command line tool to send some load to a web app.

It is a script you can use to quickly smoke-test your web app
deployment.  Boom! was specifically written to replace my Apache
Bench usage, because I was annoyed by some bugs and some stupid
behaviors.

%prep
%setup -q -n boom-%{version}

%patch0 -p1

# Remove bundled egg-info in case it exists
rm -rf boom.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%files
%doc LICENSE
%doc README.rst PKG-INFO
%{python_sitelibdir_noarch}/boom/
%{python_sitelibdir_noarch}/boom-%{version}*
%{_bindir}/boom

%changelog
