Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(List/Util.pm) unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		bowtie
Version:	1.0.1
Release:	alt1_13
Summary:	An ultrafast, memory-efficient short read aligner

# The tinythread component is zlib-like, SeqAn is LGPL
License:	Artistic 2.0 and zlib and LGPLV3+
URL:		http://bowtie-bio.sourceforge.net/index.shtml
Source0:	http://downloads.sourceforge.net/%{name}-bio/%{name}-%{version}-src.zip
Patch0:		%{name}-arm-gcc.patch
#Patch0:		%{name}-script-shebang.patch
#Patch1:		%{name}-gcc47.patch
BuildRequires:  gcc-c++
BuildRequires:	rpm-build-perl
Source44: import.info


%description

Bowtie, an ultrafast, memory-efficient short read aligner for short
DNA sequences (reads) from next-gen sequencers. Please cite: Langmead
B, et al. Ultrafast and memory-efficient alignment of short DNA
sequences to the human genome. Genome Biol 10:R25.

%prep
%setup -q

#Fix compilation on ARM by removing hard-coded Makefile GCC directives
%patch0 -p1 -b .%{name}-arm-gcc.patch

#%patch0 -p1 
#Fix compilation with GCC 4.7
#%patch1 -p1 -b .%{name}-gcc47.patch

%build
%make_build -p EXTRA_FLAGS="%{optflags}"


%install

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/bowtie


install -m 0755 bowtie %{buildroot}/%{_bindir}
install -m 0755 bowtie-build %{buildroot}/%{_bindir}
install -m 0755 bowtie-inspect %{buildroot}/%{_bindir}

cp -a reads %{buildroot}/%{_datadir}/bowtie/
cp -a indexes %{buildroot}/%{_datadir}/bowtie/
cp -a genomes %{buildroot}/%{_datadir}/bowtie/
cp -a scripts %{buildroot}/%{_datadir}/bowtie/



%files
%doc MANUAL NEWS VERSION AUTHORS TUTORIAL doc/manual.html SeqAn-1.1/*GPL.txt
%doc MANUAL NEWS VERSION AUTHORS TUTORIAL doc/style.css SeqAn-1.1/*GPL.txt
%dir %{_datadir}/bowtie
%{_bindir}/bowtie
%{_bindir}/bowtie-build
%{_bindir}/bowtie-inspect
%{_datadir}/bowtie/genomes
%{_datadir}/bowtie/indexes
%{_datadir}/bowtie/reads
%{_datadir}/bowtie/scripts

%changelog
