Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define fedora 34
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name boxes
%bcond_without tests

%global cfgfile %{_datadir}/%{name}/%{name}

Name:           boxes
Version:        2.1.1
Release:        alt1_1
Summary:        Draw any kind of box around some given text

License:        GPLv2
URL:            http://boxes.thomasjensen.com
Source0:        https://github.com/ascii-%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  git-core
BuildRequires:  libunistring-devel
BuildRequires:  libpcre2-devel
BuildRequires:  xxd

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:     %{name}-vim = %{version}-%{release}
%endif
Source44: import.info

%description
"boxes" is a text filter which can draw ASCII art boxes around its input text.
These boxes may also be removed, even if they have been badly damaged by editing
of the text inside. Since boxes may be open on any side, boxes can also be used
to create regional comments in any programming language. With the help of an
editor macro or mapping, damaged boxes can easily be repaired. This is useful
for making the function headers in your programming language look better, for
spicing up your news postings and emails, or just for decorating your
documentation files. New box designs of all sorts can easily be added and shared
by appending to a free format configuration file. boxes was intended to be used
with the vim text editor, but can be tied to any text editor which supports
filters.


%package        vim
Group: Text tools
BuildArch:      noarch

Summary:        Vim plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       vim-common vimtutor

%description    vim
Vim plugin for %{name}.


%prep
%setup -q



%build

%make_build \
    CFLAGS_ADDTL='%{optflags}' \
    GLOBALCONF=%{cfgfile} \
    LDFLAGS_ADDTL='%{build_ldflags}' \
    debug \
    %{nil}


%if %{with tests}
%check
%make_build test
%endif


%install
install -Dp -m 0755 out/%{name}     %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}-config  %{buildroot}%{cfgfile}
install -Dp -m 0644 doc/%{name}.1   %{buildroot}%{_mandir}/man1/%{name}.1
install -Dp -m 0644 %{name}.vim     %{buildroot}%{_datadir}/vim/vimfiles/syntax/%{name}.vim


%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*

%files vim
%{_datadir}/vim/vimfiles/syntax/%{name}.vim


%changelog
