# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/doxygen gcc-c++ perl(DBD/SQLite.pm) perl(DBI.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          brewtarget
Version:       2.3.1
Release:       alt1_5
Summary:       An open source beer recipe creation tool
Group:         Sciences/Other
License:       GPLv3 and WTFPL and LGPLv2
URL:           http://www.brewtarget.org
Source0:       https://github.com/Brewtarget/brewtarget/releases/download/v2.3.1/brewtarget_%{version}.orig.tar.xz

BuildRequires: ccmake cmake ctest
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(sqlite3)
BuildRequires: sqlite3
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
Source44: import.info

%description
Brewtarget is an open source beer recipe creation tool. It automatically
calculates color, bitterness, and other parameters for you while you drag and
drop ingredients into the recipe. Brewtarget also has many other tools such as
priming sugar calculators, OG correction help, and a unique mash designing tool.
It also can export and import recipes in BeerXML.

%prep
%setup -q

%build
%{mageia_cmake} -DDOCDIR="%{_defaultdocdir}/%{name}"
%mageia_cmake_build

%install
%mageia_cmake_install

install -D -m 0644 -p doc/brewtarget.1 %buildroot%{_mandir}/man1/brewtarget.1

%files
%doc COPYING.GPLv3 COPYING.WTFPL
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/brewtarget.1*
%{_docdir}/%{name}


%changelog
