# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _legacy_common_support 1
Name:           brogue
Version:        1.7.5
Release:        alt1_4
Summary:        Roguelike game that favors simplicity over complexity
Group:          Games/Arcade
License:        AGPL
URL:            https://sites.google.com/site/broguegame/
# Repacked from https://sites.google.com/site/broguegame/brogue-1.7.5-linux-amd64.tbz2
# without binaries: `rm -f brogue bin/brogue bin/libtcod.so.1`
# and fixed permissions: `find -type f -exec chmod 644 {} \;`
Source0:        %{name}-%{version}-repacked.tar.xz
Source1:        brogue-wrapper.sh
#Patch0:         brogue-1.7.4-mga-system-libtcod.patch
Patch1:         brogue-1.7.4-mga-hardcode-data-path.patch
Patch2:         brogue-1.7.5-compile-flags.patch
#Patch3:         brogue-1.7.4-libtcod-1.6.2.patch
Patch4:         brogue-1.7.5-static-libtcod-1.5.2.patch
Patch5:         brogue-1.7.5-globals-extern.patch

# Current libtcod uses SDL2 and is not compatible with old brogue 1.7.4
# Used bundled libtcod 1.5.2 for now.
#BuildRequires:  pkgconfig(libtcod)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  unrtf

Provides:       bundled(libtcod) == 1.5.2
Source44: import.info

%description
Brogue is a direct descendant of Rogue, unlike other popular modern
roguelikes, and it favors simplicity over complexity, while trying
to ensure that the interactions between components will be interesting
and varied.

It is possible to play entirely with the keyboard or entirely with
the mouse or a combination of the two as the player chooses.

Brogue can be played either with a libtcod/SDL or a ncurses interface.
See `brogue --help' for more information.

%prep
%define _legacy_common_support 1
%setup -q
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1


# sed -i \
#   -e 's,uint8,Uint8,g' \
#   -e 's,uint32,Uint32,g' \
#   src/platform/tcod-platform.c

%build
pushd src/libtcod-1.5.2
mkdir -p build/libtcod/release/png
%make_build libtcod.a
popd

%make_build both PREFIX=%{_prefix} LIBDIR=%{_libdir} OPTFLAGS="%{optflags}" LDFLAGS=""

%install
# Launch game via a wrapper script and install binary in %%_libexecdir
install -D -m755 bin/%{name} %{buildroot}%{_libexecdir}/%{name}/%{name}

install -D -m755 %{SOURCE1} %{buildroot}%{_gamesbindir}/%{name}

# Install data files
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a bin/fonts/ \
      bin/icon.bmp \
      bin/keymap \
      %{buildroot}%{_gamesdatadir}/%{name}/

# Icon and desktop entry
install -D -m644 bin/brogue-icon.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Brogue
GenericName=Roguelike
Comment=Brave the Dungeons of Doom!
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
Terminal=false
EOF

# Prepare documentation
unrtf Readme.rtf > readme.html
mv readme readme.linux

%files
%doc readme.html readme.linux Brogue\ seed\ catalog.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}


%changelog
