Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/xsltproc
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bti
Version:        034
Release:        alt3_20
Summary:        Bash Twitter Idiocy

License:        GPLv2
URL:            https://github.com/gregkh/bti
# kernel.org, not always up to date
Source0:        https://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.xz
# build against the older JSON API available in EPEL6
# new JSON blocked by #903009
Patch0:         bti-034-revert_json_change.patch
Patch1:         bti-034_json-c_013.patch
# fallback, need to run autotools on these
#Source0:        https://github.com/gregkh/bti/archive/%%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libcurl-devel
# for building from github
%if 0%{?el6}
BuildRequires:  autoconf automake
%endif
# Not using pkgconfig(...) deps yet since we're still supporting EL5
BuildRequires:  liboauth-devel
BuildRequires:  libpcre-devel libpcrecpp-devel
BuildRequires:  libxml2-devel
BuildRequires:  libjson-c-devel
Source44: import.info

%description
Allows you to pipe your bash input to twitter in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%if 0%{?el6}
%patch0 -p1 -b .revert_json_change
%endif
%if 0%{?fedora} >= 28
%patch1 -p1 -b .json-c_013
%endif

%build
# for building from github
%if 0%{?el6}
autoreconf --install --symlink
%endif
export LDFLAGS="%{?__global_ldflags} -L%{_libdir}/readline5"
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
# bash completion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/bti


%files
%doc --no-dereference COPYING
%doc ChangeLog README RELEASE-NOTES
%doc bti.example
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
