Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bwa
Version:        0.7.15
Release:        alt1_9
Summary:        Burrows-Wheeler Alignment tool

License:        GPLv3
URL:            http://bio-bwa.sourceforge.net/
Source0:        http://downloads.sourceforge.net/bio-%{name}/%{name}-%{version}.tar.bz2
# 0.7.x versions only build on x86_64
ExclusiveArch:	x86_64

BuildRequires:  gcc
BuildRequires:  rpm-build-perl
BuildRequires:  zlib-devel
Source44: import.info

%description

BWA is a program for aligning sequencing reads against a large
reference genome (e.g. human genome). It has two major components, one
for read shorter than 150bp and the other for longer reads.

%prep
%setup -q


%build
%make_build CFLAGS="%{optflags}"


%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install -m 0755 bwa %{buildroot}/%{_bindir}
install -m 0755 qualfa2fq.pl %{buildroot}/%{_bindir}
install -m 0755 xa2multi.pl %{buildroot}/%{_bindir}

install -m 0755 bwakit/* %{buildroot}/%{_bindir}
install -m 0644 bwa.1 %{buildroot}/%{_mandir}/man1/bwa.1


%files
%doc COPYING NEWS.md README.md README-alt.md 
%{_mandir}/man1/%{name}.1*
%{_bindir}/*


%changelog
