# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rel	1

Summary:	Console-based live network and disk io bandwidth monitor
Name:		bwm-ng
Version:	0.6.3
Release:	alt1_1
License:	GPLv2+
Group:		Monitoring
URL:		https://gropp.org/?id=projects&sub=bwm-ng
Source:		https://github.com/vgropp/bwm-ng/archive/v%{version}/bwm-ng-%{version}.tar.gz
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libstatgrab) >= 0.91
Source44: import.info

%description
Bandwidth Monitor NG is a small and simple console-based live
network and disk io bandwidth monitor for Linux, BSD, Solaris, Mac
OS X and others.

Short list of features:
- supports /proc/net/dev, netstat, getifaddr, sysctl, kstat,
  /proc/diskstats, /proc/partitions, IOKit, devstat and libstatgrab
- unlimited number of interfaces/devices supported
- interfaces/devices are added or removed dynamically from list
- white-/blacklist of interfaces/devices
- output of KB/s, Kb/s, packets, errors, average, max and total sum
- output in curses, plain console, CSV or HTML
- configfile

%prep
%setup -q


%build
./autogen.sh
%configure \
	--disable-silent-rules \
	--enable-64bit \
	--enable-netstatbyte \
	--enable-netstatlink \
	--with-ncurses \
	--with-getopt_long \
	--with-partitions \
	--with-procnetdev \
	--with-netstatlinux \
	--with-libstatgrab
%make_build

%install
%makeinstall_std

%files
%doc README AUTHORS ChangeLog NEWS THANKS bwm-ng.conf-example bwm-ng.css
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
