# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.5.4
%define url_ver	%(echo %{version}|sed 's/[.]/./g')

Name:		chessx
Version:	1.5.4
Release:	alt1_2
Summary:	An Open Source chess database
License:	GPLv2
Group:		Games/Boards
URL:		https://chessx.sourceforge.io/
Source0:	https://sourceforge.net/projects/chessx/files/%{name}/%{version}/%{name}-%{url_ver}.tgz

BuildRequires:	qt5-designer qt5-tools
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5TextToSpeech)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick-tools
Source44: import.info

%description
ChessX is an Open Source chess database. With ChessX you can operate on your
collection of chess games in many ways:
browse, edit, add, organize, analyze, etc.

%prep
%setup -q


%build
%qmake_qt5 %{name}.pro

%{_qt5_bindir}/lrelease i18n/*.ts

%make_build

%install
# binary-repertory for games
mkdir -p %{buildroot}%{_gamesbindir}
install -m 0755 release/chessx %{buildroot}%{_gamesbindir}/%{name}

# data-repertory for games
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -pr data/* %{buildroot}%{_gamesdatadir}/%{name}/
cp -pr i18n/*.qm %{buildroot}%{_gamesdatadir}/%{name}/lang/

# FIXME for correct assignment of rights of all circle_*.svg files
find %{buildroot} -name '*.svg' -exec chmod a-x  {} \;

# icons-repertory
for png in 128x128 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png data/images/%{name}.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
	unix/%{name}.desktop

%files
%doc COPYING ChangeLog
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
