Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cksfv
Version:        1.3.15
Release:        alt2_2
Summary:        Utility to manipulate SFV files

License:        GPLv2+
URL:            https://gitlab.com/heikkiorsila/cksfv/
Source0:        https://zakalwe.fi/~shd/foss/%{name}/files/%{name}-%{version}.tar.bz2
Source1:        https://zakalwe.fi/~shd/foss/%{name}/files/%{name}-%{version}.tar.bz2.asc
Source2:        https://zakalwe.fi/~shd/keys/heikki-orsila-2017.pub
BuildRequires:  gcc
BuildRequires:  gnupg gnupg2
Source44: import.info

%description
cksfv is a utility that can create and use SFV files. SFV (Simple File
Verification) files are used to verify file integrity using CRC32
checksums.


%prep
%setup -q

# fix rpmlint warnings
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv &&\
touch -r ChangeLog ChangeLog.conv &&\
mv -f ChangeLog.conv ChangeLog


%build

# custom configure does not take --libdir spec
./configure \
    --bindir=%{_bindir} \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --package-prefix=%{buildroot}
%make_build


%install
%makeinstall_std


%check
%make_build check


%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README.md TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
