# BEGIN SourceDeps(oneline):
BuildRequires: clxclient-devel
# END SourceDeps(oneline)
BuildRequires: libfreetype-devel
Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global libmajor 3


Summary:       C++ X Windows Library
Name:          clxclient
Version:       3.9.2
Release:       alt1_3
License:       LGPLv2+
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# patch emailed upstream
Patch0:        clxclient-3.6.1-fsf-address.patch

BuildRequires: gcc-c++
BuildRequires: clthreads-devel >= 2.4.0
BuildRequires: libXft-devel 
BuildRequires: libX11-devel
Source44: import.info

%description 
C++ X Windows library

%package -n clxclient-devel
Group: Development/Other
Summary:       C++ X Windows Library Development Files
Requires:      %{name} = %{version}-%{release}

%description -n clxclient-devel
Header files required for the development of applications using the clxclient 
C++ X Windows library.

%prep
%setup -q
%patch0 -p1

# Force Fedora's flags and correct linkage
sed -e '/ldconfig/d' \
    -e '/^CXXFLAGS += -march=native/d' \
    -e 's|-lpthread -lXft -lX11|-lclthreads -lXft -lX11|' \
    -i source/Makefile

# alt:
sed -i s,pkgconf,pkg-config, source/Makefile

%build
#add_optflags -I.
CXXFLAGS="${CXXFLAGS} -I."
%make_build -C source PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%makeinstall_std -C source PREFIX=%{_prefix} LIBDIR=%{_libdir}

%files
%doc AUTHORS
%doc --no-dereference COPYING
%{_libdir}/lib%{name}*.so.*

%files devel
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}.h

%changelog
