Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(English.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(Net/Ping.pm) perl(Time/Local.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A utility to collect various Linux performance data
Name: collectl
Version: 4.3.1
Release: alt2_6
License: GPLv2+ or Artistic
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Source1: %{name}.service
Source2: %{name}.sysconfig
URL: http://collectl.sourceforge.net
BuildArch: noarch
BuildRequires: rpm-build-perl
BuildRequires: libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-homed systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils
Requires: perl(Sys/Syslog.pm), perl(Time/HiRes.pm), perl(Compress/Zlib.pm)
Source44: import.info

%description
A utility to collect Linux performance data


%prep
%setup -q

# rename directory for easier inclusion
mv docs html


%build
# nothing to do


%install
# create required directories
mkdir -p        $RPM_BUILD_ROOT%{_unitdir} \
                $RPM_BUILD_ROOT%{_sysconfdir} \
                $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig \
                $RPM_BUILD_ROOT%{_bindir} \
                $RPM_BUILD_ROOT%{_datadir}/%{name}/utils \
                $RPM_BUILD_ROOT%{_mandir}/man1/ \
                $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}

# install the files, setting the mode
install -p -m 755  collectl          $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755  colmux            $RPM_BUILD_ROOT%{_bindir}/
install -p -m 644  *.ph              $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644  envrules.std      $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 755  client.pl         $RPM_BUILD_ROOT%{_datadir}/%{name}/utils
install -p -m 644  man1/*.1          $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644  collectl.conf     $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 644  %{SOURCE1}        $RPM_BUILD_ROOT%{_unitdir}
install -p -m 644  %{SOURCE2}        $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}


%post
%post_service %{name}

%preun
%preun_service %{name}

%files
%doc ARTISTIC COPYING GPL RELEASE-collectl html
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_bindir}/colmux
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/colmux.1*
%{_localstatedir}/log/%{name}/


%changelog
