# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: boost-devel gcc-c++ libGLU-devel libSDL-devel libSDL2_net-devel libSDL_image-devel libSDL_net-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define uname   CGenius

Name:           commandergenius
Version:        1.9.2
Release:        alt1_3
Summary:        An open clone of the Commander Keen engines
License:        GPLv2+
Group:          Games/Arcade
Url:            http://clonekeenplus.sourceforge.net
# Repo: https://github.com/gerstrong/Commander-Genius
# Source repacked to remove shareware raw game files from the tarball
# rm -rf Build/ dlls/ hqp/ icotool src/engine/dbfusion/ vfsroot/
Source0:        %{name}-%{version}.tar.xz
Patch0:         commandergenius-1.9.2-no-dbfusion.patch

BuildRequires:  boost-complete
BuildRequires:  ccmake cmake ctest
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(vorbis)
Source44: import.info

%description
Commander Genius is an open-source software piece that interprets
the Commander Keen "Vorticons" and "Galaxy" series (Keen 1-6).

It features many new features such as four-player mode, hardware acceleration,
customizable button layout on a range of input devices, new difficulty modes,
and much more.

You need the original data files of Commander Keen or of a mod to play
Commander Genius. Place game folders in the ~/.CommanderGenius/games
directory (Keen 1 and Keen 4 are sharewares and can be found
on the Internet).

%prep
%setup -q
%patch0 -p1


chmod -x changelog.txt COPYRIGHT README.in

%build
%{mageia_cmake} -DBUILD_TARGET=LINUX \
	-DCMAKE_SKIP_RPATH:BOOL=yes \
	-DCMAKE_SKIP_INSTALL_RPATH:BOOL=yes \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DGAMES_SHAREDIR:PATH=%{_gamesdatadir} \
       -DUSE_SDL2:BOOL=ON
%mageia_cmake_build

%install
# Bypass make install to give better names to the installed files

# Main executable
install -D -m755 %{_vpath_builddir}/src/%{uname}Exe %{buildroot}%{_gamesbindir}/%{name}

# Icon
install -D -m644 src/CGLogo.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

# Desktop entry
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Commander Genius
Comment=Play Commander Keen games natively
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc changelog.txt COPYRIGHT README
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
