Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/desktop-file-validate python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		congruity
Version:	20
Release:	alt1_13
Summary:	Applications to program Logitech Harmony universal remote controls

# Code is GPLv3+, icons are the other three licenses
License:	GPLv3+ and GPLv2+ and GPL+ and CC-BY-SA
URL:		https://sourceforge.net/projects/congruity
Source0:	https://downloads.sourceforge.net/congruity/%{name}-%{version}.tar.bz2
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3-module-distribute
Requires:	python3-module-wx
Requires:	python3-module-libconcord
# For mhgui
Requires:	python3-module-suds
Source44: import.info

%description
congruity is a GUI application for programming Logitech Harmony universal
remote controls. congruity builds upon the work of libconcord, which
provides the underlying communication.

congruity is configured to handle the configuration files downloaded
from the Logitech configuration website. After installing this package
you can just use the Logitech configuration website and congruity will
launch automatically when appropriate.

A tool called 'mhgui' is also included for configuring remotes that only
work through the myharmony.com website, which does not work with Linux.
This includes the Harmony 200 and Harmony 300. To use it, simply run
'mhgui' and follow the prompts.

%prep
%setup -q


%build
%python3_build

%install
%python3_install "--skip-update-desktop-db"
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/mhgui.desktop

%files
%doc Changelog COPYING README.txt
%doc --no-dereference LICENSE.txt
%{_bindir}/*
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/%{name}-%{version}-*egg-info/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mhgui.desktop
%{_mandir}/*/*

%changelog
