# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		connectagram
Version:	1.3.1
Release:	alt1_1
Summary:	A word unscrambling game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/connectagram
Source:		https://gottcode.org/connectagram/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-designer qt5-tools
Source44: import.info

%description
Connectagram is a word unscrambling game. The board consists of several
scrambled words that are joined together. You can choose the length of
the words, the amount of words, and the pattern that the words are
arranged in. The game provides a hint option for times when you are
stuck, and features an online word lookup that fetches the definitions
of each word from Wiktionary. Your current progress is automatically
saved.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
