# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global _privatelibs libitem[\.]+so[.]+
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$
%define aname CopyQ

Name:           copyq
Version:        3.13.0
Release:        alt1_2
Summary:        An advanced clipboard manager
License:        GPLv3
Group:          Text tools
URL:            https://github.com/hluk/CopyQ
Source0:        https://github.com/hluk/CopyQ/archive/v%{version}/%{aname}-%{version}.tar.gz
BuildRequires:  ccmake cmake ctest
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xtst)
Source44: import.info

%description
CopyQ is advanced clipboard manager with searchable and editable history
with support for image formats, command line control and more.

%prep
%setup -q -n %{aname}-%{version}


%build
%{mageia_cmake_qt5} \
    -Wno-dev \
    -DWITH_QT5=TRUE \
    -DPLUGIN_INSTALL_PREFIX=%{_libdir}/%{name}/plugins
%mageia_cmake_build

%install
%mageia_cmake_install

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/copyq_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/com.github.hluk.%{name}.desktop
%{_datadir}/metainfo/com.github.hluk.%{name}.appdata.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/themes/
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*


%changelog
