Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit f1ef64d7cee8f174151db42447dedd3c4ece91c2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           csslint
Version:        0.10.0
Release:        alt1_12
Summary:        Detecting potential problems in CSS code

License:        MIT
URL:            http://github.com/stubbornella/csslint
Source0:        https://github.com/stubbornella/csslint/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        %{name}.sh

BuildArch:      noarch

Requires:       rhino
Source44: import.info


%description
CSSLint is a tool to help point out problems with your CSS code. It does basic
syntax checking as well as applying a set of rules to the code that look for
problematic patterns or signs of inefficiency. The rules are all pluggable, so
you can easily write your own or omit ones you don't want.


%prep
%setup -qn %{name}-%{commit}
# Executable
cp -p %{SOURCE1} .
sed -i -e 's|@JS_JAR@|%{_datadir}/java/js.jar|g' %{name}.sh
sed -i -e 's|@CSSLINT_RHINO@|%{_datadir}/%{name}/%{name}-rhino.js|g' %{name}.sh


%build
# Empty build section, most likely nothing required.


%install
install -d %{buildroot}%{_datadir}/%{name}
cp -a release/csslint-rhino.js %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
cp -a %{name}.sh %{buildroot}%{_bindir}/%{name}



%files
%doc CHANGELOG README.md
%{_datadir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}


%changelog
