# BEGIN SourceDeps(oneline):
BuildRequires: curlpp-devel gcc-c++ libcurl-devel
# END SourceDeps(oneline)
Name: curlpp
Version: 0.7.3
Release: alt1_26
Summary: A C++ wrapper for libcURL

Group: System/Libraries
License: MIT
URL: http://curlpp.org/
Source0: http://curlpp.googlecode.com/files/curlpp-%{version}.tar.gz

# ARM 64
Patch0:  curlpp-aarch64.patch


# fix FTBFS - rhbz 1106103
Patch1:  curlpp-0.7.3-gcc49.patch

BuildRequires: boost-devel boost-devel-headers boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires: curl-devel
Source44: import.info

%description
cURLpp is a C++ wrapper for libcURL.


%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{name}%{?_isa} = %{version}
Requires: boost-devel-headers
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b aarch64
%patch1 -p1 -b .gcc49

# Convert CRLF line endings to LF in the examples
for file in examples/*.cpp
do
	sed 's/\r//' $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

# remove deps on global.h which in turn pulls in config.h
sed -i '28 d' include/curlpp/Types.hpp


%build
%configure --disable-static
make %{?_smp_mflags} CPPFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot}

# Unwanted library files
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
# Useless header file
# rm -f %{buildroot}%{_includedir}/curlpp/config.win32*


%files
%doc AUTHORS COPYING CHANGES
%{_libdir}/libcurlpp.so.*
%{_libdir}/libutilspp.so.*


%files devel
%doc examples/*.cpp examples/README doc/guide.pdf
%{_bindir}/curlpp-config
%{_includedir}/curlpp/
%{_includedir}/utilspp/
%{_libdir}/libcurlpp.so
%{_libdir}/libutilspp.so
%{_libdir}/pkgconfig/curlpp.pc



%changelog
