# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define oname   CuteMarkEd

Name:           cutemarked
Version:        0.11.3
Release:        alt1_8
Summary:        A Qt-based markdown editor with live HTML preview
Group:          Editors
License:        GPLv2+
URL:            http://cloose.github.io/CuteMarkEd/
Source0:        https://github.com/cloose/CuteMarkEd/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch0:         cutemarked-0.11.3-fix-build-against-qt-5.11.0.patch

BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  qt5-designer qt5-tools
Requires:     %{name}-plugin-fontawesome = %{version}-%{release}
Source44: import.info

%description
A Qt-based, free and open source markdown editor with live HTML preview,
math expressions, code syntax highlighting and syntax highlighting of
markdown documents.

%files
%doc README.md LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*

#----------------------------------------------------------------------

%package        plugin-fontawesome
Summary:        Qt Iconengine - Fontawesome plugin
Group:          Editors
License:        BSD-3-Clause

%description    plugin-fontawesome
This package provides the fontawesome iconengine plugin.

%files          plugin-fontawesome
%doc LICENSE.md
%{_qt5_plugindir}/iconengines/libfontawesomeicon.so

#----------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1


%build
%qmake_qt5
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}


%changelog
