# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define		date 20180324
Summary:	Children Blacklists for dansguardian
Name:		dansguardian-children-blacklists
Version:	%{date}
Release:	alt1_2
#CC-BY-SA for blacklists, GPLv3+ for other
License:	CC-BY-SA and GPLv3+
Group:		System/Servers
URL:		http://dsi.ut-capitole.fr/blacklists
Source0:	http://dsi.ut-capitole.fr/blacklists/download/blacklists.tar.gz#/%{name}-%{version}.tar.gz
Source1:	children-blacklists.txt
Source2:	update-dansguardian-blacklists
Requires:	dansguardian
Requires:	wget
BuildArch:	noarch
AutoReqProv:	no
Source44: import.info

%description
Blacklists for dansguardian, which were configured for Children.
If you want to add new content in blacklists please go:
http://dsi.ut-capitole.fr/cgi-bin/squidguard_modify.cgi
and wait an updates with running update-dansguardian-blacklists.

%prep
%setup -q -n blacklists
#Remove symlinks and pdf
rm -f ads
rm -f aggressive
rm -f drugs
rm -f mail
rm -f porn
rm -f proxy
rm -f violence
rm -f squidguard*
rm -f *.pdf

%build
#nothing

%install
mkdir -p %{buildroot}%{_sysconfdir}/dansguardian/lists/blacklists
cp -Rf ./* %{buildroot}%{_sysconfdir}/dansguardian/lists/blacklists/
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/dansguardian/lists/blacklists/
install -Dpm 755 %{SOURCE2} %{buildroot}%{_bindir}/update-dansguardian-blacklists

%post
cat %{_sysconfdir}/dansguardian/lists/blacklists/children-blacklists.txt | grep -v "#" | while read LINE
do
  A=`cat %{_sysconfdir}/dansguardian/lists/bannedsitelist|grep "^.Include<%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/domains"`
  if [ "$A" = "" ]
  then
    if [ -f "%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/domains" ]
    then
      echo ".Include<%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/domains>" >> %{_sysconfdir}/dansguardian/lists/bannedsitelist
    fi
  fi
done
cat %{_sysconfdir}/dansguardian/lists/blacklists/children-blacklists.txt | grep "#"|cut -d "#" --fields=2 | while read LINE
do
  if [ -f "%{_sysconfdir}/dansguardian/lists/bannedsitelist" ]
  then
    sed -i "s|.Include<%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/domains>||g" %{_sysconfdir}/dansguardian/lists/bannedsitelist
  fi
done

#bannedurllist
cat %{_sysconfdir}/dansguardian/lists/blacklists/children-blacklists.txt | grep -v "#" | while read LINE
do
  A=`cat %{_sysconfdir}/dansguardian/lists/bannedurllist|grep "^.Include<%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/urls>"`
  if [ "$A" = "" ]
  then
    if [ -f "%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/urls" ]
    then
      echo ".Include<%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/urls>" >> %{_sysconfdir}/dansguardian/lists/bannedurllist
    fi
  fi
done
cat %{_sysconfdir}/dansguardian/lists/blacklists/children-blacklists.txt | grep "#"|cut -d "#" --fields=2 | while read LINE
do
  if [ -f "%{_sysconfdir}/dansguardian/lists/bannedurllist" ]
  then
    sed -i "s|.Include<%{_sysconfdir}/dansguardian/lists/blacklists/$LINE/urls>||g" %{_sysconfdir}/dansguardian/lists/bannedurllist
  fi
done

%postun
if [ $1 = 0 ]; then
  for file in `cat %{_sysconfdir}/dansguardian/lists/bannedsitelist|grep "^.Include"|cut -d "<" --fields=2|cut -d ">" --fields=1`
  do
    if [ ! -f "$file" ]
    then
      sed -i -e "s|^.Include<$file>||g" %{_sysconfdir}/dansguardian/lists/bannedsitelist
      sed -i -e' /./,/^$/!d' %{_sysconfdir}/dansguardian/lists/bannedsitelist
    fi
  done
  for file in `cat %{_sysconfdir}/dansguardian/lists/bannedurllist|grep "^.Include"|cut -d "<" --fields=2|cut -d ">" --fields=1`
  do
    if [ ! -f "$file" ]
    then
      sed -i -e "s|^.Include<$file>||g" %{_sysconfdir}/dansguardian/lists/bannedurllist
      sed -i -e' /./,/^$/!d' %{_sysconfdir}/dansguardian/lists/bannedurllist
    fi
  done
fi

%files
%config %{_sysconfdir}/dansguardian/lists/blacklists
%{_bindir}/update-dansguardian-blacklists


%changelog
