Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/curl /usr/bin/gperf texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dateutils
Version:        0.4.7
Release:        alt1_3
Summary:        Command-line date and time calculation, conversion, and comparison

License:        BSD
URL:            http://www.fresse.org/dateutils/
Source0:        https://github.com/hroptatyr/dateutils/releases/download/v%{version}/%{name}-%{version}.tar.xz

# Upstream fix for include issue. https://github.com/hroptatyr/dateutils/issues/109
Patch0:         https://github.com/hroptatyr/dateutils/commit/6813ed94534f2311fbe9164748919e39d60b0190.patch

Requires(post):  info info-install
Requires(preun): info info-install

BuildRequires:  gcc
Source44: import.info

%description
Tools which revolve around fiddling with dates and times on the command
line, with a strong focus on use cases that arise when dealing with large
amounts of financial data.


%prep
%setup -q
%patch0 -p1



%build
%configure --disable-silent-rules --without-old-links
# see note in configure script for why we're passing CFLAGS explicitly here
%make_build CFLAGS="$CFLAGS"


%install
%makeinstall_std

rm -f %{buildroot}%{_infodir}/dir
# this is duplicated otherwise
rm -f %{buildroot}%{_datadir}/doc/%{name}/LICENSE


%check
make check

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.tzmcc
%{_datadir}/%{name}/locale


%changelog
