Group: Archiving/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           deja-dup
Version:        42.2
Release:        alt1_1
Summary:        Simple backup tool and frontend for duplicity

License:        GPLv3+
URL:            https://gitlab.gnome.org/World/deja-dup
Source0:	https://gitlab.gnome.org/World/deja-dup/-/archive/%{version}/deja-dup-%{version}.tar.bz2
BuildRequires:  meson
BuildRequires:  gettext gettext-tools desktop-file-utils intltool
BuildRequires:  yelp-tools libpango-devel libpango-gir-devel libcairo-devel
BuildRequires:  libvala-devel >= 0.36 vala vala-tools
BuildRequires:  libtool glib2-devel libgio libgio-devel libnotify-devel libnotify-gir-devel
BuildRequires:  libpeas-devel libpeas-gir-devel
BuildRequires:  libsecret-devel libsecret-gir-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel itstool
BuildRequires:  libpackagekit-glib-devel
BuildRequires:  libappstream-glib
BuildRequires:  libgnome-online-accounts-devel libgnome-online-accounts-gir-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  dbus libdbus-devel
BuildRequires:  libjson-glib libjson-glib-devel libjson-glib-gir-devel libsoup-devel libsoup-gir-devel libsoup-gnome-devel libsoup-gnome-gir-devel
BuildRequires:  libhandy-devel libhandy-gir-devel
Requires:       duplicity >= 0.6.23
Requires:       python3-module-pygobject3 python3-module-pygobject3-pygtkcompat
Requires:       dconf libdconf
Requires:	fuse-gvfs
# Remove in f34+
Provides:      deja-dup-nautilus = %{version}-%{release}
Obsoletes:     deja-dup-nautilus < %{version}-%{release}
Source44: import.info

%description
DA.jA. Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
backend.

Features: 
 a.. Support for local, remote, or consumer cloud backup locations (Google Drive, etc)
 a.. Securely encrypts and compresses your data
 a.. Incrementally backs up, letting you restore from any particular backup
 a.. Schedules regular backups
 a.. Integrates well into your GNOME desktop

%prep
%setup -q


%build
%meson
%meson_build

%install
%meson_install
rm -f %{buildroot}/%{_libdir}/deja-dup/*.la

desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.DejaDup.desktop
desktop-file-validate %{buildroot}/%{_sysconfdir}/xdg/autostart/org.gnome.DejaDup.Monitor.desktop

appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc --no-dereference LICENSES/
%doc NEWS.md README.md
%{_bindir}/deja-dup
%{_mandir}/man1/deja-dup.1*
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_sysconfdir}/xdg/autostart/org.gnome.DejaDup.Monitor.desktop
%{_libdir}/deja-dup/
%{_libexecdir}/deja-dup/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.DejaDup*
%{_datadir}/dbus-1/services/org.gnome.DejaDup.service
%{_datadir}/metainfo/org.gnome.DejaDup.appdata.xml
%{_datadir}/help/*

%changelog
