# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ pkgconfig(xext)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define commit 994e20acee2367b3b45b560a6bbcd31dff7a765c

Name:          dexed
Version:       git20180224
Release:       alt1_2
Summary:       VST2 synth closely modeled on the Yamaha DX7
Group:         Sound
License:       GPLv3 and ASL 2.0
URL:           http://asb2m10.github.io/dexed/
Source0:       https://github.com/asb2m10/dexed/archive/%{commit}.tar.gz

BuildRequires: libcurl-devel
BuildRequires: libXinerama-devel

BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xcursor)
Source44: import.info

%description
Dexed is a multi platform, multi format plugin synth that is closely modeled 
on the Yamaha DX7. Under the hood it uses music-synthesizer-for-android
for the synth engine and JUCE as a plugin wrapper.
Dexed can open original syx-banks for DX7 (you can download tons of free sound 
banks, just search for "dx7 patches" at WWW). Put them to 
/.local/share/DigitalSuburban/Dexed/Cartridges/SynprezFM for convenience, to 
access sound banks quickly.
Dexed comes with a lot of built-in sound banks.

%prep
%setup -q -n dexed-%{commit} 

%build
cd Builds
cd Linux
%make_build VST

%install
mkdir -p %{buildroot}%{_libdir}/linux_vst/Dexed
cp %{_builddir}/%{name}-%{commit}/Builds/Linux/build/Dexed.so %{buildroot}%{_libdir}/linux_vst/Dexed/Dexed.so

%files
%{_libdir}/linux_vst/Dexed/Dexed.so
%doc README.md LICENSE


%changelog
