Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires: libpcre-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           diction
Version:        1.11
Release:        alt2_23
Summary:        Identifies diction and style errors

License:        GPLv3+
URL:            http://www.gnu.org/software/diction/diction.html
Source0:        http://ftp.gnu.org/gnu/diction/diction-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gettext gettext-tools
Source44: import.info

%description
Diction and style are two old standard UNIX commands. Diction identifies wordy
and commonly misused phrases. Style analyses surface characteristics of a
document, including sentence length and other readability measures.

These programs cannot help you structure a document well, but they can help to
avoid poor wording and compare the readability (not the understandability!) of
your documents with others. Both commands support English and German documents.


%prep
%setup -q


%build
%configure
%make_build
# convert manpages to unicode
for FILE in *.1; do
    /usr/bin/iconv -f iso-8859-1 -t utf-8 $FILE > $FILE.utf8
    mv -f $FILE.utf8 $FILE
done


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}



%files -f %{name}.lang
%doc COPYING README NEWS
%{_bindir}/*
%{_datadir}/diction
%{_mandir}/man*/*


%changelog
