# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           diff-so-fancy
Version:        1.2.0
Release:        alt1_4
Summary:        Good looking diffs
Group:          Development/Tools
License:        MIT
URL:            https://github.com/so-fancy/diff-so-fancy
Source0:        https://github.com/so-fancy/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

# Build
BuildRequires:  coreutils
%if 0%{?fedora}
BuildRequires:  perl-generators
%endif
BuildRequires:  perl-podlators
# Runtime
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Glob.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(warnings.pm)
# Tests only
BuildRequires:  perl
BuildRequires:  perl(Pod/Checker.pm)
BuildRequires:  perl(Test/More.pm)

%{?perl_default_filter}
Source44: import.info

%description
diff-so-fancy strives to make your diff's human readable instead of machine
readable. This helps improve code quality and help you spot defects faster.

%prep
%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}/%{_bindir}
install %{name} %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{perl_vendor_privlib}
install lib/DiffHighlight.pm %{buildroot}/%{perl_vendor_privlib}

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/%{name}
%{perl_vendor_privlib}/*


%changelog
