Group: System/Servers
%global _hardened_build 1

Name:              dnrd
Version:           2.20.3
Release:           alt1_13
Summary:           Domain Name Relay Daemon
License:           GPLv2
URL:               http://dnrd.sourceforge.net
Source0:           http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:           %{name}.service
Source2:           %{name}.conf.sample
BuildRequires:     systemd
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd
Source44: import.info

%description
Domain Name Relay Daemon(dnrd) is a caching, forwarding DNS proxy server. It 
forwards DNS queries to the appropriate nameserver, but can also act as the 
primary nameserver for a subnet behind a firewall. It also has features such 
as caching DNS requests, support for DNS servers, cache poisoning prevention, 
TCP support, etc..

%prep
%setup -q
sed -i 's/\r//' COPYING

%build
%configure
make %{?_smp_mflags}

%install
make install INSTALL="install -p" DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -p -m644 %{S:2} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
mkdir -p %{buildroot}%{_unitdir}
install -p -m755 %{S:1} %{buildroot}%{_unitdir}/%{name}.service

%post
%post_service %{name}

%preun
%preun_service %{name}

%files
%doc AUTHORS COPYING ChangeLog README doc/README-cache
%doc doc/README-master doc/master.sample
%{_mandir}/man8/%{name}.8*
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dnrd.conf

%changelog
