Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 30
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name docco
%define version 0.6.3


# NOTE TO SELF: do not update beyond 0.6.2 on fedora < 21 || rhel < 7

%global docs %{_docdir}/%{name}-%{version}

%if 0%{?fedora} >= 20
%global docs %{_docdir}/%{name}
%endif

Name:       docco
Version:    0.6.3
Release:    alt1_12
Summary:    The Quick and Dirty Literate Programming Documentation Generator
License:    MIT
URL:        http://jashkenas.github.com/docco/
Source0:    http://registry.npmjs.org/docco/-/docco-%{version}.tgz

# These files are not included in the npm tarball but are needed for %%build.
# https://raw.githubusercontent.com/jashkenas/docco/b71e9924fb0ff27bf52377479ba6c36ac9eee007/Cakefile
Source1:    %{name}-%{version}-Cakefile
# https://raw.githubusercontent.com/jashkenas/docco/b71e9924fb0ff27bf52377479ba6c36ac9eee007/docco.litcoffee
Source2:    %{name}-%{version}-docco.litcoffee

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  coffee-script

# Required for running docco to build the docs.
BuildRequires:  npm(commander)
BuildRequires:  npm(fs-extra)
BuildRequires:  npm(highlight.js)
BuildRequires:  npm(jsonfile)
BuildRequires:  npm(marked)
BuildRequires:  npm(underscore)
BuildRequires:  python-module-Pygments

Requires:       python-module-Pygments
Source44: import.info

%description
Docco is a quick-and-dirty documentation generator, written in Literate
CoffeeScript. It produces an HTML document that displays your comments
intermingled with your code. All prose is passed through Markdown, and
code is passed through Pygments syntax highlighting.


%prep
%setup -q -n package
cp -p %{SOURCE1} ./Cakefile
cp -p %{SOURCE2} ./docco.litcoffee


%build
%nodejs_symlink_deps --check
# Build docco.js
/usr/bin/cake build
# Build the documentation.
./bin/docco --layout linear docco.litcoffee
# Remove bundled web fonts.
find . -type f -iname '*.eot' -delete
find . -type f -iname '*.ttf' -delete
find . -type f -iname '*.woff' -delete


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/docco
cp -pr package.json docco.js \
    %{buildroot}%{nodejs_sitelib}/docco
mkdir -p %{buildroot}%{nodejs_sitelib}/docco/bin
install -p -D -m0755 bin/docco \
    %{buildroot}%{nodejs_sitelib}/docco/bin/docco
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/docco/bin/docco \
    %{buildroot}%{_bindir}/docco

mkdir -p %{buildroot}%{_datadir}/docco
cp -pr resources/ %{buildroot}%{_datadir}/docco
ln -sf %{_datadir}/docco/resources \
    %{buildroot}%{nodejs_sitelib}/docco/resources

# The docs expect the resources/ directory to be present.
mkdir -p %{buildroot}%{docs}
ln -sf %{_datadir}/docco/resources \
    %{buildroot}%{docs}/resources

%nodejs_symlink_deps


%files
%doc LICENSE README docs/*
%{?el6:%doc resources}
%{nodejs_sitelib}/docco
%{_bindir}/docco
%{_datadir}/docco
%{_docdir}/docco/resources


%changelog
