Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate libX11-devel libXext-devel
# END SourceDeps(oneline)
BuildRequires: chrpath
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       An old-school drum-kit sampler
Name:          drumkv1
Version:       0.9.21
Release:       alt1_1
License:       GPLv2+
URL:           https://%{name}.sourceforge.io
Source0:       https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Do not strip executables
Patch0:        drumkv1-nostrip.patch

BuildRequires: gcc-c++
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: libsndfile-devel
BuildRequires: qt5-base-devel
BuildRequires: qt5-designer qt5-tools
BuildRequires: lv2-devel
BuildRequires: desktop-file-utils
BuildRequires: libsndfile-devel
BuildRequires: liblo-devel
BuildRequires: libappstream-glib
Requires:      icon-theme-hicolor
Source44: import.info

%description
%{name} is an old-school all-digital drum-kit sampler synthesizer with
stereo fx.

%package -n lv2-%{name}
Group: Sound
Summary:       An LV2 port of %{name}
Requires:      lv2

%description -n lv2-%{name}
An LV2 plugin of the %{name} synth

%prep
%setup -q
%patch0 -p1


# Remove cruft from appdata file
pushd src/appdata
iconv -f utf-8 -t ascii//IGNORE -o tmpfile %{name}.appdata.xml 2>/dev/null || :
mv -f tmpfile %{name}.appdata.xml
popd

%build
%configure
%make_build

%install
%makeinstall_std
chmod +x %{buildroot}%{_libdir}/lv2/%{name}.lv2/%{name}.so
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111 ! -name '*.la' `; do
	chrpath -d $i ||:
done

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml

%files
%doc AUTHORS README ChangeLog
%doc --no-dereference COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_bindir}/%{name}_jack
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*
%{_mandir}/fr/man1/%{name}.1*
%{_metainfodir}/%{name}.appdata.xml

%files -n lv2-%{name}
%doc AUTHORS README ChangeLog
%doc --no-dereference COPYING
%{_libdir}/lv2/%{name}.lv2/

%changelog
