# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          ebumeter
Summary:       Loudness measurement according to EBU-R128
Version:       0.4.0
Release:       alt1_2
License:       GPLv2+
Group:         Sound
URL:           http://kokkinizita.linuxaudio.org/linuxaudio
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}.png
# correct FSF address
Patch0:        %{name}-0.4.0-fsf.patch

BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: libsndfile-devel
BuildRequires: clthreads-devel
BuildRequires: clxclient-devel
BuildRequires: libjack-devel
BuildRequires: libXft-devel
BuildRequires: libpng-devel
BuildRequires: zita-resampler-devel
Source44: import.info

%description
Loudness measurement according to EBU-R128. Presented at LAC 2011 
(thanks to Joern Nettingsmeier!). The only documentation available 
at the moment are the paper, the presentation, slides and the video 
of the LAC 2011 session.

%prep
%setup -q
%patch0 -p1
pushd source
sed -i -e "s|-march=native|%{optflags}|" Makefile

%build
pushd source
make PREFIX=%{_prefix} LDFLAGS="$RPM_LD_FLAGS" %{?_smp_mflags}
popd

%install
pushd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} %{?_smp_mflags} install
popd

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 644 %{SOURCE2} \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png
    
%files
%doc AUTHORS README doc/*pdf
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_bindir}/ebur128
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
