Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gnutls)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define svn_rel 434

Name:          echoping
Version:       6.1
Release:       alt1_0.10.beta.r%{svn_rel}svn
Summary:       TCP performance test to measure response time of network hosts

License:       GPLv2+
URL:           http://echoping.sourceforge.net/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 434 svn://svn.code.sf.net/p/echoping/svn/trunk/SRC/ echoping-6.1-BETA_r434
#  tar -cJvf echoping-6.1-BETA_r434.tar.xz echoping-6.1-BETA_r434
Source0:       %{name}-%{version}-BETA_r%{svn_rel}.tar.xz
Patch0:        echoping-6.0.2-no-so-version.patch
Patch1:        echoping-6.0.2-so.patch

BuildRequires: libssl-devel, libidn-devel, libpopt-devel, zlib-devel, libldap-devel, postgresql-devel
BuildRequires: autoconf, automake, libtool
Source44: import.info

%description
Echoping is a small program to test (approximate) performances of a
remote host by sending TCP "echo" (or other protocol, such as HTTP)
packets.

%package       dns
Group: Other
Summary:       DNS plugin for checking response times of DNS servers
Requires:      %{name} = %{version}-%{release}

%description   dns
DNS performance measurement plugin for echoping.


%package       ldap
Group: Other
Summary:       LDAP plugin for checking response times of LDAP servers
Requires:      %{name} = %{version}-%{release}

%description   ldap
LDAP performance measurement plugin for echoping.


%package       postgresql
Group: Other
Summary:       PostgreSQL plugin for checking response times of PostgreSQL servers
Requires:      %{name} = %{version}-%{release}

%description   postgresql
PostgreSQL performance measurement plugin for echoping.


%package       whois
Group: Other
Summary:       WHOIS plugin for checking response times of Whois servers
Requires:      %{name} = %{version}-%{release}

%description   whois
WHOIS performance measurement plugin for echoping.

%package       devel
Group: Other
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}-BETA_r%{svn_rel}
%patch0 -p1
%patch1 -p1


%build
# Workaround for libtoolize not working correctly on older fedora releases.
# Can be dropped with EOL of f22
ln -s /usr/share/libtool/config/ltmain.sh
./recreate-autofiles
%configure \
	--enable-icp \
	--enable-http \
	--enable-smtp \
	--enable-tos \
	--enable-priority \
 	--with-libidn \
	--with-ssl \
	--without-gnutls \
	--disable-static \
	CFLAGS="%{optflags} -D_GNU_SOURCE" 


make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Clean .la files
find %{buildroot} -name '*.la' | xargs rm -f

rm -f %{buildroot}%{_libdir}/echoping/random.*
rm -f %{buildroot}%{_mandir}/man1/echoping_random.1*


%files
%doc AUTHORS ChangeLog README TODO DETAILS
%doc --no-dereference COPYING
%{_bindir}/echoping
%dir %{_libdir}/echoping/
%{_mandir}/man1/echoping.1*

%files dns
%{_mandir}/man1/echoping_dns.1*
%{_libdir}/echoping/dns.so

%files ldap
%{_mandir}/man1/echoping_ldap.1*
%{_libdir}/echoping/ldap.so

%files postgresql
%{_mandir}/man1/echoping_postgresql.1*
%{_libdir}/echoping/postgresql.so

%files whois
%{_mandir}/man1/echoping_whois.1*
%{_libdir}/echoping/whois.so

%files devel
%{_includedir}/echoping/


%changelog
