# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/cmp /usr/bin/diff tcl-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name edb
%define major 1
%define libname lib%{name}%{major}
%define libnamedev lib%{name}-devel

Summary: 	Enlightenment database access library
Name: 		edb
Version: 	1.0.5.050
Release: 	alt1_11
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)
Source44: import.info

%description
Edb is a simple, clean high-level db access/storage library.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}.

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{libname}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-test --disable-gtk --disable-static
%make_build

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING README src/LICENSE
%{_bindir}/edb_*

%files -n %libname
%{_libdir}/lib*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%_libdir/libedb.so
%{_includedir}/Edb.h


%changelog
