# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install boost-devel capstone gcc-c++ libqt4-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _name   debugger
%define _exe    edb

Name:           edb-debugger
Summary:        A free OllyDbg like debugger
Version:        0.9.21
Release:        alt1_6
Group:          Development/Other
License:        GPLv2
URL:            http://www.codef00.com/projects
Source0:        https://github.com/eteran/edb-debugger/releases/download/%{version}/%{name}-%{version}.tgz

BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(capstone)
BuildRequires: pkgconfig(libgvc)
BuildRequires: boost-complete >= 1.35
BuildRequires: ImageMagick-tools
ExclusiveArch: %{ix86} x86_64
Source44: import.info


%description
One of the main goals of this debugger is modularity.
The interface is written in Qt5 and is therefore source portable
to many platforms. The debugger core is a plugin and the platform
specific code is isolated to just a few files, porting to a new OS
would require porting these few files and implementing a plugin
which implements the DebuggerCoreInterface interface. Also,
because the plugins are based on the QPlugin API, and do their work
through the DebuggerCoreInterface object, they are almost always
portable with just a simple recompile.
The disassembly engine is my edisassm project. I feel that this
disassembler is mature and works well. It is worth noting that the
current version of edb has temporarily dropped AT&T syntax support.
Once this is implemented in edisassm, it will return.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}{%{_miconsdir},%{_niconsdir},%{_liconsdir},%{_bindir},%{_libdir}}/
install -c -m 0755 src/images/edb48-logo.png "%{buildroot}%{_liconsdir}/%{_exe}.png"

convert src/images/edb48-logo.png -resize 32x32 %{buildroot}%_niconsdir/%{_exe}.png
convert src/images/edb48-logo.png -resize 16x16 %{buildroot}%{_miconsdir}/%{_exe}.png

desktop-file-install --vendor="" \
		     --dir %{buildroot}%{_datadir}/applications \
                     --remove-category="Qt" \
		     %{_exe}.desktop

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 edb.1 %{buildroot}%{_mandir}/man1/%{_exe}.1

%files
%doc CHANGELOG README.md
%doc --no-dereference COPYING
%{_bindir}/%{_exe}
%{_libdir}/%{_exe}/
%{_datadir}/applications/%{_exe}.desktop
%{_liconsdir}/%{_exe}.png
%{_miconsdir}/%{_exe}.png
%_niconsdir/%{_exe}.png
%{_mandir}/man1/%{_exe}.1*


%changelog
