Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: perl(TAP/Harness/Archive.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           eg
Version:        1.7.5.2
Release:        alt2_30
Summary:        Git for mere mortals
License:        GPLv2
URL:            http://www.gnome.org/~newren/eg/
Source0:        %{name}-%{version}.tar.gz
Patch0:		eg-1.7.5.2-fix-use-false-detection.patch
# To reproduce, run:
# git clone git://gitorious.org/eg/mainline.git eg
# cd eg
# git archive --format=tar --prefix=eg-1.7.5.2/ v1.7.5.2 | gzip > eg-1.7.5.2.tar.gz
BuildRequires:  bash-completion
BuildRequires:	rpm-build-perl
BuildArch:      noarch
Requires:       git
Source44: import.info

%description
Easy Git (eg) is a wrapper for git, designed to make git easy to learn and use.

%prep
%setup -q
%patch0 -p1 -b .false

# Filter unwanted Requires:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(the)/d;/perl(an)/d;/perl(it)/d;/perl(one)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_requires}

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 eg $RPM_BUILD_ROOT/%{_bindir}/

bashcompdir=$(pkg-config --variable=completionsdir bash-completion || :)
if [ "$bashcompdir" ]; then
    install -Dpm 644 bash-completion-eg.sh $RPM_BUILD_ROOT$bashcompdir/eg
    echo %{_datadir}/bash-completion > %{name}.files
else
    install -Dpm 644 bash-completion-eg.sh \
        $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/eg
    echo %{_sysconfdir}/bash_completion.d > %{name}.files
fi

%files -f %{name}.files
%doc README
%{_bindir}/eg

%changelog
