# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name endless-sky
%define hidpi   %{name}-high-dpi

Name:           endless-sky
Version:        0.9.12
Release:        alt1_3
Summary:        A space exploration and combat game similar to Escape Velocity
Group:          Games/Other
License:        GPLv3+ and CC-BY-SA 3.0 and CC-BY-SA 4.0 and CC-BY 4.0 and Public Domain
URL:            http://endless-sky.github.io
Source0:        https://github.com/endless-sky/endless-sky/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/endless-sky/endless-sky-high-dpi/archive/v%{version}/%{hidpi}-%{version}.tar.gz
Patch0:         endless-sky-0.9.10-gcc10.patch
Patch1:         endless-sky-gcc11.patch

BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  scons
Requires:       %{name}-data >= %{version}-%{release}
Source44: import.info

%description
Endless Sky is a sandbox-style space exploration game similar to Elite,
Escape Velocity, or Star Control. You start out as the captain of a tiny
space ship and can choose what to do from there. The game includes a major
plot line and many minor missions, but you can choose whether you want to
play through the plot or strike out on your own as a merchant or bounty
hunter or explorer.

Note: For users of high-DPI monitors, there is an optional %{hidpi}
package that contains high-resolution graphics for this game.

%files
%doc copyright credits.txt README.md
%{_gamesbindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------

%package data
Group: Games/Other
Summary:        Data files for the Endless Sky game
License:        GPLv3+ and CC-BY 3.0 and CC-BY-SA 3.0 and CC-BY-SA 4.0 and Public domain
BuildArch:      noarch

%description data
This package contains arch-independent data files for the Endless Sky
game (sounds, graphics, game scripts and texts).

%files data
%{_gamesdatadir}/%{name}/
%exclude %{_gamesdatadir}/%{name}/plugins/%{hidpi}

#----------------------------------------------------------------------

%package high-dpi
Group: Games/Other
Summary:        High-DPI graphics for Endless Sky
License:        CC-BY 3.0 and CC-BY-SA 3.0 and CC-BY-SA 4.0 and Public domain
BuildArch:      noarch

%description high-dpi
This is a collection of double-resolution sprites for Endless Sky. Installing
this package is fully optional. These sprites will only be used if:

- you have set the "zoom factor" to higher than 100%% in the preferences, or
- you have a high-DPI monitor.

%files high-dpi
%{_gamesdatadir}/%{name}/plugins/%{hidpi}

#----------------------------------------------------------------------

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1


%build

%scons

%install

%scons_install PREFIX=%{_prefix}

install -d %{buildroot}%{_gamesdatadir}/%{name}/plugins
mv %{hidpi}-%{version} %{buildroot}%{_gamesdatadir}/%{name}/plugins/%{hidpi}


%changelog
