# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define date	20140511
%define rel	5
%if %date
%define release -c %date %rel
%else
%define release %rel
%endif

Summary:	Music player written using Enlightenment Foundation Libraries
Name:		enjoy
Version:	0.1.0
Release:	alt1_5
License:	LGPLv3+
Group:		Graphical desktop/Enlightenment
URL:		http://trac.enlightenment.org/e/wiki/Enjoy
%if %date
Source:		%name-%date.tar.bz2
%else
Source:		http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
%endif
BuildRequires:	efl-libs-devel libelementary-devel
BuildRequires:	gettext-tools libasprintf-devel
BuildRequires:	liblightmediascanner liblightmediascanner-devel
BuildRequires:	efl-libs efl-libs-devel libelementary libelementary-devel
BuildRequires:	libsqlite3-devel
Source44: import.info


%description
Enjoy is a music player written using Enlightenment Foundation Libraries (EFL) 
with focus on speed and mobile usability, yet should be usable on desktops as 
well. 

Enjoy is modeled around a media database constructed by LightMediaScanner, 
it is not meant to play single files from disk, instead it will recursively 
index directories for music files and then list them by artist, album, genre 
and so on. Playlists are also supported, as well as random or filter playlists 
can be dynamically generated.

%prep
%if %date
%setup -qn %name
%else
%setup -q 
%endif

%build
%if %date
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make

%install
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README TODO
%{_bindir}/*
%{_libdir}/%{name}/mpris.so
%{_libdir}/%{name}/albumart-lastfm.so
%{_libdir}/%{name}_ql.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/default.edj
%{_datadir}/icons/%{name}.png


%changelog
