# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/python perl(Socket.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: python-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?_python_sitelib: %define _python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           epylog
Version:        1.0.7
Release:        alt2_23
Summary:        New logs analyzer and parser

Group:          System/Base
License:        GPLv2+
URL:            https://fedorahosted.org/epylog/
Source:         http://fedorapeople.org/~icon/epylog/epylog-%{version}.tar.gz
Patch1:         epylog-0001-last-patch-before-rewrite.patch
BuildArch:      noarch

BuildRequires:  python, perl-devel
BuildRequires:	python-module-libxml2, autoconf, rpm-build-perl, perl-Pod-Perldoc
Requires:       python-module-libxml2, python-module-pygpgme, crontabs
Source44: import.info


%description
Epylog is a new log notifier and parser which runs periodically out of
cron, looks at your logs, processes the entries in order to present
them in a more comprehensive format, and then provides you with the
output. It is written specifically with large network clusters in mind
where a lot of machines (around 50 and upwards) log to the same
loghost using syslog or syslog-ng.


%package perl
Summary:        Perl module for writing external Epylog modules
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}


%description perl
This package provides a perl module for epylog. It is useful for
writing epylog modules that use external module API. No modules shipping
with epylog by default use that API, so install this only if you are using
external perl modules, or intend to write some of your own.


%prep
%setup -q
%patch1 -p1 -b .fix_python2

autoconf
##
# The --with-lynx is just a sane default. Epylog doesn't actually require 
# it to run in the out-of-the-box configuration.
#
%configure \
    --with-python=%{__python}2 \
    --with-python-dirs=%{_python_sitelib} \
    --with-lynx=%{_bindir}/links \
    --with-site-perl=%{perl_vendor_privlib}
##
# Fix version.
#
sed -i -e \
    "s/^VERSION\s*=\s*.*/VERSION = '%{name}-%{version}-%{release}'/g" \
    py/epylog/__init__.py


%build
make


%install
make install DESTDIR=$RPM_BUILD_ROOT
##
# Remove installed docs
#
rm -rf $RPM_BUILD_ROOT%{_docdir}



%files
%doc AUTHORS ChangeLog INSTALL LICENSE README doc/*
%config(noreplace) %{_sysconfdir}/epylog
%config(missingok) %{_sysconfdir}/cron.*/*
%dir %{_localstatedir}/lib/epylog
%dir %{_datadir}/epylog
%dir %{_datadir}/epylog/modules
%{_datadir}/epylog/modules/*
%{_python_sitelib}/epylog
%{_sbindir}/*
%{_mandir}/man8/*
%{_mandir}/man5/*


%files perl
%{perl_vendor_privlib}/epylog.pm
%{_mandir}/man3/*


%changelog
