Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize /usr/bin/pyzor /usr/bin/razor-report /usr/bin/razor-revoke libgio-devel pkgconfig(evolution-data-server-1.2) pkgconfig(glib-2.0) pkgconfig(gtk+-2.0) pkgconfig(gtk+-3.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: evolution-rspam
Summary: Evolution Plugin for reporting spam
Version: 0.6.0
Release: alt8_32
License: GPLv2+
Source: http://gnome.eu.org/%{name}-%{version}.tar.xz
URL: http://gnome.eu.org/evo/index.php/Report_as_Spam

Patch0: evolution-rspam-0.6.0-evo38.patch
Patch1: evolution-rspam-0.6.0-convert-fix.patch
Patch2: evolution-rspam-0.6.0-globals-clash.patch
Patch3: evolution-rspam-0.6.0-evo312.patch
Patch4: evolution-rspam-0.6.0-evo313.patch
Patch5: evolution-rspam-0.6.0-evo3136.patch
Patch6: evolution-rspam-0.6.0-source-double-unref.patch
Patch7: evolution-rspam-0.6.0-activity-leak.patch
Patch8: evolution-rspam-0.6.0-evo3_23_2.patch

Requires: perl-Razor razor
Requires: python-module-pyzor
Requires: evolution evolution-bogofilter evolution-data evolution-spamassassin

BuildRequires: gettext gettext-tools, evolution-devel, perl(XML/Parser.pm), intltool GConf libGConf-devel libGConf-gir-devel
BuildRequires: autoconf, automake, gnome-common, libtool
Source44: import.info

%description
Rspam Evolution Plugin enables Evolution Mail client to report email messages
as spam to checksum-based and statistical filtering networks.
It supports Razor network, DCC, SpamCop and Pyzor.
This plugins requires a pretty new version of evolution to build.
See README for more information about required programs.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .evo38
%patch1 -p1 -b .convert-fix
%patch2 -p1 -b .globals-clash
%patch3 -p1 -b .evo312
%patch4 -p1 -b .evo313
%patch5 -p1 -b .evo3136
%patch6 -p1 -b .source-double-unref
%patch7 -p1 -b .activity-leak
%patch8 -p1 -b .evo3_23_2

%build
./autogen.sh
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f
%find_lang rspam

# remove old GConf schemas
#find $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas -name '*.schemas' -exec rm {} \;

%files -f rspam.lang
%{_datadir}/GConf/gsettings/evolution-rspam.convert
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.evolution-rspam.gschema.xml
%{_datadir}/evolution/ui/*.ui
%{_libdir}/evolution/plugins/org-gnome-sa-rspam.eplug
%{_libdir}/evolution/plugins/liborg-gnome-sa-rspam.so
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc TODO

%changelog
