Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ezstream
Version:        0.6.0
Release:        alt1_11
Summary:        Command line source client for Icecast media streaming servers
## Not installed files:
# INSTALL:                  FSFUL
# examples/Makefile.in:     FSFULLR
# build-aux/config.rpath:   FSFULLR
# build-aux/config.guess:   GPLv2+ with Autoconf exception
# build-aux/install-sh:     MIT and Public Domain
# m4/tree.m4:               MIT
# win32/tfile.cpp:          LGPLv2
# win32/shout/shout.h:      LGPLv2+
# compat/sys/tree.3:        BSD
# compat/sys/tree.h:        BSD (not used if --enable-debug is not specified)
## Installed files:
# doc/ezstream-file.sh.1*:  MIT
# doc/ezstream.1*:          GPLv2
# COPYING:                  GPLv2
# src/metadata.c:           MIT
# src/configfile.c:         GPLv2
# src/ezstream.c:           GPLv2
# src/getopt.c:             MIT and BSD
License:        GPLv2 and BSD and MIT
URL:            http://www.icecast.org/%{name}/
Source0:        http://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz
# Fix a crash on configuration without format, bug #1244481,
# <https://trac.xiph.org/ticket/2208>
Patch0:         ezstream-0.6.0-Check-for-undefined-stream-format.patch
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  pkgconfig(libxml-2.0) >= 2
BuildRequires:  pkgconfig(shout) >= 2.2
BuildRequires:  pkgconfig(taglib_c) >= 1.4
Source44: import.info

%description
Ezstream is a command line source client for Icecast media streaming servers.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many
more formats understood by TagLib library.

%prep
%setup -q
%patch0 -p1
mkdir __examples
cp -a examples __examples/examples
rm -f __examples/examples/Makefile*
chmod a-x __examples/examples/*

%build
%configure \
    --disable-debug
# --with-taglib actually inhibits the taglib support

%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir} $RPM_BUILD_ROOT%{_datadir}/examples

%files
%doc --no-dereference COPYING
%doc NEWS README __examples/examples
%{_bindir}/ezstream
%{_bindir}/ezstream-file.sh
%{_mandir}/man1/ezstream.1*
%{_mandir}/man1/ezstream-file.sh.1*

%changelog
