# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fedora-jam-backgrounds
Version:        1.0.1
Release:        alt1_0.11.git8db10f1
Summary:        Fedora Jam desktop backgrounds

Group:          Graphics
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/Fedora_jam
# hosted git://git.fedorahosted.org/music-creation.git/fedora-jam-backgrounds
# sh fedora-jam-backgrounds-snapshot.sh <git-revision>
Source0:        %{name}-%{version}-git8db10f1.tar.xz
Source1:        fedora-jam-backgrounds-snapshot.sh
BuildArch:      noarch

# for %%_kde4_* macros
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}
Source44: import.info


%description
This package contains desktop backgrounds for the Fedora Jam theme.
Pulls in both Gnome and KDE themes.

%package        single
Summary:        Single screen images for Fedora Jam Backgrounds
Group:          Graphics

%description    single
This package contains single screen images for Fedora Jam
Backgrounds.

%package        kde
Summary:        Fedora Jam Wallpapers for KDE
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    kde
This package contains KDE desktop wallpapers for the Fedora Jam
theme.

%package        gnome
Summary:        Fedora Jam Wallpapers for Gnome
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    gnome
This package contains Gnome desktop wallpapers for the Fedora Jam
theme.

%package        xfce
Summary:        Fedora Jam Wallpapers for XFCE4
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}
Requires:       xfdesktop

%description    xfce
This package contains XFCE4 desktop wallpapers for the Fedora Jam
theme.

%prep
%setup -q

%build
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc

%files single
%doc CC-BY-SA* Attribution 
#Attribution
%dir %{_datadir}/backgrounds/fedora-jam
%dir %{_datadir}/backgrounds/fedora-jam/default
%{_datadir}/backgrounds/fedora-jam/default/normalish
%{_datadir}/backgrounds/fedora-jam/default/standard
%{_datadir}/backgrounds/fedora-jam/default/wide

%files kde
%{_kde4_datadir}/wallpapers/Fedora_Jam/

%files gnome
%{_datadir}/backgrounds/fedora-jam/default/fedora-jam.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-fedora-jam.xml

%files xfce
%{_datadir}/xfce4/backdrops/fedora-jam.png


%changelog
