Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Utility to display new messages of a logfile since last run
Name: fetchlog
Version: 1.4
Release: alt2_19
License: GPLv2+
Url: http://sourceforge.net/projects/fetchlog
Source: http://dl.sf.net/sourceforge/fetchlog/fetchlog-%{version}.tar.gz

Buildrequires: gcc

Patch0: fetchlog-build.patch
Patch1: fetchlog-unusedvar.patch
Patch2: fetchlog-1.4-write.patch
Patch3: fetchlog-1.4-tests.patch
Patch4: fetchlog-1.4-printf.patch
Source44: import.info

%description
The fetchlog utility displays the last new messages of a logfile. It is
similar like tail (1) but offers some extra functionality for output
formatting. To show only the new messages appeared since the last call
fetchlog uses a bookmark to remember which messages have been fetched.

%prep
%setup -q 
%patch0
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
%make_build

%install
install -d %{buildroot}/%{_bindir}
install -d %{buildroot}/%{_mandir}/man1
install -m755 %{name} %{buildroot}/%{_bindir}
install -m644 %{name}.1 %{buildroot}/%{_mandir}/man1

%check
make test
make testall

%files 
%{_bindir}/%{name}
%doc CHANGES LICENSE README README.Nagios README.SNMP
%{_mandir}/*/*

%changelog
