Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		findthatword
Version:	0.1
Release:	alt1_22
Summary:	A word search maker

License:	GPLv3+
URL:		http://findthatword.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	findthatword.desktop
Patch0:		findthatword-0.1-modpath.patch
Patch1:		findthatword-0.1-gladepath.patch
Patch2:		findthatword-0.1-iconpath.patch
Patch3:		findthatword-0.1-licensepath.patch
Patch4:		findthatword-0.1-typo.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils python-devel
BuildRequires: /usr/bin/pathfix.py
Requires:	python-module-pygtk python-module-pygtk-demo icon-theme-hicolor
Source44: import.info

%description
A word search maker for teachers, parents and those who enjoy creating 
puzzles. FindThatWord aims to be the best free word search creation 
program available with useful features such as clues, hidden messages 
and automated page layout.

%prep
pathfix.py -pni "%{__python} %{py2_shbang_opts}" .

%setup -qn %{name}

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/findthatword

install -m 755 src/findthatword.py $RPM_BUILD_ROOT%{_bindir}/findthatword
install -m 644 src/*.svg $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/*.glade $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/*.ftw $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/COPYING $RPM_BUILD_ROOT%{_datadir}/findthatword/

mkdir -p $RPM_BUILD_ROOT%{python_sitelibdir_noarch}
install -m 644 src/puzzle.py $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/findthatword.py

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 src/ftw_small.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Tim Waugh <twaugh@redhat.com -->
<!--
BugReportURL: https://sourceforge.net/p/findthatword/discussion/909489/thread/e4f98f33/
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">findthatword.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Create word search puzzles</summary>
  <description>
    <p>
      Find That Word is an easy way to create your own word search puzzles ready
      to print or save as PDF.
    </p>
  </description>
  <url type="homepage">http://findthatword.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">http://findthatword.sourceforge.net/uploads/Screenshot-FindThatWord-Ubuntu.png</screenshot>
  </screenshots>
</application>
EOF

pathfix.py -pni "%{__python} %{py2_shbang_opts}" $RPM_BUILD_ROOT%{_bindir}/findthatword

%files
%doc doc/
%{_bindir}/*
%{_datadir}/findthatword
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/findthatword.desktop
%{_datadir}/icons/hicolor/scalable/apps/ftw_small.svg
%{python_sitelibdir_noarch}/findthatword*

%changelog
