Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fips
Version:        3.4.0
Release:        alt2_10
Summary:        OpenGL-based FITS image viewer
License:        LGPLv3+
Url:            https://github.com/matwey/fips3
Source:         https://github.com/matwey/fips3/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ctest cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  qt5-base-devel >= 5.6
Requires:       icon-theme-hicolor
Source44: import.info

%description
FIPS is a cross-platform FITS viewer with responsive user interface. Unlike
other FITS viewers FIPS uses GPU hardware via OpenGL to provide usual
functionality such as zooming, panning and level adjustments. OpenGL 2.1 and
later is supported.

FIPS supports all 2D image formats (except for floating point formats on OpenGL
2.1). FITS image extension has basic limited support.
FITS image extension has basic limited support.

%prep
%setup -q -n fips3-%{version}

%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/space.fips.Fips.desktop

%check
%fedora_v2_ctest

%files
%doc --no-dereference LICENSE.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/space.fips.Fips.desktop
%{_datadir}/metainfo/space.fips.Fips.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/space.fips.Fips.*

%changelog
