Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: boost-devel python-devel rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%undefine __cmake_in_source_build
%global gitrev 1b6103d
%global soversion 2

Name:           flexiport
Version:        2.0.0
Release:        alt2_21.20120701git1b6103d
Summary:        Flexible communications library

License:        LGPLv3
URL:            https://github.com/gbiggs/flexiport
# wget --content-disposition https://github.com/gbiggs/flexiport/tarball/1b6103da
Source0:        https://github.com/gbiggs/%{name}/tarball/1b6103da/gbiggs-%{name}-%{gitrev}.tar.gz
# Submitted upstream:
# https://github.com/gbiggs/flexiport/issues/2
Patch0:         flexiport-2.0.0-gcc47.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ctest cmake
BuildRequires:  doxygen
BuildRequires:  graphviz libgraphviz
BuildRequires:  python-module-sphinx
Source44: import.info

%description
Flexiport provides a consistent interface for communicating over a range of
data port types. Currently serial (including serial-over-USB), TCP and UDP
ports are supported. Logging is supported which allows communications sessions
to be played back at a later date without the original hardware present.

%package devel
Group: Other
Summary: Header files and libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and header files for %{name}

%prep
%setup -q -n gbiggs-%{name}-%{gitrev}
%patch0 -p0
# The "breathe" module is not available, so don't use it
sed -i 's/extensions/#extensions/' doc/conf.py.in
# Fix multilib installation directories
sed -i 's/\"lib\"/\"%{_lib}\"/' CMakeLists.txt

%build
%{fedora_v2_cmake} -DBUILD_EXAMPLES=OFF -DCMAKE_BUILD_TYPE=Release
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%files
%doc COPYING COPYING.LESSER
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{soversion}

%files devel
%{_docdir}/%{name}-2
%{_datadir}/%{name}-2
%{_includedir}/%{name}-2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}


%changelog
