Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define fedora 34
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: fmf
Version: 0.16.0
Release: alt1_2

Summary: Flexible Metadata Format
License: GPLv2+
BuildArch: noarch

URL: https://github.com/psss/fmf
Source0: https://github.com/psss/fmf/releases/download/%{version}/fmf-%{version}.tar.gz

# Depending on the distro, we set some defaults.
# Note that the bcond macros are named for the CLI option they create.
# "%%bcond_without" means "ENABLE by default and create a --without option"

# Fedora or RHEL 8+
%if 0%{?fedora} || 0%{?rhel} > 7
%bcond_with python2
%bcond_with oldreqs
%bcond_with englocale
# RHEL 7
%else
%bcond_without python2
# The automatic runtime dependency generator doesn't exist yet
%bcond_without oldreqs
# The C.UTF-8 locale doesn't exist, Python defaults to C (ASCII)
%bcond_without englocale
%endif

# Main tmt package requires the Python module
%if %{with python2}
Requires: python-module-%{name} == %{version}-%{release}
%else
Requires: python3-module-fmf == %{version}-%{release}
%endif
Source44: import.info

%description
The fmf Python module and command line tool implement a flexible
format for defining metadata in plain text files which can be
stored close to the source code. Thanks to hierarchical structure
with support for inheritance and elasticity it provides an
efficient way to organize data into well-sized text documents.
This package contains the command line tool.

%?python_enable_dependency_generator


# Python 2
%if %{with python2}
%package -n python-module-fmf
Group: Other
Summary:        %{summary}
BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: pytest
BuildRequires: python-module-yaml
BuildRequires: python-module-filelock
BuildRequires: python-module-six
BuildRequires: git-core
%{?python_provide:%python_provide python2-%{name}}
Requires:       python-module-yaml
Requires:       python-module-filelock
Requires:       python-module-six
Requires:       git-core

%description -n python-module-fmf
The fmf Python module and command line tool implement a flexible
format for defining metadata in plain text files which can be
stored close to the source code. Thanks to hierarchical structure
with support for inheritance and elasticity it provides an
efficient way to organize data into well-sized text documents.
This package contains the Python 2 module.
%else


# Python 3
%package -n python3-module-fmf
Group: Other
Summary:        %{summary}
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
BuildRequires: pytest pytest3 python3-module-pytest
BuildRequires: python3-module-yaml
BuildRequires: python3-module-filelock
BuildRequires: git-core
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}
Requires:       git-core
%if %{with oldreqs}
Requires:       python3-module-yaml
Requires:       python3-module-filelock
%endif

%description -n python3-module-fmf
The fmf Python module and command line tool implement a flexible
format for defining metadata in plain text files which can be
stored close to the source code. Thanks to hierarchical structure
with support for inheritance and elasticity it provides an
efficient way to organize data into well-sized text documents.
This package contains the Python 3 module.
%endif


%prep
%setup -q



%build
%if %{with englocale}
export LANG=en_US.utf-8
%endif

%if %{with python2}
%python_build
%else
%python3_build
%endif


%install
%if %{with englocale}
export LANG=en_US.utf-8
%endif

%if %{with python2}
%python_install
%else
%python3_install
%endif

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 fmf.1* %{buildroot}%{_mandir}/man1


%check
%if %{with englocale}
export LANG=en_US.utf-8
%endif

%if %{with python2}
%{__python} -m pytest -vv -c tests/unit/pytest.ini -m 'not web'
%else
%{__python3} -m pytest -vv -c tests/unit/pytest.ini -m 'not web'
%endif


%{!?_licensedir:%global license %%doc}

%files
%{_mandir}/man1/*
%{_bindir}/%{name}
%doc README.rst examples
%doc --no-dereference LICENSE

%if %{with python2}
%files -n python-module-fmf
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/%{name}-*.egg-info
%doc --no-dereference LICENSE
%else
%files -n python3-module-fmf
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/%{name}-*.egg-info
%doc --no-dereference LICENSE
%endif


%changelog
