%global debug_package %{nil}

Name:           fourterm
Version:        1.0.6
Release:        alt1_5
Summary:        Lightweight split-screen terminal emulator with vim key mappings

Group:          Terminals
License:        GPLv3+
URL:            https://github.com/lzap/fourterm
Source0:        http://lzap.fedorapeople.org/projects/fourterm/releases/%{name}-%{version}.tar.gz

Requires:       libgtk+3 vte3
Requires:       fonts-bitmap-terminus

BuildRequires:  waf intltool gettext desktop-file-utils
BuildRequires:  libvala-devel >= 0.12
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(vte-2.90)
BuildRequires:  pkgconfig(gee-1.0)
Source44: import.info


%description
FourTerm is ultra-lightweight terminal emulator with vim-like keyboard shortcuts
for window navigation, active web and file links, search feature and sexy color
"Solarized" scheme with day/night fast switching. It is based on ValaTerm and
comparable to Terminator.


%prep
%setup -q


%build
waf configure --with-gtk3 --prefix=%{_prefix}
waf


%install
waf install --destdir=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp build/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING INSTALL ChangeLog
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog
