Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize pkgconfig(x11)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Password manager with GTK3 GUI
Name: fpm2
Version: 0.90
Release: alt2_3
License: GPLv2+
Source: http://als.regnet.cz/%{name}/download/%{name}-%{version}.tar.xz
URL: http://als.regnet.cz/fpm2/
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel, libxml2-devel, libnettle-devel, desktop-file-utils gettext gettext-tools, intltool, gcc
Source44: import.info

%description
Figaro's Password Manager 2 is a program that allows you to securely store the
passwords using GTK3 interface. Features include:
- Passwords are encrypted with the AES-256-GCM algorithm.
- Copy passwords or user names to the clipboard/primary selection.
- If the password is for a web site, FPM2 can keep track of the URLs of your
  login screens and can automatically launch your browser. In this capacity,
  FPM2 acts as a kind of bookmark manager.
- Combine all three features: you can configure FPM2 to bring you to a web
  login screen, copy your user name to the clipboard and your password to the
  primary selection, all with a single button click.
- FPM2 also has a password generator that can choose passwords for you. It
  allows you to determine how long the password should be, and what types of
  characters (lower case, upper case, numbers and symbols) should be used.
  You can even have it avoid ambiguous characters such as a capital O or the
  number zero.
- Auto-minimize and/or auto-locking passwords database after configurable time
  to the tray icon.

%prep
%setup -q

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} install

%find_lang %{name}

desktop-file-install \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/fpm2
%{_datadir}/pixmaps/fpm2
%{_mandir}/man1/fpm2.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/fpm2.png

%changelog
