Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           free42
URL:            http://www.thomasokken.com/free42/
Epoch:          2
Version:        1.4.77
Release:        alt1_13
License:        GPLv2 and MIT
Summary:        42S Calculator Simulator
Source:         http://www.thomasokken.com/free42/upstream/free42-nologo-%{version}.tgz

BuildRequires:  gcc-c++
BuildRequires:  libX11-devel
BuildRequires:  libXmu-devel
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:  ImageMagick-tools
BuildRequires:  desktop-file-utils
Patch0:         free42-Wno-narrowing.patch
Source44: import.info

%description
Free42 is a complete re-implementation of the 42S calculator and the
82240 printer.  It was written from scratch, without using any HP code.

%prep
%setup -q -n free42-nologo-%{version}
%patch0 -p1

%build
cd gtk
sed -i 's/^\(LIBS := .*\)/\1 -lX11/' Makefile
sed -i "/^CXXFLAGS :=/s@-MMD -Wall -g@%{optflags}@" Makefile
# make fails when using %{?_smp_mflags}
make -e BCD_MATH=1
convert icon.xpm free42.png
cat <<EOF >free42.desktop
[Desktop Entry]
Name=free42
GenericName=Free42 calculator simulator
Exec=free42dec
Icon=free42
Terminal=false
Type=Application
Categories=Utility;Calculator;
EOF

%install
install -D -p -m 755 gtk/free42dec %{buildroot}%{_bindir}/free42dec
install -D -p -m 644 gtk/free42.png %{buildroot}/usr/share/pixmaps/%{name}.png
install -D -p -m 644 gtk/free42.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/free42dec
%doc CREDITS HISTORY README TODO VERSION
%doc --no-dereference COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
