Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/hg /usr/bin/mysql /usr/bin/swig /usr/bin/xxd pkgconfig(jsoncpp) pkgconfig(libpcrecpp) pkgconfig(libpq) pkgconfig(libxml-2.0) python-devel rpm-build-python swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global _hardened_build 1

Name:           freeDiameter
Version:        1.5.0
Release:        alt2_2
Summary:        A Diameter protocol open implementation

License:        BSD
URL:            http://www.freediameter.net/
Source0:        http://www.freediameter.net/hg/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  ctest cmake
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libgnutls-devel libgnutlsxx-devel
BuildRequires:  libidn-devel
BuildRequires:  gcrypt-utils libgcrypt-devel
BuildRequires:  liblksctp-devel
Source44: import.info

%description
freeDiameter is an open source Diameter protocol implementation. It provides 
an extensible platform for deploying a Diameter network for your 
Authentication, Authorization and Accounting needs.

%package devel
Group: Development/Other
Summary:        Library for freeDiameter package
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the shared library
for %{name} package.

%prep
%setup -q


%build
%{fedora_v2_cmake} -DCMAKE_INSTALL_PREFIX=%{_prefix} -DDISABLE_SCTP=ON . -Wno-dev
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install



%files
%doc doc
%{_bindir}/freeDiameterd
%{_bindir}/%{name}d-%{version}
%{_libdir}/libfdcore.so.6
%{_libdir}/libfdproto.so.6
%{_libdir}/libfdcore.so.%{version}
%{_libdir}/libfdproto.so.%{version}

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}/
%{_libdir}/libfdcore.so
%{_libdir}/libfdproto.so

%changelog
