# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/ccache /usr/bin/doxygen /usr/bin/valgrind boost-devel bzlib-devel gcc-c++ libGLU-devel libX11-devel libXxf86vm-devel libglvnd-devel libgtest-devel libhiredis-devel libjpeg-devel libpng-devel libsnappy-devel perl(Fcntl.pm) perl(IO/Socket/IP.pm) perl(JSON.pm) perl(Net/Ping.pm) perl(Socket.pm) perl(Time/HiRes.pm) pkgconfig(CEGUI-0-IRRLICHT) pkgconfig(glesv2) python-devel rpm-build-python spatialindex-devel unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           freeminer
Version:        0.4.14.8
Release:        alt1_7
Summary:        Open source Minecraft-inspired sandbox game based on Minetest
Group:          Games/Other
License:        GPLv3+ and CC-BY-SA 3.0
URL:            http://freeminer.org/
Source0:        https://github.com/freeminer/freeminer/releases/download/%{version}/%{name}-%{version}.zip
Patch0:         freeminer-0.4.12.6-mga-desktop.patch
Patch1:         freeminer-git-msgpack-2.0.patch
Patch2:         freeminer-0.4.12.8-luajit.patch
Patch3:         freeminer-0.4.12.8-system-enet.patch

BuildRequires:  ccmake cmake ctest
BuildRequires:  clang7.0 llvm7.0
BuildRequires:  libenet-devel
BuildRequires:  gettext gettext-tools
BuildRequires:  libgmp-devel
BuildRequires:  libirrlicht-devel
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(leveldb)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(msgpack)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)
Source44: import.info

%description
Freeminer is a Minecraft-inspired sandbox game.

Freeminer is based on Minetest which is developed by a number of contributors
from all over the globe. Unlike Minetest it aims to make the game fun while
trading off some bits of perfectionism.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%remove_optflags -frecord-gcc-switches
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
export CXXFLAGS="%{optflags} -Wno-deprecated-declarations"
%{mageia_cmake} \
       -DCMAKE_C_COMPILER=clang \
       -DCMAKE_CXX_COMPILER=clang++ \
       -DRUN_IN_PLACE=0 \
       -DCUSTOM_BINDIR:PATH=%{_gamesbindir} \
       -DCUSTOM_LOCALEDIR:PATH=%{_datadir}/locale \
       -DCUSTOM_SHAREDIR:PATH=%{_gamesdatadir}/%{name} \
       -DENABLE_SYSTEM_MSGPACK=ON \
       -DENABLE_SYSTEM_JSONCPP=ON \
       -DENABLE_CURL:BOOL=ON \
       -DENABLE_GETTEXT:BOOL=ON \
       -DENABLE_IPV4_DEFAULT:BOOL=OFF \
       -DENABLE_LEVELDB:BOOL=ON \
       -DENABLE_REDIS:BOOL=OFF \
       -DBUILD_SHARED_LIBS:BOOL=OFF

%make_build

%install
%makeinstall_std -C build

%find_lang %{name}
rm -f %buildroot%_man6dir/freeminerserver.6*

%files -f %{name}.lang
%doc README.md freeminer.conf.example
%doc doc/*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}server
%{_gamesdatadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*
#%{_mandir}/man6/%{name}server.6*


%changelog
