# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ libfftw-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Summary:       Realtime audio frequency spectral manipulation
Name:          freqtweak
Version:       0.7.2
Release:       alt1_19
URL:           http://%{name}.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:       %{name}.png
Source2:       %{name}.desktop
Patch0:        %{name}-%{version}-gcc44.patch
Patch1:        %{name}-%{version}-long.patch
# correct macro in error
Patch2:        %{name}-%{version}-man-page.patch  
# correct fsf address
Patch3:        %{name}-%{version}-fsf-address.patch  
# gcc7 fix
Patch4:        %{name}-gcc7.patch

License:       GPLv2+
Group:         Sound
Requires:      icon-theme-hicolor

BuildRequires: libsigc++1.2-devel 
BuildRequires: desktop-file-utils 
BuildRequires: libfftw3-devel
BuildRequires: libjack-devel 
BuildRequires: libxml2-devel
BuildRequires: libwxGTK-contrib-gizmos-devel libwxGTK-contrib-ogl-devel libwxGTK-contrib-stc-devel libwxGTK-devel
Source44: import.info

%description
FreqTweak is a tool for FFT-based realtime audio spectral manipulation
and display. It provides several algorithms for processing audio data
in the frequency domain and a highly interactive GUI to manipulate the
associated filters for each. It also provides high-resolution spectral
displays in the form of scrolling-raster spectragrams and energy vs
frequency plots displaying both pre- and post-processed spectra.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i -e 's|-O2 -fexpensive-optimizations -funroll-loops -finline-functions -ffast-math|%{optflags}|'\
    Makefile.in

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=%{buildroot} install

# install icon in the proper freedesktop location
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE2}

%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%changelog
