# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:              fwbackups
Version:           1.43.7
Release:           alt1_6
Summary:           A feature-rich user backup program
Group:             Archiving/Other
License:           GPLv2+
URL:               http://www.diffingo.com/oss/fwbackups/
Source0:           http://downloads.diffingo.com/fwbackups/fwbackups-%{version}.tar.bz2
Patch0:            5f8aaa63638f1350cd92b34540b2af08368e9dda.patch
BuildArch:         noarch

BuildRequires:     desktop-file-utils
# Pulls gettext, autotools
BuildRequires:     intltool
BuildRequires:     python-devel >= 2.4

Requires:          /usr/bin/crontab
Requires:          tar, rsync
Requires:          python-module-notify
Requires:          python-module-pygtk python-module-pygtk-demo, python-module-pygtk-libglade
Requires:          python >= 2.4
Requires:          python-module-paramiko
Source44: import.info

%description
fwbackups is a feature-rich user backup program that allows users (including
but not limited to root) to backup their files on demand or periodically via
backup sets. Each set may have different settings meaning users can backup
groups of files and folders to different destinations at different times.
Restores can be performed at any time using an existing backup from fwbackups
or from the contents of an external folder or archive.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure
# We don't implement this yet: make %{?_smp_mflags}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README.md TODO.md
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{python_sitelibdir_noarch}/%{name}/

%changelog
