Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gadget
Version:        0.0.3
Release:        alt1_24
Summary:        XMPP server component for tracking people and activities

License:        GPLv2
URL:            http://wiki.laptop.org/go/Gadget
Source0:        http://dev.laptop.org/pub/gadget/gadget-%{version}.tar.gz
Source1:        gadget.service

BuildArch:      noarch

BuildRequires: libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils
BuildRequires: python-devel

Requires: python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words
Requires: ejabberd
Source44: import.info

#Requires(post): /sbin/chkconfig
#Requires(preun): /sbin/chkconfig
#Requires(preun): /sbin/service
#Requires(postun): /sbin/service

%description
Gadget is an XMPP server component written to scale Jabber
server based collaborative activities via Telepathy Gabble.

%prep
%setup -q

%build
%python_build

%install
%python_install

mkdir -p $RPM_BUILD_ROOT/var/lib/gadget

install -p -D -m 644 gadget.config $RPM_BUILD_ROOT/%{_sysconfdir}/gadget/gadget.config
install -p -D -m 644 gadget.tac $RPM_BUILD_ROOT/%{_datadir}/gadget/gadget.tac
install -p -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_unitdir}/gadget.service


%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable gadget.service > /dev/null 2>&1 || :
    /bin/systemctl stop gadget.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart gadget.service >/dev/null 2>&1 || :
fi


%files
%doc NEWS README COPYING
%config(noreplace) %{_sysconfdir}/gadget/gadget.config
%{_unitdir}/gadget.service
%{_datadir}/gadget/gadget.tac
%{python_sitelibdir_noarch}/gadget
%{python_sitelibdir_noarch}/*.egg-info
%dir /var/lib/gadget

%changelog
