# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode/Locale.pm) perl(HTTP/Config.pm) perl(HTTP/Cookies.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(Module/CoreList.pm) perl(Term/ProgressBar.pm) perl(Text/Balanced.pm) perl(UNIVERSAL/require.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm) perl(Encode/CN.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           get-flash-videos
Version:        1.25.99.03
Release:        alt2_6
Summary:        CLI tool to download flash video from websites
Group:          Communications
                # License breakdown in README.fedora
License:        ASL 2.0 and GPLv3+
URL:            https://github.com/monsieurvideo/get-flash-videos
# rel_tag=20120714git162d964;
# srcdir=get-flash-videos
# git clone git://github.com/monsieurvideo/get-flash-videos.git $srcdir
# cd $srcdir;  git reset --hard ${rel_tag##*git}; cd ..
# tar czf $srcdir-$rel_tag.tar.gz --exclude .git $srcdir
Source0:        https://github.com/monsieurvideo/get-flash-videos/archive/%{version}/get-flash-videos-%{version}.tar.gz
Source1:        README.fedora
BuildArch:      noarch

# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Modules
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Crypt/Blowfish_PP.pm)
BuildRequires:  perl(Crypt/Rijndael.pm)
BuildRequires:  perl(Data/AMF/Packet.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(Digest/SHA.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Fcntl.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/stat.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(HTML/TokeParser.pm)
BuildRequires:  perl(HTML/Tree.pm)
BuildRequires:  perl(integer.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(LWP/Protocol/https.pm)
BuildRequires:  perl(LWP/Simple.pm)
BuildRequires:  perl(Memoize.pm)
BuildRequires:  perl(MIME/Base64.pm)
BuildRequires:  perl(Module/Find.pm)
BuildRequires:  perl(Net/Netrc.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Symbol.pm)
BuildRequires:  perl(Term/ReadKey.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(Time/localtime.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(URI/Find.pm)
BuildRequires:  perl(URI/QueryParam.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(WWW/Mechanize.pm)
BuildRequires:  perl(WWW/Mechanize/Link.pm)
BuildRequires:  perl(XML/Simple.pm)
# Scripts
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Text/Wrap.pm)
# Tests
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Tie/IxHash.pm)
BuildRequires:  perl(utf8.pm)
# Dependencies
Requires:       perl(Compress/Zlib.pm)
Requires:       perl(Crypt/Rijndael.pm)
Requires:       perl(Cwd.pm)
Requires:       perl(Data/AMF/Packet.pm)
Requires:       perl(Digest/MD5.pm)
Requires:       perl(Digest/SHA.pm)
Requires:       perl(File/Copy.pm)
Requires:       perl(File/Path.pm)
Requires:       perl(File/Spec.pm)
Requires:       perl(Net/Netrc.pm)
Requires:       perl(Term/ReadKey.pm)
Requires:       perl(URI/Find.pm)
Requires:       perl(XML/Simple.pm)
Requires:       rtmpdump
Requires:     perl(DBI.pm)
Requires:     perl(LWP/Simple.pm)
Requires:     perl(Memoize.pm)


Source44: import.info

%description
Download videos from various Flash-based video hosting sites, without
having to use the Flash player. Handy for saving videos for watching
offline, and means you don't have to keep upgrading Flash for sites that
insist on a newer version of the player.


%prep
%setup -q
cp %{SOURCE1} .


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build
# Search is  currently broken, see README.fedora
rm t/google_video_search.t


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
cp -a utils/ff-get-flash-video $RPM_BUILD_ROOT%{_bindir}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc --no-dereference LICENSE README.fedora
%doc README.md
%{perl_vendor_privlib}/*
%{_bindir}/get_flash_videos
%{_bindir}/ff-get-flash-video
%{_mandir}/man1/*.1*


%changelog
