Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gf2x
Version:        1.3.0
Release:        alt2_4
Summary:        Polynomial multiplication over the binary field

License:        GPLv2+
URL:            http://gf2x.gforge.inria.fr/
Source0:        https://gforge.inria.fr/frs/download.php/file/38243/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
Source44: import.info

%description
Gf2x is a C/C++ software package containing routines for fast arithmetic
in GF(2)[x] (multiplication, squaring, GCD) and searching for
irreducible/primitive trinomials.

%package devel
Group: Other
Summary:        Headers and library files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Headers and library files for developing applications that use %{name}.

%prep
%setup -q


# Fix the FSF's address
for badfile in `grep -FRl 'Fifth Floor' .`; do
  sed -e 's/Fifth Floor/Suite 500/' -e 's/02111-1307/02110-1335/' \
      -i.orig $badfile
  touch -r $badfile.orig $badfile
  rm -f $badfile.orig
done

# Workaround broken configure macros
sed -e "s/GF2X_PCLMUL_AVAILABLE_TRUE=$/&'#'/" \
    -e "/GF2X_PCLMUL_AVAILABLE_FALSE/s/'#'//" \
    -i configure

%build
fixtimestamp() {
  touch -r $1.orig $1
  rm -f $1.orig
}

# Build the SSE2 version for x86, the native version for all other arches.
# Support for pclmul would be nice, but not all x86s support it.
%ifarch %{ix86} x86_64
%configure --disable-static --disable-hardware-specific-code --enable-sse2 \
  --disable-sse3 --disable-ssse3 --disable-sse41 --disable-pclmul \
  --disable-silent-rules --enable-fft-interface
# Workaround broken configure macros
sed -i.orig 's,/\* #undef \(GF2X_HAVE_SSE2_SUPPORT\) \*/,#define \1 1,' \
    gf2x/gf2x-config.h gf2x/gf2x-config-export.h
fixtimestamp gf2x/gf2x-config.h
fixtimestamp gf2x/gf2x-config-export.h
%else
# Workaround broken configure macros
sed -e "s/GF2X_SSE2_AVAILABLE_TRUE=$/&'#'/" \
    -e "/GF2X_SSE2_AVAILABLE_FALSE/s/'#'//" \
    -i configure
%configure --disable-static --disable-hardware-specific-code --disable-sse2 \
  --disable-sse3 --disable-ssse3 --disable-sse41 --disable-pclmul \
  --disable-silent-rules --enable-fft-interface
%endif

# Get rid of undesirable hardcoded rpaths; workaround libtool reordering
# -Wl,--as-needed after all the libraries.
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|CC="\(.*g..\)"|CC="\1 -Wl,--as-needed"|' \
    -i libtool

%make_build --eval='.SECONDARY:'

%install
%makeinstall_std INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%check
LD_LIBRARY_PATH=$PWD/.libs:$PWD/fft/.libs make check

%files
%doc AUTHORS BUGS NEWS README TODO
%doc --no-dereference COPYING
%{_libdir}/lib%{name}.so.3
%{_libdir}/lib%{name}.so.3.*
%{_libdir}/lib%{name}-fft.so.3
%{_libdir}/lib%{name}-fft.so.3.*

%files devel
%doc ChangeLog
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-fft.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
