Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install fontconfig-devel libXfixes-devel libXft-devel libXrender-devel libfreetype-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           giada
Version:        0.16.4
Release:        alt1_1
Summary:        An audio looping machine

License:        GPLv3+
URL:            https://www.giadamusic.com
Source0:        %{url}/data/%{name}-%{version}-src.tar.gz
# submitted upstream https://github.com/monocasual/giada/issues/5
Source1:        giada.desktop

BuildRequires:  gcc-c++
BuildRequires:  libsndfile-devel
BuildRequires:  libalsa-devel
BuildRequires:  libfltk-devel
BuildRequires:  libfltk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  icoutils icoutils-extra
BuildRequires:  libjansson-devel
BuildRequires:  librtaudio-devel
BuildRequires:  librtmidi-devel
BuildRequires:  libXpm libXpm-devel
BuildRequires:  libXext-devel
BuildRequires:  libjack-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXinerama-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
Source44: import.info


%description
giada is an audio looper for ALSA/JACK using the FLTK toolit.
Load or record up to 32 samples, choose to play them in single mode 
(drum machine) or loop mode (sequencer) and start the show with your computer 
keyboard as a controller. Giada aims to be a compact and portable virtual 
device for Linux for production use and live sets. 
%prep
%setup -q -n %{name}-%{version}-src

# convert icon
icotool -x src/ext/giada.ico

# fix build issue
sed -i 's|%f|%.3f|' src/gui/elems/mainWindow/mainTimer.cpp

%build
./autogen.sh
%configure --prefix=%{_prefix} --target=linux --enable-system-catch
%make_build

%install 
%makeinstall_std
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE1
install -D -m 644 giada_1_48x48x32.png %{buildroot}%{_datadir}/pixmaps/giada.png

%files
%doc --no-dereference COPYING
%doc ChangeLog README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
