# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libfftw3-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name gimp-plugin-astronomy
%define         moname        %{name}
%define         plugindir     %{_libdir}/gimp/2.0/plug-ins
%define         scriptdir     %{_datadir}/gimp/2.0/scripts

Name:           gimp-plugin-astronomy
Version:        0.9
Release:        alt2_6
Summary:        Astronomy plugins for the GIMP graphic editor
License:        GPLv2+
Group:          Graphics

URL:            http://hennigbuam.de/georg/gimp.html
Source0:        http://www.hennigbuam.de/georg/downloads/%{name}-%{version}.tar.bz2

#fix docdir to standard location (/usr/share/doc/gimp-plugin-astronomy)
Patch0:         gimp-plugin-astronomy-0.8_docdir.patch
Patch1:         gimp-plugin-astronomy-0.8-gsl2.patch
Patch2:         gimp-plugin-astronomy-0.9-gcc7.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gimp-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gsl)
Requires:       gimp >= 2.6.0
Source44: import.info


%description
Gimp Astronomy is a set of plug-ins for the Gimp graphic editor
intended for astronomical image processing. They support various basic
and more advanced tasks such as aligning and stacking images with
arithmetic, geometric, median, or sigma mean, removing dark frames and
dividing by a flat field. Some plug-gins are designed for creating
synthetic stars distribution or synthetic galaxy images.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
autoreconf -fi
export LIBS="-lm"
%configure \
    CPPFLAGS=-D_XOPEN_SOURCE=700
%make_build


%install
%makeinstall_std INSTALLDIR="%{buildroot}/%{plugindir}" \
      LOCALEDIR="%{buildroot}/%{_datadir}/locale"
%find_lang %{moname}



%files -f %{moname}.lang
%doc README AUTHORS
%{scriptdir}/*.scm
%{plugindir}/astronomy-*
%{_docdir}/gimp-plugin-astronomy




%changelog
