Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gkplugindir %{_libdir}/gkrellm2/plugins

Name:           gkrellm-sun
Version:        1.0.0
Release:        alt2_31
Summary:        Sun clock plugin for GKrellM
License:        GPLv2
URL:            http://gkrellsun.sourceforge.net/
Source0:        http://downloads.sf.net/gkrellsun/gkrellsun-%{version}.tar.gz
Source1:        gnome-%{name}.metainfo.xml
# Fix a bunch of compiler warnings
Patch0:         gkrellsun-1.0.0-fixes.patch
# Fix rhbz 1231394
Patch1:         gkrellsun-1.0.0-rhbz1231394.patch
Requires:       gkrellm >= 2.2.0
BuildRequires:  gcc
BuildRequires:  gkrellm-devel >= 2.2.0
BuildRequires:  libappstream-glib
Source44: import.info

%description
A sun clock plugin for GKrellM which can display the sun's setting time,
rising time, path and current location and so on.


%prep
%setup -q -n gkrellsun-%{version}
%patch0 -p1
%patch1 -p1


%build
%make_build FLAGS='%{optflags} -fPIC $(GTK_INCLUDE)' \
    LFLAGS='%{__global_ldflags} -shared'


%install
install -D -m 0755 src20/gkrellsun.so \
    %{buildroot}%{gkplugindir}/gkrellsun.so
install -p -D -m 644 %{SOURCE1} \
    %{buildroot}%{_datadir}/appdata/gnome-%{name}.metainfo.xml
appstream-util validate-relax --nonet \
    %{buildroot}%{_datadir}/appdata/gnome-%{name}.metainfo.xml


%files
%doc AUTHORS README
%doc --no-dereference COPYING
%{gkplugindir}/gkrellsun.so
%{_datadir}/appdata/gnome-%{name}.metainfo.xml


%changelog
