Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		glue-schema
Version:	2.0.11
Release:	alt2_12
Summary:	LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema
License:	ASL 2.0
URL:		http://forge.ogf.org/sf/projects/glue-wg
#		The source tarball is created from a svn checkout:
#		svn export http://svn.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_11 glue-schema-2.0.11
#		tar -z -c -f glue-schema-2.0.11.tar.gz glue-schema-2.0.11
Source:		%{name}-%{version}.tar.gz
Source1:	http://www.ogf.org/documents/GFD.147.pdf
BuildArch:	noarch
Source44: import.info

%description
The GLUE specification is an information model for Grid entities such
as computing clusters and data storage facilities. As a conceptual
model, it is designed to be independent from the concrete data models
adopted for its implementation. The specification can be rendered to
several concrete data models such as XML Schema, LDAP Schema or SQL.

This package provides LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema.

%package doc
Group: Documentation
Summary:	The GLUE Schema version 2.0 specification
BuildArch: noarch

%description doc
The GLUE Schema version 2.0 specification (GFD.147)

%prep
%setup -q

%build 
# Nothing to build

install -m 644 -p %{SOURCE1} .

%install
mkdir -p %{buildroot}/%{_sysconfdir}/ldap/schema
install -m 644 -p etc/ldap/schema/* %{buildroot}/%{_sysconfdir}/ldap/schema

%files
%config(noreplace) %{_sysconfdir}/ldap
%doc debian/copyright

%files doc
%doc GFD.147.pdf

%changelog
