# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gacutil /usr/bin/gapi2-codegen /usr/bin/gapi2-fixup /usr/bin/gapi2-parser /usr/bin/mcs /usr/bin/mono gcc-c++ pkgconfig(gtksourceview-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define gtk_sharp 2.12.2
%define gnome_sharp 2.24.0
%define monodir %_prefix/lib/mono

Summary: C# language bindings for GNOME desktop
Name: gnome-desktop-sharp
Version: 2.26.0
Release: alt1_19
Source0: https://download.gnome.org/sources/%name/%{name}-%{version}.tar.bz2
Patch: gnome-desktop-sharp-2.26.0-new-libgnomedesktop-major.patch
License: LGPLv2
Group: System/Libraries
Url: http://www.mono-project.com/Main_Page
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(gapi-2.0) >= %{gtk_sharp}
BuildRequires:	libgtk-sharp2 >= %{gtk_sharp}
BuildRequires:	libgtk-sharp2 >= %{gtk_sharp}
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.18.2
BuildRequires:	pkgconfig(libgtkhtml-3.14) >= 3.16.0
BuildRequires:	pkgconfig(vte) >= 0.16.9
# gnome-panel bindings temporary disabled
#BuildRequires:	gnome-panel-devel
#BuildRequires:	pkgconfig(libgnomeprintui-2.2)
BuildRequires:	pkgconfig(gnome-desktop-2.0)
BuildRequires:	pkgconfig(libwnck-1.0) >= 2.20.0
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 2.0.0
BuildRequires:	libgnome-sharp libgnome-sharp-devel
Source44: import.info

%description
This contains C# language bindings for some of the GNOME desktop libraries.

%package devel
Summary: C# language binding for the GNOME desktop - devel files
Group: Development/Other
Requires: %name = %version
Requires: gtkhtml-sharp = %version
Requires: vte-sharp = %version
Requires: rsvg-sharp = %version
Requires: wnck-sharp = %version
Requires: gtksourceview-sharp2 = %version
#Requires: gnome-print-sharp = %%{version}
Conflicts: gnome-desktop-sharp < 2.20.1-2mdv

%description devel
This is a C# language binding for the GNOME desktop. It contains all
files that are needed to build against %{name}.

#package -n gnome-print-sharp
#Group: System/Libraries
#Summary: C# language binding for the GNOME print library

#description -n gnome-print-sharp
#This contains the C# language binding for the GNOME print library.

#%package -n gnome-panel-sharp
#Group: System/Libraries
#Summary: C# language binding for the GNOME panel
#
#%description -n gnome-panel-sharp
#This contains the C# language binding for the GNOME panel.

%package -n vte-sharp
Group: System/Libraries
Summary: C# language binding for VTE

%description -n vte-sharp
This contains the C# language binding for the VTE library.

%package -n rsvg-sharp
Group: System/Libraries
Summary: C# language binding for librsvg

%description -n rsvg-sharp
This contains the C# language binding for the librsvg library.

%package -n wnck-sharp
Group: System/Libraries
Summary: C# language binding for libwnck

%description -n wnck-sharp
This contains the C# language binding for the libwnck library.

%package -n gtkhtml-sharp
Group: System/Libraries
Summary: C# language binding for gtkhtml

%description -n gtkhtml-sharp
This contains the C# language binding for the gtkhtml library.

%package -n gtksourceview-sharp2
Group: System/Libraries
Summary: C# language binding for gtksourceview 2

%description -n gtksourceview-sharp2
This contains the C# language binding for the gtksourceview 2 library.


%prep
%setup -q
%patch0 -p1

%build
#to recognize aarch64
autoreconf -vfi

%configure
make

%install
%makeinstall
rm -rf %buildroot%_libdir/lib*a

%files
%doc README NEWS  HACKING AUTHORS
%monodir/gac/gnomedesktop-sharp
%monodir/gnomedesktop-sharp-2.20

#files -n gnome-print-sharp
#monodir/gac/gnome-print-sharp
#monodir/gnome-print-sharp-2.18

#files -n gnome-panel-sharp
#monodir/gac/gnome-panel-sharp
#_libdir/libgnomepanelsharpglue-2.so
#monodir/gnome-panel-sharp-2.24

%files -n vte-sharp
%monodir/gac/vte-sharp
%_libdir/libvtesharpglue-2.so
%monodir/vte-sharp-0.16

%files -n rsvg-sharp
%monodir/gac/rsvg2-sharp
%monodir/rsvg2-sharp-2.0

%files -n wnck-sharp
%monodir/gac/wnck-sharp
%monodir/wnck-sharp-2.20
%_libdir/libwncksharpglue-2.so

%files -n gtksourceview-sharp2
%monodir/gac/gtksourceview2-sharp
%monodir/gtksourceview2-sharp-2.0
#_libdir/libgtksourceview2sharpglue-2.so

%files -n gtkhtml-sharp
%monodir/gac/gtkhtml-sharp
%monodir/gtkhtml-sharp-3.14
%_libdir/libgtkhtmlsharpglue-2.so

%files devel
%doc ChangeLog
%_libdir/pkgconfig/gnome-desktop-sharp-2.0.pc
%_libdir/pkgconfig/gtkhtml-sharp-3.14.pc
%_libdir/pkgconfig/gtksourceview2-sharp.pc
%_libdir/pkgconfig/rsvg2-sharp-2.0.pc
%_libdir/pkgconfig/vte-sharp-0.16.pc
%_libdir/pkgconfig/wnck-sharp-1.0.pc
#_libdir/pkgconfig/gnome-panel-sharp-2.24.pc
#_libdir/pkgconfig/gnome-print-sharp-2.18.pc
%_datadir/gnomedesktop-sharp
%_datadir/gtkhtml-sharp
%_datadir/gtksourceview2-sharp
%_datadir/rsvg2-sharp
%_datadir/vte-sharp
%_datadir/wnck-sharp
#_datadir/gnome-panel-sharp
#_datadir/gnome-print-sharp


%changelog
