Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      gnome-packagekit
Version:   3.32.0
Release:   alt2_7
Summary:   Session applications to manage packages

License:   GPLv2+
URL:       http://www.packagekit.org
Source0:   http://download.gnome.org/sources/gnome-packagekit/3.32/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel libgio libgio-devel
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: libnotify-devel libnotify-gir-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext gettext-tools
BuildRequires: libtool
BuildRequires: libcairo-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libpackagekit-glib-devel >= 0.5.0
BuildRequires: libX11-devel libXvMC-devel xorg-proto-devel
BuildRequires: fontconfig-devel
BuildRequires: libcanberra-devel libcanberra-gtk-common-devel libcanberra-gtk2-devel libcanberra-gtk3-devel
BuildRequires: libgudev-devel libgudev-gir-devel
BuildRequires: libxslt xsltproc
BuildRequires: docbook-utils
BuildRequires: libsystemd-devel libudev-devel
BuildRequires: meson
BuildRequires: libpolkit-devel libpolkit-gir-devel
BuildRequires: itstool
BuildRequires: libappstream-glib

# the top level package depends on all the apps to make upgrades work
Requires: %{name}-installer
Requires: %{name}-updater
Source44: import.info

%description
gnome-packagekit provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages on your system.

%package common
Group: Other
Summary: Common files required for %{name}
Requires:  icon-theme-adwaita
Requires:  packagekit >= 0.5.0
Requires:  libpackagekit-glib >= 0.5.0
Requires:  shared-mime-info
Requires:  iso-codes
Requires:  libcanberra >= 0.10

%description common
Files shared by all subpackages of %{name}

%package installer
Group: Other
Summary: PackageKit package installer
Requires: %{name}-common = %{version}-%{release}

%description installer
A graphical package installer for PackageKit which is used to manage software
not shown in GNOME Software.

%package updater
Group: Other
Summary: PackageKit package updater
Requires: %{name}-common = %{version}-%{release}

%description updater
A graphical package updater for PackageKit which is used to update packages
without rebooting.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

# use gnome-software for installing local files
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gpk-install-local-file.desktop

%find_lang %name --with-gnome

%files
# nada

%files common -f %{name}.lang
%doc --no-dereference COPYING
%doc AUTHORS README
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%dir %{_datadir}/gnome-packagekit
%dir %{_datadir}/gnome-packagekit/icons
%dir %{_datadir}/gnome-packagekit/icons/hicolor
%dir %{_datadir}/gnome-packagekit/icons/hicolor/*
%dir %{_datadir}/gnome-packagekit/icons/hicolor/*/*
%{_datadir}/gnome-packagekit/icons/hicolor/*/*/*.png
%{_datadir}/gnome-packagekit/icons/hicolor/scalable/*/*.svg*
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/gpk-log.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_mandir}/man1/gpk-log.1*
%{_mandir}/man1/gpk-prefs.1*

%files installer
%{_bindir}/gpk-application
%{_datadir}/applications/org.gnome.Packages.desktop
%{_datadir}/metainfo/org.gnome.Packages.appdata.xml
%{_mandir}/man1/gpk-application.1*

%files updater
%{_bindir}/gpk-update-viewer
%{_datadir}/applications/org.gnome.PackageUpdater.desktop
%{_datadir}/metainfo/org.gnome.PackageUpdater.appdata.xml
%{_mandir}/man1/gpk-update-viewer.1*

%changelog
