BuildRequires: libdbus-glib-devel pkgconfig(gio-2.0)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit fb9dbfdf02b66256f2fbfe2e842fc7c751118666
%global project pidgin-im-gnome-shell-extension
%global uuid pidgin@muffinmad

Name:		gnome-shell-extension-pidgin
Version:	0
Release:	alt1_0.23.git%(c=%{commit}; echo ${c:0:7})
Summary:	The components necessary to integrate Pidgin with GNOME Shell
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://github.com/muffinmad/%{project}
Source0:	https://github.com/muffinmad/%{project}/archive/%{commit}/%{project}-%{commit}.tar.gz
Source1:	http://download.sourceforge.net/project/gnomeshpidgin/gnomeShellPidgin.c
Source2:	Makefile.gnomeShellPidgin
# Had to clarify licensing on Mohd Izhar Firdaus Bin Ismail's gnome-shell-extensions-pidgin
# It is also GPLv2+
Source3:	gnome-shell-extensions-pidgin-License.txt
Source4:	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch0:		gnomeShellPidgin-cleanup.patch
Patch3:		gnomeShellPidgin-fixups.patch
Patch4:		gnome-shell-extension-pidgin-gnome-shell-316.patch
BuildRequires:	libpurple-devel, libdbus-devel, zlib-devel, libgio
Requires:	gnome-shell >= 3.8
Requires:	pidgin
Source44: import.info

%description
This package contains the necessary components to integrate pidgin with 
GNOME Shell:
* Izhar Firdaus's GNOME Shell Extension to display Pidgin chats as 
  notifications in the Shell message tray.
* Wojtek SurA.wka's Pidgin status notifier plugin

In order to activate these components, you will need to:
* Be running Pidgin (the extension uses Pidgin's DBUS API)
* Restart GNOME Shell after installation
* Enable the "GNOME Shell Connector" plugin within Pidgin

%prep
%setup -c -n %{name}
mv %{project}-%{commit} %{uuid}
cp %{SOURCE1} .
cp %{SOURCE2} Makefile
cp %{SOURCE3} .
cp %{SOURCE4} .
%patch0 -p0 -b .cleanup
%patch3 -p1 -b .fixups
%patch4 -p1
pushd %{uuid}/schemas
/usr/bin/glib-compile-schemas .
popd

%build
make CFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install

mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions
cp -a %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/

%files
%doc gpl-2.0.txt gnome-shell-extensions-pidgin-License.txt
%{_datadir}/gnome-shell/extensions/%{uuid}/
%exclude %{_datadir}/gnome-shell/extensions/%{uuid}/locale/*/*/*.po
%{_libdir}/purple-2/libgnomeshell.so

%changelog
