# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libgio-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 0.6.0
%define date       20180403
%if %{date}
%define release    -c git%{date} %{rel}
%define tarballver %{commit}
%define tarballdir %{commit}
%define tarballgit +git%{date}
%define commit     ea4df27c9b6b885434797b0071ce198b23f9f63b
%else
%define release    %{rel}
%define tarballver %{version}
%define tarballdir v%{version}
%endif

%define rel        1

Name:           gobby
Version:        0.6.0
Release:        alt1_1
Summary:        A free collaborative editor
Group:          Editors
License:        GPLv2+
URL:            https://gobby.github.io/
Source0:        https://github.com/gobby/gobby/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.18.0
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtkmm-3.0) >= 2.99.1
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 2.91.0
BuildRequires:  pkgconfig(libgsasl) >= 0.2.2
BuildRequires:  pkgconfig(libinfgtk-0.7)
BuildRequires:  pkgconfig(libinfinity-0.7)
BuildRequires:  pkgconfig(libinftext-0.7)
BuildRequires:  pkgconfig(libinftextgtk-0.7)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(net6-1.3)
BuildRequires:  pkgconfig(obby-0.4) >= 0.4.6
BuildRequires:  yelp-tools
BuildRequires:  ImageMagick-tools
BuildRequires:  intltool
BuildRequires:  itstool
Source44: import.info

%description
Gobby is a free collaborative editor based on libobby, a library which provides
synced document buffers. It supports multiple documents in one session and a
multi-user chat. It runs on Microsoft Windows, Mac OS X, Linux and other
Unix-like platforms.

It uses GTK+ 3.0 as its windowing toolkit and thus integrates nicely into the
GNOME desktop environment.

%prep
%setup -q -n %{name}-%{tarballver}


%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%makeinstall_std

%find_lang %{name}05
%find_lang %{name} --with-gnome
# multiple -f flags in %files: merging -f %{name}.lang into -f %{name}05.lang
cat %{name}.lang >> %{name}05.lang

%files -f %{name}05.lang 
%doc ChangeLog* AUTHORS README.md NEWS
%{_bindir}/%{name}*
%{_datadir}/%{name}*/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/appdata/%{name}*.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/*/*/*/*
%{_mandir}/man1/%{name}*.1*


%changelog
