Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
BuildRequires: python-modules-encodings
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gonvert
Version:        0.2.39
Release:        alt1_8
Summary:        Units conversion utility
License:        GPL+
URL:            http://unihedron.com/projects/gonvert
Source0:        http://unihedron.com/projects/gonvert/downloads/%{name}-%{version}.tar.gz
Patch0:         gonvert-desktop-icon.patch

BuildRequires:  desktop-file-utils python-devel /usr/bin/pathfix.py
Requires:       python
Requires:       python-module-pygtk-libglade

BuildArch:      noarch
Source44: import.info

%description
gonvert is a conversion utility that allows conversion between many units
like CGS, Ancient, Imperial with many categories like length, mass, numbers,
etc. All units converted values shown at once as you type. Easy to add/change
your own units. Written in Python, pygtk, libglade.


%prep
%setup -q

%patch0 -p0

# remove execute bits from doc files
chmod -x doc/*

# fix encoding on THANKS and TODO files
pushd doc >/dev/null
iconv -f iso8859-1 -t utf-8 THANKS > THANKS.conv && mv -f THANKS.conv THANKS
iconv -f iso8859-1 -t utf-8 TODO > TODO.conv && mv -f TODO.conv TODO
popd >/dev/null


%build
# there's nothing that needs built


%install
make DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} install
rm -rf ${RPM_BUILD_ROOT}/%{_docdir}/%{name}

desktop-file-install                                \
    --delete-original                               \
    --remove-category Application                   \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Utilities/gonvert.desktop

pathfix.py -pni "%{__python} %{py2_shbang_opts}" $RPM_BUILD_ROOT%{_bindir}/gonvert

%files
%doc --no-dereference doc/COPYING
%doc doc/CHANGELOG doc/FAQ doc/README doc/THANKS doc/TODO
%{_bindir}/gonvert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/gonvert
%{_datadir}/pixmaps/gonvert*.png


%changelog
