Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate /usr/bin/glib-gettextize pkgconfig(clutter-gtk-1.0) pkgconfig(gmodule-2.0) pkgconfig(gtk+-3.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gpx-viewer
Version:        0.4.0
Release:        alt2_21
Summary:        A simple gpx viewer

License:        GPLv2+
URL:            https://edge.launchpad.net/gpx-viewer
Source0:        http://edge.launchpad.net/gpx-viewer/trunk/0.4.0/+download/%{name}-%{version}.tar.gz
Patch0:         gpx-viewer-0.4.0-gtk3-bugfix.patch

BuildRequires:  gcc
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:  libchamplain-devel libchamplain-gir-devel libchamplain-gtk3-devel libchamplain-gtk3-gir-devel
BuildRequires:  libchamplain-devel libchamplain-gir-devel libchamplain-gtk3-devel libchamplain-gtk3-gir-devel
BuildRequires:  libvala-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgdl3-devel libgdl3-gir-devel
BuildRequires:  libunique-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
#BuildRequires:  autoconf libtool

Requires:       icon-theme-hicolor
Requires:       shared-mime-info
Source44: import.info


%description
GPX Viewer is a simple tool to visualize tracks and waypoints
stored in a gpx file.

It has the following features:
- Show multiple GPX files
- Height map
- Show waypoints and multiple tracks per gpx file
- Highlight selected track
- Show speed vs time graph
- Show distance, duration, average, moving average, max speed,
  moving time and gps points
- Zooming
- Smoothing of speed graph
- Playback of track
- Highlighting points in speed graph on map


%prep
%setup -q
%patch0 -p0 -b .gtk3-bugfix

%build
%configure --disable-database-updates
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/gpx-viewer.xml

%changelog
