Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/nosetests python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       Grep-like tool for source code
Name:          grin
Version:       1.3.0
Release:       alt2_3
License:       BSD
URL:           http://pypi.python.org/pypi/grin
Source0:       https://files.pythonhosted.org/packages/source/g/grin/grin-%{version}.tar.gz
Requires:      python3-module-distribute
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
BuildRequires: python3-module-nose
Source44: import.info

%description
grin is a similar in function to GNU grep, however it is has modified
behaviour to make it simpler to use when grepping source code.

Some features grin feature are:

  * recurse directories by default
  * do not go into directories with specified names
  * do not search files with specified extensions
  * be able to show context lines before and after matched lines
  * Python regex syntax
  * unless suppressed via a command line option, display the filename 
    regardless of the number of files
  * accept a file (or stdin) with a list of newline-separated filenames
  * grep through gzipped text files
  * be useful as a library to build custom tools quickly

%prep
%setup -q

sed -i -e '1d' grin.py

%build
%python3_build

%install
%python3_install

%check
nosetests

%files
%doc README.rst
%{_bindir}/grin
%{_bindir}/grind
%{python3_sitelibdir_noarch}/grin.py*
%{python3_sitelibdir_noarch}/grin-*-py*.egg-info/
%{python3_sitelibdir_noarch}/__pycache__/grin.*

%changelog
