Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python2_sitelib: %define python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gst-inspector
Version:        0.4
Release:        alt1_19
Summary:        An introspection data viewer for the GStreamer multimedia framework

License:        GPLv3+
URL:            http://renestadler.de/projects/gst-inspector
Source0:        http://renestadler.de/files/gst-inspector/gst-inspector-%{version}.tar.gz
Source1:        gst-inspector.desktop

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  intltool
BuildRequires:  gettext gettext-tools
BuildRequires:  desktop-file-utils
Requires:       python-module-gst >= 0.10.5
Requires:       gst-plugins-good
Requires:       python-module-pygtk python-module-pygtk-demo
Requires:       python-module-pygobject
Requires:       python-module-pygtk-libglade
Requires:       icon-theme-hicolor

# upstream commit 1e24ba3 adapted to 0.4
Patch1:         gst-inspector-0.4-newergtk.patch
Source44: import.info

%description
GStreamer Inspector is an introspection data viewer for the GStreamer
multimedia framework. Developers of GStreamer applications can use it
to find out about the various elements available in the system.

It can be thought of as a graphical variant of the gst-inspect
program, which currently serves as the canonical source of
introspection information for many developers.


%prep
%setup -q
%patch1 -p1 -b .newergtk


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i -e 's@%{buildroot}@@' %{buildroot}%{_bindir}/gst-inspector
desktop-file-install --vendor=""                      \
        --dir=%{buildroot}%{_datadir}/applications/   \
        %{SOURCE1}




%files
%doc --no-dereference COPYING
%doc AUTHORS NEWS README TODO
%{_bindir}/gst-inspector
%{_datadir}/gst-inspector
%{_datadir}/applications/gst-inspector.desktop
%{_datadir}/icons/hicolor/*/apps/gst-inspector.*
%{python_sitelibdir_noarch}/*


%changelog
