# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize pkgconfig(esound) pkgconfig(gtk+-2.0) pkgconfig(libgnome-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	TetriNET game client for Linux
Name:		gtetrinet
Version:	0.7.11
Release:	alt1_15
License:	GPLv2+
Group:		Games/Arcade
Source:		https://download.gnome.org/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
URL:		http://gtetrinet.sourceforge.net/
Patch0:     gtetrinet-0.7.11-fix_default_server.diff
Patch1:     gtetrinet-0.7.11-fix_format_error.diff 
Buildrequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:  perl(XML/Parser.pm)
BuildRequires:	ImageMagick-tools
Requires(post): GConf libGConf
Requires(preun): GConf libGConf
Source44: import.info

%description
GTetrinet is a client program for the popular TetriNET game, a multiplayer
tetris game that is played over the internet. It is written in GTK.
(If you don't know what TetriNET is, check out tetrinet.org)

Its features include:
  * Fully network compatible with Tetrinet v1.13 for Win95/98/NT
  * Theme support with sound
  * Spectator support on Tetrinet-X servers with the qirc patch by Drslum.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
%configure --enable-detach --enable-ipv6
%make_build

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icon
mkdir -p $RPM_BUILD_ROOT%{_niconsdir} \
	 $RPM_BUILD_ROOT%{_liconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
convert -geometry 48x48 gtetrinet.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 gtetrinet.png $RPM_BUILD_ROOT%_niconsdir/%{name}.png
convert -geometry 16x16 gtetrinet.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_gamesbindir}/*
%{_datadir}/gtetrinet
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_sysconfdir}/gconf/schemas/*
%_niconsdir/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png






%changelog
