Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/glib-compile-resources /usr/bin/glib-gettextize libgio-devel libmbedtls-devel libssl-devel pkgconfig(glib-2.0) pkgconfig(nettle) pkgconfig(zlib)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Review at https://bugzilla.redhat.com/show_bug.cgi?id=540328
#
Name:           gtkhash
Version:        1.4
Release:        alt2_3
Summary:        GTK+ utility for computing message digests or checksums

License:        GPLv2+
URL:            https://github.com/tristanheaven/gtkhash
Source0:        https://github.com/tristanheaven/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  libmhash-devel
BuildRequires:  libb2-devel
BuildRequires:  gcrypt-utils libgcrypt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools
BuildRequires:  intltool
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(libnautilus-extension)
BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  pkgconfig(thunarx-3)
BuildRequires:  libappstream-glib

Provides:       gtkhash3 = %{version}-%{release}
Obsoletes:      gtkhash3 < 1.1.1
Source44: import.info

%description
GtkHash is a GTK+ utility for computing message digests or checksums. Currently
supported hash functions include
* MD2, MD4 and MD5
* SHA1, SHA224, SHA256, SHA384 and SHA512,
* RIPEMD128, RIPEMD160, RIPEMD256 and RIPEMD320
* TIGER128, TIGER160 and TIGER192
* HAVAL128-3, HAVAL160-3, HAVAL192-3, HAVAL224-3 and HAVAL256-3
* SNEFRU128 and SNEFRU256
* ADLER32, CRC32, GOST and WHIRLPOOL

This package contains the GTK+3 version of the program.


%package        nautilus
Group: Graphical desktop/Other
Summary:        GtkHash extension for nautilus
Requires:       libnautilus nautilus
Requires:       %{name}3 = %{version}
Requires:       GConf libGConf

%description    nautilus
GtkHash extension for the nautilus file manger. It adds adds an additional tab
called "Checksums" to the file properties dialog.

%package        thunar
Group: Graphical desktop/Other
Summary:        GtkHash extension for Thunar
Requires:       libthunar thunar
Requires:       %{name} = %{version}

%description    thunar
GtkHash extension for the Thunar file manger. It adds adds an additional tab
called "Checksums" to the file properties dialog.

%package        nemo
Group: Graphical desktop/Other
Summary:        GtkHash extension for Nemo
Requires:       nemo
Requires:       %{name} = %{version}

%description    nemo
GtkHash extension for the Nemo file manger. It adds adds an additional tab
called "Checksums" to the file properties dialog.

%package        caja
Group: Graphical desktop/Other
Summary:        GtkHash extension for Caja
Requires:       mate-file-manager
Requires:       %{name} = %{version}

%description    caja
GtkHash extension for the Caja file manger. It adds adds an additional tab
called "Checksums" to the file properties dialog.

%prep
%setup -q

%build
%configure --with-gtk=3.0 \
  --enable-linux-crypto \
  --enable-gcrypt \
  --enable-glib-checksums \
  --enable-mhash \
  --enable-thunar \
  --enable-nautilus \
  --enable-nemo \
  --enable-caja \
  --disable-schemas-compile \

%make_build

%install

%makeinstall_std

%find_lang %{name}

# generic
find %{buildroot} -name '*.la' -exec rm -f {} ';'

appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/*.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/*.appdata.xml

%files -f %{name}.lang
%doc --no-dereference COPYING
%doc AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.%{name}.%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/glib-2.0/schemas/org.%{name}.plugin.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.%{name}.%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/org.%{name}.%{name}.svg
%{_metainfodir}/org.%{name}.%{name}.appdata.xml

%files nautilus
%{_libdir}/nautilus/extensions-3.0/libgtkhash-properties-nautilus.so
%{_metainfodir}/org.gtkhash.nautilus.metainfo.xml

%files thunar
%{_libdir}/thunarx-3/libgtkhash-properties-thunar.so
%{_metainfodir}/org.gtkhash.thunar.metainfo.xml

%files nemo
%{_libdir}/nemo/extensions-3.0/libgtkhash-properties-nemo.so
%{_metainfodir}/org.gtkhash.nemo.metainfo.xml

%files caja
%{_libdir}/caja/extensions-2.0/libgtkhash-properties-caja.so
%{_datadir}/caja/extensions/libgtkhash-properties-caja.caja-extension
%{_metainfodir}/org.gtkhash.caja.metainfo.xml

%changelog
