# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global githash 0a0c90b7098d8c5b8bc06ecc88459520ad533601
%global shorthash %(echo "%githash" | cut -c -8)
%global tarballhash %(echo "%githash" | cut -c -7)

Name:           gtkparasite
Version:        0.2.0
Release:        alt2_0.7.20121121git0a0c90b7
Summary:        A GUI debugging tool for GTK+ applications

Group:          Development/Tools
License:        MIT
URL:            http://chipx86.github.com/gtkparasite/
# wget http://github.com/chipx86/gtkparasite/tarball/%{githash} -O \
# chipx86-gtkparasite-%{githash}.tar.gz
Source0:        chipx86-gtkparasite-%{githash}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  python-module-pygobject-devel
BuildRequires:  python-module-pygtk-devel
BuildRequires:  python-devel
BuildRequires:  autoconf libtool automake
Source44: import.info
# Calls dlopen() on libpython<version>.so, a symlink which is only in the
# -devel package. https://bugzilla.redhat.com/show_bug.cgi?id=489067

%description
Parasite is a debugging and development tool that runs inside your GTK+
application's process. It can inspect your application, giving you detailed
information on your UI, such as the hierarchy, X window IDs, widget
properties, and more. You can modify properties on the fly in order to
experiment with the look of your UI.

Parasite includes an embedded Python shell that lets you write new code that
directly interacts with your application's UI, regardless of the language the
application is written in. Create new dialogs, attach temporary signal
handlers to buttons, test out new logic, and gather additional debug
information.

%prep
%setup -qn chipx86-gtkparasite-%{tarballhash}
autoreconf --force --install

%build
%configure --with-gtk=2.0
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm %{buildroot}%{_libdir}/gtk-2.0/modules/*.a
rm %{buildroot}%{_libdir}/gtk-2.0/modules/*.la

%files
%doc --no-dereference COPYING
%{_libdir}/gtk-2.0/modules/libgtkparasite.so

%changelog
