Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           guile-cairo
Version:        1.4.0
Release:        alt1_27
Summary:        The Cairo graphics library for Guile Scheme

License:        LGPLv2+

URL:            http://home.gna.org/guile-cairo
Source0:        http://download.gna.org/guile-cairo/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  guile-devel, libpng-devel
BuildRequires:  libcairo-devel
Source44: import.info


%description
Guile-Cairo wraps the Cairo graphics library for Guile Scheme


%package        devel
Group: Development/Other
Summary:        Libraries and header files for %{name}

Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Package %{name}-devel contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q

# Update CAIRO_FONT_TYPE fonction
sed -i 's|CAIRO_FONT_TYPE_ATSUI|CAIRO_FONT_TYPE_QUARTZ|g' %{name}/%{name}-enum-types.c


%build
%configure --disable-static

#Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec="\\${wl}--rpath \\${wl}\\$libdir"|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
make INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT install


#Remove .la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Remove unneeded file
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%doc AUTHORS COPYING README ChangeLog HACKING TODO NEWS
%{_libdir}/lib%{name}.so.*
%{_datadir}/guile/site/cairo.scm
%{_datadir}/guile/site/cairo
%{_infodir}/%{name}.info.*

%files  devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/guile-cairo.pc




%changelog
