Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global appname com.github.danrabbit.harvey

Name:           harvey
Summary:        The hero that Gotham needs right now
Version:        1.0.1
Release:        alt1_1
# The entire source is GPLv3+:
#
#   The COPYING file is GPLv3, and while the phrase a.'or any later versiona.' does
#   not appear, data/com.github.danrabbit.harvey.appdata.xml.in and
#   debian/copyright indicate GPLv3+ is intended, e.g., from the AppData file:
#
#     <project_license>GPL-3.0+</project_license>
#
#   See https://github.com/danrabbit/harvey/issues/40.
#
# a..except the Vala sources, src/*.vala, and data/Application.css, which are
# GPLv2+; and data/com.github.danrabbit.harvey.appdata.xml.in, which is CC0.
License:        GPLv3+ and GPLv2+ and CC0

URL:            https://github.com/danrabbit/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala vala-tools

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libhandy-1)

Requires:       icon-theme-hicolor

Summary(fr):    Le héro dont Gotham a besoin dès à présent
Summary(es):    El héroe que Gotham estaba necesitando
Summary(en_AU): The hero that Gotham needs right now
Summary(en_CA): The hero that Gotham needs right now
Summary(en_GB): The hero that Gotham needs right now
Source44: import.info

%description
Calculate and visualize color contrast. Harvey checks a given set of colors for
WCAG contrast compliance.

%description -l fr
Calculez et visualisez les contrastes de couleur. Harvey vérifie qu’un jeu de
couleur est conforme aux recommandation de contraste WCAG.

%description -l es
Calcule y visualice el contraste de color, Harvey comprueba un conjunto
determinado de colores para el cumplimiento del contraste WCAG.

%description -l en_AU
Calculate and visualize colour contrast. Harvey checks a given set of colours
for WCAG contrast compliance.

%description -l en_CA
Calculate and visualize colour contrast. Harvey checks a given set of colours
for WCAG contrast compliance.

%description -l en_GB
Calculate and visualize colour contrast. Harvey checks a given set of colours
for WCAG contrast compliance.


%prep
%setup -q



%build
%meson
%meson_build


%install
%meson_install

%find_lang %{appname}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{appname}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{appname}.appdata.xml


%files -f %{appname}.lang
%doc README.md
%doc --no-dereference COPYING

%{_bindir}/%{appname}

%{_datadir}/applications/%{appname}.desktop
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.appdata.xml


%changelog
