Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       A set of scripts to work locally on subversion checkouts using mercurial
Name:          hgsvn
Version:       0.6.0
Release:       alt2_4
License:       GPLv3+
URL:           http://pypi.python.org/pypi/hgsvn/
Source0:       https://files.pythonhosted.org/packages/source/h/hgsvn/hgsvn-%{version}.tar.gz
BuildArch:     noarch
Requires:      mercurial mercurial-hgext
Requires:      subversion subversion-server-common
Requires:      python3-module-hglib
Requires:      python3-module-distribute
# Needed in %%check
BuildRequires: mercurial mercurial-hgext
BuildRequires: python3-devel
BuildRequires: python3-module-hglib
BuildRequires: python3-module-nose
BuildRequires: python3-module-distribute
BuildRequires: subversion subversion-server-common
Source44: import.info

%description
This set of scripts allows to work locally on subversion managed
projects using the mercurial distributed version control system.

Why use mercurial? You can do local (disconnected) work, pull the
latest changes from the subversion server, manage private branches,
submit patches to project maintainers, etc. And of course you have
fast local operations like hg log and hg annotate.

%prep
%setup -q

%build
%python3_build

%install
%python3_install

%check
%{__python3} setup.py test || :

%files
%doc --no-dereference COPYING.txt
%doc AUTHORS.txt README.txt TODO.txt
%{_bindir}/hgimportsvn
%{_bindir}/hgpullsvn
%{_bindir}/hgpushsvn
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}-*-py*.egg-info

%changelog
