Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: libgsl-devel perl(getopts.pl)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           hmmer
Version:        3.1b2
Release:        alt2_15
Summary:        Profile HMM software for protein sequence analysis

License:        GPLv3
URL:            http://hmmer.janelia.org
Source0:        http://selab.janelia.org/software/hmmer3/3.1b2/hmmer-3.1b2.tar.gz
BuildRequires:  perl
Source44: import.info

%description
Profile hidden Markov models (profile HMMs) can be used to do sensitive
database searching using statistical descriptions of a sequence family's
consensus.  HMMER is a freely distributable implementation of profile HMM
software for protein sequence analysis.

%package devel
Group: Development/Other
Summary: Library and header files to include hmmer code in other apps
Provides: hmmer-static = %{version}-%{release}

%description devel

Header files and a library of hmmer functions, for developing apps
which will use the library.

%package doc
Group: Documentation
Summary: Documentation for hmmer
BuildArch: noarch

%description doc
This package includes documentation files for the hmmer software package.


%prep
%setup -q
# See if this helps building on power arch
sed -i '/impl_choice=vmx;;/d' configure


%build
%configure
%make_build


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc --no-dereference LICENSE
%{_bindir}/*
%{_mandir}/man1/*


%files devel
%{_includedir}/*
%{_libdir}/*.a


%files doc
%doc COPYRIGHT README release-notes Userguide.pdf tutorial/


%changelog
