Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libgio-devel pkgconfig(opencc) python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

%global snapshot 0

Name:       ibus-libzhuyin
Version:    1.9.1
Release:    alt1_3
Summary:    New Zhuyin engine based on libzhuyin for IBus
License:    GPLv2+
URL:        https://github.com/libzhuyin/ibus-libzhuyin
Source0:    http://downloads.sourceforge.net/libzhuyin/ibus-libzhuyin/%{name}-%{version}.tar.gz
%if %snapshot
Patch0:     ibus-libzhuyin-1.9.x-HEAD.patch
%endif

BuildRequires:  gcc-c++
BuildRequires:  gettext-tools libasprintf-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libsqlite3-devel
BuildRequires:  libibus-devel libibus-gir-devel
BuildRequires:  libpinyin-devel >= 2.0.91
BuildRequires:  python3-devel
BuildRequires:  libpinyin-tools

# Requires(post): sqlite

Requires:   ibus python3-module-ibus-overrides
Provides:   libzhuyin-data = 1.1.2
Obsoletes:  libzhuyin-data < 1.1.2
Source44: import.info

%description
It includes a Chinese Zhuyin (Bopomofo) input method
based on libzhuyin for IBus.

%prep
%setup -q
%if %snapshot
%patch0 -p1 -b .head
%endif


%build
%configure --disable-static \
           --disable-boost \
           --with-python=python3

# make -C po update-gmo
%make_build V=1

%install
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-libzhuyin.desktop
%{_libexecdir}/ibus-engine-libzhuyin
%{_libexecdir}/ibus-setup-libzhuyin
%{_datadir}/ibus-libzhuyin/setup
%dir %{_datadir}/ibus-libzhuyin
%{_datadir}/ibus/component/*
%{_datadir}/ibus-libzhuyin/icons
%{_datadir}/ibus-libzhuyin/*symbol.txt
%{_libdir}/ibus-libzhuyin/


%changelog
