Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/ibus-table-createdb
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_without bootstrap

Name:           ibus-table-extraphrase
Version:        1.3.9.20110826
Release:        alt11_18
Summary:        Extra phrase for ibus-table
License:        GPLv3+
URL:            http://code.google.com/p/ibus/
Source0:        http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:      noarch

# for noarch pkgconfig
BuildRequires:  ibus-table-devel >= 1.1.0.20090220
%if %{with bootstrap}
BuildRequires:  gettext-tools libasprintf-devel, automake >= 1.10.2
%endif
Source44: import.info

%description
Extra phrase data for IBus-Table engine.

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%if %{with bootstrap}
./autogen.sh \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
%else
%configure \
%endif

#    --enable-extraphrase
%make_build

%install
make install \
  DESTDIR=%{buildroot} \
  INSTALL="install -p" \
  pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/pkgconfig/ibus-table-extraphrase.pc
%{_datadir}/ibus-table/data/extra_phrase.txt

%changelog
