Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate /usr/bin/doxygen /usr/bin/git
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           icemon
Version:        3.2.0
Release:        alt1_1
Summary:        Icecream GUI monitor

License:        GPLv2+
URL:            http://kfunk.org/tag/icemon/
Source0:        https://github.com/icecc/icemon/archive/v3.2.0.tar.gz

BuildRequires:    gcc-c++
BuildRequires:    rpm-macros-qt5 qt5-designer qt5-3d-devel qt5-base-devel qt5-connectivity-devel qt5-declarative-devel qt5-location-devel qt5-multimedia-devel qt5-script-devel qt5-sensors-devel qt5-serialport-devel qt5-svg-devel qt5-tools-devel qt5-tools-devel qt5-wayland-devel qt5-webchannel-devel qt5-webkit-devel qt5-websockets-devel qt5-x11extras-devel qt5-xmlpatterns-devel
BuildRequires:    libicecc-devel
BuildRequires:    docbook2X
BuildRequires:    ctest cmake
BuildRequires:    libcap-ng-devel
BuildRequires:    liblzo2-devel
BuildRequires:    desktop-file-utils
BuildRequires:    docbook-dtds

Requires:    icon-theme-hicolor
Source44: import.info

%description
A GUI monitor for Icecream, a distributed compiler system

%prep
%setup -q



%build
%{fedora_cmake} .
%make_build

%install
make install DESTDIR=%{buildroot}

# Fix rpmlint warning about compressed SVG
# Since the upstream package uses the compressed SVG as the source, it is
# easier to fix it here than patch
mv %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/icemon.{svgz,svg.gz}
gunzip %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/icemon.svg.gz

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%check
ctest -V %{?_smp_mflags}

%files
%{_bindir}/%{name}
%{_datadir}/applications/icemon.desktop
%{_datadir}/icons/hicolor/22x22/apps/icemon.png
%{_datadir}/icons/hicolor/16x16/apps/icemon.png
%{_datadir}/icons/hicolor/48x48/apps/icemon.png
%{_datadir}/icons/hicolor/128x128/apps/icemon.png
%{_datadir}/icons/hicolor/32x32/apps/icemon.png
%{_datadir}/icons/hicolor/scalable/apps/icemon.svg

%doc --no-dereference COPYING
%doc %{_mandir}/man1/icemon.1*


%changelog
