Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		icfg 
Version:	0.9	
Release:	alt2_21
Summary:	Command line utility to edit network configuration (icfg-*) files
License:	GPLv2
URL:		https://fedorahosted.org/icfg
Source0:	https://fedorahosted.org/releases/i/c/icfg/%{name}-%{version}.tbz2
Requires:	python3 
BuildArch:	noarch

Patch0: icfg-python.patch
Patch1: icfg-python3.patch
Source44: import.info

%description
This is a utility for manipulating SysV network interface configuration files
(the files matching the glob /etc/sysconfig/network-scripts/icfg-*).  These are
text based files, that are normally easily edited by hand, but in many
environments hand editing is not desirable (for instance, during kickstart
installations).  Icfg creates a scriptable interface to allow an admin to
provision a systems network interfaces during install, without having to fall
back to using a series of sed and awk commands

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1

install -m755 -p src/icfg $RPM_BUILD_ROOT/usr/bin/icfg
install -m644 -p doc/icfg.1 $RPM_BUILD_ROOT/usr/share/man/man1/icfg.1

%files
%doc COPYING 
%{_bindir}/*
%{_mandir}/man1/*

%changelog
