Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ignuit
Version:        2.24.3
Release:        alt2_9
Summary:        Memorization aid based on the Leitner flashcard system

License:        GPLv3+ and GPLv2
URL:            http://crash.ihug.co.nz/~trmusson/programs.html
Source0:        http://crash.ihug.co.nz/~trmusson/stuff/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gstreamer1.0-devel libgstreamer1.0-gir-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  libglade-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libxslt-devel
BuildRequires:  librarian
BuildRequires:  desktop-file-utils
BuildRequires:  GConf libGConf

Requires:       gst-plugins-base1.0

Requires(pre):   GConf libGConf
Requires(post):  GConf libGConf
Requires(preun): GConf libGConf
Requires(post):  info info-install
Requires(preun): info info-install
Source44: import.info

%description
Ignuit is a memorization aid based on the Leitner flashcard system. It has a 
GNOME look and feel, a good selection of quiz options, and supports UTF-8. Cards
can include embedded audio, images, and mathematical formulae (via LaTeX). It 
can import and export several file formats, including CSV. Ignuit can be used 
for both long-term learning and cramming.

%prep
%setup -q

%build
%configure
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-install                                    \
    --remove-key="Encoding"                             \
    --remove-key="MimeType"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}%{_infodir}/dir

%post
%gconf2_install %{name}

%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  %{name}
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.extras NEWS README TODO examples
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/omf/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
