# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xml2-config gcc-c++
# END SourceDeps(oneline)
# those are commented out, as built-ins are used.
# SourceDeps BuildRequires: libatlas-devel libblas-devel liblapack-devel
Name:		igraph
Version:	0.5.4
Release:	alt1_7.2
Summary:	Library for creating and manipulating graphs

Group:		System/Libraries
License:	GPLv2+
URL:		http://cneurocvs.rmki.kfki.hu/igraph
Source0:	http://igraph.googlecode.com/files/%{name}-%{version}.tar.gz
#Patch1:		igraph-cstdlib.patch
#Patch2:		igraph-test.patch
# Needed for gcc-4.4
#Patch3:		igraph-cstdio.patch

BuildRequires:	libxml2-devel libgmp-devel libgmp_cxx-devel
Provides: 	%{name}-%{version}
Source44: import.info

%description
igraph wants to be an efficient platform for 
1) complex network analysis and 
2) developing and implementing graph algorithms. 
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

%package devel
Requires: %{name} = %{version}-%{release}
Group: Development/C
Summary: Development files for igraph
#Provides: %{name}-devel-%{version}

%description devel
The %{name}-devel package contains the header files and some
documentation needed to develop application with %{name}.

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
cp doc/igraph.info $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
cp doc/igraph.3 $RPM_BUILD_ROOT/%{_mandir}/man3
rm $RPM_BUILD_ROOT/%{_libdir}/*.a
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
find . -name '.arch-ids' | xargs rm -rf

%files
%{_libdir}/libigraph.so.*


%doc COPYING AUTHORS NEWS README

%files devel
%{_includedir}/igraph
%{_libdir}/libigraph.so
%{_libdir}/pkgconfig/igraph.pc
%{_mandir}/man3/igraph.3*
%{_infodir}/igraph.info*
%doc examples

%check
make check

%changelog
