Group: Engineering
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora} >= 33
%global blaslib flexiblas
%else
%global blaslib openblas
%endif

Name:           iml
Version:        1.0.5
Release:        alt2_16
Summary:        Finds solutions to systems of linear equations over integers
License:        BSD
URL:            https://cs.uwaterloo.ca/~astorjoh/iml.html
Source0:        https://cs.uwaterloo.ca/~astorjoh/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  libgmp-devel libgmpxx-devel
BuildRequires:  libopenblas-devel
Source44: import.info


%description
IML provides efficient routines to compute exact solutions to dense
systems of linear equations over the integers.  The following
functionality is provided:
- Nonsingular rational system solving.
- Compute the right nullspace of an integer matrix.
- Certified linear system solving.


%package        devel
Group: Development/C
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        static
Group: Development/C
Summary:        Static library for %{name}

%description    static
The %{name}-static package contains a static library for %{name}.


%prep
%setup -q

%build
%configure --enable-shared --with-cblas="-l%{blaslib}" \
  --with-cblas-include=%{_includedir}/%{blaslib}

# Get rid of undesirable hardcoded rpaths; workaround libtool reordering
# -Wl,--as-needed after all the libraries.
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|CC=.g..|& -Wl,--as-needed|' \
    -i libtool

%make_build


%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}


%check
export LD_LIBRARY_PATH=$PWD/src/.libs
make check





%files
%doc AUTHORS README
%{_libdir}/lib%{name}.so.*


%files devel
%doc doc/liblink doc/libroutines examples
%{_includedir}/*
%{_libdir}/lib%{name}.so


%files static
%{_libdir}/lib%{name}.a


%changelog
