Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           impressive
Version:        0.12.0
Release:        alt1_9
Summary:        A program that displays presentation slides

License:        GPLv2
URL:            http://impressive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/Impressive-%{version}.tar.gz
# Wrapper script for making sure hardware acceleration is available
Source1:        %{name}.sh
 
BuildArch:      noarch
BuildRequires:  python-devel
# The following requires are not picked up by rpm:
# - imported modules (required):
Requires:       python-module-Pillow
Requires:       python-module-pygame
Requires:       opengl-games-utils
# - external tools for displaying and parsing pdf (required):
Requires:       mupdf
# - external tool for acting on links (strongly recommended):
Requires:       xdg-utils
# - font for on screen display (recommended):
Requires:       fonts-ttf-dejavu
Source44: import.info


%description
Impressive is a program that displays presentation slides. But unlike 
OpenOffice.org Impress or other similar applications, it does so with 
style. 

Smooth alpha-blended slide transitions are provided for the sake 
of eye candy, but in addition to this, Impressive offers some unique tools 
that are really useful for presentations.


%prep
%setup -q -n Impressive-%{version}
sed -ie '1s#/usr/bin/env python2#/usr/bin/python2#' impressive.py

%build
sed -e "s|@PYTHON_SITELIB@|%{python_sitelibdir_noarch}|" %{SOURCE1} > impressive.sh
# This package doesn't build anything, just copy files under build root.


%install
install -D -p -m 755 impressive.py %{buildroot}%{python_sitelibdir_noarch}/impressive.py
install -D -p -m 644 impressive.1 %{buildroot}%{_mandir}/man1/impressive.1
install -D -p -m 755 impressive.sh %{buildroot}%{_bindir}/impressive



%files
%doc changelog.txt demo.pdf impressive.html license.txt
%{_bindir}/impressive
%{python_sitelibdir_noarch}/impressive.py*
%{_mandir}/man1/impressive.1*

%changelog
