Group: Development/C
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: indi-apogee
Version: 1.7.4
Release: alt2_2
Summary: The INDI driver for Apogee Alta (U & E) line of CCDs

License: LGPLv2+
URL: http://indilib.org
# Upstream provides one big tar including nonfree BLOBs for other drivers.
# Thus we have to generate a clean tar by ourself containing only
# the free driver to be packaged using
# ./indi-apogee-generate-tarball.sh 1.3.1
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-generate-tarball.sh

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires: ctest cmake libusb-compat-devel libcfitsio-devel zlib-devel
BuildRequires: libapogee-devel libnova-devel
BuildRequires: libindi-devel

# We have to specify this requirement as the shared libraries are part of
# libindi-libs (which is what the dependency generator will find), but the
# driver also requires the binary indiserver, part of libindi package.
#Requires:     indilib = %{version}
Source44: import.info

%description
The INDI (Instrument Neutral Distributed Interface) driver for Apogee 
Alta (U & E) line of CCDs.

%prep
%setup -q -n %{name}-%{version}

%build
%{fedora_cmake}
make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc --no-dereference COPYING.LIB
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/indi/*

%changelog
