Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           indistarter
Version:        2.2.0
Release:        alt3_3
Summary:        GUI to start, stop and control an INDI server

License:        GPLv3+
URL:            http://indistarter.sourceforge.net/
# Upstream uses a trailing 'v' in filename.
# The full Source URL is https://github.com/pchev/%%{name}/archive/v%%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz


# This patch avoid stripping debuginfo from binary
# Since this is Fedora specific we don't ask upstream to include
Patch100:       indistarter-2.0.0_fix_debuginfo.patch


BuildRequires:  desktop-file-utils
BuildRequires:  fpc-compiler fpc-ide fpc-units-gfx fpc-units-misc fpc-utils
BuildRequires:  lazarus
BuildRequires:  libappstream-glib
Source44: import.info

%description
Indistarter is a user interface to run a INDI server.
You can configure different profile for your astronomical equipment.
The INDI server can be launched locally or remotely on another computer.
In this last case a ssh tunnel is established to allow local client connection.

%prep
%setup -q
%patch100 -p1


#Remove spurious executable bit
chmod -x ./component/synapse/source/lib/*.pas

%build
# Configure script requires non standard parameters
./configure lazarus=%{_libdir}/lazarus prefix=%{_prefix}

# Doesn't like parallel building so we can't use make macro
make fpcopts="-O1 -gw3 -fPIC"


%install
make install PREFIX=%{buildroot}%{_prefix}

# Menu entry
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

# Appdata file check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%files
%doc --no-dereference gpl-3.0.txt LICENSE
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_bindir}/indigui
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/pixmaps/*.png


%changelog
