# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: 	A tool for arranging times in advance with overseas colleagues
Name: 		international-time
Version: 	0.0.2
Release: 	alt1_19
# No attribution, just COPYING
License: 	GPL+
Group: 		System/Base
Source0: 	http://cyberelk.net/tim/data/international-time/international-time-%{version}.tar.bz2
Patch0:		international-time-current-time.patch
Url:            http://cyberelk.net/tim/data/international-time/
BuildArch: 	noarch

BuildRequires: 	desktop-file-utils >= 0.2.92
Requires: 	python-module-pygtk-libglade
Source44: import.info

%description
This is a graphical tool for converting a local "wall-clock" time into
UTC.  This is useful for arranging conference calls where participants
from other countries are expected

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .current-time

%build

%install

cat >international-time.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=International Time
Comment=International Time Coordinator
Exec=/usr/bin/international-time
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0755 international-time.py %{buildroot}%{_bindir}/international-time
install -m 0644 international-time.glade %{buildroot}%{_datadir}/%{name}
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor fedora \
%endif
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  --add-category Application \
  --add-category X-Fedora \
  international-time.desktop

%files
%doc COPYING
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*

%changelog
