Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           iok
Version:        2.1.3
Release:        alt1_18
Summary:        Indic Onscreen Virtual Keyboard
License:        GPLv2+
URL:            http://pagure.io/iok
Source0:        https://releases.pagure.org/iok/%{name}-%{version}.tar.gz
Source1:        %{name}.appdata.xml
BuildRequires:  desktop-file-utils libXtst-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel gettext gettext-tools libxml2-devel
BuildRequires:  intltool libunique3.0-devel
BuildRequires:  gcc
Requires:  xkeyboard-config 
Source44: import.info

%description
iok is Indic Onscreen Keyboard. It provides virtual Keyboard functionality. 
It currently works with Inscript and xkb keymaps for Indian languages. iok
can even try to parse non-inscript keymaps and show them in iok.

%prep
%setup -q


%build
%configure
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

mkdir -p %{buildroot}%{_datadir}/appdata
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/appdata

desktop-file-install \
    --delete-original \
    --copy-generic-name-to-name \
    --dir %{buildroot}/%{_datadir}/applications/ \
     %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README.old README
%{_bindir}/iok
%{_datadir}/applications/iok.desktop
%{_datadir}/icons/hicolor/16x16/apps/iok.png
%{_datadir}/icons/hicolor/22x22/apps/iok.png
%{_datadir}/icons/hicolor/24x24/apps/iok.png
%{_datadir}/icons/hicolor/32x32/apps/iok.png
%{_datadir}/icons/hicolor/48x48/apps/iok.png
%{_datadir}/icons/hicolor/scalable/apps/iok.svg
%{_mandir}/man1/iok.1*
%{_datadir}/appdata/iok.appdata.xml

%changelog
