Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Note: this spec is used for RHEL, CentOS and Fedora. Plese do not use Fedora
# only macros. If you want to suggest changes please do this upstream:
# https://gerrit.ovirt.org/#/admin/projects/ioprocess

# Hack to require python2-* packages on Fedora, and python-* on RHEL.
%if 0%{?rhel}
%global python python
%else
%global python python2
%endif

Name:		ioprocess
Version:	1.1.0
Release:	alt1_3%{?release_suffix}
Summary:	Slave process to perform risky IO

License:	GPLv2+
URL:		https://github.com/oVirt/ioprocess

# Note: the url fragment satisfies the build system, assuming that the source
# url ends with name-version.tar.gz. This part is ignored by the server.
# See https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Tags
Source:		https://github.com/oVirt/ioprocess/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz


BuildRequires:  gcc
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	python-devel
BuildRequires:	glib2-devel libgio libgio-devel
BuildRequires:	libyajl-devel
Requires:	libyajl yajl
Source44: import.info

%description
Slave process to perform risky IO.


%prep
%setup -q %{name}-%{version}


%build
%configure
%make_build


%install
make install DESTDIR=%{buildroot}


%files
%{!?_licensedir:%global license %doc}
%{_libexecdir}/ioprocess
%doc README.md AUTHORS
%doc --no-dereference COPYING

%package -n python-module-ioprocess
Group: Other
Summary:	Python bindings for ioprocess
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-module-six
BuildRequires:	python-module-subprocess32
BuildRequires:	agetty cfdisk eject fdisk getopt hardlink hwclock look losetup lsblk mount msulogin rfkill schedutils setarch sfdisk util-linux
Requires:	python
Requires:	python-module-six
Requires:	python-module-subprocess32
Requires:	%{name} = %{version}

# This package replaces python-ioprocess
Provides: python-ioprocess = %{version}
Obsoletes: python-ioprocess < %{version}

%description -n python-module-ioprocess
Python bindings for ioprocess

%files -n python-module-ioprocess
%{!?_licensedir:%global license %doc}
%{python_sitelibdir_noarch}/ioprocess-*.egg-info
%{python_sitelibdir_noarch}/ioprocess/
%doc README.md AUTHORS
%doc --no-dereference COPYING

%changelog
