Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		itzam-core
Version:	2.1.1
Release:	alt2_22
Summary:	Library for creating and manipulating keyed-access database files

License:	GPLv3+
URL:		http://www.coyotegulch.com/products/itzam/index.html
Source0:	http://www.coyotegulch.com/distfiles/%{name}-%{version}.tar.gz

Patch0:		itzam-core-2.1.1-itzam32.patch

BuildRequires:  gcc
Source44: import.info
%description
Itzam/Core is a deliberately portable and concise C library for creating and
manipulating keyed-access database files containing variable-length, random
access records. Information is referenced by a user-defined key value;
indexes may be combined with or remain separate from data. 

%package	devel
Group: Development/Other
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .itzam32


%build
%configure --disable-static
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

cat LICENSE.NON-FREE | tr -d '\r' > LICENSE.NON-FREE.tmp
touch -r LICENSE.NON-FREE LICENSE.NON-FREE.tmp
mv LICENSE.NON-FREE.tmp LICENSE.NON-FREE






%files
%doc AUTHORS ChangeLog COPYING LICENSE.GPL LICENSE.NON-FREE LICENSE.POLICY NEWS README
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
