Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: waf
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       jalv
Version:    1.6.4
Release:    alt2_5
Summary:    A simple but fully featured LV2 host for Jack

License:    MIT
URL:        http://drobilla.net/software/jalv/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2

BuildRequires:  python3
BuildRequires:  doxygen
BuildRequires:  graphviz libgraphviz
BuildRequires:  liblilv-devel >= 0.24.0
BuildRequires:  libsuil-devel >= 0.10.0
BuildRequires:  libserd-devel >= 0.24.0
BuildRequires:  libsord-devel >= 0.14.0
BuildRequires:  libsratom-devel >= 0.6.0
BuildRequires:  lv2-devel >= 1.16.0
BuildRequires:  libjack-devel >= 1.9.10
BuildRequires:  libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:  libgtkmm2-devel >= 2.20.0
BuildRequires:  gcc
BuildRequires:  gcc-c++
Requires:       lv2 >= 1.16.0
Source44: import.info

%description
%{name} is a simple but fully featured LV2 host for Jack. It runs LV2 plugins 
and exposes their ports as Jack ports, essentially making any LV2 plugin 
function as a Jack application. 

%package qt
Group: Sound
Summary:    QT implementation of %{name}
Requires:   %{name} = %{version}-%{release}

%description qt
%{name}-qt is an LV2 host for QT LV2 plugins

%package gtk
Group: Sound
Summary:    GTK implementation of %{name}
Requires:   %{name} = %{version}-%{release}

%description gtk
%{name}-gtk is an LV2 host for GTK LV2 plugins

%package gtkmm
Group: Sound
Summary:    gtkmm implementation of %{name}
Requires:   %{name} = %{version}-%{release}

%description gtkmm
%{name}-gtkmm is an LV2 host for gtkmm LV2 plugins


%prep
%setup -q 

%build

python3 waf configure -v \
 --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --datadir=%{_datadir} \
 --configdir=%{_sysconfdir} \
 --docs 
python3 waf build -v %{?_smp_mflags}

%install
DESTDIR=%{buildroot} python3 waf install

# Provide a link to the default qt program
ln -fs %{name}.qt4 %{buildroot}%{_bindir}/%{name}.qt

%files
%doc AUTHORS NEWS README.md
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_libdir}/jack/%{name}.so

%files qt
%{_bindir}/%{name}.qt*
%{_mandir}/man1/%{name}.qt.1*

%files gtk
%{_bindir}/%{name}.gtk
%{_bindir}/%{name}.gtk3
%{_mandir}/man1/%{name}.gtk.1*

%files gtkmm
%{_bindir}/%{name}.gtkmm
%{_mandir}/man1/%{name}.gtkmm.1*

%changelog
