# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          jiapi
Version:       0.4.0
Release:       alt1_9
Summary:       A highlevel API to instrument Java bytecode
Group:         Development/Java
License:       LGPL
Url:           http://jiapi.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/jiapi/jiapi/%{name}-%{version}.zip

BuildArch:     noarch

BuildRequires: ant
BuildRequires: aopalliance
BuildRequires: bcel
BuildRequires: java-devel-default /proc
BuildRequires: javapackages-tools
BuildRequires: junit
BuildRequires: log4j12
BuildRequires: regexp

Requires:      javapackages-tools
Requires:      log4j12
Source44: import.info

%description
Jiapi can be used to modify bytecode of a Java class before it is loaded
into a virtual machine.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation
BuildArch: noarch

%description   javadoc
Jiapi - A highlevel API to instrument Java bytecode.

This package contains javadoc for %{name}.

%package       manual
Summary:       Manual for %{name}
Group:         Documentation
BuildArch: noarch

%description   manual
Jiapi - A highlevel API to instrument Java bytecode.

This package contains documentation for %{name}.

%prep
%setup -q -n jiapi

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

cat > build,properties << __GIL
regexp.jar=$(build-classpath regexp)
bcel.jar=$(build-classpath bcel)
junit.jar=$(build-classpath junit)
log4j.jar=$(build-classpath log4j-1.2.17)
#openjgraph.jar= http://sourceforge.net/apps/mediawiki/jinsect/index.php?title=Main_Page
#jikesbt.jar= http://www.alphaworks.ibm.com/tech/jikesb
__GIL

%build

export CLASSPATH=$(build-classpath regexp bcel aopalliance log4j-1.2.17 junit)
%ant dist doc

%install
mkdir -p %{buildroot}%{_javadir}

install -m 644 build/jiapi/lib/jiapi.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s jiapi-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf docs/api

sed -i "s|api/|%{_javadocdir}/jiapi|" docs/toc.html

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc BUGS ChangeLog LICENSE README* TODO

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%doc docs/*


%changelog
