# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           klog
Version:        1.3.2
Release:        alt1_1
Summary:        A Ham radio logging program for KDE
Group:          Communications
License:        GPLv3+
URL:            http://www.klog.xyz
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:        klog.desktop
Patch0:         klog-1.2-fix-install.patch

BuildRequires:  dos2unix
BuildRequires:  gettext gettext-tools
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick-tools
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Widgets)
Source44: import.info

%description
KLog is a Ham radio logging program for Plasma 5

Some features include:

    * DXCC award support.
    * Basic IOTA support.
    * Importing from Cabrillo files.
    * Importing from TLF.
    * Adding/Editing QSOs.
    * Save/read to/from disk file the log - ADIF format by default.
    * English/Spanish/Portuguese/Galician/Serbian/Swedish support.
    * QSL sent/received support.
    * Read/Write ADIF.
    * Delete QSOs.
    * DX-Cluster support.
    * WSJT-X integration. 
    * Hamlib integration.

Some features of this application are still under development.

%prep
%setup -q
%patch0 -p1


# Fix line endings
dos2unix TODO

# For some reason all files in 0.9.2.9 are marked executable
find ./ -type f -exec chmod -x {} \;

%build
%qmake_qt5 \
         "PREFIX=%{buildroot}%{_prefix}" \
         "CONFIG+=debug c++14" \
         KLog.pro
%make_build

%install
%makeinstall_std

# Install the provided desktop icon
for png in 48x48 64x64 128x128 256x256 512x512; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png img/klog_512x512.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# Install the provided desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc AUTHORS Changelog README TODO
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
