Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: /usr/bin/desktop-file-install python3-module-setuptools
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global osname  %(cat /etc/redhat-release | awk '{sub(/ release.*/,""); print}')
%global pkgmgr  dnf

%bcond_without  python3

Name:           krop
Version:        0.5.1
Release:        alt2_11
Summary:        Tool to crop PDF files with an eye towards eReaders
License:        GPLv3+
URL:            http://arminstraub.com/software/krop
Source0:        http://arminstraub.com/downloads/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

# upstreamable patch, see also
# https://bugzilla.redhat.com/show_bug.cgi?id=1707034
# https://github.com/arminstraub/krop/issues/23
Patch1: krop-0.5.1-sip_namespace.patch

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%if %without python3
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Requires:       python-module-%{name} = %{version}-%{release}
%else
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       python3-module-krop = %{version}-%{release}
%endif
Source44: import.info


%description
Krop is a simple graphical tool to crop the pages of PDF files. A unique feature
of krop is its ability to automatically split pages into subpages to fit the
limited screen size of devices such as eReaders. This is particularly useful, if
your eReader does not support convenient scrolling.

%if %without python3
%package -n python-module-krop
Group: Other
Summary:    Python2 module for %{name}
Requires:   python-module-PyPDF2 PyQt5 python-poppler-qt5
%{?python_provide:%python_provide python2-%{name}}

%description -n python-module-krop
%else
%package -n python3-module-krop
Group: Other
Summary:    Python3 module for %{name}
Requires:   python3-module-PyPDF2 python3-module-PyQt5 python3-module-poppler-qt5
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-module-krop
%endif
%{summary}.


%prep
%setup -q
# In terms of OS available on Koji. "of" is needed since Ubuntu appears as font.
find . -type f -name '*.py' -exec sed -i -e 's/of ubuntu/of %{osname}/Ig' \
 -e 's|apt-get|%{pkgmgr}|g' -e 's|python-pypdf|pyPdf|g' '{}' +

%patch1 -p1 -b .sip_namespace

%build
%if %without python3
%python_build
%else
%python3_build
%endif

%install
%if %without python3
%python_install
%else
%python3_install
%endif
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
DESTDIR="%{buildroot}" appstream-util install %{name}.appdata.xml


%check
%if %without python3
%{__python} setup.py check
%else
%{__python3} setup.py check
%endif
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%files
%doc ChangeLog
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop

%if %without python3
%files -n python-module-krop
%{python_sitelibdir_noarch}/%{name}-%{version}-py%{__python_version}.egg-info
%{python_sitelibdir_noarch}/%{name}/
%else
%files -n python3-module-krop
%{python3_sitelibdir_noarch}/%{name}-%{version}-py%{__python3_version}.egg-info
%{python3_sitelibdir_noarch}/%{name}/
%endif
%doc --no-dereference LICENSE


%changelog
