Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: pkgconfig(bash-completion)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lastpass-cli
Version:        1.3.3
Release:        alt2_6
Summary:        Command line interface to LastPass.com

License:        GPLv2
URL:            https://github.com/LastPass/lastpass-cli
Source0:        %url/archive/v%{version}/lastpass-cli-%{version}.tar.gz

# RHBZ#1457758
Patch0:         lastpass-cli-1.3.1-remove_reallocarray.patch
# https://github.com/lastpass/lastpass-cli/issues/532
Patch1:         0001-Mark-global-variable-as-extern.patch

BuildRequires:  ctest cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libssl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libcurl-devel
BuildRequires:  asciidoc asciidoc-a2x
Requires:       pinentry-common
Requires:       xclip
Source44: import.info

%description
A command line interface to LastPass.com.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%{fedora_v2_cmake} .
%make_build

%install
%makeinstall_std install-doc

# Install shell completions
install -Dpm0644 contrib/lpass_bash_completion \
    %{buildroot}%{_datadir}/bash-completion/completions/lpass-completion.bash
install -Dpm0644 contrib/completions-lpass.fish \
    %{buildroot}%{_datadir}/fish/vendor_functions.d/lpass.fish
install -Dpm0644 contrib/lpass_zsh_completion \
    %{buildroot}%{_datadir}/zsh/site-functions/_lpass

%files
%doc --no-dereference COPYING
%doc --no-dereference LICENSE.OpenSSL
%doc README.md
%doc CONTRIBUTING
%doc contrib/examples
%{_bindir}/lpass
%{_mandir}/man1/lpass.1*
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/lpass-completion.bash
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/lpass.fish
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_lpass

%changelog
