# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define     git          7921019
%define     gitdate      20151019
%define     major        12
%define     libname      libyui%{major}-gtk
%define     develname    libyui-gtk-devel


Name:       libyui-gtk
Version:    2.49.0
Release:    alt1_5
Summary:    UI abstraction library - GTK plugin
License:    LGPLv2+
Group:      System/Libraries
URL:        https://github.com/libyui/libyui-gtk
Source0:    %{name}-%{version}.tar.bz2
patch0:     00_default_size.patch

BuildRequires:    libpng-devel
BuildRequires:    yui-devel >= 3.0.4
BuildRequires:    gtk3-demo libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:    libgdk-pixbuf-devel libgdk-pixbuf-gir-devel
BuildRequires:    boost-complete
BuildRequires:    sane-devel
BuildRequires:    ccmake cmake ctest
BuildRequires:    doxygen
BuildRequires:    gambit
BuildRequires:    graphviz

Requires:         libyui
Requires:         gnome-themes-extra-data libgtk+3 libgtk+3-schemas
Requires:         gdk_pixbuf2.0
Requires:         pygtk2.0
Source44: import.info

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       libyui%{major}-gtk = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.%{major}
%{_libdir}/yui/lib*.so.%{major}.*

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Provides:       yui-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-gtk.pc
%{_libdir}/cmake/libyui-gtk
%doc %{_docdir}/libyui-gtk%{major}

#-----------------------------------------------------------------------

%prep
%setup -q


%build
./bootstrap.sh
%{mageia_cmake} \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_WERROR=0 \
    -DENABLE_DEBUG=1 \
    -DINSTALL_DOCS=yes
%mageia_cmake_build
pushd build
make docs
popd

%install
%mageia_cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
