# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         major        12
%define         libname      libyui%{major}-mga
%define         develname    libyui-mga-devel

Name:           libyui-mga
Version:        1.1.0
Release:        alt1_1
Summary:        UI abstraction library - Mageia extension widget base plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga
Source0:        %{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui)
BuildRequires:    ccmake cmake ctest
BuildRequires:    boost-complete
BuildRequires:    doxygen
BuildRequires:    texlive
BuildRequires:    texlive-dist
BuildRequires:    gambit
BuildRequires:    graphviz
Requires:         libyui
Source44: import.info

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga.

%files -n %libname
%doc COPYING*
%{_libdir}/libyui-mga.so.%{major}*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/C++
Requires:       %{name} = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-mga development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/libyui-mga.so
%{_libdir}/pkgconfig/libyui-mga.pc
%{_libdir}/cmake/libyui-mga
%doc %{_docdir}/libyui-mga%{major}

#-----------------------------------------------------------------------

%prep
%setup -q


%build
./bootstrap.sh
%{mageia_cmake} \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes   \
    -DENABLE_EXAMPLES=no
%mageia_cmake_build
%mageia_cmake_build docs

%install
%mageia_cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
