# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++ pkgconfig(blkid) pkgconfig(bzip2) pkgconfig(datrie-0.2) pkgconfig(fribidi) pkgconfig(libbrotlidec) pkgconfig(libpcre) pkgconfig(libselinux) pkgconfig(libthai) pkgconfig(mount)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         git          ""
%define         gitdate      20151019
%define         major        12
%define         libname      libyui%{major}-mga-gtk
%define         develname    libyui-mga-gtk-devel

Name:           libyui-mga-gtk
Version:        1.1.0
Release:        alt3_5
Summary:        UI abstraction library - Mageia extension Gtk plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-gtk
Source0:        %{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libyui)    >= 3.1.2
BuildRequires:    libyui-gtk-devel
BuildRequires:    libyui-mga-devel >= 1.0.4
BuildRequires:    gtk3-demo libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:    ccmake cmake ctest
BuildRequires:    boost-complete
BuildRequires:    doxygen
BuildRequires:    texlive
BuildRequires:    texlive-dist
BuildRequires:    gambit
BuildRequires:    graphviz
Requires:         libyui
Requires:         libyui-mga
Requires:         libyui-gtk
Source44: import.info

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       libyui%{major}-mga-gtk = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.%{major}
%{_libdir}/yui/lib*.so.%{major}.*

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Provides:       yui-mga-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-gtk development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-mga-gtk.pc
%{_libdir}/cmake/libyui-mga-gtk
#%doc %{_docdir}/libyui-mga-gtk%{major}

#-----------------------------------------------------------------------

%prep
%setup -q


%build
./bootstrap.sh
%{mageia_cmake} \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir}  \
    -DLIB_DIR=%{_lib}     \
    -DINSTALL_DOCS=no
%mageia_cmake_build
#mageia_cmake_build -t docs

%install
%mageia_cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
