# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%define mgaversion 710
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         git          ""
%define         gitdate      20151019
%define         major        12
%define         libname      libyui%{major}-mga-qt
%define         develname    libyui-mga-qt-devel

Name:           libyui-mga-qt
Version:        1.1.0
Release:        alt1_2
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-qt
Source0:        https://github.com/manatools/libyui-mga-qt/archive/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui) >= 3.1.2
BuildRequires:    libyui-qt-devel
BuildRequires:    libyui-mga-devel >= 1.0.4
# TODO Check ...
%if %mgaversion > 3
BuildRequires:    pkgconfig(Qt5X11Extras)
%else
BuildRequires:    libqt5ftp-devel
%endif
BuildRequires:    pkgconfig(Qt5Svg)
# ... TODO Check
BuildRequires:    ccmake cmake ctest
BuildRequires:    boost-complete
BuildRequires:    doxygen
BuildRequires:    texlive
%if %mgaversion > 3
BuildRequires:    texlive-dist
%endif
BuildRequires:    gambit
BuildRequires:    graphviz
BuildRequires:    pkgconfig(fontconfig)
Requires:         libyui
Requires:         libyui-mga
Requires:         libyui-qt
Source44: import.info

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       libyui%{major}-mga-qt = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.%{major}
%{_libdir}/yui/lib*.so.%{major}.*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and QT
Requires:       %{name} = %{version}-%{release}
Provides:       yui-mga-qt-devel = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-mga-qt development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-mga-qt.pc
%{_libdir}/cmake/libyui-mga-qt
%doc %{_docdir}/libyui-mga-qt%{major}

#-----------------------------------------------------------------------

%prep
%setup -q


%build
./bootstrap.sh
%{mageia_cmake} \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes
%mageia_cmake_build
%mageia_cmake_build docs

%install
%mageia_cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
