# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         git          437b090
%define         gitdate      20151019
%define         major        12
%define         libname      libyui%{major}-qt
%define         develname    libyui-qt-devel

Name:           libyui-qt
Version:        2.53.0
Release:        alt1_2
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/libyui/libyui-qt
Source0:        %{name}-%{version}.tar.bz2
#Source0:        https://github.com/libyui/libyui-qt/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui) >= 3.1.2

BuildRequires:    pkgconfig(Qt5Core)
BuildRequires:    pkgconfig(Qt5Gui)
BuildRequires:    pkgconfig(Qt5Svg)
BuildRequires:    pkgconfig(Qt5Widgets)
BuildRequires:    pkgconfig(Qt5X11Extras)

BuildRequires:    ccmake cmake ctest
BuildRequires:    boost-complete
BuildRequires:    doxygen
BuildRequires:    texlive
BuildRequires:    texlive-dist
BuildRequires:    graphviz
BuildRequires:    gambit
BuildRequires:    pkgconfig(fontconfig)
Requires:         libyui
Source44: import.info

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Requires:       libqt5-x11extras
Provides:       %{name} = %{version}-%{release}
Provides:       libyui%{major}-qt = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.%{major}
%{_libdir}/yui/lib*.so.%{major}.*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and QT
Requires:       %{name} = %{version}-%{release}
Provides:       yui-qt-devel = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-qt development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-qt.pc
%{_libdir}/cmake/libyui-qt
%doc %{_docdir}/libyui-qt%{major}

#-----------------------------------------------------------------------

%prep
%setup -q


%build
./bootstrap.sh
%{mageia_cmake} \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1 \
    -DINSTALL_DOCS=yes
%mageia_cmake_build
%mageia_cmake_build docs

%install
%mageia_cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
