Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global vver	451

Name:		lv
Version:	4.51
Release:	alt2_43
License:	GPLv2+
URL:		http://www.ff.iij4u.or.jp/~nrt/lv/
BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel autoconf
BuildRequires:	gcc

Source:		http://www.ff.iij4u.or.jp/~nrt/freeware/%{name}%{vver}.tar.gz
Patch1:		lv-4.49.4-nonstrip.patch
Patch2:		lv-4.51-162372.patch
Patch3:		lv-+num-option.patch
Patch4:		lv-fastio.patch
Patch5:		lv-lfs.patch
Patch6:		%{name}-aarch64.patch
Patch7:		%{name}-no-sigvec.patch
Patch8:		%{name}-inline.patch

Summary:	A Powerful Multilingual File Viewer
Source44: import.info
%description
lv is a powerful file viewer like less.
lv can decode and encode multilingual streams through
many coding systems: ISO-8859, ISO-2022, EUC, SJIS, Big5,
HZ, Unicode.
It recognizes multi-bytes patterns as regular
expressions, lv also provides multilingual grep.
In addition, lv can recognize ANSI escape sequences
for text decoration.

%prep
%setup -q -n %{name}%{vver}
%patch1 -p1 -b .nonstrip
%patch2 -p1 -b .162372
%patch3 -p1 -b .num
%patch4 -p1 -b .fastio
%patch5 -p1 -b .lfs
%patch6 -p1 -b .6-aarch64
%patch7 -p1 -b .7-sigvec
%patch8 -p1 -b .inline

%build
cd src
autoconf
%configure --enable-fastio
%make_build

%install
cd src
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall_std bindir=$RPM_BUILD_ROOT%{_bindir} libdir=$RPM_BUILD_ROOT%{_libdir} mandir=$RPM_BUILD_ROOT%{_mandir}

%files
%doc --no-dereference GPL.txt
%doc README build hello.sample hello.sample.gif index.html
%doc relnote.html
%{_bindir}/lv
%{_bindir}/lgrep
%{_mandir}/man1/lv.1*
%{_libdir}/lv


%changelog
