Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pname abGate
Name:           lv2-abGate
Version:        1.2.0
Release:        alt1_1
Summary:        An LV2 Noise Gate

License:        GPLv3+
URL:            https://abgate.sourceforge.io/
Source0:        https://github.com/antanasbruzas/%{pname}/archive/v%{version}.tar.gz#/%{pname}-%{version}.tar.gz
Patch0:         Makefile.patch
# Patch backported from upstream https://github.com/antanasbruzas/abGate/commit/32131d50babf380e5e8f4f0bd226272df201d55a
Patch1:         %{name}-gate-ttl.patch

BuildRequires:  gcc-c++
BuildRequires:  lv2-devel >= 1.8.1
BuildRequires:  libgtkmm2-devel
Requires:       lv2 >= 1.8.1
Source44: import.info

%description
A Noise Gate plugin 

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1


# Do not build Qt5 GUI for now
rm -rf abGateQt

# Fix plugin path
sed -i -e "s|/usr/lib/lv2|%{_libdir}/lv2|g" plugin_configuration.h

%build

%make_build PREFIX=%{_prefix}

%install
%makeinstall_std PREFIX=%{_prefix} INSTALL_DIR=%{buildroot}/%{_libdir}/lv2

%files
%doc README.md
%doc --no-dereference LICENSE
%{_libdir}/lv2/%{pname}.lv2


%changelog
