Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pname kn0ck0ut
%global gitrev eaeb2d90
Name:           lv2-kn0ck0ut
Version:        1.1
Release:        alt1_15.0.git%{gitrev}
Summary:        An LV2 spectral subtraction plugin

License:        GPLv3+
URL:            https://github.com/jeremysalwen/kn0ck0ut-LV2
# obtained from git via sh lv2-kn0ck0ut-snapshot.sh 60421a3
Source0:        %{name}-%{version}-git%{gitrev}.tar.bz2
Source1:        %{name}-snapshot.sh
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(lv2core)
BuildRequires:  pkgconfig(fftw3f)
BuildREquires:  pkgconfig(lv2-plugin)

Requires:       lv2
Source44: import.info

%description
Kn0ck0ut-LV2 is an LV2 plugin to perform spectral subtraction. It can be used
to achieve a wide variety of effects, most notably removing or extracting the
center of a two channel audio file. As Kn0ck0ut is only a plugin, you will
need a host for LV2 plugins in order to use it, such as Ardour, Qtractor, Ingen,
lv2_jack_host, or lv2file.

%prep
%setup -q 
sed -i -e 's|^CXXFLAGS+=-O3 -ffast-math |CXXFLAGS += %{optflags} |' Makefile
sed -i -e 's|^LDFLAGS +=|LDFLAGS += %{optflags} |' Makefile
sed -i -e 's|^INSTALL_DIR = $(DESTDIR)/usr/lib/lv2|INSTALL_DIR = $(DESTDIR)%{_libdir}/lv2|' Makefile

%build
make

%install
make install DESTDIR=%{buildroot}

%files
%doc readme.txt
%doc --no-dereference COPYING
%{_libdir}/lv2/%{pname}.lv2

%changelog
