Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lwtools
Version:        4.18
Release:        alt1_1
Summary:        Cross-development tool chain for Motorola 6809 and Hitachi 6309

License:        GPLv3
URL:            http://www.lwtools.ca/
Source0:        http://www.lwtools.ca/releases/lwtools/lwtools-%{version}.tar.gz
Source44: import.info


%description
LWTOOLS is a set of cross-development tools for the Motorola 6809 and
Hitachi 6309 microprocessors. It supports assembling to raw binaries,
CoCo LOADM binaries, and a proprietary object file format for later
linking. It also supports macros and file inclusion among other things.

%package doc
Group: Other
Summary:        Documentation for the LWTOOLS cross-development tool chain
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

BuildRequires:  gcc

%description doc
The complete documentation for the LWTOOLS cross-development tool chain.


%prep
%setup -q

%build
export LDFLAGS=${LDFLAGS:-%__global_ldflags}
%make_build CFLAGS="%{optflags}"


%install
make install PREFIX=%{buildroot}/usr LWCC_LIBBIN_FILES=''

mkdir -p %{buildroot}%{_docdir}/%{name}
mv docs/*.txt %{buildroot}%{_docdir}/%{name}
mv docs/manual %{buildroot}%{_docdir}/%{name}
cp -a 00README.txt %{buildroot}%{_docdir}/%{name}


%files
%{_bindir}/*
%dir %{_docdir}/%{name}
%doc --no-dereference COPYING GPL3

%files doc
%{_docdir}/%{name}/*.txt
%{_docdir}/%{name}/manual


%changelog
