Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/dot libncurses-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Minimal Abstraction Layer for Object-oriented C
Name: maloc
Version: 1.5
Release: alt2_22
License: GPLv2+
URL: http://www.fetk.org
Source0: http://www.fetk.org/codes/download/%{name}-%{version}.tar.gz
# removes hardcoded libdir setting
Patch0: maloc-makefile.am.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: libtool
BuildRequires: readline-devel
Source44: import.info

%description
MALOC is a small, portable, abstract C environment library for
object-oriented C programming. MALOC is used as the foundation layer
for a number of scientific applications, including MC, SG, and
APBS. MALOC can be used as a small stand-alone abstraction environment
for writing portable C programs which need access to resources which
are typically architecture-dependent, such as INET sockets, timing
routines, and so on. MALOC provides abstract datatypes, memory
management routines, timing routines, machine epsilon, access to UNIX
and INET sockets, MPI, and so on. All things that can vary from one
architecture to another are abstracted out of an application code and
placed in MALOC.

%package devel
Group: Development/Other
Summary: Header files and library for developing programs with maloc
Requires: %{name} = %{version}-%{release}

%description devel

This package contains libraries and header files needed for program
development using MALOC.

%prep
%setup -n %{name} -q
%patch0 -p0
aclocal
libtoolize --automake
autoconf
automake --gnu --add-missing
autoheader

%build
%configure --disable-static
%make_build

make maloc_doc -C doc/doxygen

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%files
%{_libdir}/*.so.*

%files devel
%doc doc/api/html/*
%{_libdir}/*.so
%{_includedir}/maloc

%changelog
