# BEGIN SourceDeps(oneline):
BuildRequires: libgio-devel python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define debug_package %{nil}

Summary:    An application dock applet for the MATE panel
Name:       mate-dock-applet
Version:    20.04.0
Release:    alt1_1
Group:      Graphical desktop/MATE
License:    GPLv3
Url:        https://github.com/robint99/%{name}
Source0:    https://github.com/ubuntu-mate/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires: python3 python3-tools
BuildRequires: pkgconfig(glib-2.0)

Requires: python3 python3-tools
Requires: mate-panel >= 1.20.0
Requires: python3-module-pyxdg
Requires: python3-module-pycairo
Requires: python3-module-pygobject3 python3-module-pygobject3-pygtkcompat
Requires: python3-module-Pillow
Requires: python3-module-xlib
Source44: import.info

%description
MATE Dock Applet is a MATE Panel applet that displays
running application windows as icons. The applet features
options to pin applications to the dock, supports multiple
workspaces, and can be added to any MATE Panel, regardless
of size and orientation

%prep
%setup -q -n %{name}-%{version}

#Fix applet path, no includes libs so move to datadir
sed -i "s|libdir|datadir|g" src/Makefile.am

%build
aclocal
automake --add-missing
autoreconf

%configure --with-gtk3

%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/dbus-1/services/org.mate.panel.applet.DockAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.dock.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.DockApplet.mate-panel-applet
%dir %{_datadir}/mate-applets/%{name}
%{_datadir}/mate-applets/%{name}/*



%changelog
