# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.24.0
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:      MATE Panel applet indicator
Name:         mate-indicator-applet
Version:      1.24.0
Release:      alt1_2
License:      LGPLv2+ and GPLv3
Group:        Graphical desktop/MATE
URL:          http://mate-desktop.org
Source0:      http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common >= 1.17.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(indicator3-0.4) >= 0.3.90
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.17.0
BuildRequires: pkgconfig(x11)
# Should we import this package??:
#BuildRequires: pkgconfig(libido3-0.1) >= 13.10

Requires:      mate-panel >= 1.17.0
Source44: import.info

%description
A small applet to display information from various applications consistently
in the panel. The indicator applet exposes Ayatana Indicators in the MATE
Panel. Ayatana Indicators are an initiative by Canonical to provide crisp and
clean system and application status indication. They take the form of an icon
and associated menu, displayed (usually) in the desktop panel. Existing
indicators include the Message Menu, Battery Menu and Sound menu.

%prep
%setup -q


%build
%configure --disable-static

%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog
%doc --no-dereference COPYING
%{_libexecdir}/mate-indicator-applet*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-panel/applets/*.mate-panel-applet
%{_iconsdir}/hicolor/*/*/*


%changelog
