# BEGIN SourceDeps(oneline):
BuildRequires: libgio-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.24.0
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        MATE Desktop window management tool
Name:           mate-netbook
Version: 1.24.0
Release: alt1_2
License:        GPLv3
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:    intltool
BuildRequires:    itstool
BuildRequires:    yelp-tools
BuildRequires:    pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:    pkgconfig(libfakekey)
BuildRequires:    pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires:    pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires:    pkgconfig(xtst)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(libwnck-3.0)
BuildRequires:    pkgconfig(unique-3.0)

Requires:        mate-panel >= 1.22.0
Source44: import.info

%description
This package provides a simple window management tool which provides the
following functionality:
 * Allow to set basic rules for window types;
 * Allow exceptions to the rules based on string matching for window
   name and window class;
 * Allows reversing of rules when the user manually changes something;
 * Re-decorates windows on un-maximize

%prep
%setup -q


%build
%configure --libexecdir=%{_libexecdir}/%{name}

%make_build

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%{_bindir}/mate-maximus
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/mate-window-picker-applet
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/
%{_mandir}/man1/mate-maximus.1*


%changelog
