Group: Toys
# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		mcomix
Version:	1.2.1
Release:	alt1_11
Summary:	User-friendly, customizable image viewer for comic books

URL:		http://mcomix.sourceforge.net/
# Version info: mcomix/mcomixstarter.py
License:	GPLv2+
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Fedora specific(?): patch to search default localedir for gettext files
Patch1:		mcomix-0.98-gettext-system-install.patch
# PIL 6 deprecates VERSION
Patch2:		mcomix-1.2.1-PIL6.patch

BuildArch:	noarch
BuildRequires:	gettext gettext-tools
BuildRequires:	python-module-pygtk python-module-pygtk-demo
BuildRequires:	python-module-Pillow
BuildRequires:	python-module-pkg_resources python-module-setuptools
BuildRequires:	python-devel
BuildRequires:	%{_bindir}/desktop-file-install
BuildRequires:	%{_bindir}/appstream-util
# The following BR is really needed for gconf2 macros
BuildRequires:	GConf libGConf
Requires:	python-module-pygtk python-module-pygtk-demo
Requires:	python-module-Pillow
Requires:	python-module-pkg_resources python-module-setuptools
Requires:	python-module-subprocess32
Requires(pre):	GConf libGConf
Requires(preun):	GConf libGConf
Requires(post):	GConf libGConf
Source44: import.info

%description
MComix is a user-friendly, customizable image viewer. It is specifically
designed to handle comic books, but also serves as a generic viewer. It
reads images in ZIP, RAR, 7Zip or tar archives as well as plain image files. It
is written in Python and uses GTK+ through the PyGTK bindings. 

%prep
%setup -q
%patch1 -p1 -b .gettext
%patch2 -p1 -b .pil6

# Remove unuseful and invalid entry
sed -i mime/mcomix.appdata.xml \
	-e '\@project_group@d'

%build
# save timestamps
sed -i -e 's|shutil.copy|shutil.copy2|' mcomix/main.py

# Rename: comicthumb -> mcomicthumb
find . -name comicthumb\* | while read f
do
	mv $f $(echo $f | sed -e 's|comicthumb|mcomicthumb|')
done
grep -rl comicthumb . | xargs sed -i -e 's|comicthumb|mcomicthumb|g'

# Rename: application-x-foo.png -> application-x-mcomix-foo.png
for f in mime/icons/*/application-x-*.png
do
	mv $f $(echo $f | sed -e 's|application-x|application-x-%{name}|')
done
grep -rl application-x . | while read f
do
	sed -i -e 's|application-x|application-x-%{name}|' $f
done
sed -i -e \
	's|/application@x|/application@x-%{name}|' \
	./mime/comicbook.schemas

# embed Fedora EVR
sed -i -e "/^VERSION/s|^\(.*\)$|\1\nVERSION_fedora = '%{version}-%{release}'|" \
	mcomix/constants.py
sed -i -e "s|constants\.VERSION|constants.VERSION_fedora|" \
	mcomix/about_dialog.py

for dir in mcomix/messages/*/LC*/
do
	msgfmt --statistics -o $dir/mcomix.mo $dir/mcomix.po || \
		rm -f $dir/mcomix.mo
done
	
%install
%{__python} setup.py \
	install \
	--root $RPM_BUILD_ROOT

%if 0
# Fix rpmlint on the following file on %%install,
# not on %%prep, %%build
sed -i -e '\@^#!.*%{_bindir}/env@d' \
	$RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{name}/mcomixstarter.py
%endif

desktop-file-install \
	--delete-original \
	--remove-category Application \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

appstream-util validate-relax --nonet \
	$RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
install -cpm 644 ./mime/comicbook.schemas \
	$RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/%{name}.schemas

# gettext catalog files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/
mv $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{name}/messages/*/ \
	$RPM_BUILD_ROOT%{_datadir}/locale/

%find_lang %{name}

%post
%gconf2_install %{name}

%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  %{name}
fi

%files -f %{name}.lang
%doc --no-dereference COPYING
%doc ChangeLog README

%{_sysconfdir}/gconf/schemas/%{name}.schemas

%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{name}/
# python-setuptools on F-22 and above "normalizes" version
# like 1.01 -> 1.1
#%%{python_sitelib}/%%{name}-%%{version}-py*.egg-info/
%{python_sitelibdir_noarch}/%{name}-*-py*.egg-info/

%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml

%{_datadir}/appdata/%{name}.appdata.xml

%{_mandir}/man1/mcomix.1*
#%%{_mandir}/man1/mcomicthumb.1*

%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-*.png


%changelog
