Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mcrcon
Version:        0.6.1
Release:        alt2_7
Summary:        Console based rcon client for minecraft servers

License:        zlib
URL:            https://sourceforge.net/projects/mcrcon/
Source0:        https://github.com/Tiiffi/mcrcon/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
Source44: import.info

%description
Mcrcon is powerful IPv6 compliant minecraft rcon client with bukkit coloring
support. It is well suited for remote administration and to be used as part of
automated server maintenance scripts. Does not cause "IO: Broken pipe" or "IO:
Connection reset" spam in server console.

Features:
 - Interacive terminal mode. Keeps the connection alive.
 - Send multiple commands in one command line.
 - Silent mode. Does not print rcon output.
 - Support for bukkit coloring on Windows and Linux (sh compatible shells).
 - Multiplatform code. Compiles on many platforms with only minor changes.


%prep
%setup -q
sed -i 's/\r$//' README.md
# https://github.com/Tiiffi/mcrcon/pull/24
sed -i 's/ $(PREFIX)/ $(DESTDIR)$(PREFIX)/g' Makefile


%build
CFLAGS="-std=gnu99 %{optflags}"; export CFLAGS
%make_build


%install
%makeinstall_std PREFIX=%{_prefix}


%files
%{_bindir}/*
%doc README.md
%doc --no-dereference LICENSE
%{_mandir}/man1/%{name}.1*


%changelog
