# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		megamario
Version:	1.7
Release:	alt1_9
Summary:	Super Mario 1 clone
Group:		Games/Arcade
License:	LGPL+
URL:		http://www.megamario.de/
Source0:	http://downloads.sourceforge.net/mmario/MegaMario_v%{version}_full.zip
Patch0:		megamario-1.7-compile-fix.patch
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	ImageMagick-tools
BuildRequires:	desktop-file-utils
Requires:	icon-theme-hicolor
Source44: import.info

%description
MegaMario is a clone of the well know platform game Super Mario Bros 1,
In the game you play Mario, and your task is to free his brother Luigi,
who was captured by the evil Bowser.

%prep
%setup -q -c
%patch0 -p1

sed -i 's/\r//' *.txt *.desktop
# as-needed
sed -i -e 's,$(CXX) $(LDFLAGS) -o $@ $^,$(CXX) -o $@ $^ $(LDFLAGS),' Makefile


%build
%make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
convert -transparent '#FF00FF' data/gfx/characters/small/player1r.PNG %{name}.png
sed -i "s/Icon=.*/Icon=megamario/" %{name}.desktop
sed -i "/Encoding/d" %{name}.desktop

%install
make install PREFIX=%{buildroot}%{_prefix}
# cruft removal
rm %{buildroot}%{_datadir}/megamario/levels/1/1
rm %{buildroot}%{_datadir}/megamario/levels/11/mai
rm %{buildroot}%{_datadir}/megamario/save.sav

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -p -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/
install -p -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/

# Fix mga#11749
pushd %{buildroot}%{_datadir}/%{name}/gfx/background
ln -s Iceland.jpg iceland.jpg
ln -s canyon.jpg Canyon.jpg
popd
%files
%doc CONTROLS.txt readme.txt fixes_v%{version}.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_datadir/pixmaps/*


%changelog
