Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_with bootstrap

%global public_key RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3

Name:           minisign
Version:        0.9
Release:        alt2_5
Summary:        A dead simple tool to sign files and verify digital signatures
License:        ISC
URL:            https://github.com/jedisct1/minisign
Source0:        %{url}/releases/download/%{version}/minisign-%{version}.tar.gz
Source1:        %{url}/releases/download/%{version}/minisign-%{version}.tar.gz.minisig

BuildRequires:  libsodium-devel
BuildRequires:  ctest cmake
BuildRequires:  gcc
%if %{without bootstrap}
BuildRequires:  minisign
%endif
Source44: import.info

%description
Minisign is a dead simple tool to sign files and verify signatures.

%prep
%if %{without bootstrap}
/usr/bin/minisign -V -m %{SOURCE0} -x %{SOURCE1} -P %{public_key}
%endif

%setup -q


%build
%{fedora_v2_cmake} -DCMAKE_STRIP=0 .
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc --no-dereference LICENSE
%doc README.md

%changelog
