Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mktorrent
Version:        1.1
Release:        alt2_8
Summary:        Command line utility to create BitTorrent metainfo files

License:        GPLv2+
URL:            https://github.com/Rudde/mktorrent
Source0:        https://github.com/Rudde/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libssl-devel
Source44: import.info

%description
Command line utility to create BitTorrent metainfo files.
See --help option for mktorrent command for details on usage.

%prep
%setup -q
# Use openssl sha1 routine rather than included one.
rm sha1.c sha1.h

%build
%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global largefiles 0
%else
%global largefiles 1
%endif

%make_build USE_LARGE_FILES=%{largefiles}  USE_PTHREADS=1 \
       USE_OPENSSL=1 USE_LONG_OPTIONS=1  CFLAGS="%{optflags}"

%install
make install USE_LARGE_FILES=%{largefiles}  USE_PTHREADS=1 \
       USE_OPENSSL=1 USE_LONG_OPTIONS=1 CFLAGS="%{optflags}" \
       PREFIX=%{buildroot}%{_prefix} INSTALL="install -p"

%files
%{_bindir}/mktorrent
%doc COPYING README

%changelog
