Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           molsketch
Version:        0.7.2
Release:        alt1_1
Summary:        Molecular Structures Editor
License:        GPLv2+
URL:            http://molsketch.sourceforge.net
# Mask while using test builds
Source0:        https://downloads.sourceforge.net/molsketch/Molsketch-%{version}-src.tar.gz
# Mask for regular builds
#Source0:        https://downloads.sourceforge.net/molsketch/Molsketch-latest-src.tar.gz
# Alternative upstream repository for testing
#Source0:        https://github.com/hvennekate/Molsketch/archive/master/Molsketch-master.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  qt5-base-devel
BuildRequires:  qt5-designer qt5-tools
BuildRequires:  kde4libs kde4libs-devel
BuildRequires:  libopenbabel-devel
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       icon-theme-hicolor
Requires:       openbabel
Source44: import.info


%description
Molsketch is a 2D molecular editing tool. Its goal is to help you draw
molecules quickly and easily. Of course your creation can be exported
afterwards in high quality, in a number of vector and bitmap formats.



%package doc
Group: Other
Summary:        Documentation files for %{name}
License:        GPLv2+
BuildArch:      noarch


%description doc
%{summary}.



%package devel
Group: Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-tools


%description 	devel
2D molecular structures editor.

This package contains header files and libraries needed to develop
applications that use %{name}.



# Regular builds:
#%%setup -q -n Molsketch-%%{version}
# Test buids:
#%%setup -q -n Molsketch-latest (or Molsketch-master)
%prep
%setup -q -n Molsketch-%{version}
dos2unix -k doc/cs/molsketch.adp


%build
%qmake_qt5 "MSK_PREFIX=%{_prefix}" "MSK_INSTALL_PREFIX=%{_prefix}" "MSK_INSTALL_DOCS=%{_docdir}/%{name}" "MSK_INSTALL_LIBS=%{_libdir}/%{name}" "MSK_INSTALL_INCLUDES=%{_includedir}" ./Molsketch.pro
%make_build


%install
%makeinstall_std INSTALL_ROOT="%{buildroot}"


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml


%files
%doc --no-dereference COPYING
%doc CHANGELOG
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/*


%files doc
%doc --no-dereference COPYING
%{_docdir}/%{name}


%files devel
%{_includedir}/lib%{name}/


%changelog
