Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %{nil}
%global gitrev 304d1d
%global gitdate 20110613

Name:		mono-reflection
Version:	0.1
Release:	alt2_0.23.%{gitdate}git%{gitrev}
Summary:	Helper library for Mono Reflection support
URL:		https://github.com/jbevain/mono.reflection
License:	MIT
# No source tarball, source from git:
# git clone https://github.com/jbevain/mono.reflection.git
# Use ./mono-reflection-make-git-snapshot.sh script to reproduce
Source0:	mono-reflection-%{gitdate}git%{gitrev}.tar.bz2
Source1:	mono-reflection.pc
Source2:	mono-reflection-make-git-snapshot.sh
Patch0:		mono-reflection-build.patch
BuildRequires:	mono-core mono-data mono-data-oracle mono-devel mono-dyndata mono-extras mono-mono2-compat mono-mono2-compat-devel mono-mvc mono-wcf mono-web mono-winforms mono-winfx

# Mono only available on these:
ExclusiveArch: %mono_arches
Source44: import.info

%description
Helper library for Mono Reflection support.

%package devel
Group: Other
Summary:	Development files for Mono.Reflection library
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for Mono.Reflection library.

%prep
%setup -q -n mono-reflection-%{gitdate}
%patch0 -p1
chmod -x README
sed -i 's/\r//' README

# Delete bundled DLL
rm -rf Test/target.dll

%build
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk Mono.Reflection.snk
make LIBDIR=%{_libdir}

%install
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -p %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig
sed -i -e 's!@libdir@!%{_libdir}!' $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/mono-reflection.pc
mkdir -p %{buildroot}%{_prefix}/lib/mono/gac/
gacutil -i bin/Mono.Reflection.dll -f -package Mono.Reflection -root %{buildroot}%{_prefix}/lib

%files
%doc README
%{_prefix}/lib/mono/gac/Mono.Reflection/
%{_prefix}/lib/mono/Mono.Reflection/

%files devel
%{_libdir}/pkgconfig/mono-reflection.pc

%changelog
