# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if %_lib == lib
%define binary mp3packer
%else
%define binary mp3packer64
%endif

Summary: MP3 reorganizer and repacker
Name: mp3packer
Version: 2.04
Release: alt1_12
License: GPLv2+
Group: Sound
Url: http://omion.dyndns.org/
Source0: http://omion.dyndns.org/mp3packer/%{name}-%{version}_src.zip
#gw see http://www.hydrogenaudio.org/forums/index.php?showtopic=32379&view=findpost&p=812235
Patch0: mp3packer-2.04-fix-build.patch
#pt There is a useless fast-math to prevent the 32 bits makefile target to be used on x86_64
#   It also prevents from using it on armv5
Patch1: mp3packer-2.04-fix-arm-build.patch
# SSEOPT defaults to sse4.1 which is not always present even on x86_64
# enable debugging information
# -unsafe-string is required with ocaml 4.06.0
Patch2: mp3packer-2.04-enable-debugging-information_and-ocaml-4.06.0.patch
Patch3: mp3packer-2.04-int32_uint32_int64_uint64.patch

BuildRequires: ocaml >= 4
BuildRequires: p7zip p7zip-standalone
Source44: import.info

%description
MP3packer is a program which can rearrange the data within an MP3 to
fulfill specific goals. By default, the program generates the smallest
MP3 possible (with the least padding). However, many people also use
it to turn VBR files into CBR for use with players which don't support
VBR.

%prep
%setup -T -c
#gw this source file doesn't unpack with unzip
7z e %SOURCE0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
touch .depend

%build
make depend

%make_build %binary

%install
mkdir -p %buildroot%_bindir/
install -m 0755 %binary %buildroot%_bindir/%name

%files
%doc *.html
%_bindir/%name




%changelog
