Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		mspdebug
Version:	0.25
Release:	alt2_8
Summary:	Debugger and gdb proxy for MSP430 MCUs
License:	GPLv2+
URL:		http://dlbeer.co.nz/mspdebug/
Source0:	https://github.com/dlbeer/mspdebug/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	libusb-compat-devel
BuildRequires:	readline-devel
Source44: import.info

%description
A a free debugger for use with MSP430 MCUs. It supports FET430UIF,
eZ430, RF2500 and TI Chronos devices. It can be used as a proxy for
gdb or as an independent debugger with support for programming,
disassembly and reverse engineering.

%prep
%setup -qn %{name}-%{version}

%build
# add -DDEBUG_GDB to CFLAGS for gdb debugging output
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" \
     LIBDIR=%{_libdir}

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} INSTALL="install -p" \
     LIBDIR=%{_libdir}

%files
%doc AUTHORS
%doc --no-dereference COPYING
%{_bindir}/mspdebug
%{_mandir}/man1/mspdebug.1*
%{_libdir}/mspdebug

%changelog
