# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++ libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major   3
%define libname libmyguiengine%{major}
%define devname libmyguiengine-devel

Name:           mygui
Version:        3.2.2
Release:        alt1_13
Summary:        Fast, simple and flexible GUI library for Ogre
Group:          Development/C++
License:        MIT
URL:            http://mygui.info/
Source0:        https://github.com/MyGUI/mygui/archive/MyGUI%{version}/%{name}-%{version}.tar.gz
Patch0:         mygui-3.2.2-linking-boost_system.patch
Patch1:         mygui-3.2.2-fix-build-gcc11.patch

# From Fedora
Patch11:        mygui_multilib_cflags.patch
Patch12:        mygui-libCommon-fixup.patch

BuildRequires:  boost-complete
BuildRequires:  cmake
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(OIS)
BuildRequires:  pkgconfig(OGRE)
BuildRequires:  pkgconfig(uuid)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} >= %{version}-%{release}
Source44: import.info

%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{libname}
Summary:        Shared libraries for MyGUI
Group:          System/Libraries

%description -n %{libname}
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{devname}
Summary:        Development files for MyGUI
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for MyGUI.

%prep
%setup -q -n %{name}-MyGUI%{version}
%patch0 -p1
%patch1 -p1
%patch11 -p1
%patch12 -p1


%build
%{mageia_cmake} \
    -DMYGUI_BUILD_DEMOS=FALSE \
    -DMYGUI_BUILD_DOCS=FALSE \
    -DMYGUI_BUILD_PLUGINS=FALSE \
    -DMYGUI_BUILD_TOOLS=FALSE \
    -DOGRE_INCLUDE_DIR=%{_includedir}/OGRE

%mageia_cmake_build

%install
%mageia_cmake_install

%files -n %{libname}
%{_libdir}/libMyGUIEngine.so.%{major}
%{_libdir}/libMyGUIEngine.so.%{major}.*
%{_libdir}/libMyGUI.OgrePlatform.so

%files -n %{devname}
%{_includedir}/MYGUI/
%{_libdir}/libMyGUIEngine.so
%{_libdir}/pkgconfig/MYGUI.pc


%changelog
