# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global commit 984b5a82b1d7094e16127720c13d1ba170d08e2d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%define myplugdir %{_libdir}/mysql/plugin/

Name:           mysqludf_xql
Version:        1.0.0
Release:        alt1_13
Summary:        MySQL UDF library for XML output

Group:          Databases
License:        LGPLv2+
URL:            http://www.mysqludf.org/
Source0:        https://github.com/mysqludf/lib_mysqludf_xml/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  libmysqlclient-devel libxml2-devel
Requires:       mysql-server

# https://bugzilla.redhat.com/show_bug.cgi?id=926190
# autoreconf for aarch64
BuildRequires: automake autoconf libtool
Source44: import.info

%description
The lib_mysqludf_xql library provides an array of functions, which can be used 
to create XML output directly from MySQL using a single SQL query. 

%prep
%setup -q -n lib_mysqludf_xml-%{commit}
# upstream keeps configure without executable permissions
# and autoconf --force would not change those. so remove
rm -f configure
autoreconf -fi
sed -i 's/\r//' API COPYING installdb.sql

%build
%configure --libdir=%{myplugdir} --with-libxml2=%{_libdir}/xml2Conf.sh \
           --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{myplugdir}/*.la


%files
%doc API AUTHORS ChangeLog COPYING NEWS README installdb.sql uninstalldb.sql
%{myplugdir}/lib_mysqludf_xql.so


%changelog
