# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/doxygen /usr/bin/git binutils-devel libSDL-devel pkgconfig(luajit) zip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _legacy_common_support 1
Name:           naev
Version:        0.7.0
Release:        alt1_5
Summary:        2D space trading and combat game
Group:          Games/Other
License:        GPLv3+
URL:            http://naev.org
Source0:        http://downloads.sf.net/naev/%{name}-%{version}.tar.bz2
Patch0:         naev-0.6.1-system-cxsparse.patch

BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  libsuitesparse-devel
Requires:       %{name}-data = %{version}
Source44: import.info

%description
NAEV is a 2D space trading and combat game, taking inspiration from the
Escape Velocity series, among others.

You pilot a space ship from a top-down perspective, and are more or less
free to do what you want. As the genre name implies, youa.'re able to trade
and engage in combat at will. Beyond that, therea.'s an ever-growing number
of storyline missions, equipment, and ships; even the galaxy itself grows
larger with each release. For the literarily-inclined, there are large
amounts of lore accompanying everything from planets to equipment.

%prep
%setup -q
%patch0 -p1


# Remove built-in libraries
rm -rf lib/lua lib/csparse

%build
# note the ndata-path needs to point directly to the file
%configure \
    --bindir=%{_gamesbindir} \
    --with-ndata-path=%{_gamesdatadir}/%{name}/ndata-%{version}.zip \
    --enable-lua=shared \
    --enable-debug=no
%make_build

%install
%makeinstall_std

# No need to adapt paths, the naev-confupdate.sh is located via ndata
install -d %{buildroot}%{_gamesdatadir}
mv -f %{buildroot}%{_datadir}/%{name} %{buildroot}%{_gamesdatadir}/

%files
%doc README LICENSE AUTHORS TODO
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/naev-confupdate.sh
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
