Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		nawk
Version:	20180827
Release:	alt1_5
Summary:	"The one true awk" descended from UNIX V7
License:	MIT
URL:		https://github.com/onetrueawk/awk
Source0:	https://github.com/onetrueawk/awk/archive/%{version}.tar.gz

# remove obsolete macros and change name from awk to nawk 
Patch0:		nawk-manpage.patch
BuildRequires:  gcc
BuildRequires:	bison
Source44: import.info

%description
This is the version of awk described in "The AWK Programming Language", by Al 
Aho, Brian Kernighan, and Peter Weinberger. (Addison-Wesley, 1988, ISBN 
0-201-07981-X).

%prep
%setup -q -n awk-%{version}
%patch0 -p5


%build
make CFLAGS="%{optflags}" YACC='bison -y -d' CC="%{__cc}"

%install

# the nawk binary is saved as a.out so we need to make our directory
# and give the binary a good name
mkdir -p %{buildroot}%{_bindir}
cp a.out %{buildroot}%{_bindir}/nawk

mkdir -p %{buildroot}%{_mandir}/man1/
cp awk.1 %{buildroot}%{_mandir}/man1/nawk.1

%files
%doc FIXES README ChangeLog
%{_bindir}/nawk
%{_mandir}/man1/nawk.1*

%changelog
