# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/file /usr/bin/glib-gettextize pkgconfig(gio-unix-2.0) pkgconfig(libnm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.2.12
%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/NetworkManager/.*\\.so

Summary:	NetworkManager VPN integration for LibreSWAN
Name:		networkmanager-libreswan
Version:	1.2.12
Release:	alt1_3
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/NetworkManager-libreswan/%{url_ver}/NetworkManager-libreswan-%{version}.tar.xz
BuildRequires:	gettext gettext-tools
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl(XML/Parser.pm)
BuildRequires:	perl
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	NetworkManager-daemon libnm-devel-doc
Requires:	shared-mime-info
Obsoletes:	networkmanager-openswan <= 1.1.0
Source44: import.info

%description
This package contains software for integrating the LibreSWAN IPSec VPN software
with NetworkManager.

%prep
%setup -qn NetworkManager-libreswan-%{version}


%build
NOCONFIGURE=yes gnome-autogen.sh
%configure \
	--disable-static \
	--disable-silent-rules \
	--without-libnm-glib
%make_build

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-libreswan

%files -f NetworkManager-libreswan.lang
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-libreswan-service.conf
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%{_libexecdir}/nm-libreswan-auth-dialog
%{_libexecdir}/nm-libreswan-service
%{_libexecdir}/nm-libreswan-service-helper
%{_libexecdir}/nm-libreswan-service-helper
%dir %{_datadir}/gnome-vpn-properties/libreswan
%{_datadir}/gnome-vpn-properties/libreswan/nm-libreswan-dialog.ui
%{_datadir}/appdata/network-manager-libreswan.metainfo.xml
%{_usr}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_mandir}/man5/nm-settings-libreswan.5*


%changelog
