Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nfspy
Version:        1.0
Release:        alt1_16
Summary:        An ID-spoofing NFS client

License:        MIT
URL:            https://github.com/bonsaiviking/NfSpy
Source0:        https://github.com/bonsaiviking/NfSpy/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-module-fuse

Requires:       python-module-fuse
Source44: import.info

%description
NfSpy is a Python library for automating the falsification of NFS credentials
when mounting an NFS share. Included are two client programs:

- nfspy uses the Filesystem in Userspace (FUSE) library to mount an NFS share
  in Linux. This allows the use of any regular file-searching and manipulation
  programs like grep and find to explore the NFS export.
- nfspysh is a ftp-like interactive shell for exploring NFS exports. It does
  not require the FUSE library, so it can run on non-Linux platforms.

%prep
%setup -q -n NfSpy-%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' nfspy/__init__.py nfspy/nfspy.py

%build
%python_build

%install
%python_install

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/nfspysh
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/NfSpy*.egg-info

%changelog
