Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%?python_enable_dependency_generator
%define srcname nmstate
%define libname libnmstate

Name:           nmstate
Version:        0.0.8
Release:        alt1_3
Summary:        Declarative network manager API
License:        LGPLv2+
URL:            https://github.com/%{srcname}/%{srcname}
Source0:        %{url}/releases/download/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        %{url}/releases/download/v%{version}/%{srcname}-%{version}.tar.gz.asc
Source2:        gpgkey-F7910D93CA83D77348595C0E899014C0463C12BB.gpg
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  gnupg gnupg2
Requires:       python3-module-distribute
Requires:       python3-module-libnmstate = %{?epoch:%{epoch}:}%{version}-%{release}
Source44: import.info

%description
NMState is a library with an accompanying command line tool that manages host
networking settings in a declarative manner and aimed to satisfy enterprise
needs to manage host networking through a northbound declarative API and multi
provider support on the southbound.


%package -n python3-module-libnmstate
Group: Other
Summary:        nmstate Python 3 API library
Requires:       libnm
# Use Recommends for NetworkManager because only access to NM DBus is required,
# but NM could be running on a different host
Requires:     NetworkManager-daemon
# Use Suggests for NetworkManager-ovs since it is only required for OVS support
Requires:       NetworkManager-ovs
Requires:       python3-module-dbus


%description -n python3-module-libnmstate
This package contains the Python 3 library for nmstate.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q
sed -i -e '/^dbus-python$/d' requirements.txt

%build
%python3_build

%install
%python3_install

%files
%doc README.md
%doc examples/
%{python3_sitelibdir_noarch}/nmstatectl
%{_bindir}/nmstatectl

%files -n python3-module-libnmstate
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{libname}
%{python3_sitelibdir_noarch}/%{srcname}-*.egg-info/

%changelog
