Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename backoff
%global enable_tests 1

Name:		nodejs-backoff
Version:	2.5.0
Release:	alt1_6
Summary:	Fibonacci and exponential backoffs

License:	MIT
URL:		https://github.com/MathieuTurcotte/node-backoff
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	examples-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(precond)
%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
BuildRequires:	npm(sinon)
%endif
Source44: import.info

%description
Fibonacci and exponential backoffs.


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

%setup -q -T -D -a 2 -n package


# fix script interpreter
sed -i '1s/env //' examples/*.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/nodeunit tests/
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md docs/ examples/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
