Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename bit-mask
%global enable_tests 1

Name:		nodejs-bit-mask
Version:	1.0.2
Release:	alt1_4
Summary:	A utility for manipulating bit masks

License:	MIT
URL:		https://github.com/khrome/bit-mask.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license file requested at https://github.com/khrome/bit-mask/pull/3
Source1:	LICENSE-MIT


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(array-events)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(request)
BuildRequires:	npm(should)
%endif
Source44: import.info

%description
A utility for manipulating bit masks


%prep
%setup -q -n package

cp -p %{SOURCE1} .

%nodejs_fixdep array-events '^1.0.0'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
