Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0

%global barename cls

Name:               nodejs-cls
Version:            0.1.5
Release:            alt1_8
Summary:            Class factory

License:            MIT
URL:                https://www.npmjs.org/package/cls
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif
Source44: import.info


%description
Class factory featuring inheritance of static properties, static constructors,
lazy population of prototypes, and this._super.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cls
cp -pr package.json main.js \
    %{buildroot}%{nodejs_sitelib}/cls

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node ./node_modules/mocha/bin/mocha --reporter spec
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/cls/

%changelog
