Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global commit 212d7d4b5f049e31d30907ee73ac767329db92e1

%global enable_tests 1

Name:       nodejs-css-parse
Version:    1.7.0
Release:    alt1_12
Summary:    A JavaScript CSS parser for Node.js and the browser
License:    MIT
URL:        https://github.com/reworkcss/css-parse
# Use GitHub as the NPM tarball is missing test/, examples/, History.md.
Source0:    https://github.com/reworkcss/css-parse/archive/%{commit}/%{name}-%{version}.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n css-parse-%{commit}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-parse
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css-parse

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc examples/ History.md LICENSE Readme.md
%{nodejs_sitelib}/css-parse


%changelog
