Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename debug-fabulous
%global enable_tests 0

Name:		nodejs-debug-fabulous
Version:	0.1.1
Release:	alt1_7
Summary:	The visionmedia debug extensions rolled into one

License:	MIT
URL:		http://www.github.com/nmccready/debug-fabulous
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(debug)
BuildRequires:	npm(memoizee)
BuildRequires:	npm(object-assign)
%if 0%{?enable_tests}
BuildRequires:	node-mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(hook-std)
BuildRequires:	npm(memwatch-next)
%endif
Source44: import.info

%description
The visionmedia debug extensions rolled into one


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package


%nodejs_fixdep debug
%nodejs_fixdep memoizee
%nodejs_fixdep object-assign '^4.1.0'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js src/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec ./test/**/*test.js ./test/*.test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
