Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:           nodejs-difflet
Version:        0.2.3
Release:        alt1_18
Summary:        Colorful diffs for JavaScript objects

#no license file included; "MIT" indicated in package.json
License:        MIT
URL:            https://github.com/substack/difflet
Source0:        http://registry.npmjs.org/difflet/-/difflet-%{version}.tgz
BuildArch:      noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(charm)
BuildRequires:  npm(deep-equal)
BuildRequires:  npm(traverse)

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(ent)
%endif
Source44: import.info

%description
Creates colorful diffs for JavaScript objects,


%prep
%setup -q -n package
%nodejs_fixdep charm '~0.1.0'
%nodejs_fixdep deep-equal '^1.0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/difflet
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/difflet
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%tap test/*.js
%endif


%files
%{nodejs_sitelib}/difflet
%doc README.markdown example


%changelog
