Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename dirty-chai
%global enable_tests 1

Name:		nodejs-dirty-chai
Version:	2.0.1
Release:	alt1_5
Summary:	Extends Chai with lint-friendly terminating assertions

License:	MIT
URL:		https://github.com/prodatakey/dirty-chai
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license file requested at https://github.com/prodatakey/dirty-chai/pull/35
Source1:	LICENSE-MIT.txt


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	mocha node-mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(chai-as-promised)
BuildRequires:	npm(es6-promise)
BuildRequires:	npm(require-uncached)
%endif
Source44: import.info

%description
Extends Chai with lint-friendly terminating assertions.


%prep
%setup -q -n package

cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
