Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# needed for building on el6


%global srcname dreamopt

Name:           nodejs-%{srcname}
Version:        0.8.0
Release:        alt1_7
Summary:        Command-line parser with readable syntax from your sweetest dreams
License:        MIT
URL:            https://github.com/andreyvit/dreamopt.js
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# License added in yet unreleased version
Source1:        https://raw.githubusercontent.com/andreyvit/dreamopt.js/090bbef47c7d93d4e51f9ed346260f05cc40135f/LICENSE

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
%endif

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  coffee-script
BuildRequires:  npm(mocha)
Source44: import.info

%description
%{summary}.

%prep
%setup -qn package
# remove pregenerated JavaScript
rm -f lib/dreamopt.js
# remove bundled modules (if there are any)
rm -rf node_modules
cp -p %{SOURCE1} .

%build
%nodejs_symlink_deps --build
%{_bindir}/coffee -c -o lib lib/dreamopt.coffee

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%{_bindir}/mocha

%files
%{!?_licensedir:%global license %doc}
%doc README.md examples/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
