Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global npm_name es6-promise
# Tests disabled due to dependencies not in Fedora yet
# Tests also are not working even with dependencies
%global enable_tests 0


Summary:       Lightweight library that provides tools for organizing asynchronous code
Name:          nodejs-%{npm_name}
Version:       4.1.1
Release:       alt1_6
License:       MIT
URL:           https://github.com/jakearchibald/ES6-Promises
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	   tests-%{version}.tar.bz2
Source10:	   dl-tests.%{npm_name}.sh
BuildRequires: rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires: nodejs(ember)
BuildRequires: nodejs(ember-cli)
%endif

BuildArch:     noarch
Source44: import.info

%description
A lightweight library that provides tools for organizing 
asynchronous code

This is a polyfill of the ES6 Promise. The implementation 
is a subset of rsvp.js.

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr dist lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ember test
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
