Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:           nodejs-esprima
Version:        2.7.2
Release:        alt1_6
Summary:        ECMAScript parsing infrastructure for multipurpose analysis

License:        BSD
URL:            https://github.com/jquery/esprima
Source0:        https://github.com/jquery/esprima/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(glob)
#BuildRequires:  npm(everything.js)
BuildRequires:  npm(json-diff)
BuildRequires:  npm(lodash)
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n esprima-%{version}



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/esprima
cp -pr package.json esprima.js \
    %{buildroot}%{nodejs_sitelib}/esprima

mkdir -p %{buildroot}%{_bindir}
for i in esparse.js esvalidate.js; do
    install -p -D -m0755 bin/${i} %{buildroot}%{nodejs_sitelib}/esprima/bin/${i}
    ln -s %{nodejs_sitelib}/esprima/bin/${i} %{buildroot}%{_bindir}/${i}
done

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs tools/generate-fixtures.js
%__nodejs test/unit-tests.js
#%__nodejs test/grammar-tests.js
%__nodejs test/regression-tests.js
%endif


%files
%doc README.md ChangeLog
%doc --no-dereference LICENSE.BSD
%{nodejs_sitelib}/esprima
%{_bindir}/esparse.js
%{_bindir}/esvalidate.js


%changelog
