Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename find-up
%global enable_tests 0
# tests disabled until 'ava' is packaged up in Fedora

Name:		nodejs-find-up
Version:	2.1.0
Release:	alt1_5
Summary:	Find a file by walking up parent directories

License:	MIT
URL:		https://github.com/sindresorhus/find-up
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh

# grab the test.js file as well
Source2:	https://raw.githubusercontent.com/sindresorhus/find-up/v%{version}/test.js




BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(locate-path)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

Requires:	node
Source44: import.info

%description
Find a file by walking up parent directories


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}



%changelog
