Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename fs-exists-sync

# Tests disabled due to tests failing on Linux
%global enable_tests 0

Name:		nodejs-fs-exists-sync
Version:	0.1.0
Release:	alt1_8
Summary:	Drop-in replacement for `fs.existsSync` with zero dependencies

License:	MIT
URL:		https://github.com/jonschlinkert/fs-exists-sync.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Also, releases aren't tagged in Github, so pull test.js from master
Source1:	https://raw.githubusercontent.com/jonschlinkert/fs-exists-sync/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	mocha node-mocha
%endif
Source44: import.info

%description
Drop-in replacement for `fs.existsSync` with zero dependencies. Other libs I
found either have crucial differences from fs.existsSync, or unnecessary
dependencies. See README.md for more info.


%prep
%setup -q -n package

# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
