Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 1

%global barename ftp

Name:               nodejs-ftp
Version:            0.3.10
Release:            alt1_7
Summary:            An FTP client module for node.js

License:            MIT
URL:                https://www.npmjs.org/package/ftp
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel

BuildRequires:      npm(xregexp)
BuildRequires:      npm(readable-stream)
Source44: import.info

%description
node-ftp is an FTP client module for node.js that provides an asynchronous
interface for communicating with an FTP server.

%prep
%setup -q -n mscdex-node-ftp-0bdc638

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep readable-stream ~2.x

%build
#%%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ftp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/ftp

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test/test.js
%endif


%files
%doc README.md TODO
%doc --no-dereference LICENSE
%{nodejs_sitelib}/ftp/

%changelog
