Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0

%global barename grunt-contrib-csslint

Name:               nodejs-grunt-contrib-csslint
Version:            0.4.0
Release:            alt1_12
Summary:            Lint CSS files

License:            MIT
URL:                https://www.npmjs.org/package/grunt-contrib-csslint
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:      rpm-build-nodejs node-devel

BuildRequires:      npm(csslint)
BuildRequires:      npm(grunt)

Requires:           npm(csslint)
Requires:           npm(grunt)

%if 0%{?enable_tests}
BuildRequires:      npm(grunt-contrib-nodeunit)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(grunt)
BuildRequires:      npm(grunt-contrib-internal)
BuildRequires:      npm(grunt-contrib-clean)
%endif
Source44: import.info


%description
Lint CSS files.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep csslint ~0.x
%nodejs_fixdep chalk ^1.1.1
%nodejs_fixdep lodash ^3.10.1
%nodejs_fixdep strip-json-comments ^2.0.1

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-csslint
cp -pr package.json tasks \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-csslint

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt test --force
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-contrib-csslint/

%changelog
