Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0
# tests disabled until npm(ava) is packaged in Fedora

Name:       nodejs-gzip-size
Version:    3.0.0
Release:    alt1_8
Summary:    Get the gzipped size of a string or buffer
License:    MIT
URL:        https://github.com/sindresorhus/gzip-size
Source0:    http://registry.npmjs.org/gzip-size/-/gzip-size-%{version}.tgz
Source1:    https://raw.githubusercontent.com/sindresorhus/gzip-size/v%{version}/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(zlib-browserify)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/gzip-size
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/gzip-size

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/gzip-size/index.js \
    %{buildroot}%{_bindir}/gzip-size

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs tap.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/gzip-size
%{_bindir}/gzip-size


%changelog
