Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename homedir-polyfill

# tests run fine locally, but fail in mock/koji environments
%global enable_tests 0

Name:		nodejs-homedir-polyfill
Version:	1.0.1
Release:	alt1_7
Summary:	Node.js os.homedir polyfill for older versions of node.js

License:	MIT
URL:		https://github.com/doowb/homedir-polyfill
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/doowb/homedir-polyfill/1.0.1/test.js



BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(parse-passwd)
%if 0%{?enable_tests}
BuildRequires:	node-mocha
%endif
Source44: import.info

%description
Node.js os.homedir polyfill for older versions of node.js.


%prep
%setup -q -n package

# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
HOME=/builddir %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
