Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename imurmurhash
%global enable_tests 1

Name:		nodejs-imurmurhash
Version:	0.1.4
Release:	alt1_10
Summary:	An incremental implementation of MurmurHash3

License:	MIT
URL:		https://github.com/jensyt/imurmurhash-js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/jensyt/imurmurhash-js/%{version}/LICENSE


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	uglify-js
%endif
Source44: import.info

%description
An incremental implementation of MurmurHash3


%prep
%setup -q -n package
# setup the LICENSE file
cp -p %{SOURCE1} .

# remove pre-compressed script
rm imurmurhash.min.js

%build
# nothing to do!
%{_bindir}/uglifyjs imurmurhash.js -o imurmurhash.min.js --comments

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
echo "This modules contains no test suite..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
