Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename is-equal
%global enable_tests 0

Name:		nodejs-is-equal
Version:	1.5.5
Release:	alt1_3
Summary:	Are these two values conceptually equal?

License:	MIT
URL:		https://github.com/ljharb/is-equal.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(es6-shim)
BuildRequires:	npm(has)
BuildRequires:	npm(is-arrow-function)
BuildRequires:	npm(is-boolean-object)
BuildRequires:	npm(is-date-object)
BuildRequires:	npm(is-generator-function)
BuildRequires:	npm(is-number-object)
BuildRequires:	npm(is-regex)
BuildRequires:	npm(is-string)
BuildRequires:	npm(is-symbol)
BuildRequires:	npm(make-arrow-function)
BuildRequires:	npm(make-generator-function)

%if 0%{?enable_tests}
BuildRequires:	npm(core-js)
BuildRequires:	npm(tape)
BuildRequires:	npm(object.entries)
%endif
Source44: import.info

%description
Are these two values conceptually equal?


%prep
%setup -q -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/native
%{__nodejs} test/why
%{__nodejs} test/shimmed
%{__nodejs} test/corejs
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
