Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename is-valid-instance

# tests disabled due to missing dependencies
%global enable_tests 0

Name:		nodejs-is-valid-instance
Version:	0.3.0
Release:	alt1_7
Summary:	Returns true if a value is a valid instance of Base

License:	MIT
URL:		https://github.com/node-base/is-valid-instance
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/node-base/%{packagename}/%{version}/test.js

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(isobject)
BuildRequires:	npm(pascalcase)
%if 0%{?enable_tests}
BuildRequires:	node-mocha
BuildRequires:	npm(templates)
%endif
Source44: import.info

%description
Returns true if a value is a valid instance of Base.


%prep
%setup -q -n package

# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep isobject

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
