Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename lcid
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-lcid
Version:	1.0.0
Release:	alt1_9
Summary:	Mapping between standard locales and Windows locales

License:	MIT
URL:		https://github.com/sindresorhus/lcid
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# npm tarball doesn't contain tests, so get them from github
Source1:	https://raw.githubusercontent.com/sindresorhus/lcid/v%{version}/test.js



BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(invert-kv)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

Requires:	node
Source44: import.info

%description
Mapping between standard locale identifiers and Windows locale identifiers
(LCID)


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/node test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}


%changelog
