Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-less
Version:        3.10.3
Release:        alt1_2
Summary:        Less.js The dynamic stylesheet language

# cssmin.js is licensed under BSD license
# everything else is ASL 2.0
License:        ASL 2.0 and BSD
URL:            http://lesscss.org
Source0:        http://registry.npmjs.org/less/-/less-%{version}.tgz
Patch0:         nodejs-less-mime2.patch
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(clone)
BuildRequires:  npm(image-size)
BuildRequires:  npm(less-plugin-clean-css)
BuildRequires:  npm(mime)
BuildRequires:  npm(source-map)

Provides:       lessjs = %{version}-%{release}
Obsoletes:      lessjs < 1.3.3-2
Source44: import.info


%description
LESS extends CSS with dynamic behavior such as variables, mixins, operations
and functions. LESS runs on both the client-side (Chrome, Safari, Firefox)
and server-side, with Node.js and Rhino.


%prep
%setup -q -n package
%patch0 -p1

%nodejs_fixdep clone "^1.0.2"
%nodejs_fixdep --optional --remove errno
%nodejs_fixdep --optional --remove mkdirp
%nodejs_fixdep --optional image-size "^0.6.3"
%nodejs_fixdep --optional promise "^8.0.1"
%nodejs_fixdep --optional request "^2.67.0"
%nodejs_fixdep --optional source-map "^0.5.6"
rm -rf node_modules


%build
# Nothing to be built, we're just carrying around flat files


%check
%nodejs_symlink_deps --check --optional
rm test/less/import-module.less
rm test/css/3rd-party/*.css
rm test/less/3rd-party/*.less
%{__nodejs} test


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/less
cp -pr package.json index.js dist lib %{buildroot}/%{nodejs_sitelib}/less
mkdir -p %{buildroot}%{nodejs_sitelib}/less/bin
install -m755 -p bin/lessc %{buildroot}%{nodejs_sitelib}/less/bin
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/less/bin/lessc %{buildroot}%{_bindir}
%nodejs_symlink_deps


%files
%doc README.md CHANGELOG.md CONTRIBUTING.md
%doc --no-dereference LICENSE
%{_bindir}/lessc
%{nodejs_sitelib}/less


%changelog
