Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename locate-character
%global enable_tests 1

Name:		nodejs-locate-character
Version:	2.0.5
Release:	alt1_5
Summary:	Get the line and column number of a specific character in a string

# license file requested at ahttps://github.com/Rich-Harris/locate-character/issues/1
License:	MIT
URL:		https://github.com/Rich-Harris/locate-character.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	src-%{version}.tar.bz2
Source2:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# typescript config
Source11:	https://raw.githubusercontent.com/Rich-Harris/locate-character/master/tsconfig.json
Source12:	https://raw.githubusercontent.com/Rich-Harris/locate-character/master/types.d.ts


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(typescript)

%if 0%{?enable_tests}
BuildRequires:	mocha node-mocha
%endif
Source44: import.info

%description
Get the line and column number of a specific character in a string


%prep
%setup -q -n package

# setup the src and tests
%setup -q -T -D -a 1 -n package

%setup -q -T -D -a 2 -n package

cp -p %{SOURCE11} .
cp -p %{SOURCE12} .


%build
# nothing to do
tsc

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
