Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename log-driver
%global enable_tests 1

Name:		nodejs-log-driver
Version:	1.2.5
Release:	alt1_9
Summary:	A simple logging framework for logging to stdout

License:	ISC
URL:		https://github.com/cainus/logdriver.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# releases aren't tagged in github, so pull the test from master
Source1:	https://raw.githubusercontent.com/cainus/logdriver/master/test/index.js
# license file is in upstream master branch, but not yet in a release tarball
Source2:	https://raw.githubusercontent.com/cainus/logdriver/master/LICENSE
# fix testing syntax
Patch0:		nodejs-log-driver_fix-test-syntax.patch

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	mocha node-mocha
BuildRequires:	npm(should)
BuildRequires:	npm(sinon-restore)
%endif

Requires:	node
Source44: import.info

%description
A simple logging framework for logging to stdout


%prep
%setup -q -n package
# test file
mkdir test
cp -p %{SOURCE1} test/
cp -p %{SOURCE2} .

%patch0 -p1

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc --no-dereference LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
