Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0
# Tests disabled until we can bootstrap a newer npm(tap)

Name:       nodejs-lru-cache
Version:    4.1.2
Release:    alt1_6
Summary:    A least recently used cache object for Node.js
License:    MIT
URL:        https://github.com/isaacs/node-lru-cache
Source0:    http://registry.npmjs.org/lru-cache/-/lru-cache-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  npm(pseudomap)
BuildRequires:  npm(yallist)
%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif
Source44: import.info


%description
A cache object that deletes the least recently used items.

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep yallist '^3.0.2'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lru-cache
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/lru-cache

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{nodejs_sitelib}/lru-cache
%doc README.md
%doc --no-dereference LICENSE

%changelog
