Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename mock-bin

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-mock-bin
Version:	2.0.0
Release:	alt1_4
Summary:	Mock any executable binary

License:	MIT
URL:		https://github.com/stevemao/mock-bin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/stevemao/mock-bin/v%{version}/test.js


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(cmd-shim)
BuildRequires:	npm(pify)
BuildRequires:	npm(shebang-regex)
BuildRequires:	npm(shelljs)
BuildRequires:	npm(temp-write)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif
Source44: import.info

%description
Mock any executable binary


%prep
%setup -q -n package

# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep temp-write

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}

%changelog
