Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename mutate-fs

# Tests disabled, as the version of npm(tap) in Fedora is too old
%global enable_tests 0

Name:		nodejs-mutate-fs
Version:	2.1.1
Release:	alt1_5
Summary:	Mutate the filesystem behavior for tests

License:	ISC
URL:		https://github.com/isaacs/mutate-fs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# license file requested at https://github.com/isaacs/mutate-fs/pull/2
Source11:	LICENSE-ISC


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif
Source44: import.info

%description
Mutate the filesystem behavior for tests.


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

cp -p %{SOURCE11} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/tap test/*.js --100
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE-ISC
%{nodejs_sitelib}/%{packagename}

%changelog
