Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename node.extend
%global enable_tests 1

Name:		nodejs-node-dot-extend
Version:	2.0.0
Release:	alt1_5
Summary:	A port of jQuery.extend that actually works on node.js

License:	(MIT OR GPLv2)
URL:		https://github.com/dreamerslab/node.extend.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

Source11:	LICENSE-MIT-OR-GPL2


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(is)

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif
Source44: import.info

%description
A port of jQuery.extend that actually works on node.js


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

# license
cp -p %{SOURCE11} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE-MIT-OR-GPL2
%{nodejs_sitelib}/%{packagename}

%changelog
