Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname node-int64

Name:           nodejs-%{srcname}
Version:        0.4.0
Release:        alt1_9
Summary:        Support for representing 64-bit integers in JavaScript
License:        MIT
URL:            https://github.com/broofa/node-int64
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info


%description
JavaScript Numbers are represented as IEEE 754 double-precision floats. 
Unfortunately, this means they lose integer precision for values beyond +/- 
2^^53. For projects that need to accurately handle 64-bit ints, such as 
node-thrift, a performant, Number-like class is needed. Int64 is that class.


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json Int64.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
