Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global npm_name node-static
%global enable_tests 1

Summary:       Simple, compliant file streaming module for node
Name:          nodejs-%{npm_name}
Version:       0.7.11
Release:       alt1_2
License:       MIT
URL:           http://github.com/cloudhead/node-static
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Source1:       %{npm_name}-%{version}-nm-prod.tgz
Source2:       %{npm_name}-%{version}-nm-dev.tgz

BuildRequires: rpm-build-nodejs node-devel
BuildArch:     noarch
Source44: import.info

%description
node-static is a simple, "rfc 2616 compliant" file streaming module 
for node.

node-static has an in-memory file cache, making it highly efficient.
node-static understands and supports "conditional GET" and "HEAD" requests.
node-static was inspired by some of the other static-file serving modules
out there, such as node-paperboy and antinode.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr benchmark bin examples lib package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/bin/cli.js %{buildroot}%{_bindir}/static

# Setup node modules
tar xfz %{SOURCE1}
mkdir -p node_modules
pushd node_modules
ln -s ../node_modules_prod/* .
ln -s ../node_modules_prod/.bin .
popd
cp -pr node_modules node_modules_prod %{buildroot}%{nodejs_sitelib}/%{npm_name}

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
tar xfz %{SOURCE2}
pushd node_modules
ln -s ../node_modules_dev/* .
popd
pushd node_modules/.bin
ln -s ../../node_modules_dev/.bin/* .
popd
# Currently, passes all tests, and then hangs.
#./node_modules/.bin/vows --spec --isolate
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/static

%changelog
