Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


# no tap? no problem
%global bootstrap 0

Name:           nodejs-optimist
Version:        0.6.1
Release:        alt1_8
Summary:        Light-weight option parsing for Node.js
BuildArch:      noarch

# no license file included; package.json says "MIT/X11"
License:        MIT/X11
URL:            https://github.com/substack/node-optimist
Source0:        https://registry.npmjs.org/optimist/-/optimist-%{version}.tgz
Patch0:         fix-tests.patch

BuildRequires:  rpm-build-nodejs node-devel

%if !0%{?bootstrap}
BuildRequires:  npm(tap)
BuildRequires:  npm(hashish)
BuildRequires:  npm(wordwrap)
%endif
Source44: import.info

%description
Light-weight option parsing with an argv hash. No optstrings attached.

%prep
%setup -q -n package
%patch0 -p0

%nodejs_fixdep wordwrap
%nodejs_fixdep minimist

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/optimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/optimist

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if !0%{?bootstrap}
tap test/*.js
%endif

%files
%{nodejs_sitelib}/optimist
%doc readme.markdown example
%doc --no-dereference LICENSE

%changelog
