Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename path-array
%global enable_tests 1

Name:		nodejs-path-array
Version:	1.0.1
Release:	alt1_8
Summary:	Treat your $PATH like a JavaScript Array

License:	MIT
# License text is at the bottom of README.md
URL:		https://github.com/TooTallNate/node-path-array.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	mocha node-mocha
BuildRequires:	npm(array-index)
%endif
Source44: import.info

%description
Treat your $PATH like a JavaScript Array


%prep
%setup -q -n package

%nodejs_fixdep array-index '>=0.1.0'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference README.md
# license text is at the bottom of README.md, so I'm including it in both doc and
# license sections
%{nodejs_sitelib}/%{packagename}



%changelog
