Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename pkg-up
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-pkg-up
Version:	3.1.0
Release:	alt1_2
Summary:	Find the closest package.json file

License:	MIT
URL:		https://github.com/sindresorhus/pkg-up.git
Source0:	https://github.com/sindresorhus/pkg-up/archive/v%{version}/%{packagename}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(find-up)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
BuildRequires:	npm(xo)
%endif

Requires:	node
Source44: import.info

%description
Find the closest package.json file


%prep
%setup -q -n %{packagename}-%{version}

%nodejs_fixdep find-up

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}

%changelog
