Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#disabled as ava module upstream is not available
%global enable_tests 0
%global module_name resolve-from

Name:           nodejs-%{module_name}
Version:        4.0.0
Release:        alt1_7
Summary:        Resolve the path of a module like require.resolve() but from a given path

License:        MIT
URL:            https://github.com/sindresorhus/resolve-from
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/sindresorhus/resolve-from/v%{version}/test.js
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  nodejs(engine)

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package

rm -rf node_modules

cp -p %{SOURCE1} .

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{module_name}

%changelog
