Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Missing test deps in Fedora
%global enable_tests 0
%global srcname samsam

Name:           nodejs-%{srcname}
Version:        1.1.2
Release:        alt1_10
Summary:        Value identification and comparison functions
License:        BSD
URL:            https://github.com/busterjs/samsam
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(buster)
%endif
Source44: import.info


%description
samsam is a collection of predicate and comparison functions useful to 
identify the type of values and to compare values with varying degrees of 
strictness.

samsam is a general-purpose library with no dependencies. It works in browsers 
(including old and rowdy ones, like IE6) and Node. It will define itself as an 
AMD module if you want it to (i.e. if there's a define function available).

samsam was originally extracted from the referee assertion library, which 
ships with the Buster.JS testing framework.


%prep
%setup -q -n package


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} test/samsam-test.js
%endif

%files
%doc AUTHORS Readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
