Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0

%global barename saucelabs

Name:               nodejs-saucelabs
Version:            0.1.1
Release:            alt1_9
Summary:            A wrapper around Sauce Labs REST API

License:            MIT
URL:                https://www.npmjs.org/package/saucelabs
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:      rpm-build-nodejs node-devel


%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
BuildRequires:      npm(chai)
BuildRequires:      npm(jshint)
BuildRequires:      npm(nock)
%endif
Source44: import.info


%description
A wrapper around Sauce Labs REST API

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/saucelabs
cp -pr package.json lib index.js \
    %{buildroot}%{nodejs_sitelib}/saucelabs

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
make lint test
%endif


%files
%doc README.md
%{nodejs_sitelib}/saucelabs/

%changelog
