Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0

%global barename simple-is

Name:               nodejs-simple-is
Version:            0.2.0
Release:            alt1_11
Summary:            Maximally minimal type-testing library

License:            MIT
URL:                https://www.npmjs.org/package/simple-is
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel



%if 0%{?enable_tests}
BuildRequires:      npm(tap)
%endif
Source44: import.info


%description
A maximally minimal type-testing library. Use it to make your code more
readable. Works in node and browsers.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/simple-is
cp -pr package.json simple-is.js \
    %{buildroot}%{nodejs_sitelib}/simple-is

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/*.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/simple-is/

%changelog
