Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# missing test deps in Fedora
%global enable_tests 0

%global srcname sinon
%global gitname Sinon.JS

%global commit0 de6b53476dbcee95a366b719c0098af86a05d867
%global gittag0 v1.17.1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        1.17.1
Release:        alt1_9
Summary:        Test spies, stubs and mocks for JavaScript
License:        BSD
URL:            https://github.com/cjohansen/Sinon.JS
# use github as source, npm package does not contain tests
Source0:        https://github.com/cjohansen/%{gitname}/archive/%{commit0}/%{gitname}-%{commit0}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(formatio)
BuildRequires:  npm(lolex)
BuildRequires:  npm(samsam)
BuildRequires:  npm(util)
BuildRequires:  npm(buster)
BuildRequires:  npm(buster-core)
BuildRequires:  npm(buster-istanbul)
%endif
Source44: import.info

%description
Standalone and test framework agnostic JavaScript test spies, stubs and mocks.

%prep
%setup -q -n %{srcname}-%{commit0}
rm -rf node_modules/
%nodejs_fixdep formatio '1.x'
%nodejs_fixdep lolex '1.3.x'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
buster-test --config-group node
%endif

%files
%doc AUTHORS Changelog.txt CONTRIBUTING.md README.md RELEASE.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
