Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0

%global barename stable

Name:               nodejs-stable
Version:            0.1.5
Release:            alt1_11
Summary:            A stable array sort for JavaScript

License:            MIT
URL:                https://www.npmjs.org/package/stable
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel



%if 0%{?enable_tests}
BuildRequires:      npm(uglify-js)
BuildRequires:      npm(tape)
%endif
Source44: import.info


%description
A stable array sort, because `Array#sort()` is not guaranteed stable.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stable
cp -pr package.json test.js stable.js \
    %{buildroot}%{nodejs_sitelib}/stable

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node ./test.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/stable/

%changelog
