Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-stream-counter
Version:    0.2.0
Release:    alt1_12
Summary:    Keeps track of how many bytes have been written to a stream
License:    BSD
URL:        https://github.com/superjoe30/node-stream-counter
Source0:    http://registry.npmjs.org/stream-counter/-/stream-counter-%{version}.tgz
# Upstream have relicensed to MIT upstream, but this release remains under
# BSD license. Include a copy to comply with license requirements.
Source10:   LICENSE

# Use Node.js core instead of the forked npm(readable-stream)
Patch0:     %{name}-0.2.0-Use-Node.js-core.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
%patch0 -p1
%nodejs_fixdep -r readable-stream
cp -a %{SOURCE10} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stream-counter
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/stream-counter

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/test.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/stream-counter


%changelog
