Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


# Tests are disabled.  We could run them, but they are not shipped with tar.
%global enable_tests 0
%global barename string_decoder

Name:               nodejs-string_decoder
Version:            0.10.31
Release:            alt1_12
Summary:            The string_decoder module from Node core

License:            MIT
URL:                https://www.npmjs.org/package/string_decoder
Source0:            http://registry.npmjs.org/string_decoder/-/string_decoder-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora}
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:      npm(tap)
%endif
Source44: import.info


%description
The string_decoder module from Node core.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string_decoder
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/string_decoder

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/simple/*.js
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/string_decoder/

%changelog
