Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:           nodejs-strip-ansi
Version:        3.0.1
Release:        alt1_9
Summary:        Strip ANSI escape codes (used for colorizing strings in the terminal)
License:        MIT
URL:            https://github.com/chalk/strip-ansi
Source0:        https://github.com/chalk/strip-ansi/archive/v%{version}/strip-ansi-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(ansi-regex)

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n strip-ansi-%{version}

rm -rf node_modules


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-ansi
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/strip-ansi
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%{nodejs_sitelib}/ava/cli.js
%endif


%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/strip-ansi


%changelog
