Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-supertest
Version:    0.11.0
Release:    alt1_12
Summary:    A superagent driven library for testing HTTP servers
License:    MIT
URL:        https://github.com/visionmedia/supertest
Source0:    http://registry.npmjs.org/supertest/-/supertest-%{version}.tgz

BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(methods)
BuildRequires:  npm(superagent)

%if 0%{?enable_tests}
BuildRequires:  npm(express)
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif
Source44: import.info

%description
This module provides a high-level abstraction for testing HTTP servers,
while still allowing you to drop down to the lower-level API provided by
superagent.


%prep
%setup -q -n package

%nodejs_fixdep superagent '~0.17.0'
%nodejs_fixdep methods


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/supertest
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/supertest

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
NODE_TLS_REJECT_UNAUTHORIZED=0 /usr/bin/mocha --require should --reporter spec
%endif


%files
%doc example.js History.md Readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/supertest


%changelog
