Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:           nodejs-through
Version:        2.3.8
Release:        alt1_8
Summary:        Simplified stream construction for Node.js
License:        MIT or ASL 2.0
URL:            https://github.com/dominictarr/through
Source0:        http://registry.npmjs.org/through/-/through-%{version}.tgz
BuildArch:      noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(from)
#BuildRequires:  npm(stream-spec)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/through
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/through

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
# requires npm(stream-spec)
rm test/index.js
tape test/*.js
%endif


%files
%doc readme.markdown
%doc --no-dereference LICENSE.APACHE2 LICENSE.MIT
%{nodejs_sitelib}/through


%changelog
