Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-tmp
Version:        0.1.0
Release:        alt1_1
Summary:        Temporary file and directory creator

License:        MIT
URL:            https://www.npmjs.com/package/tmp
Source0:        https://github.com/raszi/node-tmp/archive/v%{version}/%{name}-%{version}.tar.gz
# Disable failing tests
Patch0:         nodejs-tmp-tests.patch
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(mocha)
BuildRequires:  npm(rimraf)
Source44: import.info


%description
This is a widely used library to create temporary files and
directories in a node.js environment.

Tmp offers both an asynchronous and a synchronous API. For
all API calls, all the parameters are optional.

Tmp uses crypto for determining random file names, or, when
using templates, a six letter random identifier. And just in
case that you do not have that much entropy left on your
system, Tmp will fall back to pseudo random numbers.

You can set whether you want to remove the temporary file
on process exit or not, and the destination directory can
also be set.


%prep
%setup -q -n node-tmp-%{version}
%patch0 -p1

%nodejs_fixdep rimraf "^2.6.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tmp
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/tmp
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha test/*-test.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/tmp


%changelog
