Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename treeify

# Tests are disabled because the tests depend on a fork of vows
# at https://github.com/Filirom1/vows
%global enable_tests 0

Name:		nodejs-treeify
Version:	1.0.1
Release:	alt1_8
Summary:	Converts a JS object into a nice and readable tree

License:	MIT
URL:		https://github.com/notatestuser/treeify
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# License file is at https://lp.mit-license.org/
Source1:	LICENSE-MIT

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
#BuildRequires:	npm(vows)
# Not actuall npm(vows), but https://github.com/Filirom1/vows
%endif
Source44: import.info

%description
Converts a JS object into a nice and readable tree structure for the console


%prep
%setup -q -n package

cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/vows --spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
