Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename uc.micro
%global enable_tests 1

Name:		nodejs-uc-dot-micro
Version:	1.0.2
Release:	alt1_8
Summary:	Micro subset of unicode data files for markdown-it projects

License:	WTFPL
URL:		https://github.com/markdown-it/uc.micro
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license file
Source1:	LICENSE-WTFPL.txt


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
# Nothing
%endif
Source44: import.info

%description
Micro subset of unicode data files for markdown-it projects.


%prep
%setup -q -n package

# license file
cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js categories/ properties/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
echo -e "\e[103m -=#=- No test suite -=#=- \e[0m"
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE-WTFPL.txt
%{nodejs_sitelib}/%{packagename}

%changelog
