Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

%if 0%{?fedora}
%global enable_minify 0
%endif

Name:       nodejs-underscore-dot-string
Version:    2.3.1
Release:    alt1_12
Summary:    String manipulation extensions for the Underscore.js JavaScript library
# License text is contained within README.markdown.
License:    MIT
URL:        https://github.com/epeli/underscore.string
Source0:    http://registry.npmjs.org/underscore.string/-/underscore.string-%{version}.tgz
BuildArch:  noarch

# Building fails due to incorrectly determined file encoding.
# Pull request sent: https://github.com/epeli/underscore.string/pull/210
Patch0:     %{name}-2.3.1-Ensure-correct-encoding.patch

BuildRequires:  node-devel rpm-build-nodejs

%if 0%{?enable_minify}
BuildRequires:  rake
BuildRequires:  ruby-uglifier
BuildRequires:  ruby-json
%endif

%if 0%{?enable_tests}
BuildRequires:  npm(qunit)
BuildRequires:  phantomjs
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
%patch0 -p1
# Pre-minified files must be removed and minified manually.
rm -f dist/*


%build
%if 0%{?enable_minify}
/usr/bin/rake build
%endif


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore.string
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string

%if 0%{?enable_minify}
cp -pr dist/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string
%endif

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%endif


%files
%doc README.markdown
%{nodejs_sitelib}/underscore.string


%changelog
