Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename xmlhttprequest
%global enable_tests 0

Name:		nodejs-xmlhttprequest
Version:	1.8.0
Release:	alt1_6
Summary:	XMLHttpRequest for Node

License:	MIT
URL:		https://github.com/driverdan/node-XMLHttpRequest.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif
Source44: import.info

%description
XMLHttpRequest for Node


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

# setup the examples
%setup -q -T -D -a 2 -n package



%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap tests/*.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md example/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
