Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: libglvnd-devel libqt4-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global		soversion	2.0

Name:		nvidia-texture-tools
Version:	2.0.8
Release:	alt2_25
Summary:	Collection of image processing and texture manipulation tools
License:	MIT
URL:		http://code.google.com/p/nvidia-texture-tools/
Source0:	http://nvidia-texture-tools.googlecode.com/files/%{name}-%{version}-1.tar.gz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	ctest cmake
BuildRequires:	help2man
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel libtiffxx-devel
BuildRequires:	libopenjpeg-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
# g++ 4.7 does not include unistd.h by default to avoid namespace polution
Patch0:		%{name}-%{version}-gcc4.7.patch
# use a saner type for int64 and uint64 generic typedefs that are unlikely
# to conflict with other headers that do not use long long on 64 bit
Patch1:		%{name}-%{version}-wordsize.patch
# from 0ad sources
Patch2:		%{name}-%{version}-png-api.patch
# add soversion to libraries
Patch3:		%{name}-%{version}-soversion.patch
# install libraries in proper directory
Patch4:		%{name}-%{version}-libdir.patch
# add arm support
Patch5:         %{name}-arm.patch
# add aarch64 support
Patch6:         %{name}-aarch64.patch
# Return NULL not false on pointer returning functions
Patch7:		%{name}-bool-null.patch
# add MIPS support
Patch8:		%{name}-mips.patch
# add S390 support
Patch9:		%{name}-s390.patch
# add PPCLE support
Patch10:	%{name}-ppcle.patch
Source44: import.info

%description
The NVIDIA Texture Tools is a collection of image processing and texture
manipulation tools, designed to be integrated in game tools and asset
conditioning pipelines.

The primary features of the library are mipmap and normal map generation,
format conversion and DXT compression.

DXT compression is based on Simon Brown's squish library. The library also
contains an alternative GPU-accelerated compressor that uses CUDA and is
one order of magnitude faster.

%package	devel
Group: Development/Other
Summary:	Development libraries/headers for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
Headers and libraries for development with %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%{fedora_v2_cmake} -DNVTT_SHARED=1 -DCMAKE_SKIP_RPATH=1
%fedora_v2_cmake_build

sed -e 's/\r//' -i NVIDIA_*.txt

%install
%fedora_v2_cmake_install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
pushd $RPM_BUILD_ROOT/%{_bindir}
    export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir}:
    for bin in *; do
	help2man --no-info ./$bin > $RPM_BUILD_ROOT/%{_mandir}/man1/$bin.1
    done
popd

%check
%fedora_v2_ctest



%files
%doc NVIDIA_Texture_Tools_LICENSE.txt
%doc NVIDIA_Texture_Tools_README.txt
%{_bindir}/*
%{_libdir}/lib*.%{version}
%{_libdir}/lib*.%{soversion}
%{_mandir}/man1/*

%files		devel
%doc ChangeLog
%{_includedir}/nvtt
%{_libdir}/lib*.so

%changelog
