Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: libuuid-devel
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nwipe
Version:        0.30
Release:        alt1_1
Summary:        Securely erase disks using a variety of recognized methods


%global         gituser         martijnvanbrummelen
%global         gitname         nwipe
%global         commit          ab6c4c0014af7e423a4d90ca4e6f201cb30a1f98
%global         gitdate         20201209
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


License:        GPLv2
# used to be    http://nwipe.sourceforge.net
URL:            https://github.com/martijnvanbrummelen/nwipe
#Source0:       https://github.com/%%{gituser}/%%{gitname}/archive/%%{commit}/%%{name}-%%{version}-%%{shortcommit}.tar.gz
Source0:        https://github.com/%{gituser}/%{gitname}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:         nwipe-epel6.patch

BuildRequires:  gcc
BuildRequires:  libparted-devel
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  autoconf
BuildRequires:  automake

# Recommends only supported on fedora and rhel8+
%if (0%{?fedora}) || ( 0%{?rhel} && 0%{?rhel} >= 8 )
# used to provide serial number of drive over supported USB to SATA interface
Requires:     smartmontools smartmontools-update-drivedb
# provide SMBIOS/DMI host data to log file
Requires:     dmidecode
%endif
Source44: import.info


%description
The nwipe is a command that will securely erase disks using a variety of 
recognized methods. It is a fork of the dwipe command used by Darik's 
Boot and Nuke (dban). Nwipe was created out of need to run the DBAN dwipe
command outside of DBAN. This allows it to use any host distribution which
gives better hardware support. It is essentially the same as dwipe, with 
a few changes:
- pthreads is used instead of fork
- The parted library is used to detect drives
- The code is designed to be compiled with gcc
- Increased number of wipe methods
- Smartmontools is used to provide USB serial #
- DmiDecode is used to provide host info to nwipes log 

%prep
#setup -qn %%{gitname}-%%{commit}
%setup -qn %{gitname}-%{version}
%patch1 -p 1 -b .epel6


%build
autoreconf -vif
%configure
%make_build


%install
#Cleanup the buildroot for compatibility with EPEL5
make install DESTDIR=%{buildroot} LDFLAGS="-lncurses -lpanel"


%files
%doc --no-dereference COPYING
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
