Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%if ! %opt
%global debug_package %{nil}
%endif

Name:           ocaml-json-wheel
Version:        1.0.6
Release:        alt4_43
Summary:        OCaml library for parsing JSON
License:        BSD

URL:            http://martin.jambon.free.fr/json-wheel.html
Source0:        http://martin.jambon.free.fr/json-wheel-%{version}.tar.bz2

# Safe-string fixes for OCaml 4.06.
Patch1:         json-wheel-1.0.6-safe-string.patch

BuildRequires:  ocaml ocaml-runtime
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-ocamlnet-devel ocaml-ocamlnet-nethttpd-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  libpcre-devel libpcrecpp-devel
Source44: import.info


%description
JSON library for OCaml following RFC 4627.

If you use this library, consider installing ocaml-json-static, the
syntax extension to the language which makes using JSON much easier.


%package        devel
Group: Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n json-wheel-%{version}
%patch1 -p1



%build
# Parallel builds don't work.
unset MAKEFLAGS
make all \
%if %opt
  OCAMLOPT="ocamlopt -g" opt
%endif


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p $RPM_BUILD_ROOT%{_bindir}

make BINDIR=$RPM_BUILD_ROOT%{_bindir} install


%files
%doc LICENSE
%{_libdir}/ocaml/json-wheel
%if %opt
%exclude %{_libdir}/ocaml/json-wheel/*.a
%exclude %{_libdir}/ocaml/json-wheel/*.o
%exclude %{_libdir}/ocaml/json-wheel/*.cmxa
%exclude %{_libdir}/ocaml/json-wheel/*.cmx
%{_bindir}/jsoncat
%endif
%exclude %{_libdir}/ocaml/json-wheel/*.cmo
%exclude %{_libdir}/ocaml/json-wheel/*.mli
%exclude %{_libdir}/ocaml/json-wheel/*.ml


%files devel
%doc LICENSE Changes README html
%if %opt
%{_libdir}/ocaml/json-wheel/*.a
%{_libdir}/ocaml/json-wheel/*.o
%{_libdir}/ocaml/json-wheel/*.cmxa
%{_libdir}/ocaml/json-wheel/*.cmx
%endif
%{_libdir}/ocaml/json-wheel/*.cmo
%{_libdir}/ocaml/json-wheel/*.mli
%{_libdir}/ocaml/json-wheel/*.ml


%changelog
