Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/camlidl
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:           ocaml-newt
Version:        0.9
Release:        alt4_63
Summary:        OCaml library for using newt text mode window system
License:        LGPLv2+ with exceptions

URL:            http://et.redhat.com/~rjones/ocaml-newt/
Source0:        http://et.redhat.com/~rjones/ocaml-newt/%{name}-%{version}.tar.gz

BuildRequires:  ocaml ocaml-runtime
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  chrpath
BuildRequires:  ocaml-camlidl-devel
#BuildRequires:  newt-devel > 0.52.7
BuildRequires:  libnewt-devel
Source44: import.info


%description
This is a set of OCaml bindings to newt.

The newt windowing system is a terminal-based window and widget
library designed for writing applications with a simple, but
user-friendly, interface.  While newt is not intended to provide the
rich feature set advanced applications may require, it has proven to
be flexible enough for a wide range of applications (most notably, the
Red Hat installation process).


%package        devel
Group: Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q


%build
# Parallel builds don't work.
unset MAKEFLAGS
./configure --libdir=%{_libdir}
# Dependencies are broken in the upstream package.
make newt_int.mli
rm -f .depend
make depend

make all
%if %opt
make opt
%endif
make doc


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so


%files
%doc COPYING.LIB
%{_libdir}/ocaml/newt
%if %opt
%exclude %{_libdir}/ocaml/newt/*.a
%exclude %{_libdir}/ocaml/newt/*.cmxa
%exclude %{_libdir}/ocaml/newt/*.cmx
%endif
%exclude %{_libdir}/ocaml/newt/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc COPYING.LIB README examples/*.ml html
%if %opt
%{_libdir}/ocaml/newt/*.a
%{_libdir}/ocaml/newt/*.cmxa
%{_libdir}/ocaml/newt/*.cmx
%endif
%{_libdir}/ocaml/newt/*.mli


%changelog
