Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%global debug_package %{nil}

Name:           ocaml-xmlrpc-light
Version:        0.6.1
Release:        alt4_61
Summary:        OCaml library for writing XML-RPC clients and servers
License:        LGPLv2 with exceptions

# Unfortunately both links are now dead :-(
URL:            http://code.google.com/p/xmlrpc-light/
Source0:        http://xmlrpc-light.googlecode.com/files/xmlrpc-light-%{version}.tar.gz

BuildRequires:  ocaml ocaml-runtime
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-ocamlnet-devel ocaml-ocamlnet-nethttpd-devel
BuildRequires:  ocaml-ocamlnet-devel ocaml-ocamlnet-nethttpd-devel
BuildRequires:  dos2unix

# Fix the package to work with ocamlnet 3.x.
Patch1:         debian_patches_0002-Compile-with-ocamlnet-3.3.5.patch

# Further fix the package to work with ocamlnet 4.x.
Patch2:         xmlrpc-light-0.6.1-ocamlnet4.patch

# Safe-string patches for OCaml 4.06.
Patch3:         xmlrpc-light-0.6.1-safe-string.patch
Source44: import.info


%description
XmlRpc-Light is an XmlRpc library written in OCaml.


%package        devel
Group: Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n xmlrpc-light-%{version}
dos2unix LICENSE
dos2unix README.txt

%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
make


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc LICENSE
%{_libdir}/ocaml/xmlrpc-light
%if %opt
%exclude %{_libdir}/ocaml/xmlrpc-light/*.a
%exclude %{_libdir}/ocaml/xmlrpc-light/*.cmxa
%endif
%exclude %{_libdir}/ocaml/xmlrpc-light/*.mli


%files devel
%doc LICENSE doc/xmlrpc-light/html README.txt
%doc LICENSE doc/xmlrpc-light/latex README.txt
%if %opt
%{_libdir}/ocaml/xmlrpc-light/*.a
%{_libdir}/ocaml/xmlrpc-light/*.cmxa
%endif
%{_libdir}/ocaml/xmlrpc-light/*.mli


%changelog
