# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/git gcc-c++ libGLU-devel libavcodec-devel libglvnd-devel
# END SourceDeps(oneline)
%define oldname olive
%define mgaversion 710
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define git	20200416
%define rel	2

Summary:	A non-linear video editor
Name:		olivevideoeditor
Version:	0.1.2
Release:	alt1_%{?git:3.%git.}%{rel}
License:	GPLv3
Group:		Video
Url:		https://www.olivevideoeditor.org
Source0:	https://github.com/olive-editor/olive/archive/olive-%{version}-git%{git}.tar.xz
Patch0:		olive-0.1.2-fix-build-with-qt-5.15.patch
BuildRequires:	ccmake cmake ctest
BuildRequires:	doxygen
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavfilter)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Svg)
Source44: import.info

%description
Olive is a free non-linear video editor aiming to provide a
fully-featured alternative to high-end professional video editing
software.

%prep
%setup -q -n %{oldname}-%{version}-git%{git}
%patch0 -p1

# fix script
perl -pi -e 's@\r@@g' debian/gitfromlog.sh 

%build
%{mageia_cmake}
%if %mgaversion >= 8
%mageia_cmake_build
%else
%make_build
%endif

%install
%if %mgaversion >= 8
%mageia_cmake_install
%else
%makeinstall_std -C build INSTALL_ROOT=%{buildroot}
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/olive-editor
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/mime/packages/*.xml
%{_datadir}/olive-editor/effects/*
%{_datadir}/olive-editor/ts/*


%changelog
