Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define tag 206f6b6

Name:    olpc-kbdshim
Summary: OLPC XO keyboard support daemon
Version: 29
Release: alt2_19
License: GPLv2+
URL: http://dev.laptop.org/git/users/pgf/olpc-kbdshim/tree/README
# Source0: the source tarball is created by "make tarball" from within
# a clone of this git tree: git://dev.laptop.org/users/pgf/olpc-kbdshim
Source0: %{name}-%{version}-git%{tag}.tar.gz

BuildRequires: gcc
BuildRequires: rdma-core-devel glib2-devel libgio libgio-devel
BuildRequires: libdbus-glib-devel libsystemd-devel libudev-devel
ExclusiveArch: %{ix86} %{arm}
Source44: import.info


%description
The olpc-kbdshim-udev daemon monitors the keyboard and touchpad,
enabling the XO "grab" keys and touchpad rotation (to match
screen rotation), and reporting user (in)activity.  It can also
bind the XO screen rotate, brightness, and volume keys to
appropriate commands (which are provided).

%prep
%setup -q

%build
export OPT_FLAGS="$RPM_OPT_FLAGS"
make

%install
mkdir -p %{buildroot}%{_bindir}

install -p -m 755 olpc-kbdshim-udev %{buildroot}%{_bindir}/olpc-kbdshim-udev
install -p -m 755 olpc-rotate %{buildroot}%{_bindir}/olpc-rotate
install -p -m 755 olpc-brightness %{buildroot}%{_bindir}/olpc-brightness
install -p -m 755 olpc-volume %{buildroot}%{_bindir}/olpc-volume
install -d %{buildroot}/%{_unitdir}
install -p -m 644 olpc-kbdshim.service %{buildroot}%{_unitdir}/olpc-kbdshim.service


%post
%post_service olpc-kbdshim

%preun
%preun_service olpc-kbdshim

%files
%doc --no-dereference COPYING
%doc README
%{_bindir}/olpc-kbdshim-udev
%{_bindir}/olpc-rotate
%{_bindir}/olpc-brightness
%{_bindir}/olpc-volume
%{_unitdir}/olpc-kbdshim.service


%changelog
