# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define piname	aisradar_pi
%define uname	radar_pi

Name:		opencpn-ais-radar-plugin
Summary:	AIS radar view plugin for OpenCpn
Version:	1.2.1
Release:	alt2_2
License:	GPLv2
Group:		Sciences/Geosciences
URL:		https://github.com/Verezano/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz

BuildRequires:	ccmake cmake ctest
BuildRequires:	gettext gettext-tools
BuildRequires:	libwxBase3.1-devel libwxGTK3.1-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}
Source44: import.info

%description
Implements a radar-like display for AIS targets.

%prep
%setup -q -n %{uname}

%build
%{mageia_cmake}

%mageia_cmake_build

%install
%mageia_cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
