# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define piname	statusbar_pi

Name:		opencpn-statusbar-plugin
Summary:	Plugin for OpenCpn implementing a more configurable statusbar
Version:	0.8
Release:	alt2_2
License:	GPLv3+
Group:		Sciences/Geosciences
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	ccmake cmake ctest
BuildRequires:	bzip2-devel
BuildRequires:	gettext gettext-tools
BuildRequires:	libwxBase3.1-devel libwxGTK3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}
Source44: import.info

%description
The built-in status bar is very limited in it's configuration options and can
be difficult to read. This plugin replaces it with a more configurable one.
For best results, you should disable the built-in toolbar on the User Interface
tab in the Toolbox and set the Y position of the plugin toolbar to at least
the pixel size of the font selected in the plugin preferences.

%prep
%setup -q -n %{piname}

%build
%{mageia_cmake}

%mageia_cmake_build

%install
%mageia_cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/.empty


%changelog
