# BEGIN SourceDeps(oneline):
BuildRequires: libgtk+3-gir-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define lname   osmgpsmap

%define major   1
%define api     1.0
%define gir_major       1.0
%define libname lib%{lname}%{api}_%{major}
%define devname lib%{lname}%{api}-devel
%define gir_name lib%{lname}-gir%{gir_major}

Name:           osm-gps-map
Version:        1.1.0
Release:        alt1_4
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries
License:        GPLv2
URL:            http://nzjrs.github.com/osm-gps-map/
# Currently source only available via github
Source0:	https://github.com/nzjrs/osm-gps-map/archive/%{version}/osm-gps-map-%{version}.tar.gz
BuildRequires:	pkgconfig(cairo) >= 1.8
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gtk-doc
BuildRequires:  gnome-common
Source44: import.info

%description
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      lib%{name}1.0-gir1.0 < 1.29.3-4
Obsoletes:	%{_lib}osmgpsmap-1.0-gir1.0 < 1.0.0-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:    Gtk+ widget for displaying OpenStreetMap tiles
Group:      System/Libraries
Obsoletes:  %{_lib}osmgpsmap-1.00 < 1.0.0-4

%description -n %{libname}
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{devname}
Summary:        Development files for the %{name} Gtk+ widget
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{lname}1.0-devel = %{version}-%{release}
Obsoletes:      %{_lib}osmgpsmap-1.0-devel < 1.0.0-4

%description -n %{devname}
The development files for the %{name} Gtk+ widget.

%prep
%setup -q


%build
[[ -f configure ]] || NOCONFIGURE=yes gnome-autogen.sh
%configure \
    --disable-static
%make_build V=1

%install
%makeinstall_std

#handle docs inf files section
rm -rf %{buildroot}/usr/doc/osm-gps-map

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_docdir}/%{name}
%{_libdir}/lib%{lname}-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/lib%{lname}/
%{_includedir}/%{lname}-%{api}
%{_libdir}/lib%{lname}-%{api}.so
%{_libdir}/pkgconfig/%{lname}-%{api}.pc

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib
%{_datadir}/gir-1.0/*-%{gir_major}.gir


%changelog
