Group: Development/C
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%add_findreq_skiplist %{python3_sitelibdir_noarch}/oz/auto/*.cfg
%add_findreq_skiplist %{python3_sitelibdir_noarch}/oz/auto/*.auto
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: oz
Version: 0.17.0
Release: alt1_12
Summary: Library and utilities for automated guest OS installs
License: LGPLv2
URL: http://github.com/clalancette/oz

Source0: https://github.com/clalancette/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/clalancette/oz/pull/269
Patch1: 01-clarify-bz-instance.patch
Patch2: 02-drop-armv7-special-console-handling.patch
Patch3: 03-add-appropriate-arch-checks.patch
#Patch4: 04-armv7-define-gicv2.patch
Patch5: 05-arm-fix-input-devices.patch
Patch6: 06-setup-graphical-all-except-s390x.patch
Patch7: 07-use-2gb-ram.patch
Patch8: 08-add-latest-location-ovmf.patch
Patch9: 09-add-tianocore-check.patch
Patch10: 10-check-edk2-firmware-armv7.patch
Patch11: 11-make-uefi-configurable.patch
Patch12: 12-fix-f29-config.patch
Patch13: 13-add-f30-support.patch
# https://github.com/clalancette/oz/pull/282
# fix compatibility with new qemu/libvirt on s390x
Patch14: oz-0.17.0-s390-input.patch
Patch15: 0001-aarch64-for-linux-tty-if-acpi.patch
Patch16: 0002-aarch64-Less-strict-CPU-checking-for-armv7-guests-on.patch
#Patch17: 0003-fedora-default-to-F30-for-versions-30.patch

BuildArch: noarch

BuildRequires: python3
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
Requires: python3
Requires: python3-module-lxml
Requires: python3-module-libguestfs >= 1.18
Requires: python3-module-libvirt
Requires: python3-module-m2crypto
Requires: python3-module-monotonic
Requires: python3-module-requests
# in theory, oz doesn't really require libvirtd to be local to operate
# properly.  However, because of the libguestfs manipulations, in practice
# it really does.  Make it depend on libvirt (so we get libvirtd) for now,
# unless/until we are able to make it really be remote.
#Requires: libvirt-daemon-kvm
#Requires: libvirt-daemon-qemu
Requires: libvirt-daemon-config-network
Requires: cdrkit-utils genisoimage icedax
Requires: mtools
Requires: openssh-clients
Source44: import.info

%description
Oz is a set of libraries and utilities for doing automated guest OS
installations, with minimal input from the user.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1


%build
%python3_build

%install
%python3_install

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/isocontent/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/isos/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/floppycontent/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/floppies/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/icicletmp/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/jeos/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/kernels/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/screenshots/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/oz
cp oz.cfg $RPM_BUILD_ROOT%{_sysconfdir}/oz

%post
if [ ! -f %{_sysconfdir}/oz/id_rsa-icicle-gen ]; then
   ssh-keygen -t rsa -b 2048 -N "" -f %{_sysconfdir}/oz/id_rsa-icicle-gen >& /dev/null
fi

%files
%doc --no-dereference COPYING
%doc README examples
%dir %attr(0755, root, root) %{_sysconfdir}/oz/
%config(noreplace) %{_sysconfdir}/oz/oz.cfg
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/isocontent/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/isos/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/floppycontent/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/floppies/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/icicletmp/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/jeos/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/kernels/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/screenshots/
%{_bindir}/oz-install
%{_bindir}/oz-generate-icicle
%{_bindir}/oz-customize
%{_bindir}/oz-cleanup-cache
%{_mandir}/man1/*
%{python3_sitelibdir_noarch}/oz
%{python3_sitelibdir_noarch}/%{name}-%{version}-py%{__python3_version}.egg-info

%changelog
