Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           packETH
Version:        2.1
Release:        alt2_3
Summary:        A GUI packet generator tool

License:        GPLv2+
URL:            https://github.com/jemcek/packETH
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        packETH.desktop

BuildRequires:  gcc
BuildRequires:  autoconf automake
BuildRequires:  desktop-file-utils
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
Source44: import.info

%description
packETH is a Linux GUI tool that is able to send any packet or sequence of 
packets on the Ethernet. It uses the RAW socket option, so it doesn't care 
about ip, routing, etc. It is designed to have all the options available, 
with all the correct and incorrect values (incorrect means, that user can 
send wrong parameters like: incorrect checksum, wrong header length, etc.).

%prep
%setup -q


%build
# Build with new instructions from github
sed -i 's/^LIBS=/LIBS+=/' Makefile.am
sh autogen.sh
autoreconf -vfi
%configure
%make_build CFLAGS="${RPM_OPT_FLAGS} -fcommon"

%install
%makeinstall_std
# Install desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc AUTHORS README
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/packeth

%changelog
