Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install glib2-devel libnet2-devel pkgconfig(x11)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    Telnet client designed for BBS browsing
Name:       pcmanx-gtk2
Version:    1.3
Release:    alt2_12
License:    GPLv2+
Source0:    https://github.com/pcman-bbs/pcmanx/releases/download/%{version}/%{name}-%{version}.tar.xz
URL:        https://github.com/pcman-bbs/pcmanx
BuildRequires:  gcc-c++
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libXft-devel libltdl7-devel
BuildRequires:  libnotify-devel libnotify-gir-devel
BuildRequires:  desktop-file-utils gettext gettext-tools
BuildRequires:  intltool
Source44: import.info


%description
An easy-to-use telnet client mainly targets BBS users.

PCMan X is a newly developed GPL'd version of PCMan, a full-featured
famous BBS client formerly designed for MS Windows only.  It aimed to
be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.


%prep
tar Jfx %{SOURCE0}
%setup -qDT
# remove the bundled libltdl
rm -fr libltdl
sed -i -e 's/libltdl//' Makefile.in


%build
%configure --enable-proxy --enable-libnotify --enable-iplookup --enable-wget
%make_build

%install
make install INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/pcmanx.desktop

%find_lang pcmanx


%files -f pcmanx.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pcmanx/
%{_datadir}/pixmaps/*
%{_mandir}/man1/pcmanx.1*


%changelog
