Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gcov /usr/bin/gcovr pkgconfig(unac)
# END SourceDeps(oneline)
Summary(de): Suchwerkzeug für Text in PDF-Dateien
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        Tool to search text in PDF files
Name:           pdfgrep
Version:        2.1.2
Release:        alt2_7

License:        GPLv2+
URL:            https://pdfgrep.org/
Source0:        https://pdfgrep.org/download/%{name}-%{version}.tar.gz
Source1:        https://pdfgrep.org/download/%{name}-%{version}.tar.gz.asc
Source2:        gpgkey-432FC753112F26D9EB48DDC1A17CF2CA697BEAF2.gpg

BuildRequires:  gnupg gnupg2
BuildRequires:  gcc-c++
BuildRequires:  libpoppler-cpp-devel
BuildRequires:  gcrypt-utils libgcrypt-devel
BuildRequires:  libpcre-devel libpcrecpp-devel
BuildRequires:  asciidoc asciidoc-a2x
Source44: import.info

%description
Pdfgrep is a tool, that works similar to grep, to search text in PDF files.
It tries to be compatible with GNU grep, thus many of the favorite GNU grep
options are supported. Pdfgrep can search many PDFs at once, even recursively
in directories. It supports regular expressions (POSIX and PCRE), provides
colored output and finally also support for password protected PDF files.

%description -l de
Pdfgrep ist ein Werkzeug für die Textsuche in PDF-Dateien.
Seine Funktionsweise ähnelt der von grep. 

Funktionsmerkmale:
* Suchen nach regulären Ausdrücken.
* Unterstützung für wichtige grep-Optionen, wie: 
  * Ausgabe des Dateinamens.
  * Ausgabe der Seitennummer.
  * optionale Berücksichtigung von Groß-/Kleinschreibung.
  * Zählung der Suchergebnisse.
* und vielleicht am wichtigsten: farbige Ausgabe!


%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%doc AUTHORS NEWS.md README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/zsh/
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_%{name}

%changelog
