# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           peppy
Version:        0.16.0
Release:        alt1_10
Summary:        Editor written in python

Group:          Editors
License:        GPLv2+ and GPLv3+
URL:            http://peppy.flipturn.org
Source0:        http://%{name}.flipturn.org/archive/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
#http://groups.google.com/group/peppy-dev
Source2:        %{name}.png
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       python-module-enchant python-module-enchant-gui
Requires:       python-module-wx python-module-wx3.0


%description
Peppy is a wxPython/Scintilla-based editor written in and extensible through 
Python. It attempts to provide an XEmacs-like multi-window, multi-tabbed
framework with low coupling, so it's easy to add support for new types of 
files.


%prep
%setup -q

#correct strange file permission
chmod -x README

# Correct shebang in lib of peppy
sed -i 's|#!/user/bin/env|#!/usr/bin/env|g' \
   %{name}/lib/null.py 


%build
python setup.py build


%install

python setup.py install \
       -O1 \
       --skip-build \
       --root %{buildroot}

# Add executable file permission to scripts
chmod +x %{buildroot}/%{python_sitelibdir_noarch}/%{name}/lib/null.py
chmod +x %{buildroot}/%{python_sitelibdir_noarch}/%{name}/yapsy/{PeppyPluginManager,VersionedPluginManager,PluginManager,IPlugin}.py

desktop-file-install \
        --dir="%{buildroot}/%{_datadir}/applications/" \
        %{SOURCE1}

install -Dpm0644 %{SOURCE2} \
        %{buildroot}/%{_datadir}/pixmaps/%{name}.png


%files
%doc AUTHORS ChangeLog FAQ LICENSE.v2 LICENSE.v3 NEWS README TODO PKG-INFO
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/%{name}-%{version}-py*.egg-info
%{_datadir}/applications/%{name}.*
%{_datadir}/pixmaps/%{name}.*


%changelog
