%define module_name Acme-CPANModules-Sudoku
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/CPANModulesUtil/Misc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Sudoku-related modules on CPAN
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-Sudoku

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Recently (Dec 2020) I picked up more interest in Sudoku, as I was spending more
time at home with the kids, and there was a book of Sudoku puzzles lying around
in the room.

There are certainly more modules on CPAN for solving Sudoku puzzles compared to
modules/scripts that let you play Sudoku. Basically, I find that there's no good
playable Sudoku game on CPAN.

Playing

<pm::Games::Sudoku::CLI>. Since it's CLI (prompt-based) instead of TUI, it's not
really convenient to play unless you're a CLI freak.

<pm::Games::Sudoku::Component::TkPlayer>. It's GUI and barely playable, but
clunky and not pretty. There's no visual indicator for separating the larger 3x3
boxes.

Generating

These modules can generate Sudoku puzzles for you, though not let you
interactively play/solve them.

the Spreadsheet::HTML::Presets::Sudoku manpage

Solving

There's no shortage of modules written to solve Sudoku puzzles. I plan to
benchmark these but for now here's the list:

the Games::Sudoku::Lite manpage

the Games::Sudoku::Solver manpage

the Games::Sudoku::General manpage

the Games::Sudoku::CPSearch manpage

the Games::Sudoku::Kubedoku manpage

the Games::Sudoku::SudokuTk manpage

the Games::Sudoku::OO::Board manpage

the Games::YASudoku manpage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%changelog
