Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Alien-PCRE2
Version:        0.015000
Release:        alt2_13
Summary:        Install and locate PCRE2 library
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Alien-PCRE2
Source0:        https://cpan.metacpan.org/authors/id/W/WB/WBRASWELL/Alien-PCRE2-%{version}.tar.gz
# Fix test plan <https://github.com/wbraswell/alien-pcre2/pull/7>
Patch0:         Alien-PCRE2-0.013000-Fix-t-02_pcre2_config.t-plan-for-system-installation.patch
# Adjust tests to accept PCRE2 release candidates,
# <https://github.com/wbraswell/alien-pcre2/pull/8>
Patch1:         Alien-PCRE2-0.015000-Accept-PCRE2-release-candidates.patch
# This is an architecture-dependenant package because it stores data about
# architecture-specific library, but it has no XS code, hence no debuginfo.
%global debug_package %{nil}
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
# Alien::Build::MM version from Alien::Build in META
BuildRequires:  perl(Alien/Build/MM.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(English.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
# Alien modules' purpose is to ensure one can compile against a library
BuildRequires:  libpcre2-devel
BuildRequires:  perl(Alien/Base.pm)
BuildRequires:  perl(base.pm)
# Tests:
# pcre2-toools for pcre2grep
BuildRequires:  pcre2-tools
BuildRequires:  perl(Capture/Tiny.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Env.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IPC/Cmd.pm)
# Test2::V0 version from Test2::Suite in META
BuildRequires:  perl(Test2/V0.pm)
BuildRequires:  perl(Test/Alien.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info
# Alien modules' purpose is to ensure one can compile against a library

%description
This package can be used by other Perl modules that require PCRE2 library, the
new Perl Compatible Regular Expression engine.

%prep
%setup -q -n Alien-PCRE2-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README.md
%{perl_vendor_archlib}/*

%changelog
