%define module_name AnyEvent-MultiDownload
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AE.pm) perl(AnyEvent.pm) perl(AnyEvent/Digest.pm) perl(AnyEvent/HTTP.pm) perl(Asset/File.pm) perl(List/Util.pm) perl(Moo.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel

Name: perl-%module_name
Version: 1.13
Release: alt2
Summary: AnyEvent::MultiDownload - .''.'O..'.''.I'.aY.U'.I'.'O.'e.''.Oc.a'.AA.''.U..'.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FU/FUKAI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
.Y'.'U.ae.au.'U.''.'O..'.''.I'.aY.U'.I'.'O.'e.''.Oc.a'.AA.''.U..'., .'U.Oa.N..a'.'A.Y'.au.ai.iU.ae.o., .''..c.a'.AA.I'.au.''.Oc, .vc.ai.'E.au.Y'.U'.'A.'U.''.da.a'.Oc.ie.'', .a'.''.'O..'.aO.Y'.U'.

.a'.'A.'U.au.Oe.''.''.''.d', .''..c.O'.I'.au.'O.'e.a'.AA.''.ae.au.''.Oc.

    use AE;
    use AnyEvent::MultiDownload;

    my @urls = (
        'http://mirrors.163.com/centos/7/isos/x86_64/CentOS-7.0-1406-x86_64-DVD.iso',
        'http://mirrors.sohu.com/centos/7/isos/x86_64/CentOS-7.0-1406-x86_64-DVD.iso',
    );
    
    my $cv = AE::cv;
    my $MultiDown = AnyEvent::MultiDownload->new( 
        url     => pop @urls, 
        mirror  => \@urls, 
        path  => '/tmp/ubuntu.iso',
        block_size => 1 * 1024 * 1024, # 1M
        on_block_finish => sub {
            my ($hdr, $block_ref, $md5) = @_;
            if ($md5 eq $src_md5) {
                return 1;
            }
            0
        },
        on_finish => sub {
            my $len = shift;
            $cv->send;
        },
        on_error => sub {
            my ($error, $hdr) = @_;
            $cv->send;
        }
    )->start;
    
    $cv->recv;


.a'.'A.'U.''.da.''..c.a'.AA.I'.au.''.Oc.''.O'.''. .'E.au.Y'.U'.''.da.

    use AE;
    use AnyEvent::MultiDownload;
    
    my $cv = AE::cv;
    
    $cv->begin;
    my $MultiDown = AnyEvent::MultiDownload->new( 
        url     => 'http://xxx/file1',
        path  => "/tmp/file2",
        on_finish => sub {
            my $len = shift;
            $cv->end;
        },
        on_error => sub {
            my ($error, $hdr) = @_;
            $cv->end;
        }
    );
    $MultiDown->start;
    
    $cv->begin;
    my $MultiDown1 = AnyEvent::MultiDownload->new( 
        url     => 'http://xxx/file2', 
        path  => "/tmp/file1",
        on_finish => sub {
            my $len = shift;
            $cv->end;
        },
        on_error => sub {
            my ($error, $hdr) = @_;
            $cv->end;
        }
    );
    $MultiDown1->start;
    
    $cv->recv;

.Oa.a'.'U.''..c.a'.AA.I'.au.''.Oc...

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
