# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(Getopt/Long.pm) perl(JSON/PP.pm) perl(Module/Build/Tiny.pm) perl(Params/Validate.pm) perl(Path/Tiny.pm) perl(Test/Exception.pm) perl(Test/Output.pm) perl(Test/Pod.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name App-Easer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Simplify writing (hierarchical) CLI applications
Group: Development/Perl
License: apache
URL: https://github.com/polettix/App-Easer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POLETTIX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NOTE: this software should be considered "late alpha" maturity. I'm
mostly happy with the interface, but there are still a few things that
might get changed. *Anyway*, if you find a release of `App::Easer' to
work fine for you, it's fair to assume that you will not need to get a
newer one later.

App::Easer provides the scaffolding for implementing hierarchical
command-line applications in a very fast way.

It makes it extremely simple to generate an application based on
specific interfacing options, while still leaving ample capabilities for
customising the shape of the application. As such, it aims at making
simple things easy and complex things possible, in pure Perl spirit.

An application is defined through a hash reference (or something that
can *be transformed* into a hash reference, like a JSON-encoded string
containing an object, or Perl code) with the description of the
different aspects of the application and its commands.

By default, only commands need to be provided, each including metadata
for generating a help message, taking parameters from the command line
or other sources (e.g. environment variables), sub-commands, etc., as
well as the actual code to run when the command must be run.

=begin exclude

the App::Easer::Tutorial manpage contains an example-based introduction; the rest
of this document provides details on the available interface and
customization capabilities.

=end exclude

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%changelog
