%define module_name App-GHPT
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(File/pushd.pm) perl(FindBin.pm) perl(Hash/Objectify.pm) perl(IPC/Run3.pm) perl(IPC/System/Simple.pm) perl(Import/Into.pm) perl(Lingua/EN/Inflect.pm) perl(List/AllUtils.pm) perl(List/Util.pm) perl(Module/Pluggable/Object.pm) perl(Moose.pm) perl(Moose/Exporter.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/Getopt/Dashes.pm) perl(MooseX/Role/Parameterized.pm) perl(MooseX/Role/Parameterized/Meta/Trait/Parameterizable.pm) perl(MooseX/SemiAffordanceAccessor.pm) perl(MooseX/StrictConstructor.pm) perl(MooseX/Types/Combine.pm) perl(MooseX/Types/Common/Numeric.pm) perl(MooseX/Types/Moose.pm) perl(Path/Class.pm) perl(Term/CallEditor.pm) perl(Term/Choose.pm) perl(Test/Class/Moose.pm) perl(Test/Class/Moose/AttributeRegistry.pm)
BuildRequires: perl(Test/Class/Moose/CLI.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Try/Tiny.pm) perl(WebService/PivotalTracker.pm) perl(autodie.pm) perl(experimental.pm) perl(feature.pm) perl(indirect.pm) perl(lib.pm) perl(mro.pm) perl(multidimensional.pm) perl(namespace/autoclean.pm) perl(open.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001000
Release: alt1
Summary: A command line tool to simplify using Github and Pivotal Tracker for an agile workflow
Group: Development/Perl
License: artistic_2
URL: http://metacpan.org/release/App-GHPT

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAXMIND/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a command line tool to help link together
GitHub and Pivotal Tracker. It helps enable a workflow combining
PT stories with pull requests.

The basic workflow is as follows:

=over 4

=item 1.

Start a story in Pivotal Tracker.

=item 2.

Hack, hack, hack.

=item 3.

Run this tool while you are in a git checkout. You should have the branch for
which you want to submit a PR currently checked out.

Running this tool will do the following things for you:

=over 8

=item *

Prompt you to select one of your active Pivotal Tracker stories.

=item *

(Optional)

Ask you a set of questions about the work you've done. The answers are
included in your PR. The question generation can be customized by writing
plugins.

=item *

Create a pull request on GitHub for the repo you are currently in, with the PT
story's title, URL, and description in the PR, a well as the optional
questions & answers.

=item *

Add a comment on the PT story linking to the PR that was just created.

=item *

Change the PT story's status to "Delivered".

=back

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTING.md Changes README.md
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
