# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Firewall/PaloAlto.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(Pod/Usage.pm) perl(Test/Perl/Critic.pm) perl(Test/UseAllModules.pm) perl(Text/CSV.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-PaloAlto-PolicyVerify
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.2
Release: alt1
Summary: Test firewall rules using log files.
Group: Development/Perl
License: perl
URL: https://github.com/gregfoletta/App-PaloAlto-PolicyVerify

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PU/PUGLET/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module contains the methods used by the the pa_policy_verify manpage application.
It takes in information allowing it to connect to a Palo Alto firewall, and a logfile containing
flows - source/destination IP & ports, and a protocol.

It then runs each flow in the log against the security rulebase currently installed on the Palo Alto firewall 
and returns a result. The result contains:

=over 2

=item Which rule the flow would have hit

=item The action the rule takes

=item The index of the rule.

=back

The main use case is when migrating from a different firewall to the Palo Alto. It allows for the 
qualification of the migrated rulebase prior to the cutover of production flows.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
