Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-App-SVN-Bisect
Version:        1.1
Release:        alt3_29
Summary:        Binary search through svn revisions
License:        Artistic 2.0
URL:            https://metacpan.org/release/App-SVN-Bisect
Source0:        https://cpan.metacpan.org/modules/by-module/App/INFINOID/App-SVN-Bisect-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/Output.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(YAML/Syck.pm)
BuildRequires:  subversion subversion-server-common
Requires:       subversion subversion-server-common
Source44: import.info


%description
This module implements the backend of the "svn-bisect" command line tool.
See the POD documentation of that tool, for usage details.


%package -n svn-bisect
Group: Development/Other
License: Artistic 2.0
Summary: Binary search through svn revisions
Requires: %{name} = 0:%{version}-%{release} 


%description -n svn-bisect
This is a command-line tool inspired by "git-bisect", which allows you to
perform binary searches among the revisions of a subversion project.


%prep
%setup -q -n App-SVN-Bisect-%{version}


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build


%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test



%files
%doc Changes LICENSE README TODO
%{perl_vendor_privlib}/*


%files -n svn-bisect
%doc Changes LICENSE README TODO
%{_bindir}/svn-bisect
%{_mandir}/man1/svn-bisect.1*


%changelog
