%define module_name App-boxmuller
# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(Math/Trig.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt1
Summary: Provides the command which produces Gaussian distributed random numbers, as well as log-normal dist...
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TULAMILI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The online help can be seen by :  boxmuller --help 
  Followings are similar to the online help.


   Program name : boxmuller 

   Function : generating Gaussian random variables by Box-Muller method.

   Output to STDOUT :  
      1. The generated Gaussian random number(s).

   Output to STDERR : 
      2. The random seed used. 
      3. The sums of the generated numbers and the square of them.

   Options : 
     -m N : Mean (average). Default value is 0.
     -d N : Standard Deviation. Default value is 1.
     -v N : Variance. Default value is 1. If -d is given, -v would be nullified.
     -. N : The digits to be shown after the decimal point.

     -g N : How many numbers you need. Default : 6. "inf" can be given.
     -s N : Random seed specification. Seemingly the residual divided by 2**32 is essential.
     -L   : Outputs variables by the log normal distribution instead of the normal distribution.

     -1   : Only output the random number without other secondary information.
     -:   ; Attach serial number from 1. 
     -@ N : Waiting time in seconds (that can be spedicifed 6 digits under decimal points).

    --help : Print this online help manual of this command "boxmuller". Similar to "perldoc `which [-t] boxmuller` ".
    --help opt : Only shows the option helps. It is easy to read when you are in very necessary.
    --help nopod : Print this online manual using the code insdide this program without using the function of Perl POD.
    --version : Version information output.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
