%define module_name Archive-Zip-SimpleZip
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Compress/Raw/Zlib.pm) perl(Config.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/Compress/Base.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Compress/Lzma.pm) perl(IO/Compress/RawDeflate.pm) perl(IO/Compress/Xz.pm) perl(IO/Compress/Zip.pm) perl(IO/Compress/Zstd.pm) perl(IO/File.pm) perl(IO/Uncompress/Base.pm) perl(IO/Uncompress/RawInflate.pm) perl(IO/Uncompress/Unzip.pm) perl(List/Util.pm) perl(Perl/OSType.pm) perl(Scalar/Util.pm) perl(Test/NoWarnings.pm) perl(Tie/Handle.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.040
Release: alt1
Summary: Create Zip Archives
Group: Development/Perl
License: perl
URL: https://github.com/pmqs/Archive-Zip-SimpleZip

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMQS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Archive::Zip::SimpleZip is a module that allows the creation of Zip.archives. 

The module allows Zip archives to be written to a named file, a filehandle
or stored in-memory.

There are a small number methods available in Archive::Zip::SimpleZip, and
quite a few options, but for the most part all you need to know is how to
create a Zip archive and how to add a file to it. 

Below is an example of how this module is used to add the two files
"file1.txt" and "file2.txt" to the zip file called "my1.zip".

    use Archive::Zip::SimpleZip qw($SimpleZipError) ;

    my $z = new Archive::Zip::SimpleZip "my1.zip"
        or die "Cannot create zip file: $SimpleZipError\n" ;

    $z->add("/some/file1.txt");
    $z->add("/some/file2.txt");

    $z->close();

The data written to a zip archive doesn't need to come from the filesystem.
You can also write string data directly to the zip archive using the
`addString' method, like this

    use Archive::Zip::SimpleZip qw($SimpleZipError) ;

    my $z = new Archive::Zip::SimpleZip "my2.zip"
        or die "Cannot create zip file: $SimpleZipError\n" ;

    $z->addString($myData, Name => "file2.txt");

    $z->close();

Alternatively you can use the `openMember' option to get a filehandle that
allows you to write directly to the zip archive member using standard Perl
file output functions, like `print'. 

    use Archive::Zip::SimpleZip qw($SimpleZipError) ;

    my $z = new Archive::Zip::SimpleZip "my3.zip"
        or die "Cannot create zip file: $SimpleZipError\n" ;

    my $fh = $z->openMember(Name => "file3.txt");

    $fh->print("some data");
    # can also use print $fh "some data"

    print $fh "more data" ;

    $fh->close() ; 
    # can also use close $fh;

    $z->close();

You can also "drop" a filehandle into

    use Archive::Zip::SimpleZip qw($SimpleZipError) ;

    my $z = new Archive::Zip::SimpleZip "my4.zip"
        or die "Cannot create zip file: $SimpleZipError\n" ;

    my $fh = $z->addFileHandle(FH, Name => "file3.txt");

    $z->close();


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
