%define module_version 0.11
%define module_name Astro-SkyX
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Perl extension for communications with The SkyX Scripting Engine Version 10.2.0 (Build 6519 and lat...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RW/RWOODARD/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
The SkyX perl module allows a programmer to interact with the
SkyX scripting engine. Syntax is very close to the Java script
syntax documented in the Software Bisque Script TheSkyX Documentation.

Example:

  /* Java Script */
  sky6RASCOMTele.Connect();

  becomes

  $obj->sky6RASCOMTele->Connect();

  The return value is the output from the Java Script engine in The SkyX.

  Reading properties is similiar:

  $obj->sky6RASCOMTele->GetAzAlt();
  print "Alt is " . $obj->sky6RASCOMTele->dAlt . "\n";;
  print "Az is " . $obj->sky6RASCOMTele->dAz . "\n";;

  Setting property values are a little different than the java script method. Instead of:

  ImageLink.scale = .84;

  use:

  $obj->ImageLink->scale(.84); 

  That simple...

 

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/SkyX_Test.pl

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
