%define module_name Aws-Polly-Select
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dump.pm) perl(Data/Table/Text.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Test2/API.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 20171217
Release: alt1
Summary: Select AWS Polly speakers with specified characteristics
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PRBRENAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Aws::Polly::Select::select(key=>qr(value), ...)

Returns zero or more Amazon Web Services Polly speaker definitions which match
the hash of characteristics provided. Each hash key must name one of the
b<KEY>s given below, the value for the key should be a regular expression to
select against the possible b<VALUES> listed beside each key.  Please take care
with case or code qr()i;

 KEY        VALUES

 written    cy da de en es fr is it ja nb nl pl pt ro ru sv tr

 code       cy-GB da-DK de-DE en-AU en-GB en-GB-WLS en-IN en-US
            es-ES es-US fr-CA fr-FR is-IS it-IT     ja-JP nb-NO
            nl-NL pl-PL pt-BR pt-PT ro-RO ru-RU     sv-SE tr-TR

 country    au br ca de dk es fr gb in is it jp nl no pl pt ro ru se tr us

 gender     Female Male

 speaking   Australian-English Brazilian-Portuguese British-English
            Canadian-French Castilian-Spanish Danish Dutch French German
            Icelandic Indian-English Italian Japanese Norwegian Polish Portuguese
            Romanian Russian Swedish Turkish US-English US-Spanish Welsh
            Welsh-English

The returned speaker definitions have the following METHODs which will yield
one of th specified b<VALUES> for each speaker definition:

 METHOD     VALUES

 written    cy da de en es fr is it ja nb nl pl pt ro ru sv tr

 code       cy-GB da-DK de-DE en-AU en-GB en-GB-WLS en-IN en-US es-ES es-US
            fr-CA fr-FR is-IS it-IT ja-JP nb-NO     nl-NL pl-PL pt-BR pt-PT
            ro-RO ru-RU sv-SE tr-TR

 name       Amy Astrid Brian Carla Carmen Celine Chantal Conchita Cristiano
            Dora Emma Enrique Ewa Filiz Geraint Giorgio Gwyneth Hans Ines Ivy
            Jacek Jan Joanna Joey Justin Karl Kendra Kimberly Liv Lotte Mads
            Maja Marlene Mathieu Maxim Miguel Mizuki Naja Nicole Penelope
            Raveena Ricardo Ruben Russell Salli Tatyana Vitoria

 speaking   Australian-English Brazilian-Portuguese British-English
            Canadian-French Castilian-Spanish Danish Dutch French German
            Icelandic Indian-Engli...
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/A*

%changelog
