%define module_name CLI-LaTeX-Table
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Memoize.pm) perl(Module/Build.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.57
Release: alt1
Summary: provides a quick command tool that transforms almost any table to LaTeX snippet.
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TULAMILI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CLI-LatexTable

 A CLI command "latextable" is provided and also others are provided.

 Given the TSV formatted table
 such as copied region of an Excel worksheet or SQL output, you can
 easily get the LaTeX commands to produce same table even if it contains
 any alphabetical, numeral, symbolic characters unless they are ASCII or
 UTF-8. You can save a lot of time to draw tables by utilizing many
 option swithes for magnifying, rotating partly or totally, treating well
 on large numbers, hankaku-kana and so on.

PROVIDED COMMAND LINE INTERFACE programs : 
  
  1. latextable -- snippet generator from worksheet/scripts into LaTeX table/table-caption/text.
  2. transpose -- flips a matrix over its diagonal. Input is copied from Excel/SQL output and so on.
  3. saikoro -- random number/matrix generators of (various) uniform distributions.
  4. csel -- an command line interface to handle TSV/CSV files easier than cut/AWK commands.
  5. csv2tsv -- TSV formatter for regular CSV format files by Text::CSV_XS module.

  All programs provides help-manual that is availble such as by "latextable --help". 
  If you want to see only "switch options", do "latextable --help opt(ions)". 
  If you want to see Japanese or English manual as you wish, do "latextable --help en" or "--help ja".

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README_JP.pdf README Changes
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
