%define module_version 0.07
%define module_name CPAN-Testers
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: QA of CPAN distributions via cross-platform testing
Group: Development/Perl
License: artistic_2
URL: http://www.cpantesters.org

Source0: http://cpan.org.ua/authors/id/B/BA/BARBIE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Started in 1998 by Graham Barr and Chris Nandor, the CPAN Testers exist to
provide quality assurance of CPAN distributions via cross-platform testing with
many versions of perl. Some of our goals include the increase of portability of
CPAN distributions and to provide authors with helpful feedback.

Nowadays, it's quite effortless to get involved--even casually--with mature
support for CPAN Testing with both CPAN and CPANPLUS. Testing methods ranging
from manual to automatic are available.

There are many distributions that comprise the CPAN Testers stack (please
forgive my poor artwork). The current architecture is as follows:


                  [POE-Component-CPANPLUS-YACSmoke]
                                  |
   [CPAN-Reporter]      [CPANPLUS-YACSmoke]        [cpanm-reporter]
       (CPAN)                (CPANPLUS)               (cpanminus)
          |                       |                        |
          |                       |                        |
          .------------------------------------------------.
                                  |        
                           [Test-Reporter]
                                  |        
                                  |   CT2.0
                           ................
                           .   [HTTP]     .
                           .      |       .
                           .  [Metabase]  .
                           . (Data Store) .
                           ................
                                  |       
                                  |       
                     [CPAN-Testers-Data-Generator]
                                  |       
                             [cpanstats] 
                            (Data Store)
                                  |        
          .------------------------------------------------.
          |                       |                        |
          |                       |                        |
 [CPAN-Testers-WWW-Reports]     (APIs)        [CPAN-Testers-WWW-Statistics]    
          |                                                |
 [http://wwww.cpantesters.org/]              [http://stats.cpantesters.org/]


This a rather simplistic view, but covers the basic flow of test reports into
the system, and how the 'cpanstats' database and the core websites are derived.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/C*

%changelog
