%add_findreq_skiplist %_bindir/cpanp-run-perl
%add_findreq_skiplist %{perl_vendor_privlib}/CPANPLUS/Internals/*
%add_findreq_skiplist %{perl_vendor_privlib}/CPANPLUS/Dist/*
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(B.pm) perl(CPAN.pm) perl(Compress/Zlib.pm) perl(Email/Simple.pm) perl(Encode.pm) perl(Errno.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(IO/Compress/Bzip2.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(IO/Socket/SSL.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IPC/Open3.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Locale/Maketext.pm) perl(Locale/Maketext/Lexicon.pm) perl(MIME/Base64.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Net/SSLeay.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Symbol.pm) perl(Test.pm) perl(Text/ParseWords.pm) perl(Time/HiRes.pm) perl(UNIVERSAL.pm) perl(YAML.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%global cpan_version 0.9148
Name:           perl-CPANPLUS
# Keep 2-digit major varion to compete with perl.spec for history
Version:        %(echo '%{cpan_version}' | sed 's/\(\...\)/\1./')
Release:        alt1_1
Summary:        Ameliorated interface to the Comprehensive Perl Archive Network
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CPANPLUS/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/CPANPLUS-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Getopt/Long.pm)
%if %{defined perl_bootstrap}
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# ExtUtils::Manifest not used
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
# Module::Build not used
# YAML not used
%else
BuildRequires:  perl(inc/Module/Install.pm)
%endif
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Locale/Maketext/Simple.pm)
BuildRequires:  perl(Module/Loaded.pm)
# Run-time:
BuildRequires:  perl(Archive/Extract.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBIx/Simple.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(IPC/Cmd.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Fetch.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Glob.pm)
BuildRequires:  perl(FileHandle.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec/Unix.pm)
BuildRequires:  perl(File/stat.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Log/Message.pm)
BuildRequires:  perl(Module/CoreList.pm)
BuildRequires:  perl(Module/Load.pm)
BuildRequires:  perl(Module/Load/Conditional.pm)
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(Object/Accessor.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Package/Constants.pm)
BuildRequires:  perl(Params/Check.pm)
BuildRequires:  perl(Parse/CPAN/Meta.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Term/ReadLine.pm)
BuildRequires:  perl(Term/UI.pm)
BuildRequires:  perl(Tie/Hash.pm)
BuildRequires:  perl(Time/Local.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  perl(warnings.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# lib/CPANPLUS/Internals.pm:465
Requires:       perl(File/Glob.pm)
# lib/CPANPLUS/Internals/Utils.pm:68
Requires:       perl(File/Path.pm)
# lib/CPANPLUS/Internals/Utils.pm:323
Requires:       perl(File/stat.pm)
# bin/cpanp-boxed:10
Requires:       perl(FindBin.pm)
# lib/CPANPLUS/Module.pm:477
Requires:       perl(Module/CoreList.pm) >= 2.22
# lib/CPANPLUS/Configure.pm:181
Requires:       perl(Module/Pluggable.pm)


Source44: import.info
%filter_from_requires /^perl\\((Your.Module.Here|Test).pm\\)/d

%description
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, command line programs, etc., that use this API.

%prep
%setup -q -n CPANPLUS-%{cpan_version}
# Remove bundled modules
%if !%{defined perl_bootstrap}
rm -rf inc
sed -i -e '/^inc\//d' MANIFEST
%else
rm -rf inc/bundle
sed -i -e '/^inc\/bundle\//d' MANIFEST
%endif
# Fix shebangs
sed -i -e '1i#!%{__perl}' bin/cpanp-run-perl

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test %{?_smp_mflags}

%files
%doc ChangeLog README
%{_bindir}/*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
