Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Pod.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Action-REST
Version:        1.21
Release:        alt2_12
Summary:        Automated REST Method Dispatching
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Catalyst-Action-REST
Source0:        https://cpan.metacpan.org/authors/id/J/JJ/JJNAPIORK/Catalyst-Action-REST-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Log.pm)
BuildRequires:  perl(Catalyst/Request.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/Utils.pm)
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Config/General.pm)
BuildRequires:  perl(Cpanel/JSON/XS.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Data/Taxi.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm) 
BuildRequires:  perl(ExtUtils/Manifest.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(Fcntl.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(FreezeThaw.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(HTTP/Body.pm)
BuildRequires:  perl(HTTP/Headers.pm)
BuildRequires:  perl(HTTP/Headers/Util.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(JSON/MaybeXS.pm)
BuildRequires:  perl(JSON/PP.pm)
BuildRequires:  perl(JSON/XS.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Pluggable/Object.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Meta/Class.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Params/Validate.pm)
BuildRequires:  perl(PHP/Serialization.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Requires.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(URI/Find.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XML/Simple.pm)
BuildRequires:  perl(YAML/Syck.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.300
Requires:       perl(Class/Inspector.pm) >= 1.130
Requires:       perl(Config/General.pm)
Requires:       perl(Data/Taxi.pm)
Requires:       perl(FreezeThaw.pm)
Requires:       perl(JSON.pm) >= 2.120
Requires:       perl(LWP/UserAgent.pm) >= 5.0
Requires:       perl(Moose.pm) >= 1.030
Requires:       perl(MRO/Compat.pm) >= 0.100
Requires:       perl(Params/Validate.pm) >= 0.760
Requires:       perl(PHP/Serialization.pm)
Requires:       perl(XML/Simple.pm)
Requires:       perl(YAML/Syck.pm)


Source44: import.info

%description
This Action handles doing automatic method dispatching for REST requests.
It takes a normal Catalyst action, and changes the dispatch to append an
underscore and method name. First it will try dispatching to an action
with the generated name, and failing that it will try to dispatch to a
regular method.

%prep
%setup -q -n Catalyst-Action-REST-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README TODO
%{perl_vendor_privlib}/Catalyst*

%changelog
