Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Controller-FormBuilder
Version:        0.06
Release:        alt2_31
Summary:        Catalyst FormBuilder Base Controller
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Controller-FormBuilder
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTROUT/Catalyst-Controller-FormBuilder-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Action.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/View.pm)
BuildRequires:  perl(Catalyst/View/HTML/Template.pm)
BuildRequires:  perl(Catalyst/View/Mason.pm)
BuildRequires:  perl(Catalyst/View/TT.pm)
BuildRequires:  perl(CGI/FormBuilder.pm)
BuildRequires:  perl(CGI/FormBuilder/Source/File.pm)
BuildRequires:  perl(CGI/FormBuilder/Util.pm)
BuildRequires:  perl(Class/Data/Inheritable.pm)
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  perl(mro.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)
BuildRequires:  perl(Tie/IxHash.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed

# not auto-picked up, or to keep rpmlint happy...
Requires:       perl(Catalyst.pm)
Requires:       perl(warnings.pm)
Requires:       perl(lib.pm)
Source44: import.info

%description
This base controller merges the functionality of CGI::FormBuilder with
Catalyst and the following templating systems: Template Toolkit, Mason and
HTML::Template. This gives you access to all of FormBuilder's niceties,
such as controllablefield stickiness, multilingual support, and Javascript
generation. For more details, see CGI::FormBuilder or the website at:
http://www.formbuilder.org


%{echo 
%filter_from_requires /perl.FindBin.pm./d; /perl.Test..*.pm./d
%filter_from_provides /perl.TestApp.*.pm./d

}



%prep
%setup -q -n Catalyst-Controller-FormBuilder-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes t/
%{perl_vendor_privlib}/*

%changelog
