%define module_name Catalyst-View-CSV
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Action/RenderView.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Model/DBIC/Schema.pm) perl(Catalyst/Plugin/ConfigLoader.pm) perl(Catalyst/Test.pm) perl(Catalyst/View.pm) perl(CatalystX/Component/Traits.pm) perl(Config/General.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV.pm) perl(URI.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.8
Release: alt1
Summary: CSV view class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMREIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Catalyst::View::CSV manpage provides a the Catalyst manpage view that generates CSV
files.

You can use either a Perl array of arrays, an array of hashes, an
array of objects, or a database cursor as the source of the CSV data.
For example:

    my $data = [
      [ "Dead Poets Society", "1989" ],
      [ "Stage Beauty", "2004" ],
      ...
    ];
    $c->stash ( data => $data );

or

    my $resultset = $c->model ( "FilmDB::Film" )->search ( ... );
    $c->stash ( cursor => $resultset->cursor );

The CSV file is generated using the Text::CSV manpage.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES LICENSE
%perl_vendor_privlib/C*

%changelog
