%define module_name Char-GB18030
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(Compress/Zlib.pm) perl(Config.pm) perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(FindBin.pm) perl(Getopt/Std.pm) perl(Test.pm) perl(experimental.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: Source code filter for GB18030 script (Imitation JPerl)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INA/Char/GB18030/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use GB18030;
  use GB18030 ver.sion;             --- require minimum version
  use GB18030 ver.sion.0;           --- expects version (match or die)
  use GB18030 qw(ord reverse getc); --- demand enhanced feature of ord, reverse, and getc
  use GB18030 ver.sion qw(ord reverse getc);
  use GB18030 ver.sion.0 qw(ord reverse getc);

  # "no GB18030;" not supported

  or

  $ perl GB18030.pm GB18030_script.pl > Escaped_script.pl.e

  then

  $ perl Escaped_script.pl.e

  GB18030_script.pl  --- script written in GB18030
  Escaped_script.pl.e --- escaped script

  subroutines:
    GB18030::ord(...);
    GB18030::reverse(...);
    GB18030::getc(...);
    GB18030::length(...);
    GB18030::substr(...);
    GB18030::index(...);
    GB18030::rindex(...);
  functions:
    <*>
    glob(...);
    CORE::chop(...);
    CORE::ord(...);
    CORE::reverse(...);
    CORE::getc(...);
    CORE::index(...);
    CORE::rindex(...);


  dummy functions:
    utf8::upgrade(...);
    utf8::downgrade(...);
    utf8::encode(...);
    utf8::decode(...);
    utf8::is_utf8(...);
    utf8::valid(...);
    bytes::chr(...);
    bytes::index(...);
    bytes::length(...);
    bytes::ord(...);
    bytes::rindex(...);
    bytes::substr(...);


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README2ND Changes
%perl_vendor_privlib/G*
%perl_vendor_privlib/E*

%changelog
