# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(IPC/Run.pm) perl(Module/Build/Tiny.pm) perl(Path/Tiny.pm) perl(Storable.pm) perl(Test/Pod.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Command-Template
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: A template to build command line arrays, and run them
Group: Development/Perl
License: apache
URL: https://github.com/polettix/Command-Template

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POLETTIX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Command::Template' eases the creation of objects that help building up
command-lines and/or to run them.

As an example, it might be needed to generate multiple commands
according to the following template:

   ls [options=-l] <dir>

i.e. the `ls' command, where there might be some `options' (defaulting
to option `-l') and there MUST be a directory `dir' (which in this
case has no default).

The following possible expansions adhere to the template above:

   ls -l /
   ls -la /usr
   ls -l -a /etc
   ls /run

while the following does not (because there is no directory, which we
want because we used the `<...>' form):

   ls -l

The module provides two different interfaces:

=over

=item *

the command_template entry elsewhere in this document allows generating the commands as lists, which are
then supposed to be used somehow (e.g. provided to `system');

=item *

the command_runner entry elsewhere in this document allows running the commands via the IPC::Run manpage.

=back

Both adhere to the same the Expansion Rules entry elsewhere in this document explained below and
implemented in the Command::Template::Instance manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/C*

%changelog
