Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Exception.pm) perl(Test/Perl/Critic.pm) perl(Tk/ObjScanner.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Config-Model-Itself
Version:        2.022
Release:        alt1_3
Summary:        Model editor for Config::Model
License:        LGPLv2+
URL:            https://metacpan.org/release/Config-Model-Itself
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Config-Model-Itself-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  bash-completion
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(App/Cmd/Tester.pm)
BuildRequires:  perl(App/Cme.pm)
BuildRequires:  perl(App/Cme/Common.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config/Model.pm)
BuildRequires:  perl(Config/Model/Tester/Setup.pm)
BuildRequires:  perl(Config/Model/TkUI.pm)
BuildRequires:  perl(Config/Model/Value.pm)
BuildRequires:  perl(Data/Compare.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/testlib.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy/Recursive.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Mouse.pm)
BuildRequires:  perl(Mouse/Util/TypeConstraints.pm)
BuildRequires:  perl(Path/Tiny.pm)
BuildRequires:  perl(Pod/POM.pm)
BuildRequires:  perl(Pod/Usage.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/File/Contents.pm)
BuildRequires:  perl(Test/Memory/Cycle.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Text/Diff.pm)
BuildRequires:  perl(Tk.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(YAML/XS.pm)
BuildRequires:  sed
Requires:       bash-completion
Requires:       perl(App/Cme.pm) >= 1.002
Requires:       perl(Config/Model/TkUI.pm) >= 1.370






Source44: import.info
%filter_from_requires /^perl(Config.Model\\)\s*$/d
%filter_from_requires /^perl(Config.Model\\) >= 2.064\s*$/d
%filter_from_requires /^perl(Config.Model.TkUI\\)\s*$/d
%filter_from_requires /^perl(Log.Log4perl\\)\s*$/d
%filter_from_requires /^perl(App.Cme\\)\s*$/d

%description
Config::Itself module and its model files provide a model of Config:Model
(hence the Itself name).

%prep
%setup -q -n Config-Model-Itself-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

# Install bash_completion script
install -D -m 0644 contrib/bash_completion.cme_meta %{buildroot}%{_sysconfdir}/bash_completion.d/cme_meta

%check
./Build test

%files
%doc --no-dereference LICENSE
%doc Changes CONTRIBUTING.md data README.md
%{perl_vendor_privlib}/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/cme_meta

%changelog
