Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/xvfb-run perl(Test/Log/Log4perl.pm) perl(Test/Perl/Critic.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global use_x11_tests 1

Name:           perl-Config-Model-TkUI
Version:        1.375
Release:        alt1_2
Summary:        TK GUI to edit config data through Config::Model
License:        LGPLv2+
URL:            https://metacpan.org/release/Config-Model-TkUI
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Config-Model-TkUI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config/Model.pm)
BuildRequires:  perl(Config/Model/ObjTreeScanner.pm)
BuildRequires:  perl(Config/Model/Tester.pm)
BuildRequires:  perl(Config/Model/Tester/Setup.pm)
BuildRequires:  perl(Config/Model/Value.pm)
BuildRequires:  perl(ExtUtils/testlib.pm)
BuildRequires:  perl(File/HomeDir.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Path/Tiny.pm)
BuildRequires:  perl(Pod/POM.pm)
BuildRequires:  perl(Pod/POM/View/Text.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(subs.pm)
BuildRequires:  perl(Test/Memory/Cycle.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Warn.pm)
BuildRequires:  perl(Text/Diff.pm)
BuildRequires:  perl(Text/Wrap.pm)
BuildRequires:  perl(Tk.pm)
BuildRequires:  perl(Tk/Adjuster.pm)
BuildRequires:  perl(Tk/Balloon.pm)
BuildRequires:  perl(Tk/BrowseEntry.pm)
BuildRequires:  perl(Tk/Dialog.pm)
BuildRequires:  perl(Tk/DialogBox.pm)
BuildRequires:  perl(Tk/DirSelect.pm)
BuildRequires:  perl(Tk/DoubleClick.pm)
BuildRequires:  perl(Tk/FontDialog.pm)
BuildRequires:  perl(Tk/Frame.pm)
BuildRequires:  perl(Tk/Menubutton.pm)
BuildRequires:  perl(Tk/NoteBook.pm)
BuildRequires:  perl(Tk/ObjScanner.pm)
BuildRequires:  perl(Tk/Pane.pm)
BuildRequires:  perl(Tk/Photo.pm)
BuildRequires:  perl(Tk/PNG.pm)
BuildRequires:  perl(Tk/Pod.pm)
BuildRequires:  perl(Tk/Pod/Text.pm)
BuildRequires:  perl(Tk/ROText.pm)
BuildRequires:  perl(Tk/Toplevel.pm)
BuildRequires:  perl(Tk/Tree.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(YAML.pm)
BuildRequires:  perl(YAML/XS.pm)
BuildRequires:  perl(XXX.pm)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-xvfb xvfb-run
BuildRequires:  xinit
BuildRequires:  fontlang(en)
%endif
Source44: import.info

%description
This class provides a GUI for Config::Model.

%prep
%setup -q -n Config-Model-TkUI-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a ./Build test
%endif

%files
%doc --no-dereference LICENSE
%doc Changes README.md
%{perl_vendor_privlib}/*

%changelog
