%define module_version 1.000
%define module_name Convert-Color-HUSL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Color.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Test/Perl/Critic.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000
Release: alt1
Summary: Convert between RGB, CIEXYZ, CIELUV, CIELCh, HUSL, HUSLp color spaces
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Objects of this class represent colors in the HUSL color space, revision 4.

Methods:

=over

=item Convert::Color::HUSL->new(*$h*, *$s*, *$l*)

Construct a color from its components.

=item Convert::Color::HUSL->new(*"$h,$s,$l"*)

Construct a color from a string. The string should contain the three
components, separated by commas.

=item $husl->H

=item $husl->S

=item $husl->L

Accessors for the three components of the color.

=item $husl->hsl

Returns the three components as a list.

=back
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
