# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define fedora 23
%if (0%{?fedora} <= 14) && !(0%{?rhel})
%define auto %{perl_vendor_archlib}/auto
%define archlib %{perl_vendor_archlib}
%else
%define auto %{perl_vendor_archlib}/auto
%define archlib %{perl_vendor_archlib}
%endif
%define _use_internal_dependency_generator 1

Name:           perl-Crypt-Cracklib
Version:        1.7
Release:        alt11_15
Summary:        Crypt-Cracklib - Perl interface to Alec Muffett's Cracklib

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Crypt-Cracklib/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Crypt-Cracklib-1.7.tar.gz

BuildRequires:  cracklib-devel
BuildRequires:  perl(inc/Module/Install.pm)
# Run-time:
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

Patch0: automake.patch
# Detect gzipped dictionary 
# https://github.com/dsully/perl-crypt-cracklib/issues/1
Patch1:         Crypt-Cracklib-1.7-Detect-gzipped-dictionary.patch
Source44: import.info

%description
This module providers interaction with the system cracklib libraries.

%prep
%setup -q -n Crypt-Cracklib-%{version}
%patch0 -p0 -b .automake
%patch1 -p1
rm -rf inc

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
# %{_fixperms} $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -name Cracklib.bs -exec rm -f {} ';'

%files
%dir %{auto}/Crypt
%dir %{auto}/Crypt/Cracklib
%{archlib}/Crypt/Cracklib.pm
%{auto}/Crypt/Cracklib/*
%doc Changes README

%changelog
