Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Filter the Perl extension module


%global pkgname Crypt-GPG

Summary:        Perl Object Oriented Interface to GnuPG
Name:           perl-Crypt-GPG
Version:        1.64
Release:        alt2_21
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{pkgname}
Source0:        https://cpan.metacpan.org/authors/id/A/AG/AGUL/%{pkgname}-%{version}.tar.gz
Patch0:         perl-Crypt-GPG-1.64-gpg.patch
Patch1:         perl-Crypt-GPG-1.64-md5.patch
Requires:       gnupg
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gnupg
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Date/Parse.pm)
BuildRequires:  perl(English.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Fcntl.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IPC/Run.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(vars.pm)
BuildArch:      noarch
Source44: import.info

%description
The Crypt::GPG module provides access to the functionality of the
GnuPG v1 (www.gnupg.org) encryption tool through an object oriented
interface. It provides methods for encryption, decryption, signing,
signature verification, key generation, key certification, export
and import.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .gpg
%patch1 -p1 -b .md5

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README
%{perl_vendor_privlib}/Crypt

%changelog
