%define module_name Crypt-PBE
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/CBC.pm) perl(Crypt/DES.pm) perl(Crypt/OpenSSL/AES.pm) perl(Digest/MD2.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.102
Release: alt1
Summary: Perl extension for PKCS #5 Password-Based Encryption Algorithms
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GD/GDT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# Crypt::PBE - Perl extension for PKCS #5 Password-Based Encryption

## Synopsis

```.pl
use Crypt::PBE qw(:jce);

my $pbe = PBEWithMD5AndDES('mypassword');

my $encrypted = $pbe->encrypt('secret'); # Base64 encrypted data

print $pbe->decrypt($encrypted);
```

## Install

To install `Crypt::PBE` distribution, run the following commands:

    perl Makefile.PL
    make
    make test
    make install

## Copyright

 - Copyright 2020 -. Giuseppe Di Terlizzi

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
