# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class.pm) perl(ExtUtils/MakeMaker.pm) perl(Import/Into.pm) perl(Moo.pm) perl(Sub/Defer.pm) perl(Test/DBIx/Class.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name DBIx-Class-Moo-ResultClass
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001001
Release: alt1
Summary: Moo-ify DBIx::Class Result (row) Classes
Group: Development/Perl
License: perl
URL: https://github.com/jjn1056/DBIx-Class-Moo-ResultClass

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JJ/JJNAPIORK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Note: Warning, Early Access module.  This is pretty straightforward but we've not used it
extensively so its possible some corner cases exist. Test cases / docs welcomed.

Use the Moo manpage with the DBIx::Class manpage.  It's not immediately obvious how to do this in the DBIx::Class manpage
since you need to fuss with Moo and 'FOREIGNBUILDARGS' to get it working correctly.  So we did
the heavy lifting for you.

You can use this directly on your result classes and/or on a base resultclass.  You can also use
it to consume Moo roles directly:

    package Schema::MyRole;

    use Moo::Role;

    has foo => (is => 'rw');

    package Schema::Result;

    use strict;
    use warnings;

    use DBIx::Class::Moo::ResultClass;

    # Don't need to "extends 'DBIx::Class::Core';" since we do that by default for you 

    has 'result' => (is=>'ro');

    1;

    package Schema::Result::Artist;

    use DBIx::Class::Moo::ResultClass;

    extends 'Schema::Result';
    with 'Schema::MyRole';

    ...

And it should just do the right thing.

This doesn't work yet on ResultSet classes (another time / test cases welcomed).

NOTE By default we extend the DBIx::Class::Core manpage unless the consuming class ISA the DBIx::Class manpage.  This
allows you to easily set a custom base class.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
