# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/mysql.pm) perl(DBI.pm) perl(DBIx/Compare.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Differences.pm) perl(Test/Group.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.3d
%define module_name DBIx-Compare-ContentChecksum-mysql
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3d
Release: alt1
Summary: Extension to DBIx::Compare, enables more detailed comparison of MySQL databases.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CJ/CJONES/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
DBIx::Compare::ContentChecksum::mysql takes two MySQL database handles and performs a low level comparison of their table content. It was developed to compare databases before and after table optimisation, but would be useful in any scenario where you need to check that two databases are identical.

DBIx::Compare::ContentChecksum::mysql utilises the MySQL functions 'GROUP_CONCAT' and 'MD5' to generate MD5 checksums from each field of a table, ordered by their primary keys, both ascending and descending. Then it simply compares the checksums returned from each database and prints out a list of the tables/fields in which differences were found. 

MySQL has a built in variable called `group_concat_max_len'. This limits the length of values returned by the `group_concat' function, truncating longer values. Helpfully, MySQL will issue a warning to let you know that the returned value has been truncated. The default value for `group_concat_max_len' is a paltry 1024 (bytes, I assume) which isn't useful for much. If your database is likely to generate larger concatenated values, then calculate/determine/guess the `group_concat_max_len' you'll need and set it with the method the section on "group_concat_max_len()". See the the section on "DISCLAIMER" below.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
