# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/RunSQL.pm) perl(Exporter.pm) perl(Filter/signatures.pm) perl(Pod/Markdown.pm) perl(Pod/Readme.pm)
# END SourceDeps(oneline)
%define module_name DBIx-PivotQuery
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: create pivot tables from queries
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use DBIx::PivotQuery 'pivot_by';
  my $rows = pivot_by(
      dbh       => $dbh,
      columns   => ['month'],
      rows      => ['region'],
      aggregate => ['sum(amount) as amount'],
      sql => <<'SQL');
    select
        month(date) as report_month
      , region
      , amount
    from mytable
  SQL

The above code returns a data structure roughly like

  # [
  #   ['region','1','2',...,'11','12'],
  #   ['East',   0,  0 ,..., 10, 20 ],
  #   ['North',  0,  1 ,..., 10, 20 ],
  #   ['South',  0,  3 ,..., 10, 5  ],
  #   ['West',   0,  6 ,..., 8,  20 ],
  # ]


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.mkdn
%perl_vendor_privlib/D*

%changelog
