%define module_name Dancer2-Plugin-Syntax-ParamKeywords
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Plack/Test.pm) perl(Ref/Util.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.0
Release: alt1
Summary: Parameter keywords for the lazy
Group: Development/Perl
License: perl
URL: http://perldancer.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CR/CROMEDOME/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Let's face it: the Dancer2 manpage's parameter-fetching keywords take so much typing 
to use! Why can't they be shorter? Well now, dear reader, they are!

This module provides a little syntactic sugar to make getting query, route,
and body parameters just a little bit quicker. Instead of writing these:

    query_parameters->get( ... );
    query_parameters->get_all( ... );
    query_parameters
    body_parameters->get( ... );
    body_parameters->get_all( ... );
    body_parameters
    route_parameters->get( ... );
    route_parameters

You can write just these:

    query_param( ... );
    query_params( ... );
    query_params
    body_param( ... );
    body_params( ... );
    body_params
    route_param( ... );
    route_params

That's about 25-50%% less typing in many cases. You're welcome.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE CONTRIBUTING
%perl_vendor_privlib/D*

%changelog
