Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Filter/Util/Call.pm) perl(FindBin/libs.pm) perl(HTTPEx/Declare.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Test/Deep.pm) perl(Text/Diff.pm) perl(YAML/Tiny.pm) perl(threads/shared.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Data-AMF
Version:        0.09
Release:        alt2_29
Summary:        Serialize/deserialize Adobe's AMF (ActionMessageFormat) data
License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/release/TYPESTER/Data-AMF-0.09/lib/Data/AMF.pm
Source0:        https://cpan.metacpan.org/authors/id/T/TY/TYPESTER/Data-AMF-0.09.tar.gz
BuildArch:      noarch
Patch0:         Data-AMF-0.09-Fix-building-on-Perl-without-dot-in-INC.patch

BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Any/Moose.pm)
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Spiffy.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XML/LibXML.pm)
BuildRequires:  perl(YAML.pm)
BuildRequires:  sed

Requires:       perl(DateTime.pm)
Requires:       perl(XML/LibXML.pm)


Source44: import.info

%description
This module is a (de-)serializer for Adobe's AMF (Action Message Format).
Data::AMF is core module and it recognizes only AMF data, not AMF packet.
If you want to read/write AMF Packet, see Data::AMF::Packet instead.


%prep
%setup -q -n Data-AMF-%{version}
%patch0 -p1
rm inc/YAML.pm
sed -i -e '/^inc\/YAML.pm$/d' MANIFEST
echo VENDORLIB %{perl_vendor_privlib}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*


%changelog
