%define module_name Data-Dump-Sexp
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/SExpression.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: convert arbitrary scalars to s-expressions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is not well-tested, proceed with caution.

Data::Dump::Sexp converts Perl structures to S-expressions.

The conversion rules are as follows:

=over

=item 1

A blessed object with a to_sexp method is replaced with the result
of calling the method, and this procedure is restarted.

=item 2

An instance of the Data::SExpression::Symbol manpage is converted to a symbol.

=item 3

An instance of the Data::SExpression::Cons manpage is converted to a cons cell
(like `(A . B)'), a proper list (like `(A B C)') or an improper list
(like `(A B . C)'), where A, B, C are S-expressions.

=item 4

undef is converted to the empty list.

=item 5

A defined scalar that looks like a number is left as-is.

=item 6

A defined scalar that does not look like a number is surrounded by
double quotes after any backslashes and double quote characters are
escaped with a backslash.

=item 7

An arrayref is converted to a proper list.

=item 8

A hashref is converted to an alist, which is a proper list of cons
cells (like `((A . B) (C . D) (E . F))').

=item 9

A scalarref or a reference to another ref is dereferenced and this
procedure is restarted.

=item 10

Anything else (regexp, filehandle, format, glob, version string)
causes an exception to be raised

=back

A single function is exported by default:

=over

=item dump_sexp *$expr*

Given any Perl scalar, convert it to a S-expression and return the
sexp as a string.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
