%def_without test
%define module_name Data-Table-Text
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(CGI.pm) perl(Carp.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(File/Glob.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(IO/Socket/UNIX.pm) perl(JSON.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test2/API.pm) perl(Time/HiRes.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 20210704
Release: alt1
Summary: Write data in tabular text format
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PRBRENAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
to final 1;

    if ($source ne $Source)                                                     # Save source only if it has changed and came from a file
     {overWriteFile(filePathExt($perlModule, qq(backup)), $source);             # Backup module source
      overWriteFile($perlModule, $source);                                      # Write updated module source
     }
   }

  $doc
 } # updateDocumentation

sub docUserFlags($$$$)                                                          #P Generate documentation for a method by calling the extractDocumentationFlags method in the package being documented, passing it the flags for a method and the name of the method. The called method should return the documentation to be inserted for the named method.
 {my ($flags, $perlModule, $package, $name) = @_;                               # Flags, file containing documentation, package containing documentation, name of method to be processed
  my $s = <<END;
${package}::extractDocumentationFlags("$flags", "$name");
END

  use Data::Dump qw(dump);
  my $r = eval $s;
  confess "$s\n". dump($@, $!) if $@;
  $r
 }

sub updatePerlModuleDocumentation($)                                            #P Update the documentation in a perl file and show said documentation in a web browser.
 {my ($perlModule) = @_;                                                        # File containing the code of the perl module
  -e $perlModule or confess "No such file:\n$perlModule\n";
  updateDocumentation($perlModule);                                             # Update documentation

  zzz("pod2html --infile=$perlModule --outfile=zzz.html && ".                   # View documentation
      " firefox file:zzz.html && ".
      " (sleep 5 && rm zzz.html pod2htmd.tmp) &");
 }

#-------------------------------------------------------------------------------
# Export - eeee
#-------------------------------------------------------------------------------

use Exporter qw(import);

use vars qw(@ISA @EXPORT @EXPORT_OK %%EXPORT_TAGS);

# containingFol...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CONTRIBUTING README.md CHANGES
%perl_vendor_privlib/D*

%changelog
