# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_version 1.02
%define module_name Date-Christmas
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Calculates the day of the week Christmas falls upon given the year.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HF/HFB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Date::Christmas calculates the day of the week that Christmas will 
fall upon in any given year after the year 1600AD, including leap years 
when using a Gregorian Calendar. The algorithm is based on "The 
Formula for Christmas Day" on pages 261-262 in the book _The Physics 
of Christmas_ by Roger Highfield. 

"Other prognostications, not only of the weather, were based on the day
of the week on which Christmas fell:

 Sunday
 If the natiuity of our Lorde come on Sunday, Winter shall 
 be good, the spring windy, sweet & hot, Vintage flourishing,
 Oxen and Sheepe multiplied: Hony & milke plentifull, peace 
 and accord in the Land, yea, all the Sundayes in the yeere 
 following profitable: They that bee borne shall be strong, 
 great and shining: and he that flieth shall be found.
 
 Monday
 If it fall on the Monday, Winter shall bee indifferent, 
 Sommer dry, or clean contrary, so that if it be rainy and 
 tempestuous, vintage shall be doubtfull; in each Munday of 
 the said yeere, to enterprise any thing is shall bee prosperous
 and sstrong. Who that flieth shall soone be found: theft done 
 shall be proued, and hee that falleth into his bed, soone recouer.
 
 Tuesday
 If it come on the Tuesday, Winter shall be good, the spring 
 windy, Summer fruitfull, Vintage laboursome, Weomen die and 
 shippes perish on the Seas. In each Tuesday of this same yeere,
 to beginne a worke, it will prosper: hee that is borne shall be 
 strong and couteous, dreames pertaine to age. Hee that flieth 
 shall soone bee found; theft done shall be proued.
 
 Wednesday
 If it come on the Wednesday, Winter shall be sharpe and hard, 
 the Spring windy and euill, summer good, Vintage plentifull, 
 good wit easily found, young men die, hony sparing, men desire
 to trauell, and ship-men saile with great hazard that yeere. 
 In each Wednesday to begin a worke is good.
 
 Thursday
 If it come on the Thursday, Winter shall bee good, the Spring 
 windy, Summer fruitfull, Vintage plentifull. Kings and Princes 
 in hazard. And in each Thursday to beginne a new worke, 
 prosperous. Hee that is borne shall be of faire speech and 
 worshipfull, hee that flieth shall soone be found: theft done 
 by weomen shall be proued. Hee that falleth in his bed shall
 soone recouer.
 
 Friday
 If it come on the Friday, winter shall be maruellous, the Spring
 windy and good, Summer dry, Vintage plenteous: There shall be 
 trouble of the aire, Sheepe and Bees perish, Oates deare. In each
 Friday to begin a worke it shall prosper; hee that is borne shall 
 be profitabe and lecherous. Hee that flieth shall soone be found;
 theft done by a Childe shall bee proued.
 
 Saturday
 If it come on the Saturday, Winter shall be dark, snow great, 
 fruit plentious, the spring windy, Summer euill, Vintage sparing 
 in many places: Oates shall be deare, Men waxe sicke, and Bees die.
 In no Saturday to begin a worke shall be good, except in the course 
 of the Moone alter it: Theft done shall be found, hee that flieth 
 shall turne againe to his owne; those that are sicke, shall long 
 waile, and vnneath they shall escape death. 
 'Godfridus', The knowledge of things vnknowne, 1-3"
 [The Oxford Companion to the Year, pp. 516-517.]
 
 Happy Holidays
 + 
 + 
 XXX 
 XXXXX 
 XXXXXXX 
 XXXXXXXXX 
 BOAS FESTAS 
 JOYEUX NOEL 
 VESELE VANOCE 
 MELE KALIKIMAKA 
 NODLAG SONA DHUIT 
 BLWYDDYN NEWYDD DDA 
 GOD JUL 
 BUON ANNO 
 FELIZ NATAL 
 HYVAA JOULUA
 FELIZ NAVIDAD 
 MERRY CHRISTMAS 
 KALA CHRISTOUGENA 
 VROLIJK KERSTFEEST 
 FROHLICHE WEIHNACHTEN 
 BUON NATALE-GODT NYTAR 
 HUAN YING SHENG TAN CHIEH 
 WESOLYCH SWIAT-SRETAN BOZIC 
 MOADIM LESIMH0-LINKSMU KALEDU 
 HAUSKAA JOULU0-AID SAID MOUBARK 
 'N PRETTIG KERSTMIS 
 ONNZLLISTA UUTTA VUOTTA 
 Z ROZHDESTYOM KHRYSTOVYM 
 ADOLIG LLAWEN-GOTT NYTTSAR 
 FELIC NADAL-GOJAN KRISTNASKON 
 S NOVYM GODOM-FELIZ ANO NUEVO 
 GLEDILEG JOL-NOELINIZ KUTLU OLSUM 
 EEN GELUKKIG NIEUWJAAR-SRETAN BOSIC 
 KRIHSTLINDJA GEZUAR-KALA CHRISTOUGENA 
 SELAMAT HARI NATAL - LAHNINGU NAJU METU 
 SARBATORI FERICITE-BUON ANNO
 ZORIONEKO GABON-HRISTOS SE RODI 
 BOLDOG KARACSONNY-VESELE VIANOCE 
 MERRY CHRISTMAS - - HAPPY NEW YEAR 
 ROOMSAID JOULU PUHI -KUNG HO SHENG TEN 
 FELICES PASUAS-EIN GLUCKICHES NEWJAHR 
 PRIECIGUSZIEMAN SVETKUS SARBATORI VESLLE 
 BONNE ANNEBLWYDDYN NEWYDD DDADRFELIZ NATAL 
 XXXXX 
 XXXXX 
 XXXXX 
 XXXXXXXXXXXXX


%prep
%setup -n Christmas

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
