Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Date-JD
Version:        0.006
Release:        alt2_12
Summary:        Conversion between flavors of Julian Date
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Date-JD
Source0:        https://cpan.metacpan.org/modules/by-module/Date/Date-JD-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel >= 5.006
BuildRequires:  perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(POSIX.pm)


Source44: import.info

%description
For date and time calculations it is convenient to represent dates by a
simple linear count of days, rather than in a particular calendar. This is
such a good idea that it has been invented several times. If there were a
single such linear count then it would be the obvious data interchange
format between calendar modules. With several versions, calendar modules
can use such sensible data formats and still have interoperability
problems. This module tackles that problem, by performing conversions
between different flavors of day count. These day count systems are
generically known as "Julian Dates", after the most venerable of them.

%prep
%setup -q -n Date-JD-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
