Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 1

Name:		perl-Declare-Constraints-Simple
Version:	0.03
Release:	alt2_44
Summary:	Declarative Validation of Data Structures
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Declare-Constraints-Simple
Source0:	https://cpan.metacpan.org/authors/id/P/PH/PHAYLON/Declare-Constraints-Simple-%{version}.tar.gz
Patch0:		Declare-Constraints-Simple-0.03-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
# Dependencies of bundled Module::Install
BuildRequires:	perl(Config.pm)
BuildRequires:	perl(Cwd.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(ExtUtils/Manifest.pm)
BuildRequires:	perl(ExtUtils/MM_Unix.pm)
BuildRequires:	perl(File/Find.pm)
BuildRequires:	perl(File/Path.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(FileHandle.pm)
BuildRequires:	perl(FindBin.pm)
BuildRequires:	perl(vars.pm)
BuildRequires:	perl(warnings.pm)
BuildRequires:	perl(YAML.pm)
# Module Runtime
BuildRequires:	perl(aliased.pm)
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Carp/Clan.pm)
BuildRequires:	perl(Class/Inspector.pm)
BuildRequires:	perl(overload.pm)
BuildRequires:	perl(Scalar/Util.pm)
BuildRequires:	perl(strict.pm)
# Test Suite
BuildRequires:	perl(Test/More.pm)
# Optional Tests
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
# Dependencies

# Filter unwanted Requires (rpm 4.9 onwards)

Source44: import.info
%filter_from_requires /^perl(Declare.Constraints.Simple-Library.pm)/d

%description
The main purpose of this module is to provide an easy way to build a
profile to validate a data structure. It does this by giving you a set of
declarative keywords in the importing namespace.

%prep
%setup -q -n Declare-Constraints-Simple-%{version}
%patch0 -p1

# Filter unwanted Requires (prior to rpm 4.9)
%if ! %{rpm49}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Fvx 'perl(Declare::Constraints::Simple-Library)'"
%global __perl_requires %{reqfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README t/
%{perl_vendor_privlib}/Declare/

%changelog
