Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Usage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global cpan_name Directory-Queue

Name:           perl-%{cpan_name}
Version:        2.0
Release:        alt2_11
Summary:        Object oriented interface to a directory based queue
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LC/LCONS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(No/Worries.pm)
BuildRequires:  perl(No/Worries/Die.pm)
BuildRequires:  perl(No/Worries/Export.pm)
BuildRequires:  perl(No/Worries/File.pm)
BuildRequires:  perl(No/Worries/Stat.pm)
BuildRequires:  perl(No/Worries/Warn.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Time/HiRes.pm)
# Tests
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(No/Worries/Dir.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(No/Worries.pm) >= 1.400

%{?perl_default_subpackage_tests}
Source44: import.info

%description
The goal of this module is to offer a simple queue system using the
underlying file system for storage, security and to prevent race conditions
via atomic operations. It focuses on simplicity, robustness and
scalability.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
