%define module_name Dist-Metadata
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Any/Create.pm) perl(Archive/Tar.pm) perl(Archive/Zip.pm) perl(CPAN/DistnameInfo.pm) perl(CPAN/Meta.pm) perl(Carp.pm) perl(Digest.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Spec/Native.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Module/Metadata.pm) perl(Path/Class.pm) perl(Test/Fatal.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(blib.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm) perl(File/Spec/Win32.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.927
Release: alt1
Summary: Information about a perl module distribution
Group: Development/Perl
License: perl
URL: https://github.com/rwstauner/Dist-Metadata

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RW/RWSTAUNER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides an easy interface for getting various metadata
about a Perl module distribution.

It takes care of the common logic of:

=over 4

=item *

reading a tar file (the Archive::Tar manpage)

=item *

finding and reading the correct META file if the distribution contains one (the CPAN::Meta manpage)

=item *

and determining some of the metadata if there is no META file (the Module::Metadata manpage, the CPAN::DistnameInfo manpage)

=back

This is mostly a wrapper around the CPAN::Meta manpage providing an easy interface
to find and load the meta file from a tar.gz file.
A dist can also be represented by a directory or merely a structure of data.

If the dist does not contain a meta file
the module will attempt to determine some of that data from the dist.

NOTE: This interface is still being defined.
Please submit any suggestions or concerns.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
