%define module_version 0.014
%define module_name Dist-Zilla-Plugin-Test-CheckDeps
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/InlineFiles.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(File/Spec.pm) perl(File/pushd.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Test/CheckDeps.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(if.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: Check for presence of dependencies
Group: Development/Perl
License: perl
URL: https://github.com/Leont/dist-zilla-plugin-test-checkdeps

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module adds a test that assures all dependencies have been installed properly. If requested, it can bail out all testing on error.

This plugin accepts the following options:

=over 4

=item * `todo_when': a code string snippet (evaluated when the test is run)
to indicate when failing tests should be considered TODO,
rather than genuine fails -- default is '0' (tests are never `TODO').

Other suggested values are:

    todo_when = !$ENV{AUTHOR_TESTING} && !$ENV{AUTOMATED_TESTING}
    todo_when = $^V < '5.012'   ; CPAN.pm didn't reliably read META.* before this

=item * `fatal': if true, `BAIL_OUT' is called if the tests fail. Defaults
to false.

=item * `level': passed to `check_dependencies' in the Test::CheckDeps manpage.
(Defaults to `classic'.)

=item * `filename': the name of the generated file. Defaults to
t/00-check-deps.t.

=back

=for Pod::Coverage register_prereqs


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
