%define module_name Dist-Zilla-PluginBundle-Author-JMASLAK
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/AutoVersion.pm) perl(Dist/Zilla/Plugin/ConfirmRelease.pm) perl(Dist/Zilla/Plugin/ContributorCovenant.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild.pm) perl(Dist/Zilla/Plugin/ExecDir.pm) perl(Dist/Zilla/Plugin/ExtraTests.pm) perl(Dist/Zilla/Plugin/GatherDir.pm) perl(Dist/Zilla/Plugin/GenerateFile/FromShareDir.pm) perl(Dist/Zilla/Plugin/Git/Check.pm) perl(Dist/Zilla/Plugin/Git/Commit.pm) perl(Dist/Zilla/Plugin/Git/Push.pm) perl(Dist/Zilla/Plugin/Git/Tag.pm) perl(Dist/Zilla/Plugin/GitHub/Meta.pm) perl(Dist/Zilla/Plugin/License.pm) perl(Dist/Zilla/Plugin/MakeMaker.pm) perl(Dist/Zilla/Plugin/Manifest.pm) perl(Dist/Zilla/Plugin/ManifestSkip.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm)
BuildRequires: perl(Dist/Zilla/Plugin/MetaYAML.pm) perl(Dist/Zilla/Plugin/NextRelease.pm) perl(Dist/Zilla/Plugin/PkgVersion.pm) perl(Dist/Zilla/Plugin/PodSyntaxTests.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/PruneCruft.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/ShareDir.pm) perl(Dist/Zilla/Plugin/Test/ChangesHasContent.pm) perl(Dist/Zilla/Plugin/Test/EOL.pm) perl(Dist/Zilla/Plugin/Test/Kwalitee.pm) perl(Dist/Zilla/Plugin/Test/NoTabs.pm) perl(Dist/Zilla/Plugin/Test/ReportPrereqs.pm) perl(Dist/Zilla/Plugin/Test/TrailingSpace.pm) perl(Dist/Zilla/Plugin/Test/UnusedVars.pm) perl(Dist/Zilla/Plugin/Test/UseAllModules.pm) perl(Dist/Zilla/Plugin/Test/Version.pm) perl(Dist/Zilla/Plugin/TestRelease.pm) perl(Dist/Zilla/Plugin/UploadToCPAN.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm)
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(Moose.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/UseAllModules.pm) perl(Test/Version.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.210880
Release: alt1
Summary: JMASLAK's Plugin Bundle
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMASLAK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is Joelle Maslak's plugin bundle, used for her modules.  If you're not
her, you probably want to create your own plugin module because I may modify
this module based on her needs, breaking third party modules that use this.

All of the following are in this module as of v0.003.

It is somewhat equivilent to:

    [AutoPrereqs]
    [ConfirmRelease]
    [ContributorCovenant]

    [CopyFilesFromBuild]
    copy = 'README.pod'

    [ExecDir]
    [ExtraTests]
    [GatherDir]
    [Git::Check]
    [Git::Commit]
    [Git::Push]
    [Git::Tag]
    [GitHub::Meta]
    [License]
    [Manifest]
    [ManifestSkip]
    [Makemaker]
    [MetaJSON]
    [MetaProvides::Package]
    [MetaYAML]
    [PkgVersion]
    [PodSyntaxTests]
    [PodWeaver]
    [PruneCruft]
    [ShareDir]

    [ReadmeAnyFromPod]
    type     = pod
    filename = README.pod

    [Test::EOL]
    [Test::Kwalitee::Extra]
    [Test::NoTabs]
    [Test::ReportPrereqs]

    [Test::TrailingSpace]
    filename_regex = '\.($?:ini|pl|pm|t|txt)\z'

    [Test::UnusedVars]
    [Test::UseAllModules]
    [Test::Version]
    [TestRelease]
    [UploadToCPAN]

This creates a `CODE_OF_CONDUCT.md' from the awesome Contributor Covenant
project, a `TODO' file, an `AUTHOR_PLEDGE' file that indicates CPAN admins
can take ownership should the project become abandoned, and a `.travis.yml'
file that will probably need to be edited.  If these files exist already,
they will not get overwritten.

It also generates a `.mailmap' base file suitable for Joelle, if one does
not already exists.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README.md Changes CONTRIBUTING CODE_OF_CONDUCT.md AUTHOR_PLEDGE LICENSE
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
