%define module_name Dist-Zilla-PluginBundle-Git-VersionManager
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta/Check.pm) perl(CPAN/Meta/Requirements.pm) perl(Dist/Zilla/Plugin/BumpVersionAfterRelease.pm) perl(Dist/Zilla/Plugin/BumpVersionAfterRelease/Transitional.pm) perl(Dist/Zilla/Plugin/CopyFilesFromRelease.pm) perl(Dist/Zilla/Plugin/Git/Commit.pm) perl(Dist/Zilla/Plugin/Git/NextVersion.pm) perl(Dist/Zilla/Plugin/Git/Tag.pm) perl(Dist/Zilla/Plugin/NextRelease.pm) perl(Dist/Zilla/Plugin/Prereqs.pm) perl(Dist/Zilla/Plugin/RewriteVersion/Transitional.pm) perl(Dist/Zilla/Plugin/VersionFromMainModule.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Dist/Zilla/Role/PluginBundle/Config/Slicer.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Dist/Zilla/Role/PluginBundle/PluginRemover.pm) perl(Dist/Zilla/Util.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(JSON/MaybeXS.pm)
BuildRequires: perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Moose/Util.pm) perl(Moose/Util/TypeConstraints.pm) perl(Path/Tiny.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(if.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: A plugin bundle that manages your version in git
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Dist-Zilla-PluginBundle-Git-VersionManager

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin bundle that manages the version of your distribution, and the `$VERSION' of the
modules within it. The current version (of the release in question) is determined from `our $VERSION = ...'
declarations in the code (or from the `V' environment variable), the Changes file is updated and committed as a
release commit to `git', which is then tagged, and then the `$VERSION' in code is then incremented and then that
change is committed.  The default options used for the plugins are carefully curated to work together, but all
can be customized or overridden (see below).

Modules without `$VERSION' declarations will have them added for the release, with that change also committed
back to the local repository.

When no custom options are passed, is equivalent to the following configuration directly in a dist.ini:

    [RewriteVersion::Transitional]
    :version = 0.004

    [MetaProvides::Update]

    [CopyFilesFromRelease / copy Changes]
    filename = Changes

    [Git::Commit / release snapshot]
    :version = 2.020
    allow_dirty = Changes
    allow_dirty = ... anything else passed in 'commit_files_after_release'

    [Git::Tag]

    [BumpVersionAfterRelease::Transitional]
    :version = 0.004

    [NextRelease]
    :version = 5.033
    time_zone = UTC
    format = %%-8v  %%{yyyy-MM-dd HH:mm:ss'Z'}d%%{ (TRIAL RELEASE)}T

    [Git::Commit / post-release commit]
    :version = 2.020
    allow_dirty = Changes
    allow_dirty_match = ^lib/.*\.pm$
    commit_msg = increment $VERSION after %%v release

    [Prereqs / prereqs for @Git::VersionManager]
    -phase = develop
    -relationship = suggests
    ...all the plugins this bundle uses...

=for Pod::Coverage configure

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
