%define module_name Do
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Function/Parameters.pm) perl(Import/Into.pm) perl(Memoize.pm) perl(Moo.pm) perl(Readonly.pm) perl(Role/Tiny.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(autobox.pm) perl(base.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Modern Perl Development Framework
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/Do

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWNCORP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Do is a robust development framework for modern Perl development, embracing
Perl's multi-paradigm programming nature, flexibility and vast ecosystem that
many of engineers already know and love.

This framework aims to provide a standardized and cohesive set of classes,
types, objects, functions, patterns, and tools for jump-starting application
development with modern conventions and best practices.

The power of this framework comes from the extendable (yet fully optional) type
library which is integrated into the object system and type-constrainable
subroutine signatures (supporting functions, methods and method modifiers). We
also provide classes which wrap Perl 5 native data types and provides methods
for operating on the data.

Contrary to the opinion of some, modern Perl programming can be extremely
well-structured and beautiful, leveraging many advanced concepts found on other
languages, and some which aren't. Abilities like method modification also
referred to as augmenting, reflection, advanced object-orientation,
type-constrainable object attributes, type-constrainable subroutine signatures
(with named and positional arguments), as well roles (similar to mixins or
interfaces in other languages).

  use Do;

The "Do" package is an alias and subclass of the the Data::Object manpage package. It
encapsulates all of the framework's features, is minimalist, and is meant to be
the first import in a new class or module.  This is what's enabled whenever you
import the "Do" or "Data::Object" package into your namespace.

  # basics
  use strict;
  use warnings;

  # loads say, state, switch, unicode_strings, array_base
  use feature ':5.14';

  # loads types and signatures
  use Data::Object::Library;
  use Data::Object::Signatures;

  # load super "do" function, etc
  use Data::Object::Export;

To explain by way of example: The following creates a class representing a user
which has the ability to greet user person.

  package User;

  use Do 'Class', 'App';

  has name => (
    is  => 'ro',
    isa => ...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES README.mkdn README-DEVEL.mkdn LICENSE
%perl_vendor_privlib/D*

%changelog
