Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CAM/PDF.pm) perl(HTML/Selector/XPath.pm) perl(LWP/Simple.pm) perl(Number/Rangify.pm) perl(Path/Class.pm) perl(URI.pm) perl(Web/Scraper.pm) perl(autobox.pm) perl(autobox/Core.pm) perl(autobox/Encode.pm) perl(charnames.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm)
BuildRequires: perl-Encode-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Encode-JP-Mobile
Version:        0.30
Release:        alt10_27
Summary:        Japan mobile phone Shift_JIS (CP932) / UTF-8 encoding
Summary(ja_JP): 日本の携帯電話向け Shift_JIS (CP932) / UTF-8 エンコーディング
License:        GPL+ or Artistic
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/Encode-JP-Mobile-%{version}.tar.gz
# Fix a warning, CPAN RT#87393, bug #991873
Patch0:         Encode-JP-Mobile-0.30-Disable-a-test-for-kanji-name.patch
# Disable a failing test, CPAN RT#87393, bug #991873
Patch1:         Encode-JP-Mobile-0.30-Fix-warnings-counting-for-5.18.patch
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-Encode-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Encode/Alias.pm)
BuildRequires:  perl(Encode/CJKConstants.pm)
BuildRequires:  perl(Encode/Encoding.pm)
BuildRequires:  perl(Encode/MIME/Name.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(MIME/Words.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(YAML.pm)
Requires:       perl(Encode.pm) >= 2.230
Requires:       perl(File/ShareDir.pm) >= 0.050
Requires:       perl(MIME/Words.pm) >= 5.428


# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(\(Encode\|File.ShareDir\|MIME.Words\).pm)/d
Url: http://search.cpan.org/dist/Encode-JP-Mobile/

%description
Encode::JP::Mobile extends Encode module with Japanese emoticons for mobile
phones mapped into private area of Unicode.

%description -l ja_JP
Encode::JP::Mobile は Encode 用の拡張モジュールで、日本の携帯電話用絵文字を
Unicode の私用領域 (PRIVATE AREA) にマッピングします。

%prep
%setup -q -n Encode-JP-Mobile-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR="$RPM_BUILD_ROOT"
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendor_archlib}/*

%changelog
