# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/Optic.pm) perl(Devel/Probe.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define module_name Endoscope
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Dig into the guts of a live Perl program
Group: Development/Perl
License: perl
URL: https://github.com/kanatohodets/Endoscope

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BT/BTYLER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Endoscope manpage is an endoscope
for live Perl programs.

It provides dynamic run-time introspection of Perl variables at arbitrary
locations in the program. Think of it like inserting `say Dumper($foo)' at
*just* the right location in your code to figure out why it is misbehaving --
without restarting `perl' or worrying whether `$foo' contains gigabytes of
state.

It accomplishes this with low performance impact. See the PERFORMANCE entry elsewhere in this document for more
information on overhead. It is a major goal for this module and its
subcomponents to be suitable for always-on production usage.

This is a very powerful capability with significant implications for the
security of the data in a program's memory. As such, any usage of
`Endoscope' should carefully guard access to the control or reporting
interfaces. See the SECURITY entry elsewhere in this document for a more comprehensive discussion.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE CHANGES
%perl_vendor_privlib/E*

%changelog
