%define module_name FFI-Platypus-Lang-CPP
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Config.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Build/MM.pm) perl(FFI/CheckLib.pm) perl(FFI/ExtractSymbols.pm) perl(FFI/Platypus.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(FindBin.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Documentation and tools for using Platypus with the C++ programming language
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides some hooks for Platypus so that C++ names can be 
mangled for you.  It uses the same primitive types as C.  This document 
also documents issues and caveats that I have discovered in my attempts 
to work with C++ and FFI.

This module is somewhat experimental.  It is also available for adoption 
for anyone either sufficiently knowledgable about C++ or eager enough to 
learn enough about C++.  If you are interested, please send me a pull 
request or two on the project's GitHub.

There are numerous difficulties and caveats involved in using C++ 
libraries from Perl via FFI.  This document is intended to enlighten on 
that subject.

Note that in addition to using pre-compiled C++ libraries you can bundle 
C++ code with your Perl distribution using the Module::Build::FFI manpage.  For a 
complete example, which attempts to address the caveats listed below you 
can take a look at this sample distro on GitHub:

https://github.com/plicease/Color-FFI

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING README Changes SUPPORT LICENSE examples
%perl_vendor_privlib/F*

%changelog
