Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Recognizes file formats and extracts format-specific comments
Name:		perl-File-Comments
Version:	0.08
Release:	alt2_31
License:	GPL+ or Artistic
Url:		https://metacpan.org/release/File-Comments
Source0:	https://cpan.metacpan.org/authors/id/M/MS/MSCHILLI/File-Comments-%{version}.tar.gz
Patch0:		File-Comments-0.08-provides.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
# Module Runtime
BuildRequires:	perl(File/Basename.pm)
BuildRequires:	perl(HTML/TokeParser.pm)
BuildRequires:	perl(HTML/TreeBuilder.pm)
BuildRequires:	perl(Log/Log4perl.pm)
BuildRequires:	perl(Module/Pluggable.pm)
BuildRequires:	perl(Pod/Parser.pm)
BuildRequires:	perl(PPI.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Sysadm/Install.pm)
BuildRequires:	perl(warnings.pm)
# Examples
BuildRequires:	perl(Getopt/Std.pm)
# Test Suite
BuildRequires:	perl(Test/More.pm)
# Dependencies
Requires:	perl(HTML/TreeBuilder.pm)
Requires:	perl(Pod/Parser.pm) >= 1.140
Requires:	perl(PPI.pm) >= 1.115
Source44: import.info

%description
File::Comments guesses the type of a given file, determines the format
used for comments, extracts all comments, and returns them as a
reference to an array of chunks. Alternatively, it strips all comments
from a file.

Currently supported are Perl scripts, C/C++ programs, Java, makefiles,
JavaScript, Python and PHP.

%prep
%setup -q -n File-Comments-%{version}

# Note: not turning off exec bits in examples because they don't
# introduce any unwanted dependencies (nor any dependencies that
# are not satisfied by packages that are already required)

# Remove provide for local package not in regular search path
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%doc Changes README eg/
%{perl_vendor_privlib}/File/

%changelog
