# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Remove.pm) perl(File/Spec/Functions.pm) perl(File/chmod.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name File-IgnoreReadonly
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Temporarily ensure a file is writable, even if it is readonly
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a convenience package for use in situations that require you to
make modifications to files, even if those files are readonly.

Typical scenarios include tweaking files in software build systems, where
some files will have been generated that are readonly, but you need to be
able to make small tweaks to them anyways.

While it is certainly possible to simply set a file non-readonly (if it is
readonly) and then set it back to readonly again afterwards, doing this in
many places can get laborious and looks visually messy.

File::LexWrite allows for the creation of a simple guard object that
will ensure a file is NOT set readonly (across multiple different operating
systems).

When the object is DESTROY'ed at the end of the current scope, the file
will be returned to the original file permissions it had when the guard
object was created.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/F*

%changelog
