Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Filesys-SmbClient
Version:	3.2
Release:	alt10_21
Summary:	Samba client Perl module

License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Filesys-SmbClient
Source0:	https://cpan.metacpan.org/authors/id/A/AL/ALIAN/Filesys-SmbClient-%{version}.tar.gz
# Patch Makefile.PL to
# * Disable tests (requires Samba server access)
# * Know where to search includes (/usr/include/samba-4.0)
Patch0:		Filesys-SmbClient-3.2_Makefile.patch


BuildRequires:  gcc
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	libsmbclient-devel




Source44: import.info

%description
Perl module that provides interface to Samba smbclient routines. It gives Perl
programmers a way to access Samb/CIFS servers natively.


%prep
%setup -q -n Filesys-SmbClient-%{version}
%patch0 -p0
chmod -x Changes
find . -name "*.pm" -exec chmod -c a-x {} +
find . -name "libauthSamba*" -exec chmod -c a-x {} +
find . -name "SmbClient.xs" -exec chmod -c a-x {} +


%build
# Force Makefile to use defaults
export PERL_MM_USE_DEFAULT=1
# HOSTTYPE is not exported by default, hence not readable by Perl
# Needed to be able to find libsmbclient.so in /usr/lib64
export HOSTTYPE
# CCFLAGS: Tell samba to use close_fn not close (caused compilation error)
perl Makefile.PL INSTALLDIRS=vendor CCFLAGS='-DHAVE_CLOSEFN' OPTIMIZE="%{optflags}"
%make_build


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*


%files
%doc Changes README COPYING
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Filesys*


%changelog
