# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dump.pm) perl(DateTime.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(JSON/Tiny.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Test/More.pm) perl(Time/Moment.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Finance-Robinhood
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: Trade Stocks and ETFs with Commission Free Brokerage Robinhood
Group: Development/Perl
License: artistic_2
URL: https://github.com/sanko/Finance-Robinhood

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SANKO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Finance::Robinhood allows you to buy, sell, and gather information related to
stocks and ETFs traded in the U.S commission free. Before we get into how,
please read the Legal section below. It's really important.

Okay. This package is organized into very easy to understand parts:

=over

=item * Orders to buy and sell are created in the Finance::Robinhood::Order manpage. If
you're looking to make this as simple as possible, go check out the
cheat sheet. You'll find
recipes for market, limit, as well as stop loss and stop limit order types.

=item * Quote information can be accessed with the Finance::Robinhood::Quote manpage.

=item * Account information is handled by the Finance::Robinhood::Account manpage. If
you'd like to view or edit any of the information Robinhood has on you, start
there.

=item * Individual securities are represented by
the Finance::Robinhood::Instrument manpage objects. Gathering quote and fundamental
information is only the beginning.

=item * the Finance::Robinhood::Watchlist manpage objects represent persistant lists of
securities you'd like to keep track of. Organize your watchlists by type!

=back

If you're looking to just buy and sell without lot of reading, head over to
the the Finance::Robinhood::Order manpage and pay special attention to the
order cheat sheet and apply
what you learn to the `eg/buy.pl' example script.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE TODO
%perl_vendor_privlib/F*

%changelog
