%define module_version 2.50
%define module_name Flickr-API2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Compress/Zlib.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Encode/Base58.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Message.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(LWP/Online.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Retry.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI.pm) perl(YAML/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.50
Release: alt1
Summary: Perl bindings to Flickr API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TJ/TJC/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A simple interface for using the Flickr API.

The API calls are made via Perl helper methods, and the data returned is
converted into Perl objects that can have further methods called upon them.

So for instance, you can fetch a user by username, by:

  my $user = $api->people->findByUsername('wintrmute')

You can then ask for photos by that user, by calling:

  my @photos = $user->getPublicPhotos;

And from there, you can query titles, URLs, etc of the photos with methods
such as:

  $photos[0]->title

So far only a few helper methods have been written, but more are coming.
Patches adding functionality will be greatly appreciated!


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/F*

%changelog
