# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/ScryptKDF.pm) perl(Data/Dumper.pm) perl(Data/Password/Entropy.pm) perl(Data/UUID.pm) perl(Date/Manip.pm) perl(DateTime.pm) perl(DateTime/Format/DateManip.pm) perl(Digest/MD5.pm) perl(Email/Valid.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Temp.pm) perl(HTML/Tidy.pm) perl(Locale/Maketext.pm) perl(Net/CIDR.pm) perl(Rose/Object.pm) perl(Rose/Object/MakeMethods/Generic.pm) perl(Scalar/Util.pm) perl(Template/Parser.pm) perl(Test/More.pm) perl(UNIVERSAL/require.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Form-Processor
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.162360
Release: alt1
Summary: validate and process form data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
[Docs under construction.  The docs are probably, well, less concise then they could be.
Editors are welcome..]

Note: Please see the HTML::FormHandler manpage for a well-supported, Moose-based
derivation of the Form::Processor manpage.

This is a class for working with forms.  A form acts as a layer between your
internal data representation (such as a database) and the outside world (such
as a web form).  Moving data between these areas often requires validation and
encoding or expanding of the data.  For example, a date might be a timestamp
internally but externally is a collection of year, month, day, hour, minute
input fields.

A form is made up of a collection of fields of possibly different types (e.g.
Text, Email, Integer, Date), where the fields require validation before being
accepted into their internal format.  The validation process is really made up of
a number of steps, where each step can be overridden to customize the process.
See the Form::Processor::Field manpage for methods specific to fields.

Forms are (typically) defined by creating a separate Perl module that includes
methods for defining the fields that make up the form, plus any special and
additional validation checks on the fields.

Form::Processor does not generate any HTML.  HTML should be generated in a
"view" (and often using templates).  And besides, HTML forms are trivial to
create and in real life almost always needs customization.  The use of a
good template system makes this nearly painless.

Likewise, there is also no method to spit out an entire web form with a single
method.  Having a single method to generate a complete HTML form is often only
useful for the most simple web forms.

This module is not restricted to use in a web environment, although that is the
typical application.  It was designed for use with Catalyst, Class::DBI,
Template-Toolkit, and HTML::FillInForm.  But, those are not required.

The design of this class is based a lot on the design of Rose::HTML::Objects,
but, as mentioned, HTML widget generat...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO LICENSE README
%perl_vendor_privlib/F*
%perl_vendor_privlib/auto/*

%changelog
