# BEGIN SourceDeps(oneline):
BuildRequires: perl(Error/Helper.pm) perl(ExtUtils/MakeMaker.pm) perl(FreeBSD/Pkgs.pm) perl(FreeBSD/Ports/INDEXhash.pm) perl(Sort/Versions.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.3.0
%define module_name FreeBSD-Pkgs-FindUpdates
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.0
Release: alt1
Summary: Finds updates for FreeBSD pkgs by checking the ports index.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VV/VVELOX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This does use FreeBSD::Ports::INDEXhash. Thus if you want to specifiy the location of the.index file, you will want to see the supported methodes for it in that module.

    use FreeBSD::Pkgs::FindUpdates;
    #initiates the module
    my $pkgsupdate = FreeBSD::Pkgs::FindUpdates->new;
    #finds changes
    my %%changes=$pkgsupdate->find;
    #prints the upgraded stuff
    while(my ($name, $pkg) = each %%{$changes{upgrade}}){
        print $name.' updated from "'.
              $pkg->{oldversion}.'" to "'.
              $pkg->{newversion}."\"\n";
    }
    #prints the downgraded stuff
    while(my ($name, $pkg) = each %%{$changes{upgrade}}){
        print $name.' updated from "'.
              $pkg->{oldversion}.'" to "'.
              $pkg->{newversion}."\"\n";
    }

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/F*

%files scripts
%_bindir/*

%changelog
