%define module_name Games-Axmud
%filter_from_requires /^perl.arybase.pm./d
BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(Archive/Tar.pm) perl(Archive/Zip.pm) perl(Compress/Zlib.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Copy/Recursive.pm) perl(File/Fetch.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(Glib.pm) perl(GooCanvas2.pm) perl(Gtk3.pm) perl(HTTP/Tiny.pm) perl(IO/Pty.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/INET6.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(Math/Round.pm) perl(Math/Trig.pm) perl(Module/Load.pm) perl(Net/OpenSSH.pm) perl(POSIX.pm) perl(Path/Tiny.pm) perl(Regexp/IPv6.pm) perl(Safe.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Storable.pm) perl(Symbol.pm)
BuildRequires: perl(Time/HiRes.pm) perl(Time/Piece.pm) typelib(GooCanvas)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3.0
Release: alt1
Summary: Axmud, a modern Multi-User Dungeon (MUD) client written in Perl5
Group: Development/Perl
License: gpl
URL: https://axmud.sourceforge.io/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AS/ASLEWIS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Axmud is a modern Multi-User Dungeon (MUD) client written in Perl 5 / GTK 2.
Its features include:

Telnet, SSH and SLL connections - ANSI/xterm/OSC/RGB colour - Full support for
all major MUD protocols, including MXP and GMCP (with partial Pueblo support) -
Class-based triggers, aliases, macros, timers and hooks - Graphical automapper
- 100 pre-configured worlds - Multiple approaches to scripting - Fully
customisable from top to bottom, using the command line or the extensive GUI
interface - Native support for visually-impaired users

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc README.rst COPYING.LESSER AUTHORS COPYING CHANGES
%perl_vendor_privlib/L*
%perl_vendor_privlib/G*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*
#%_man1dir/*

%changelog
