# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.99
%define module_name Games-Scrabble
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.99
Release: alt1
Summary: - please use Games::Literati, for a complete
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CC/CCZ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Games::Scrabble provides functiones to validate and generate words 
of Scrabble game.
 
    validate($mywordlist, [word1, word2, word3...]). 

If mywordlist is not given, the 'wordlist' in current working 
directory will be used.  

    generate({ letters => "letters and blanks", 
_           len => "mininum_length, maximum_length", # default 2,7 
_            re => 'regexes',_    # use single quotes or q||! 
_      wordlist => "......."  } )

Print out scrabble words meet the requirements. len represents minimum
and maximum length of the target word, re represents the regex matches 
against the target words. use "?" to represent blank tiles.
wordlist is optional, see validate() above.

Note that repeated letters should be all listed, to indicate how many 
of them may be used.

Example 1:

    generate({letters => "aquabt?", 
                  len => "2,4", 
_           re => '/q/ && !/u/'});


    qat
    qats

use a(up to 2, actually 3 in this case, since ? can represent a), q, u, t, 
b and blank tiles to generate 2,3 or 4-letter words contain q but not u, 
and use 'wordlist' located in current working directory. 

Example 2:

    generate({letters => "??"});

find out all valid 2-letters.


Example 3:

    validate(["qat","qatw"]);

find out if "qat", "qatw" are acceptable.



%prep
%setup -n Games
# depth is > 1 .. moving up
pushd "Scrabble"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/G*

%changelog
