# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/OpenSSL/RSA.pm) perl(Crypt/OpenSSL/X509.pm) perl(Date/Parse.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Base64/URLSafe.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name GoogleIDToken-Validator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: allows you to verify on server side Google Access Token received by mobile application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DI/DIMANOID/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Perl implamentation of Google Access Token verification.
Details can be found on android developers blog: 
http://android-developers.blogspot.com/2013/01/verifying-back-end-calls-from-android.html

This module ONLY:
=item * Verifies that this token signed by google certificates.
=item * Verifies that this token was received by mobile application with given Client IDs and for given web application Client ID.

Nothing more. Nothing connected with authorization on any of Google APIs etc etc

    use GoogleIDToken::Validator;

    my $validator = GoogleIDToken::Validator->new(
_#do_not_cache_certs => 1, _____# will download google certificates from web every call of verify
        #google_certs_url_=> 'https://some.domain.com/certs',_# in case they change URL in the future... default is: https://www.googleapis.com/oauth2/v1/certs
_certs_cache_file _=> '/tmp/google.crt',___# will cache certs in this file for faster verify if you are using CGI
_web_client_id _=> '111222333444.apps.googleusercontent.com',_# Your Client ID for web applications received in Google APIs console
        app_client_ids _=> [________# Array of your Client ID for installed applications received in Google APIs console
_    '777777777777-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.apps.googleusercontent.com',_# for exm. your production keystore ID
_    '888888888888-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.apps.googleusercontent.com'_# and your eclipse debug keystore ID
_]
    );

    # web_client_id and at least one of app_client_ids are required

    # get the token from your mobile app somehow...
    my $token =  'eyJhbG..............very.long.base64.encoded.access.token............';

    my $payload = $validator->verify($token);
    if($payload) {
_# token is OK, lets see what we have got
        use Data::Dumper;
_print "payload: ".Dumper($payload);
    }
%prep
%setup -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install
sed -i -e '280s/42/1/' %buildroot%perl_vendor_privlib/GoogleIDToken/Validator.pm

%files
%doc README Changes
%perl_vendor_privlib/G*

%changelog
