Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-HTML-FormFu-Model-DBIC
Summary:        Integrate HTML::FormFu with DBIx::Class
Version:        2.03
Release:        alt2_12
License:        GPL+ or Artistic
Source0:        https://cpan.metacpan.org/authors/id/C/CF/CFRANKS/HTML-FormFu-Model-DBIC-%{version}.tar.gz
URL:            https://metacpan.org/release/HTML-FormFu-Model-DBIC
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(HTML/FormFu/Constraint.pm)
# HTML::FormFu::Model version from Makefile.PL's HTML::FormFu declaration
BuildRequires:  perl(HTML/FormFu/Model.pm)
BuildRequires:  perl(HTML/FormFu/Util.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Attribute/Chained.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Task/Weaken.pm)
# Tests:
BuildRequires:  perl(DateTime.pm)
# DateTime::Format::SQLite needed by tests using SQLite via DBIx::Class
BuildRequires:  perl(DateTime/Format/SQLite.pm)
# DBD::SQLite needed by connect('dbi:SQLite:a..') in t/lib/DBICTestLib.pm
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(DBIx/Class.pm)
BuildRequires:  perl(DBIx/Class/ResultSet.pm)
BuildRequires:  perl(DBIx/Class/Schema.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(HTML/FormFu.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Locale/Maketext.pm)
BuildRequires:  perl(Test/More.pm)

# DBIx::Class is used nowhere by the installed code, but let's assume this
# package is not compatible with former DBIx::Class versions
Requires:       perl(DBIx/Class.pm) >= 0.081.080
Requires:       perl(HTML/FormFu/Constraint.pm)
# HTML::FormFu::Model version from Makefile.PL's HTML::FormFu declaration
Requires:       perl(HTML/FormFu/Model.pm) >= 2.0



%{?perl_default_subpackage_tests}

# Remove under-specifed dependency

Source44: import.info
%filter_from_requires /^perl(HTML.FormFu.Model.pm)/d

%description
Integrate your HTML::FormFu forms with a DBIx::Class model.


%prep
%setup -q -n HTML-FormFu-Model-DBIC-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
