Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Hardware-Vhdl-Tidy
Version:        0.8
Release:        alt2_36
Summary:        VHDL code prettifier

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Hardware-Vhdl-Tidy
Source0:        https://cpan.metacpan.org/authors/id/M/MY/MYKL/Hardware-Vhdl-Tidy-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Hardware/Vhdl/Lexer.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

# %%dir %%{perl_vendor_privlib}/Hardware/Vhdl/ is owned by perl-Hardware-Vhdl-Parser
# perl(Hardware::Vhdl::Lexer) requires perl-Hardware-Vhdl-Parser



%description
This module auto-indents VHDL source code. It may be extended in future to
do other types of code prettification.


%prep
%setup -q -n Hardware-Vhdl-Tidy-%{version}

# rpmlint : line endings spurious-executable-perm
for i in Changes README lib/Hardware/Vhdl/Tidy.pm ; do
  echo "Fixing wrong-file-end-of-line-encoding : $i"
  sed 's/\r//' $i > $i.rpmlint
  touch -r $i $i.rpmlint;
  mv $i.rpmlint $i
  echo "Fixing perms : $i"
  chmod 0644 $i
done


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README test_in.vhd
%{perl_vendor_privlib}/Hardware/Vhdl/Tidy.pm


%changelog
