# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Log/Log4perl.pm) perl(Moo.pm) perl(MooX/Options.pm) perl(MooseX/Log/Log4perl.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_name IO-BlockSync
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Syncronize changed blocks
Group: Development/Perl
License: perl
URL: https://github.com/thordreier/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TS/TSDH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
BlockSync can some of the same stuff that bigsync (by Egor Egorov) can
- it's just written in perl.

BlockSync copies data from source file to destination file (can be a block
device) and calculates checksum on each block it copies.
On all runs after the first only the changed blocks will be copied.

    use IO::BlockSync;

    # OOP way
    my $bs = IO::BlockSync->new(
        src => '/path/to/source/file',
        dst => '/path/to/destination/file',
        chk => '/path/to/chk/file',
    );
    $bs->run;

    # Non OOP way
    BlockSync(
        src => '/path/to/source/file',
        dst => '/path/to/destination/file',
        chk => '/path/to/chk/file',
    );

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes
%perl_vendor_privlib/I*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
