%define module_name IPC-PrettyPipe
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Devel/FindPerl.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/pushd.pm) perl(Getopt/Long.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/ReStoreFH.pm) perl(IPC/Open3.pm) perl(IPC/Run.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Load.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/Attributes/Shadow.pm) perl(Safe/Isa.pm) perl(Scalar/Util.pm) perl(String/ShellQuote.pm) perl(Template/Tiny.pm) perl(Term/ANSIColor.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test/Trap.pm) perl(Test2/API.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: unknown
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Connecting a series of programs via pipes is a time honored tradition.
When it comes to displaying them for debug or informational purposes,
simple dumps may suffice for simple pipelines, but when the number of
programs and arguments grows large, it can become difficult to understand
the overall structure of the pipeline.

IPC::PrettyPipe provides a mechanism to construct and output
readable external command execution pipelines.  It does this by
treating commands, their options, and the options' values as separate
entitites so that it can produce nicely formatted output.

It is designed to be used in conjunction with other modules which
actually execute pipelines, such as the IPC::Run manpage

This module (and its siblings the IPC::PrettyPipe::Cmd manpage,
the IPC::PrettyPipe::Arg manpage, and the IPC::PrettyPipe::Stream manpage) present
the object-oriented interface for manipulating the underlying
infrastructure.

For a simpler, more intuitive means of constructing pipelines, see
the IPC::PrettyPipe::DSL manpage.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/I*

%changelog
