# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Prima.pm) perl(Prima/Application.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.02
%define module_name Image-Match
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: locate an image inside another
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KA/KARASIK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The module searches for occurencies of an image inside of a larger image.

The interesting stuff here is the image finding itself - it is done by a regex!
For all practical reasons, regexes operate on strings of bytes, and images can
be easily treated as such. For example, one needs to locate an image 2x2 in a
larger 7x7 image. The constructed regex should contain the first scanline of
the smaller image, 2 bytes, verbatim, then match 7 - 2 = 5 of any byte found,
and finally the second scanline, 2 bytes again. Of course there are some
quirks, but these explained in the API section.

The original idea was implemented in the OCR::Naive manpage and the Win32::GUIRobot manpage, but
this module extracts the pure matching logic, unburdened from wrappers that
were needed back then for matters at hand.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/I*

%changelog
