# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Parse/JCONF.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name JCONF-Writer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Create JCONF configuration from perl code
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/O/OL/OLEG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use strict;
_use JCONF::Writer;
_use JCONF::Writer::Boolean qw(TRUE FALSE);
_
_my $writer = JCONF::Writer->new(autodie => 1);
_my %%cfg = (
__modules => {
___Moose => 1,
___Mouse => 0.91,
___Moo   => 0.05,
___Mo    => [0.01, 0.08],
__},
_ 
__enabled => TRUE,
__data    => ["Test data", "Production data"]
_ 
__query   => q!SELECT * from pkg
____   LEFT JOIN ver ON pkg.id=ver.pkg_id
____   WHERE pkg.name IN ("Moose", "Mouse", "Moo", "Mo")!
_);
_
_my $jconf = eval {
__$writer->from_hashref(\%%cfg);
_};
_if ($@) {
__die "Invalid config: ", $@;
_}
_
_print $jconf;
_
___END__
_modules = {
__Moose: 1,
__Mouse: 0.91,
__Moo: 0.05,
__Mo: [0.01, 0.08],
_}
_ 
_enabled = true
_data = ["Test data", "Production data"]
_ 
_query = "SELECT * from pkg
___ LEFT JOIN ver ON pkg.id=ver.pkg_id
___ WHERE pkg.name IN (\"Moose\", \"Mouse\", \"Moo\", \"Mo\")"
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/J*

%changelog
