Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-JSON-Path
Version:        0.431
Release:        alt1_2
Summary:        Search nested hashref/arrayref structures using JSONPath

License:        MIT
URL:            https://metacpan.org/release/JSON-Path
Source0:        https://cpan.metacpan.org/authors/id/P/PO/POPEFELIX/JSON-Path-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-devel >= 5.16.0
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Carp/Assert.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Exporter/Easy.pm)
BuildRequires:  perl(Exporter/Tiny.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(JSON/MaybeXS.pm)
BuildRequires:  perl(JSON/Parse.pm)
BuildRequires:  perl(LV.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Safe.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Sys/Hostname.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Most.pm)
BuildRequires:  perl(Test2/V0.pm)
BuildRequires:  perl(Tie/IxHash.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(LV.pm)

# Those are only needed when building for RHEL, on Fedora they come in as
# dependencies of the above
%if 0%{?rhel} && 0%{?rhel} < 7
BuildRequires:  perl(CPAN.pm)
%endif
Source44: import.info


%description
This module implements JSONPath, an XPath-like language for searching JSON-
like structures.


%prep
%setup -q -n JSON-Path-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*


%check
%{make_build} test


%files
%doc Changes README
%doc --no-dereference LICENSE
%{perl_vendor_privlib}/JSON*


%changelog
