# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(JSON.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name JSON-WithComments
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Parse JSON content with embedded comments
Group: Development/Perl
License: perl
URL: https://github.com/rjray/json-withcomments

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RJ/RJRAY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NOTE: This is an early release, and should be considered alpha-quality. The
interface is subject to change in future versions.

JSON::WithComments is a simple wrapper around the JSON module that
pre-processes any JSON input before decoding it. The pre-processing is simple:
based on the style of comments that the object is configured for, it strips all
comments of that style it finds, before passing the remaining content to the
decode method of the parent class.

The motivation for this was simple: with JSON becoming more and more popular
as a configuration format, some tools have started adding as-hoc support for
comments into their JSON parsers. This allows documentation to be a part of
these (sometimes quite large) JSON files. This module slightly extends the
concept by allowing you to opt for different styles of comments.

The JSON module itself allows for shell-style (Perl-style) comments via
use of the relaxed method. IF YOU ONLY NEED PERL-STYLE COMMENTS, you can
get that from JSON directly. The advantage that this module offers is the
flexibility of also recognizing JavaScript-style comments.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/J*

%changelog
