%define module_name Kelp-Module-Config-General
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/General.pm) perl(Kelp.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: L<Config::General> as config module for your Kelp applications.
Group: Development/Perl
License: perl
URL: https://github.com/yakudzo/Kelp-Module-Config-General

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YAKUNINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides support of the Config::General manpage as your `Kelp::Module::Config' module.

the Config::General manpage module is loaded with following configuration options:

    -ForceArray      => 1,
    -IncludeAgain    => 1,
    -InterPolateVars => 1,

Because the Config::General manpage provides key/value interface you are not able to create array of arrays for your default the Kelp::Module::Logger manpage configuration. This module does it for you but only in this situation.

Example:

    modules = [ Logger ]
    
    <modules_init Logger>
      <outputs Screen>
         name      debug
         min_level debug
         newline   1
         binmode   :encoding(UTF-8)
      </outputs>
      <outputs Screen>
         name      error
         min_level error
         newline   1
         stderr    1
         binmode   :encoding(UTF-8)
      </outputs>
    </modules_init>

    becomes:

    {
        modules => [ 'Logger' ],
    },
    {
        modules_init => {
            Logger => [
                [
                    'Screen',
                    name      => 'debug',
                    min_level => 'debug',
                    newline   => 1
                    binmode   => ':encoding(UTF-8)'
                ], [
                    'Screen',
                    name      => 'error',
                    min_level => 'error',
                    newline   => 1,
                    stderr    => 1,
                    binmode   => ':encoding(UTF-8)'
                ]
            ],
        }
    }



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/K*

%changelog
