# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(HTTP/BrowserDetect.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Spiffy.pm) perl(Spoon/Base.pm) perl(Spoon/CGI.pm) perl(Spoon/Command.pm) perl(Spoon/Config.pm) perl(Spoon/ContentObject.pm) perl(Spoon/Cookie.pm) perl(Spoon/Formatter.pm) perl(Spoon/Hub.pm) perl(Spoon/Installer.pm) perl(Spoon/MetadataObject.pm) perl(Spoon/Plugin.pm) perl(Spoon/Registry.pm) perl(Spoon/Template.pm) perl(Spoon/Template/TT2.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(mixin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
Name:           perl-Kwiki
Version:        0.39
Release:        alt2_22
Summary:        Kwiki Wiki Building Framework
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Kwiki/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Kwiki-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Memory/Cycle.pm)
BuildRequires:  perl(Spoon.pm)


# RPM 4.8 filters
%{echo 
%filter_from_requires /^perl.mixin.pm./d

}
# RPM 4.9 filters

Source44: import.info
# version is inherited, perl.prov is unable to handle
Provides: perl(Kwiki/Archive.pm) = 0.390

%description
A Wiki is a website that allows its users to add pages, and edit any
existing pages. It is one of the most popular forms of web collaboration.
If you are new to wiki, visit http://c2.com/cgi/wiki?WelcomeVisitors
which is possibly the oldest wiki, and has lots of information about how
wikis work.

Kwiki is a Perl wiki implementation based on the Spoon application
architecture and using the Spiffy object orientation model. The major goals
of Kwiki are that it be easy to install, maintain and extend.

All the features of a Kwiki wiki come from plugin modules. The base
installation comes with the bare minimum plugins to make a working Kwiki.
To make a really nice Kwiki installation you need to install additional
plugins. Which plugins you pick is entirely up to you. Another goal of
Kwiki is that every installation will be unique. When there are hundreds of
plugins available, this will hopefully be the case.

%prep
%setup -q -n Kwiki-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
