# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(ExtUtils/CBuilder.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Template.pm) perl(Test/Kwalitee.pm) perl(Test/Perl/Critic.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    LaTeX-Driver
%define upstream_version 1.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Driver to run LaTeX, bibtex and makeindex
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture/Tiny.pm)
BuildRequires: perl(Class/Accessor.pm)
BuildRequires: perl(Cwd.pm)
BuildRequires: perl(Exception/Class.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Slurp.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(File/pushd.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildRequires: perl(IO/File.pm)
BuildRequires: perl(Log/Any.pm)
BuildRequires: perl(Readonly.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(parent.pm)
BuildRequires: texlive
BuildRequires: ghostscript-common ghostscript-utils
BuildRequires: texlive-dist
BuildRequires: texlive-collection-basic
Requires:   texlive
Requires:   ghostscript-common ghostscript-utils
Requires:   perl-Template
BuildArch:  noarch
Source44: import.info

%description
The LaTeX::Driver module encapsulates the details of invoking the Latex
programs to format a LaTeX document. Formatting with LaTeX is complicated;
there are potentially many programs to run and the output of those programs
must be monitored to determine whether further processing is required.

This module runs the required commands in the directory specified, either
explicitly with the 'dirname' option or implicitly by the directory part of
'basename', or in the current directory. As a result of the processing up
to a dozen or more intermediate files are created. These can be removed
with the 'cleanup' method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
TMPDIR=/tmp %make_build test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.yml  README
%{_bindir}/*
%{_mandir}/man1/*
%perl_vendor_privlib/*


%changelog
