# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    LaTeX-TikZ
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_5

Summary:    Type constraint metaclass that autoloads type coercions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any/Moose.pm)
BuildRequires: perl(Carp.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(List/Util.pm)
BuildRequires: perl(Math/Complex.pm)
BuildRequires: perl(Math/Trig.pm)
BuildRequires: perl(Mouse.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Scope/Guard.pm)
BuildRequires: perl(Sub/Name.pm)
BuildRequires: perl(Task/Weaken.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(constant.pm)
BuildArch: noarch
Source44: import.info

%description
This module provides an object model for TikZ, a graphical toolkit for
LaTeX. It allows you to build structures representing geometrical figures,
apply a wide set of modifiers on them, transform them globally with
functors, and print them in the context of an existing TeX document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{perl_vendor_privlib}/*




%changelog
