# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Data/VarPrint.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Linux-net-dev
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Perl extension for parsing /proc/net/dev
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VS/VSEGO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Linux::net::dev parses /proc/net/dev for network devices.statistics. The package contains these functions:

=over 4

=item info

This function returns hash reference. Keys are devices' ids and values
are data hash references. Data hash has resource names for keys and
their respective values as associated values.

=item dev

Takes device id as a single argument and returns that device's data.

=item devs

Takes list of device ids as arguments and returns array with those
devices' data.

=back

Recognized resources (data hash keys): rbytes, rcompressed,
rdrop, rerrs, rfifo, rframe, rmulticast, rpackets,
tbytes, tcarrier, tcolls, tcompressed, tdrop, terrs,
tfifo, tpackets,

Resources begining with "r" are values for read data, and those begining
with "t" are values for transmited data.

Package was built and tested on RedHat 7.2, kernel 2.4.7-10 and might
not work on some other versions. Please report bugs along with your
kernel version (uname -r or uname -a).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/L*
%perl_vendor_privlib/auto/*
%changelog
