%define module_name MARC-Schema
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cpanel/JSON/XS.pm) perl(File/Share.pm) perl(File/Slurper.pm) perl(Getopt/Long.pm) perl(MARC/Parser/RAW.pm) perl(MARC/Parser/XML.pm) perl(Module/Build/Tiny.pm) perl(Scalar/Util.pm) perl(Test/Code/TidyAll.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Script.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Specification of the MARC21 format
Group: Development/Perl
License: perl
URL: https://github.com/jorol/MARC-Schema

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JOROL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
MARC::Schema defines a set of MARC21 fields and subfields to validate Catmandu::MARC records. A schema is given as hash reference such as:

    {   fields => {
            LDR => {
                positions =>
                    [ { position => '00-04', label => 'Record length' } ],
                repeatable => 0,
            },
            '001' => { label => 'Control Number', repeatable => 0 }
        }
    }

For a more detailed description of the (default) schema see MARC21 structure in JSON.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
