# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ id3lib-devel perl(AutoLoader.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(Test/More.pm) zlib-devel
# END SourceDeps(oneline)
%define module_version 0.12
%define module_name MP3-ID3Lib
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt6
Summary: ID3v1/ID3v2 Tagging of MP3 files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LB/LBROCARD/%module_name-%module_version.tar.gz

%description
This module allows you to edit and add ID3 tags in MP3 files. 

ID3 tags are small pieces of information stored inside the MP3
file. They can contain bits of metadata about the MP3, such as album
name, song name, artist, original artist, genre, composer, year of
release, additional comment fields, and many more.

This module is an interface to the high-quality id3lib library
available from http://id3lib.sourceforge.net/, which must be installed.
At the moment, it is a bit of a low-level interface and some knowledge
of ID3v2 is useful. You should know about tag names and tag
usage. The best website for this is http://www.id3.org/.

However, to get started, a few frame names you may find useful are:

=over 4

=item * TIT2: Title/songname/content description

=item * TPE1: Lead performer(s)/Soloist(s) (artist)

=item * TALB: Album/Movie/Show title

=item * TRCK: Track number/Position in set

=item * TYER: Year

=item * TCON: Content type ('genre')

=item * COMM: Comments

=back

Please note that id3v1 has length restrictions on these fields.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
