%define module_name Mail-Builder
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Load.pm) perl(Config.pm) perl(Cwd.pm) perl(Email/Address.pm) perl(Email/Date/Format.pm) perl(Email/MessageID.pm) perl(Email/Valid.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTML/TreeBuilder.pm) perl(IO/All.pm) perl(IO/File.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Tools.pm) perl(MIME/Types.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Pod/Markdown.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Text/Table.pm)
BuildRequires: perl(YAML/Tiny.pm) perl(base.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.13
Release: alt1
Summary: Easily create plaintext/html e-mail messages with attachments
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAROS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module helps you to build correct e-mails with attachments, inline 
images, multiple recipients, ... without having to worry about the underlying
MIME and encoding issues. Mail::Builder relies heavily on the the MIME::Entity manpage 
module from the the MIME::Tools manpage distribution. 

The module will create the correct MIME bodies, headers and containers 
(multipart/mixed, multipart/related, multipart/alternative) depending on if
you use attachments, HTML text and inline images.

Furthermore it will encode non-ascii header data and autogenerate plaintext
messages (if you don't provide it yourself or disable the the autotext manpage option) 
from html content.

Addresses, attachments and inline images are handled as objects by helper
classes:

=over

=item * the Mail::Builder::Address manpage

Stores an e-mail address and a display name.

=item * Attachments: the Mail::Builder::Attachment manpage 

This class manages attachments which can be created either from files in the
filesystem, filehandles or from data in memory.

=item * Inline images:the Mail::Builder::Image manpage

The Mail::Builder::Image class manages images that should be displayed in the 
html e-mail body. (<img src="cid:imageid" />)

=item * the Mail::Builder::List manpage

Helper class for handling list of varoius items (i.e. recipient lists, 
attachment lists and image lists)

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/M*

%changelog
