%define module_name Make
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Graph.pm) perl(Test/More.pm) perl(Test/Snapshot.pm) perl(Text/Balanced.pm) perl(Text/ParseWords.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.011
Release: alt1
Summary: module for processing makefiles 
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Make

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Make->new creates an object if `new(Makefile => $file)' is specified
then it is parsed. If not the usual makefile Makefile sequence is 
used. (If GNU => 1 is passed to new then GNUmakefile is looked for first.) 

`$make->Make(target...)' 'makes' the target(s) specified
(or the first 'real' target in the makefile).

`$make->Print' can be used to 'print' to current `select''ed stream
a form of the makefile with all variables expanded. 

`$make->Script(target...)' can be used to 'print' to 
current `select''ed stream the equivalent bourne shell script
that a make would perform i.e. the output of `make -n'.

There are other methods (used by parse) which can be used to add and 
manipulate targets and their dependants. There is a hierarchy of classes
which is still evolving. These classes and their methods will be documented when
they are a little more stable.

The syntax of makefile accepted is reasonably generic, but I have not re-read
any documentation yet, rather I have implemented my own mental model of how
make works (then fixed it...).

In addition to traditional 

	.c.o : 
		$(CC) -c ...

GNU make's 'pattern' rules e.g. 

	%%.o : %%.c 
		$(CC) -c ...

Likewise a subset of GNU makes $(function arg...) syntax is supported.

Via pmake Make has built perl/Tk from the `MakeMaker' generated Makefiles...

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/test_driver.pl

%files
%doc Changes README
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
