Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Apache/TestRequest.pm) perl(Apache2/ServerUtil.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MasonX-Interp-WithCallbacks
Version:        1.19
Release:        alt2_21
Summary:        Mason callback support via Params::CallbackRequest
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MasonX-Interp-WithCallbacks
Source0:        https://cpan.metacpan.org/authors/id/D/DW/DWHEELER/MasonX-Interp-WithCallbacks-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
# Module Runtime
BuildRequires:  perl(Class/Container.pm)
BuildRequires:  perl(HTML/Mason.pm)
BuildRequires:  perl(HTML/Mason/Exceptions.pm)
BuildRequires:  perl(HTML/Mason/Interp.pm)
BuildRequires:  perl(HTML/Mason/MethodMaker.pm)
BuildRequires:  perl(Params/CallbackRequest.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
# Test Suite
BuildRequires:  perl(Attribute/Handlers.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(Class/ISA.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(HTML/Mason/ApacheHandler.pm)
BuildRequires:  perl(HTML/Mason/CGIHandler.pm)
BuildRequires:  perl(Params/Callback.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Simple.pm)
# Runtime
Requires:       perl(Class/Container.pm) >= 0.090
Requires:       perl(HTML/Mason.pm) >= 1.230
Requires:       perl(HTML/Mason/MethodMaker.pm)
Requires:       perl(Params/CallbackRequest.pm) >= 1.150
Source44: import.info

%description
MasonX::Interp::WithCallbacks subclasses HTML::Mason::Interp in order to
provide a Mason callback system built on Params::CallbackRequest. Callbacks
may be either code references provided to the new() constructor, or methods
defined in subclasses of Params::Callback. Callbacks are triggered either
for every request or by specially named keys in the Mason request
arguments, and all callbacks are executed at the beginning of a request,
just before Mason creates and executes the request component stack.

%prep
%setup -q -n MasonX-Interp-WithCallbacks-%{version}

# Silence warning from Pod test
mkdir bin

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT

%check
./Build test

%files
%doc Changes README.md
%{perl_vendor_privlib}/MasonX/

%changelog
