# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Log4perl.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Mindcal
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Calculate day-of-week of any given date in your head
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MS/MSCHILLI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module helps training the necessary mental steps to determine the
day of the week of any given date in your head.

The method was invented by Lewis Carroll ("Alice in Wonderland") and
eloquently described as hack #43 in "Mind Performance Hacks" by Ron 
Hale-Evans, O'Reilly 2006.

The method involves calculating four different values of a given date in
your head, the year item, the month item, the day item and an adjustment.
Once you've calculated those four values, simply add them up and calculate
the remainder of a division by seven (so that's modulo 7) and look up 
the day of the week in the following table:

    0 Sunday
    1 Monday
    2 Tuesday
    3 Wednesday
    4 Thursday
    5 Friday
    6 Saturday

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
