%define module_name Model-Envoy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(List/AllUtils.pm) perl(Module/Build.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(MooseX/ClassAttribute.pm) perl(MooseX/Role/Parameterized.pm) perl(SQL/Translator.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5.3
Release: alt1
Summary: A Moose Role that can be used to build a model layer that keeps business logic separate from your s...
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOWARS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
package My::Envoy::Widget;

        use Moose;
        with 'Model::Envoy';

        use My::DB;

        sub dbic { 'My::DB::Result::Widget' }

        my $schema;

        sub _schema {
            $schema ||= My::DB->db_connect(...);
        }

        has 'id' => (
            is => 'ro',
            isa => 'Num',
            traits => ['DBIC'],
            primary_key => 1,

        );

        has 'name' => (
            is => 'rw',
            isa => 'Maybe[Str]',
            traits => ['DBIC'],
        );

        has 'no_storage' => (
            is => 'rw',
            isa => 'Maybe[Str]',
        );

        has 'parts' => (
            is => 'rw',
            isa => 'ArrayRef[My::Envoy::Part]',
            traits => ['DBIC','Envoy'],
            rel => 'has_many',
        );

    package My::Envoy::Models;

    use Moose;
    with 'Model::Envoy::Set';

    sub namespace { 'My::Envoy' }


    ....then later...

    my $widget = My::Envoy::Models->m('Widget')->build({
        id => 1
        name => 'foo',
        no_storage => 'bar',
        parts => [
            {
                id => 2,
                name => 'baz',
            },
        ],
    })

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE
%perl_vendor_privlib/M*

%changelog
