Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI/Application.pm) perl(CGI/Application/Server.pm) perl(inc/Module/Install.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Module-Starter-Plugin-CGIApp
Version:        0.44
Release:        alt3_19
Summary:        Template based module starter for CGI apps
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Module-Starter-Plugin-CGIApp
Source0:        https://cpan.metacpan.org/authors/id/J/JA/JALDHAR/Module-Starter-Plugin-CGIApp-%{version}.tar.gz
# https://github.com/jaldhar/Module-Starter-Plugin-CGIApp/pull/3
Patch0:         Module-Starter-Plugin-CGIApp-0.44-starter.patch
BuildArch:      noarch
buildrequires:  findutils
buildrequires:  rpm-build-perl
buildrequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(English.pm)
BuildRequires:  perl(File/Copy/Recursive.pm)
BuildRequires:  perl(File/DirCompare.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Module/Signature.pm)
BuildRequires:  perl(Module/Starter.pm)
BuildRequires:  perl(Module/Starter/App.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Test/MockTime.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/WWW/Mechanize/CGIApp.pm)
BuildRequires:  perl(Time/Piece.pm)
BuildRequires:  perl(Titanium.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Module/Starter.pm) >= 1.710


# Remove under-specified dependencies:

Source44: import.info
%filter_from_requires /^perl(Module.Starter.pm)/d

%description
This is a plugin for Module::Starter that builds you a skeleton
CGI::Application module with all the extra files needed to package it for
CPAN. You can customize the output using HTML::Template.

%prep
%setup -q -n Module-Starter-Plugin-CGIApp-%{version}
%patch0 -p1


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install --destdir $RPM_BUILD_ROOT  create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?!_with_signature_test:rm t/00-signature.t}
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*
%{_bindir}/cgiapp-starter
%{_bindir}/titanium-starter
%{_mandir}/man1/cgiapp-starter.1*
%{_mandir}/man1/titanium-starter.1*

%changelog
