Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global cpan_name MogileFS-Client

Name:           perl-%{cpan_name}
Version:        1.17
Release:        alt2_21
Summary:        Client library for the MogileFS distributed file system
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DO/DORMANDO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Errno.pm)
BuildRequires:  perl(fields.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(IO/WrapTie.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Time/HiRes.pm)
# Tests
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(IO/WrapTie.pm) >= 2.102

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(IO.WrapTie.pm)/d

%description
This module is a client library for the MogileFS distributed file system.
The class method 'new' creates a client object against a particular
mogilefs tracker and domain. This object may then be used to store and
retrieve content easily from MogileFS.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES TODO
%{perl_vendor_privlib}/MogileFS


%changelog
