%define module_name Mojolicious-Plugin-TagHelpers-MailToChiffre
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/Util/RandomString.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Obfuscate Email Addresses in Templates
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKRON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::TagHelpers::MailToChiffre manpage is a the Mojolicious manpage plugin
helping you to obfuscate email adresses visible on your website
to make it less easy for spam bots to grab them.

It uses JavaScript to obfuscate mailto-links (while providing
a fallback option for users without JavaScript)
and in case you want to show the email
address in plain text it is obfuscated using CSS.
Although modern spam bots may be capable of parsing and executing
JavaScript and interpreting CSS, it is more likely,
that they don't try to do it, as it takes time and power
better be invested in sites with less protected emails.
This is just my assumption for the moment - it may not held entirely true.
The idea is to make the obfuscation easy for modern browser
and expensive for spam bots, by making it necessary to parse
and execute CSS and JavaScript without giving too much hints,
that this is necessary to deobfuscate email addresses
(i.e. not creating too obvious patterns for the obfuscation,
so in case a spambot programmer knows this scheme it is
more expensive to search for than simply scan for an email pattern
using a regular expression).

This plugin is not useful for obfuscating millions
of email addresses on your site,
as once a bot has adapted the scheme and your parameters,
parsing and deobfuscating is rather trivial.

The plugin supports utf-8 domain names, utf-8 usernames
and tries to be compatible with RFC2368,
including obfuscated `to', `cc' and `bcc' addresses.

Please be aware of the environment you use email obfuscation in and
make sure your human visitors will always be able to deobfuscate your address!
And please keep in mind that it's arguable if email obfuscation is
useful at all.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/M*

%changelog
