Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-MooseX-LogDispatch
Version:        1.2002
Release:        alt2_30
Summary:        Logging Role for Moose
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-LogDispatch
Source0:        https://cpan.metacpan.org/authors/id/J/JG/JGOULAH/MooseX-LogDispatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(Log/Dispatch/Config.pm)
BuildRequires:  perl(Log/Dispatch/Configurator.pm)
BuildRequires:  perl(Log/Dispatch/Configurator/AppConfig.pm)
BuildRequires:  perl(Moose/Exporter.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Log/Dispatch/Null.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
Provides:       perl(MooseX/LogDispatch/ConfigMaker.pm) = %{version}
Provides:       perl(MooseX/LogDispatch/Interface.pm) = %{version}
Provides:       perl(MooseX/LogDispatch/Logger.pm) = %{version}
Source44: import.info

%description
Log::Dispatch role for use with your Moose classes.

%prep
%setup -q -n MooseX-LogDispatch-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

# Filter requires
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(MooseX::LogDispatch::ConfigMaker)/d' |\
sed -e '/perl(MooseX::LogDispatch::Interface)/d' |\
sed -e '/perl(MooseX::LogDispatch::Logger)/d'
EOF

%define __perl_requires %{_builddir}/MooseX-LogDispatch-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 --skipdeps
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/MooseX*

%changelog
