%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Session.pm) perl(Carp.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Template.pm) perl(Test/LongString.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 3.0.4
%define module_name MyLibrary
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.0.4
Release: alt1
Summary: a database-driven website application for libraries
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EM/EMORGAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
MyLibrary is a set of object-oriented Perl modules designed to facilitate I/O against a specific, underlying database structure. At its heart, the database contains a table for information resources, and this table is described, for the most part, using Dublin Core. The database also contains tables for creating a controlled vocabulary of your own design. This controlled vocabulary, in the shape of facets and terms, are used to describe and classify the items in the resources table.

These modules facilitate the normal get and set methods found in other database interfaces. The modules also facilitate various find methods allowing you to extract sets of information resources. the developer is expected to loop through these sets of data and output them in format so desired which might include HTML, XML, plain text, etc.

Using these modules the developer could:

=over 4

=item * import data from MARC records

=item * import data from OAI repositories

=item * develop an interface for manual data-entry

=item * create reports, feed them to an indexer, and facilitate search

=item * create reports, format them as HTML, and save them to the file system

=item * write CGI scripts that generate dynamic pages

=item * write CGI scripts and output XML thus implementing a Web Service

=back

To get started, read the PODs for MyLibrary::Facet, MyLibrary::Term, and MyLibrary::Resource.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README ChangeLog
%perl_vendor_privlib/M*

%changelog
