%def_without test
%define module_name MySQL-Util
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/General.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(DBIx/DataFactory.pm) perl(Data/Compare.pm) perl(Data/Printer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(List/MoreUtils.pm) perl(Method/Signatures.pm) perl(Modern/Perl.pm) perl(Module/Load.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(SQL/Beautify.pm) perl(Smart/Args.pm) perl(String/Util.pm) perl(Symbol/Util.pm) perl(Test/More.pm) perl(autodie.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.41
Release: alt1
Summary: Utility functions for working with MySQL.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRAVATTJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=for text.
 my $util = MySQL::Util->new( dsn  => $ENV{DBI_DSN}, 
                              user => $ENV{DBI_USER} );

 my $util = MySQL::Util->new( dsn  => $ENV{DBI_DSN}, 
                              user => $ENV{DBI_USER},
                              span => 1); 

 my $aref = $util->describe_table('mytable');
 print "table: mytable\n";
 foreach my $href (@$aref) {
     print "\t", $href->{FIELD}, "\n";
 }

 my $href = $util->get_ak_constraints('mytable');
 my $href = $util->get_ak_indexes('mytable');
 my $href = $util->get_constraints('mytable');

 #
 # drop foreign keys example 1 
 # 
 
 my $fks_aref = $util->drop_fks();

 < do some work here - perhaps truncate tables >

 $util->apply_ddl($fks_aref);   # this will clear the cache for us.  see 
                                # clear_cache() for more info.

 # 
 #  drop foreign keys example 2 
 #
 
 my $fks_aref = $util->drop_fks();

 my $dbh = $util->clone_dbh;
 foreach my $stmt (@$fks_aref) {
     $dbh->do($stmt); 
 }

 $util->clear_cache;  # we modified the database ddl outside of the object so 

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name
                      # we need to clear the object's internal cache.  see 
                      # clear_cache() for more info.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/M*

%files scripts
%_bindir/*

%changelog
