%define module_name Net-Amazon-DynamoDB-Marshaler
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Module/Build/Tiny.pm) perl(Scalar/Util.pm) perl(Set/Object.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Type/Tiny.pm) perl(boolean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Translate Perl hashrefs into DynamoDb format and vice versa.
Group: Development/Perl
License: perl
URL: https://github.com/stevecaldwell77/Net-Amazon-DynamoDB-Marshaler

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SC/SCALDWELL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AWS' DynamoDB service expects attributes in a somewhat cumbersome format in which you must specify the attribute type as well as its name and value(s). This module simplifies working with DynamoDB by abstracting away the notion of types and letting you use more intuitive data structures.

There are a handful of CPAN modules which provide a DynamoDB client that do similar conversions. However, in all of these cases the conversion is tightly bound to the client implementation. This module exists in order to decouple the functionality of formatting with the functionality of making AWS calls.

NOTE: this module does not yet support Binary or Binary Set types. Pull requests welcome.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE CONTRIBUTING.md Changes
%perl_vendor_privlib/N*

%changelog
