# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/SafeDO.pm) perl(Net/DNS/Codes.pm) perl(Net/DNS/ToolKit.pm) perl(Net/DNS/ToolKit/Debug.pm) perl(Net/DNS/ToolKit/RR.pm) perl(Net/NBsocket.pm) perl(NetAddr/IP.pm) perl(NetAddr/IP/Lite.pm) perl(Socket.pm) perl(Test/More.pm) perl(URBL/Prepare.pm) perl(Unix/Syslog.pm)
# END SourceDeps(oneline)
%define module_version 0.39
%define module_name Net-DNSBL-MultiDaemon
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.39
Release: alt1
Summary: multi DNSBL prioritization
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MI/MIKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Net::DNSBL::MultiDaemon is the Perl module that implements the multi_dnsbl
daemon.

multi_dnsbl is a DNS emulator daemon that increases the efficacy of DNSBL
look-ups in a mail system. multi_dnsbl may be used as a stand-alone DNSBL
or as a plug-in for a standard BIND 9 installation. 
multi_dnsbl shares a common configuration file format with the
Mail::SpamCannibal sc_BLcheck.pl script so that DNSBL's can be maintained in
a common configuration file for an entire mail installation.

Because DNSBL usefulness is dependent on the nature and source of spam sent to a
specific site and because sometimes DNSBL's may provide intermittant
service, multi_dnsbl interrogates them sorted in the order of greatest
successful hits. DNSBL's that do not respond within the configured timeout
period are not interrogated at all after 6 consecutive failures, and
thereafter will be retried not more often than once every hour until they
come back online. This eliminates the need to place DNSBL's in a particular order in
your MTA's config file or periodically monitor the DNSBL statistics and/or update
the MTA config file.

In addition to optimizing DNSBL interrogation, multi_dnsbl may be
configured to locally accept or reject specified IP's, IP ranges and to
reject specified countries by 2 character country code. By adding a DNSBL
entry of in-addr.arpa, IP's will be rejected that do not return some kind
of valid reverse DNS lookup. In addition, IP's can be rejected that have a
PTR record that matchs a configurable GENERIC 'regexp' set.

Reject codes are as follows:

  query 2.0.0.127.{zonename}_127.0.0.2
  blocked by configured DNSBL_127.0.0.2
  no reverse DNS__127.0.0.4
  BLOCKED (local blacklist) _127.0.0.5
  Blocked by Country__127.0.0.6
  Blocked GENERIC__127.0.0.7

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/*
%changelog
