%define module_name Net-Google-SafeBrowsing3
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Google/ProtocolBuffers.pm) perl(IO/Socket/SSL.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(MIME/Base64.pm) perl(MIME/Base64/URLSafe.pm) perl(String/HexConvert.pm) perl(Test/More.pm) perl(Text/Trim.pm) perl(URI.pm) perl(constant.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.8
Release: alt1
Summary: Perl extension for the Google Safe Browsing v3 API. (Google Safe Browsing v2 has been deprecated by...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JS/JSOBRIER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::Google::SafeBrowsing3 implements the Google Safe Browsing v3 API.

The library passes most of the unit tests listed in the API documentation. See the documentation (https://developers.google.com/safe-browsing/developers_guide_v3) for more details about the failed tests.

The Google Safe Browsing database must be stored and managed locally. the Net::Google::SafeBrowsing3::Sqlite manpage uses Sqlite as the storage back-end, the Net::Google::SafeBrowsing3::MySQL manpage uses MySQL. Other storage mechanisms (databases, memory, etc.) can be added and used transparently with this module.

The source code is available on github at https://github.com/juliensobrier/Net-Google-SafeBrowsing3.

If you do not need to inspect more than 10,000 URLs a day, you can use the Net::Google::SafeBrowsing2::Lookup manpage with the Google Safe Browsing v2 Lookup API which does not require to store and maintain a local database.

IMPORTANT: If you start with an empty database, you will need to perform several updates to retrieve all the Google Safe Browsing information. This may require up to 24 hours. This is a limitation of the Google API, not of this module.

IMPORTANT: Google Safe Browsing v3 requires a different key than v2.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
