%define module_name Net-PMP-Profile
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Data/Clean/JSON.pm) perl(Data/Dump.pm) perl(Data/Validate/URI.pm) perl(DateTime.pm) perl(DateTime/Format/DateParse.pm) perl(DateTime/Format/Strptime.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Find.pm) perl(JSON.pm) perl(Locale/Language.pm) perl(Media/Type/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/PMP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(URI/Template.pm) perl(UUID/Tiny.pm) perl(YAML/Tiny.pm) perl(Clone/PP.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.102
Release: alt1
Summary: Base Content Profile for PMP CollectionDoc
Group: Development/Perl
License: mit
URL: https://github.com/APMG/net-pmp-profile-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARMAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::PMP::Profile implements the CollectionDoc fields for the PMP Base Content Profile
https://github.com/publicmediaplatform/pmpdocs/wiki/Base-Content-Profile.

This class does not inherit from the Net::PMP::CollectionDoc manpage. Net::PMP::Profile-based
classes are intended to ease data synchronization between PMP and other systems, by
providing client-based attribute validation and syntactic sugar. A CollectionDoc-based
object has no inherent validation for its attributes; it simply reflects what is on 
the PMP server. A Profile-based object can be used to validate attribute values before
they are sent to the PMP server. The as_doc method converts the Profile-based object
to a CollectionDoc-based object.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/N*

%changelog
