# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(LWP/UserAgent.pm) perl(Moose.pm) perl(Test/More.pm) perl(XML/TreePP.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.2
%define module_name Net-Saasu
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2
Release: alt1
Summary: Interface to the Saasu online accounting platform!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NO/NORBU/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A very basic interface to saasu, an online accounting system
(http://saasu.com). This may morph into a more complete interface
over time but for the moment this basic implementation abstracts
everything we need. Detaild API documentation can be found on the saasu
page (http://help.saasu.com/api/).
    
    my $saasu = Net::Saasu->new(
        key     => 'API KEY',
        file_id => 12345,
        debug   => 1
    );

Example from the saasu docs for a POST request:

    my $hash = {
        tasks => {
            insertTransactionCategory => {
                transactionCategory => {
                    -uid     => 0,
                    type           => 'Income',
                    name           => 'Consulting Fees',
                    isActive       => 'true',
                    ledgerCode     => 'IT001',
                    defaultTaxCode => 'G1',
                }
            } 
        } 
    };

    $saasu->post($hash);
    if ( my $list = $saasu->post( $hash )){
        print Dumper($list);
    }
    else {
        print Dumper($saasu->error);
        $saasu->clear_error;
    }


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/N*

%changelog
