%filter_from_requires /^perl.OAuthomatic.Types.StructBase.pm./d
%define module_name OAuthomatic
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(CPAN/Meta.pm) perl(Carp.pm) perl(Const/Fast.pm) perl(Data/Dump.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(HTTP/Body.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Server/Brick.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(IO/Handle.pm) perl(IO/Interactive.pm) perl(IO/Null.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Metadata.pm) perl(Module/Pluggable.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/AttributeShortcuts.pm) perl(MooseX/Getopt.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm)
BuildRequires: perl(MooseX/Types/Path/Tiny.pm) perl(Net/EmptyPort.pm) perl(Net/OAuth.pm) perl(Net/SSL.pm) perl(Passwd/Keyring/Auto.pm) perl(Path/Tiny.pm) perl(Proc/Background.pm) perl(Role/HasMessage/Errf.pm) perl(Role/HasPayload/Merged.pm) perl(Scalar/Util.pm) perl(StackTrace/Auto.pm) perl(Template.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta.pm) perl(Test/CPAN/Meta/JSON.pm) perl(Test/CheckDeps.pm) perl(Test/CleanNamespaces.pm) perl(Test/File/ShareDir/Dist.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Synopsis.pm) perl(Test/UseAllModules.pm) perl(Test/WWW/Mechanize.pm) perl(Thread/Queue.pm) perl(Throwable.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(WWW/Mechanize.pm) perl(XML/Rabbit/Root.pm)
BuildRequires: perl(feature.pm) perl(namespace/sweep.pm) perl(overload.pm) perl(strict.pm) perl(threads.pm) perl(utf8.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0202
Release: alt1
Summary: automate setup of access to OAuth-secured resources. Intended especially for use in console scripts...
Group: Development/Perl
License: perl
URL: https://helixteamhub.cloud/mekk/projects/perl/repositories/oauthomatic

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ME/MEKK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WARNING: *This is early release. Things may change (although I won't
change crucial APIs without good reason).*

Main purpose of this module: make it easy to start scripting around
some OAuth-controlled site (at the moment, OAuth 1.0a is
supported). The user needs only to check site docs for appropriate
URLs, construct OAuthomatic object, and go.

I wrote this module as I always struggled with using OAuth-secured
APIs from perl. Modules I found on CPAN were mostly low-level,
not-too-well documented, and - worst of all - required my scripts to
handle whole .e'get keys, acquire permissions, save tokens.e' sequence.

OAuthomatic is very opinionated. It shows instructions in English. It
uses the Passwd::Keyring::Auto manpage to save (and restore) sensitive data. It
assumes application keys are to be provided by the user on first run
(not distributed with the script). It spawns web browser (and
temporary in-process webserver to back it). It provides a few HTML
pages and they are black-on-white, 14pt font, without pictures.

Thanks to all those assumptions it usually just works, letting the
script author to think about job at hand instead of thinking about
authorization. And, once script grows to application, all those
opinionated parts can be tweaked or substituted where necessary.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README-development.pod Changes README.html README.txt LICENSE README-development.html docs examples
%perl_vendor_privlib/O*
%perl_vendor_privlib/auto/*
%perl_vendor_privlib/R*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
