%define module_name Open-This
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(Carp/Always.pm) perl(Code/TidyAll/Git/Precommit.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Git/Helpers.pm) perl(Module/Runtime.pm) perl(Module/Util.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Requires/Git.pm) perl(Test/Simple.pm) perl(Test/Warnings.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000024
Release: alt1
Summary: Try to Do the Right Thing when opening files
Group: Development/Perl
License: perl
URL: https://github.com/oalders/open-this

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module powers the `ot' command line script, which tries to do the right
thing when opening a file.  Imagine your `$ENV{EDITOR}' is set to `vim'.
(This should also work for `emacs' and `nano'.)  The following examples
demonstrate how your input is translated when launching your editor.

    ot Foo::Bar # vim lib/Foo/Bar.pm
    ot Foo::Bar # vim t/lib/Foo/Bar.pm

Imagine this module has a `sub do_something' at line 55.

    ot "Foo::Bar::do_something()" # vim +55 lib/Foo/Bar.pm

Or, when copy/pasting from a stack trace.  (Note that you do not need quotes in
this case.)

    ot Foo::Bar line 36 # vim +36 lib/Foo/Bar.pm

Copy/pasting a `git-grep' result.

    ot lib/Foo/Bar.pm:99 # vim +99 Foo/Bar.pm

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTORS LICENSE README.md
%perl_vendor_privlib/O*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
