%define module_name OpusVL-Preferences
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class/Core.pm) perl(DBIx/Class/ResultSet.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/NonMoose.pm) perl(OpusVL/SimpleCrypto.pm) perl(OpusVL/Text/Util.pm) perl(Test/DBIx/Class.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Postgresql58.pm) perl(blib.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.29
Release: alt1
Summary: Generic DBIC preferences module
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AL/ALTREUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a really simple module to pull into result classes so you can attach
preferences, rather than have to continually extend the schema definition where
its probably not appropriate.

Say you had an Employees class, and wanted to define the following preferences
for a customer:

=over

=item grows_plants

=item has_untidy_desk

=item likes_noodles

=back

You would set up your Result class as follows:

_package Result::Employee;

_use strict;
_use Moose;
_
_extends 'DBIx::Class::Core';

_with 'OpusVL::Preferences::RolesFor::Result::PrfOwner';

___PACKAGE__->prf_owner_init;

_...

And the ResultSet class would be:

_package ResultSet::Employee;

_use strict;
_use Moose;

_extends 'DBIx::Class::ResultSet';

_with 'OpusVL::Preferences::RolesFor::ResultSet::PrfOwner';

_...

This would initialise the class with 3 preferences, set to the appropriate
defaults. Within the Employee class, the following methods are exposed to
manage the preferences:
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README LICENSE Changes
%perl_vendor_privlib/O*

%changelog
