Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-PDF-Haru
Version:        1.00
Release:        alt14_34
Summary:        Perl interface to Haru Free PDF Library

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PDF-Haru
Source0:        https://cpan.metacpan.org/authors/id/B/BU/BUTILW/PDF-Haru-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(AutoLoader.pm)
BuildRequires:  perl(XSLoader.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  libharu-devel


Source44: import.info

%description
Perl interface to Haru Free PDF Library. It supports the following features:

   1. Generating PDF files with lines, text, images.
   2. Outline, text annotation, link annotation.
   3. Compressing document with deflate-decode.
   4. Embedding PNG, Jpeg images.
   5. Embedding Type1 font and TrueType font.
   6. Creating encrypted PDF files.
   7. Using various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
   8. Supporting CJK fonts and encodings.

%prep
%setup -q -n PDF-Haru-%{version}
chmod -x examples/*.pl


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test



%files
%doc Changes README examples/
%{perl_vendor_archlib}/PDF/
%{perl_vendor_archlib}/auto/PDF/


%changelog
