# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name PFIX
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Perl FIX protocol library!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MU/MUGUET/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Perl FIX protocol implementation.

The Financial Information eXchange (FIX) Protocol is a messaging standard developed specifically for the real-time electronic exchange of securities transactions. FIX is a public-domain specification owned and maintained by FIX Protocol, Ltd.

This module offers some simple methods to parse or build a FIX message.
It has knowledge of the FIX dictionary.

The module here is vastly imcomplete but was written for an interface project (now in production) and thus is operational.
However to take it to the next step it needs more work.

Although I will do my best to minimise radical changes, next versions may not be backward compatible - be prepared (sorry).


    use PFIX::Message;

    # create a FIX message object
    my $msg = PFIX::Message->new(version=>'FIX44');
    # initialise it with a string
    $msg->fromString("8=FIX.4.4\0019=41\00135=.........10=011");

    # set some fields 
    $msg->setField('Symbol','IBM');      # assign value using tag name
    $msg->setField(56,'TARGETSYSTEM');   # assign value using tab number
    # get some field values
    $msg->getField(11);
    # delete fields
    $msg->delField(123);

    # now produce new FIX protocol string.
    my $str=$msg->toString();
    ...


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
