# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/Pg.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name PGObject-Util-Replication-Slot
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.020000
Release: alt1
Summary: Manage and Monitor Replication Slots
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EI/EINHVERFR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a low-level interface for monitoring and managing
replication slots.  It is intended to be used by other management modules
and therefore requires read and write operations to pass in a database handle.

Slots here represent values and should be treated as read-only once
instantiated.  This is to improve utility when it comes to monitoring and
logging.


    use PGObject::Util::Replication::Slot;

    my @slots = PGObject::Util::Replication::Slot->all($dbh);
    my $slot = PGObject::Util::Replication::Slot->get($dbh, 'slotname');

    # can also create and delete
    my $slot = PGObject::Util::Replication::Slot->create($dbh, 'slotname');
    my $success = PGObject::Util::Replication::Slot->delete($dbh, 'slotname');
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
