Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-POE-Component-JobQueue
Version:        0.571
Release:        alt2_26
Summary:        Process a large number of tasks with a finite number of workers
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-JobQueue
Source0: https://cpan.metacpan.org/authors/id/R/RC/RCAPUTO/POE-Component-JobQueue-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Session.pm)
Requires:       perl(POE.pm) >= 1.007
Source44: import.info

%description
POE::Component::JobQueue manages a finite pool of worker sessions as
they handle an arbitrarily large number of tasks.  It often is used as
a form of flow control, preventing an arbitrarily large number of
worker sessions from exhausting some finite resource.



%prep
%setup -q -n POE-Component-JobQueue-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build
# readme says this is a good example.  So, why not?
cp t/01_queues.t example_01_queues
chmod -x example_01_queues

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc CHANGES README example_01_queues
%{perl_vendor_privlib}/*

%changelog
