Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(POE/Component/Server/SimpleHTTP/PreFork.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl-podlators
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Run optional test
%bcond_without perl_POE_Component_Server_SimpleHTTP_enables_optional_test

Name:           perl-POE-Component-Server-SimpleHTTP
Version:        2.28
Release:        alt2_9
Summary:        Serve HTTP requests in POE
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Component-Server-SimpleHTTP
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/POE-Component-Server-SimpleHTTP-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
# Runtime
BuildRequires:  perl(base.pm)
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(HTTP/Date.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Object.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(MooseX/POE.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Component/SSLify.pm)
BuildRequires:  perl(POE/Filter/HTTPD.pm)
BuildRequires:  perl(POE/Filter/Stream.pm)
BuildRequires:  perl(POE/Wheel/ReadWrite.pm)
BuildRequires:  perl(POE/Wheel/SocketFactory.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Sys/Hostname.pm)
# Tests only
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(POE/Filter/HTTP/Parser.pm)
BuildRequires:  perl(POE/Kernel.pm)
BuildRequires:  perl(Test/More.pm)
# Test::Pod 1.41 not used
# Test::Pod::Coverage 1.08 not used
BuildRequires:  perl(Test/POE/Client/TCP.pm)
%if %{with perl_POE_Component_Server_SimpleHTTP_enables_optional_test}
# Optional tests only
BuildRequires:  perl(POE/Component/Client/HTTP.pm)
%endif
Requires:       perl(HTTP/Request.pm)
Requires:       perl(Moose.pm) >= 0.900
Requires:       perl(Moose/Object.pm)
Requires:       perl(MooseX/POE.pm) >= 0.205
Requires:       perl(POE.pm) >= 1.0
Requires:     perl(POE/Component/SSLify.pm) >= 0.040
Requires:       perl(Storable.pm)
Requires:       perl(Sys/Hostname.pm)



Source44: import.info
%filter_from_requires /^perl(\(Moose\|MooseX.POE\|POE\).pm)/d

%description
This module makes serving up HTTP requests a breeze in POE.

%prep
%setup -q -n POE-Component-Server-SimpleHTTP-%{version}
sed -i -e 's/\r$//g' examples/*

%build
yes | perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc README Changes Changes.old examples
%{perl_vendor_privlib}/*

%changelog
