%define module_name POE-Filter-SSL
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libssl-devel perl(ExtUtils/MakeMaker.pm) perl(HTTP/Status.pm) perl(Net/SSLeay.pm) perl(POE/Filter/HTTPD.pm) perl(POE/Filter/Stackable.pm) perl(POE/Wheel/ReadWrite.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.41
Release: alt3
Summary: The easiest and flexiblest way to SSL in POE!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PRIVI/%{module_name}-%{version}.tar.gz

%description
This module allows to secure connections of *POE::Wheel::ReadWrite* with OpenSSL by a
*POE::Filter* object, and behaves (beside of SSLing) as *POE::Filter::Stream*.

*POE::Filter::SSL* can be added, switched and removed during runtime, for example if you
want to initiate SSL (see the *SSL on an established connection* example in *SYNOPSIS*) on an already established connection. You are able to combine
*POE::Filter::SSL* with other filters, for example have a HTTPS server together
with *POE::Filter::HTTPD* (see the *HTTPS-Server* example in *SYNOPSIS*).

*POE::Filter::SSL* is based on *Net::SSLeay*, but got two XS functions which *Net::SSLeay* is missing.

=over 4

=item Features

=over 2

Full non-blocking processing

No use of sockets at all

Server and client mode

Optional client certificate verification

Allows to accept connections with invalid or missing client certificate and return custom error data

CRL check of client certificates

Retrieve client certificate details (subject name, issuer name, certificate serial)

=back

=back

=over 4

=item Upcoming Features

=over 2

Direct cipher encryption without SSL or TLS protocol, for example with static AES encryption

=back

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
