# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /dev/pts /usr/bin/xvfb-run perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# XXX Can't locate object method "loop_ignore_signal" via package "POE::Kernel"
%define __spec_autodep_custom_pre export PERL5OPT='-I%buildroot%perl_vendor_privlib -MPOE'

# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    POE-Loop-Tk
%define upstream_version 1.305

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_8
Summary:    A POE/Tk bridge for ActiveState's Tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(POE.pm)
BuildRequires: perl(POE/Test/Loops.pm)
BuildRequires: perl(Tk.pm)
BuildRequires: xorg-xvfb xvfb-run

BuildArch: noarch
Source44: import.info


%description
POE::Loop::Tk implements the interface documented in the POE::Loop manpage.
Therefore it has no documentation of its own. Please see the POE::Loop
manpage for more details.

POE::Loop::Tk is one of two versions of the Tk event loop bridge. The
other, the POE::Loop::TkActiveState manpage accommodates behavior
differences in ActiveState's build of Tk. Both versions share common code
in the POE::Loop::TkCommon manpage. POE::Loop::Tk dynamically selects the
appropriate bridge code based on the runtime enviroment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# makefile.pl ignores input if not inside a tty :-(
rm run_network_tests
# this test requires interactivity
rm t/poe_loop_tk/wheel_run.t
xvfb-run %make_build test

%install
%makeinstall_std

%files
%doc CHANGES README META.yml
%perl_vendor_privlib/*


%changelog
