%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(POE.pm) perl(POE/Session.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.3
%define module_name POE-Session-MultiDispatch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3
Release: alt1
Summary: Callback dispatch for session events.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CW/CWEST/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
POE::Session::MultiDispatch is a drop in replacement for
POE::Session that adds callback dispatch functionality
to POE sessions.  Each event may have multiple handlers associated with
it.  Fine control over the order of execution is available using helper
methods that extend the interface of a POE::Session.

POE::Session::MultiDispatch uses POE::Session as a base class.  When
multiple callbacks are registered for an event, only the last callback
survives, all the others are clobbered.  POE::Session::MultiDispatch is
much nicer to your registered callbacks, it keeps them all in the order
they were defined.  When an event is triggered, all the callbacks are
then executed in that same order (unless you muck around with said order).

Just what is the order?  Last I checked it is `inline_states',
`package_states', and `object_states'.  As you can probably tell, that
order is by no means documented (here or anywhere else) as something that
is stead fast and solid.  You should be careful and know what you're doing
if you intend to care too much about the order.  Having said that, my
guess is that it won't change.  But don't take my word for it.

All the real heavy lifting is still done in POE::Session.  The interface
is exactly the same with the exception of the following additions.
Please read the POE::Session documentation for details on working with
POE sessions.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
