# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Compare.pm) perl(IO/Interactive.pm) perl(Language/AttributeGrammar.pm) perl(Parse/RecDescent.pm) perl(Test/LectroTest/Generator.pm) perl(Test/Pod.pm) perl(YAML.pm) perl-podlators
# END SourceDeps(oneline)
%define upstream_name    Parse-Eyapp
%define upstream_version 1.182

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt4_12
BuildArch:  noarch
Summary:    Bottom up parser generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(List/Util.pm)
BuildRequires: perl(Pod/Usage.pm)
BuildRequires: perl-CPAN perl-Digest-SHA perl-Encode perl-Encode-devel perl-JSON-PP perl-Module-CoreList perl-Pod-Checker perl-Pod-Parser perl-Pod-Usage perl-devel
Source44: import.info
%description
Parse::Eyapp (Extended yapp) is a collection of modules that extends Francois
Desarmenien Parse::Yapp 1.05. Eyapp extends yacc/yapp syntax with
functionalities like named attributes, EBNF-like expressions, modifiable
default action (like Parse::RecDescent autoaction), grammar reuse, automatic
abstract syntax tree building, syntax directed data generation, translation
schemes, tree regular expressions, tree transformations, scope analysis
support, directed acyclic graphs and a few more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml  README TODO examples
%{_mandir}/man1/*
%{_bindir}/eyapp
%{_bindir}/treereg
%{perl_vendor_privlib}/Parse


%changelog
