# BEGIN SourceDeps(oneline):
BuildRequires: perl(CLI/Osprey.pm) perl(Clone.pm) perl(Const/Fast.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(Data/Printer.pm) perl(Debuggit.pm) perl(Errno.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(Import/Into.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(PerlX/bash.pm) perl(Proc/Pidfile.pm) perl(Safe/Isa.pm) perl(Sub/Install.pm) perl(Test/Most.pm) perl(Test/Trap.pm) perl(Time/Piece.pm) perl(Type/Tiny.pm) perl(Type/Tiny/Enum.pm) perl(Types/Standard.pm) perl(autodie.pm) perl(namespace/autoclean.pm) perl(overload.pm) perl(sigtrap.pm)
# END SourceDeps(oneline)
%define module_name Pb
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: a workflow system made from Perl and bash
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BAREFOOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
If you are a devops developer--even if you're a devops developer who doesn't believe that devops is
really a thing--you spend a bunch of your time writing control scripts.  Some of them you probably
write in `bash', because job control is one of those things that `bash' is actually good at.  A
lot of them you probably write in Perl, because programming is one of those things that `bash' is
pretty terrible at.  Trying to do real programming in `bash' is pretty horrifying, but trying to do
job control in Perl isn't much nicer: the return value of `system' is backwards, there's no
equivalent to `bash -e', `END' blocks don't get run if your script is dying due to a signal, and
so on and so forth, ad inifinitum.  None of the deficiencies of Perl in this area are very
significant on their own, but it can become death by a thousand cuts as you try to layer more and
more devops complexity onto your Perl scripts.  In the end, if you write it in `bash', you'll end
up wishing you'd written it in Perl, and if you write it in Perl, you'll say to yourselt at least
once before it's done: man, this part would have been easier in `bash'.

Well, now you no longer need to choose.  Leadpipe takes Perl and `bash' and glues them together to
form `Pb', a module which allows you to quickly write commands which can do one or all of the
following:

=over

=item *

Can have subcommands (reminiscent of `git').

=item *

Can have command-line options and command-line arguments with sophisticated validation.

=item *

Can run pre-command verification checks to ensure a known state.

=item *

Can break your command down into steps (called "directives"), where each step can be printed out
instead of performing it (in `--pretend' mode) or performed only after verification from the user
(in `--interactive' mode).

=item *

Shell (`SH') directives look (mostly) just like `bash' commands, with quoting handled for you
easily, and you have the full range of `bash' syntax (unlike with `system').

=item *

But you can also do code (`CODE') dire...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md TODO.md LICENSE Changes
%perl_vendor_privlib/P*

%changelog
