# BEGIN SourceDeps(oneline):
BuildRequires: perl(Code/TidyAll/Git/Precommit.pm) perl(DDP.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Perl/Critic.pm) perl(Perl/Critic/Policy.pm) perl(Perl/Critic/Utils.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(constant.pm) perl(lazy.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Perl-Critic-Policy-ProhibitImplicitImport
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000001
Release: alt1
Summary: Prefer symbol imports to be explicit
Group: Development/Perl
License: perl
URL: https://github.com/oalders/Perl-Critic-Policy-ProhibitImplicitImport

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Some Perl modules can implicitly import many symbols if no imports are
specified. To avoid this, and to assist in finding where symbols have been
imported from, specify the symbols you want to import explicitly in the `use'
statement.  Alternatively, specify an empty import list with `use Foo ()' to
avoid importing any symbols at all, and fully qualify the functions or
constants, such as `Foo::strftime'.

    use POSIX;                                                         # not ok
    use POSIX ();                                                      # ok
    use POSIX qw(fcntl);                                               # ok
    use POSIX qw(O_APPEND O_CREAT O_EXCL O_RDONLY O_RDWR O_WRONLY);    # ok

For modules which inherit from the Test::Builder::Module manpage, you may need to use a
different import syntax.

    use Test::JSON;                          # not ok
    use Test::JSON import => ['is_json'];    # ok

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTORS Changes README.md
%perl_vendor_privlib/P*

%changelog
