Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(File/Slurp.pm) perl(PPI/Cache.pm) perl(Test/Distribution.pm) perl(Test/Kwalitee.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Perl-Critic-Swift
Version:        1.0.3
Release:        alt2_32
Summary:        Set of additional policies for Perl::Critic
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl-Critic-Swift
Source0:        https://cpan.metacpan.org/authors/id/E/EL/ELLIOTJS/Perl-Critic-Swift-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(English.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(version.pm)
# Tests:
# Author tests are not executed
# File::Find not used
# File::Slurp not used
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
# PPI::Cache not used
# Test::Distribution not used
# Test::Kwalitee not used
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Perl/Critic.pm)
# Test::Pod not used
# Test::Pod::Coverage not sued
# Test::Spelling not used
Requires:       perl(List/MoreUtils.pm) >= 0.210
Requires:       perl(Perl/Critic/Policy.pm) >= 1.082
Requires:       perl(Perl/Critic/Utils.pm) >= 1.082

# Remove underspecified dependencies

Source44: import.info
%filter_from_requires /perl(\(List.MoreUtils\|Perl.Critic.Policy\|Perl.Critic.Utils\).pm)/d
# Export not detected versions: $VERSION = qv('v%%{version}')

%description
Some Perl::Critic policies to make your code more clean. The included
policies are:

    * Perl::Critic::Policy::CodeLayout::RequireUseUTF8
    * Perl::Critic::Policy::Documentation::RequirePODUseEncodingUTF8

%prep
%setup -q -n Perl-Critic-Swift-v%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
