# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Digest/SHA1.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Perl-Folder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Fold and Unfold Blocks in Perl Code
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IN/INGY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Using regexps to look for values in Perl code is problematic. This module
makes it much more reliable.

Say you are looking for a line like this one:

    our $VERSION = '0.10';

Matching that line is easy. But that line might be in a heredoc, the `DATA'
section, a POD block or a comment. Also if you try to strip out all heredocs
you don't know if they are really part of a POD block of `DATA' section, and
vice versa.

This module correctly finds these four types of blocks and folds them up,
replacing their content with the SHA1 digest of their content.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
