# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp/REPL.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Plack/Util/Accessor.pm) perl(Pod/Text.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Plack-Middleware-REPL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: REPL when your application throws errors or warnings
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MI/MIYAGAWA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Plack::Middleware::REPL is a PSGI middleware component that enables
REPL (read-eval-print-loop) when your application raises errors.

  # your Dancer app
  use Dancer;
  get '/' => sub {
      my $self = shift;
      my $n = parms()->{name}; # typo
      return "Hi there $n";
  };
  dance;

Run it with the REPL middleware:

  plackup -e 'enable "REPL"' app.pl

Hit your application, and you'll get a REPL shell on the console:

  Trace begun at ...
  ...
  $ :l
  File /Users/miyagawa/development/dancer/app.pl
    5: use Dancer;
    6:
    7: get '/' => sub {
    8:     my $self = shift;
  * 9:     my $n = parms()->{name};
   10:     return "Hi there $n";
   11: };
   12: dance;
  $ request->path
  /
  $ :u
  Now at /Users/miyagawa/perl5/perlbrew/perls/perl-5.12.3/lib/site_perl/5.12.3/Dancer/Route.pm:246 (frame 1).
  $ $self
  $Dancer_Route1 = Dancer::Route=HASH(0x10089d278);

See the Carp::REPL manpage for more commands in the REPL shell.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
