%define module_name Pod-POM-Web
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/GvaScript.pm) perl(Apache2/Response.pm) perl(BerkeleyDB.pm) perl(Config.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/Detect.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(HTTP/Daemon.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MIME/Types.pm) perl(Module/Build.pm) perl(Module/CoreList.pm) perl(Module/Metadata.pm) perl(POSIX.pm) perl(Pod/POM.pm) perl(Pod/POM/View/HTML.pm) perl(Search/Indexer.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.24
Release: alt1
Summary: HTML Perldoc server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAMI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Pod::POM::Web manpage is a Web application for browsing
the documentation of Perl components installed
on your local machine. Since pages are dynamically 
generated, they are always in sync with code actually
installed. 

The application offers 

=over

=item *

a tree view for browsing through installed modules
(with dynamic expansion of branches as they are visited)

=item *

a tree view for navigating and opening / closing sections while
visiting a documentation page

=item *

a source code view with hyperlinks between used modules
and optionally with syntax coloring
(see section the section on "Optional features")


=item *

direct access to the perlfunc manpage entries (builtin Perl functions)

=item *

search through the perlfaq manpage headers

=item *

fulltext search, including names of Perl variables
(this is an optional feature -- see section the section on "Optional features").

=item *

parsing and display of version number

=item *

display if and when the displayed module entered Perl core.

=item *

parsing pod links and translating them into hypertext links

=item *

links to CPAN sites

=back

The application may be hosted by an existing Web server, or otherwise
may run its own builtin Web server.

The DHTML code for navigating through documentation trees requires a
modern browser. So far it has been tested on Microsoft Internet
Explorer 8.0, Firefox 3.5, Google Chrome 3.0 and Safari 4.0.4.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
