# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp/Datum.pm) perl(Clone.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Getargs/Long.pm) perl(Log/Agent.pm) perl(Pod/Parser.pm) perl(Safe.pm)
# END SourceDeps(oneline)
%define module_version 0.1.2
%define module_name Pod-PP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.2
Release: alt1
Summary: POD pre-processor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RA/RAM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The `Pod::PP' module is a POD pre-processor  built on top of `Pod::Parser'.
The helper script podpp provides a pre-processor command for POD, 
whose interface is very much like cpp, the C pre-processor.
However, unlike C, the `Pod::PP' processing is not normally invoked when
parsing POD.

If you wish to automate the pre-processing for every POD file, you need to
write `.pp' files (say) instead of `.pod' files, and add the following
make rules to your `Makefile':

    PODPP = podpp
    PP_FLAGS =

    .SUFFIXES: .pp .pod

    .pp.pod:
        $(PODPP) $(PP_FLAGS) $< >$*.pod

Those teach make how to derive a `.pod' from a `.pp' file using
the podpp pre-processor.

`Pod::PP' uses the `P<>' notation to request symbol expansion.
Since it processes text, you need to tag the symbols to be expanded
explicitely.  Expansion is done recursively, until there is no more
expansion possible.

If you are familiar with cpp, most directives will be easy to grasp.
For instance, using the `==' prefix to make shorter commands:

    ==pp include "common.pp"

    ==pp define DIR     /var/www
    ==pp define TMP     /tmp

    ==pp ifdef SOME_COMMON_SYMBOL
    ==pp define FOO     common foo
    ==pp else
    ==pp define FOO     1
    ==pp endif

The `==' notation is not standard POD, but it is understood by `Pod::Parser'
and very convenient when it comes to writing things like the above block,
because there's no need to separate commands by blank lines.
Since the code is going to be processed by podpp anyway, there's no problem,
and podpp will always emit legitimate POD.  That is, given the following:

    =

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc ChangeLog README
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
