# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(Locale/Maketext/Simple.pm) perl(Params/Check.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Pod-Template
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Building pod documentation from templates.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KA/KANE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Writing documentation on a project maintained by several people.which spans more than one module is a tricky matter.  There are
many things to consider:

=over 4

=item Location

Should pod be inline (above every function), at the bottom of the
module, or in a distinct file?  The first is easier for the developers,
but the latter two are better for the pod maintainers.

=item Order

What order should the documentation be in?  Does it belong in the
order in which the functions are written, or ordered by another
principle, such as frequency of use or function type?  Again, the
first option is better for the developers, while the second two
are better for the user.

=item References

How should a function in another file be mentioned?  Should the
documentation simply say 'see the Other::Module manpage', or should it include
the relevant section?  Duplication means that the documentation
is more likely to be outdated, but it's bad for a user to have to
read numerous documents to simply find out what an inherited
method does.

=item Headers & Footers

What should be done with standard headers and footers?  Should they
be pasted in to every file, or can the main file be assumed to cover
the entire project?  

=back

Pod::Template offers a solution to these problems: documentation is
built up from templates. 

Assume that you have a module and a template as outlined in the
SYNOPOSIS.  Running this template through Pod::Template will result
in this documentation:

    =pod

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
