Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(Log/Trace.pm) perl(Pod/Usage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Pod-Xhtml
Version:        1.61
Release:        alt3_33
Summary:        Generate well-formed XHTML documents from POD format documentation
License:        GPLv2+
URL:            https://metacpan.org/release/Pod-Xhtml
Source0:        https://cpan.metacpan.org/authors/id/B/BB/BBC/Pod-Xhtml-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
# Getopt::Long not used at tests
BuildRequires:  perl(Pod/Parser.pm)
BuildRequires:  perl(Pod/ParseUtils.pm)
# Pod::Usage not used at tests
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(vars.pm)
# Tests:
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(Getopt/Std.pm)
BuildRequires:  perl(lib.pm)
# Log::Trace not used
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(Test/Assertions/TestScript.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
This module parses files containing POD content and generates well-formed
XHTML documents from it.

%prep
%setup -q -n Pod-Xhtml-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes COPYING README
%{perl_vendor_privlib}/*
%{_bindir}/pod2xhtml
%{_mandir}/man1/pod2xhtml.1*

%changelog
