%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Religion/Bible/Regex/Config.pm) perl(Storable.pm) perl(Test/Base.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.95
%define module_name Religion-Bible-Regex-Reference
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.95
Release: alt1
Summary: this Perl object represents a Biblical reference along with the functions that can be applied to it...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HO/HOLMLUND/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class is meant as a building block to enable people and publishing houses 
    to build tools for processing documents which contain Bible references.

    This is the main class for storing state information about a Bible reference and
    can be used to build scripts that perform a variety of useful operations.  
    For example, when preparing a Biblical commentary in electronic format a publishing 
    house can save a lot of time and manual labor by creating scripts that do 
    the following:

    =over 4

    =item * Automatically find and tag Bible references

    =item * Find invalid Bible references

    =item * Check that the abbreviations used are consistent throughout the entire book.

    =item * Create log files of biblical references that need to be reviewed by a person.

    =back

    This class is meant to be a very general-purpose so that any type of tool that needs to manipulate Bible references can use it.


    
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/R*

%changelog
