%define module_name Role-TinyCommons-Tree
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Array/Glob.pm) perl(Class/InsideOut.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Role/Tiny.pm) perl(Role/Tiny/With.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tree/Object/Array/Glob.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.127
Release: alt1
Summary: Roles related to object tree
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Role-TinyCommons-Tree

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides several roles you can use to create a tree class. The
roles are designed for maximum reusability and minimum clashes with your
existing class.

To create a tree class, all you need to do is apply the
the Role::TinyCommons::Tree::Node manpage role:

 use Role::Tiny::With;
 with 'Role::TinyCommons::Tree::Node';

The Tree::Node common role just requires you to have two methods: `parent'
(which should return parent node object) and `children' (which should return a
list or arrayref of children node objects).

Utility methods such as `descendants', `walk', `is_first_child' and so on are
separated to the Role::TinyCommons::Tree::NodeMethods manpage which you can apply if you
want.

The actual methods in Role::TinyCommons::Tree::NodeMethods are actually
implemented in the Code::Includable::Tree::NodeMethods manpage, so you can import them to
your class manually or just call the routines as a normal function call if you
do not want to involve the Role::Tiny manpage. See an example of this usage in
the Data::CSel manpage.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/T*
%perl_vendor_privlib/C*
%perl_vendor_privlib/R*

%changelog
