%add_findreq_skiplist %perl_vendor_privlib/SDL/Tutorial/3DWorld*
%add_findreq_skiplist %_bindir/*
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(IO/File.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(OpenGL.pm) perl(OpenGL/List.pm) perl(Params/Util.pm) perl(Parse/CPAN/Meta.pm) perl(SDL/Constants.pm) perl(SDL/Event.pm) perl(SDL/Image.pm) perl(SDL/Mouse.pm) perl(SDL/PixelFormat.pm) perl(SDL/SMPEG.pm) perl(SDL/Surface.pm) perl(SDL/Video.pm) perl(SDLx/App.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Script.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(inc/Module/Install/DSL.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.33
%define module_name SDL-Tutorial-3DWorld
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.33
Release: alt1
Summary: Create a 3D world from scratch with SDL and OpenGL
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This tutorial is intended to demonstrate the creation of a trivial but
relatively usable "3D Game Engine".

The demonstration code provided implements the four main elements of a
basic three-dimensional game world.

=over

=item *

A static landscape in which events will occur.

=item *

A light source to illuminate the world.

=item *

A collection of N objects which move around independantly inside the
world.

=item *

A user-controlled mobile camera through which the world is viewed

=back

Each element of the game world is encapsulated inside a standalone class.

This lets you see which parts of the Open GL operations are used to work
with each element of the game world, and provides a starting point from
which you can start to make your own simple game-specific engines.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir
#xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/S*
%perl_vendor_privlib/auto/share/dist/SDL-Tutorial-3DWorld

%files scripts
%_bindir/*

%changelog
