# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define module_version 0.2
%define module_name SQL-Steno
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2
Release: alt1
Summary: Short hand for SQL and compact output
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PF/PFEIFFER/%{module_name}-%{module_version}.tgz
BuildArch: noarch

%description
You're the command-line type, but are tired of typing `select * from TABLE
where CONDITION', always forgetting the final `;'?  Output always seems far
too wide and at least mysql cli messes up the format when it includes
newlines?

This module consists of the function `convert' which implements a
configurable ultra-compact language that maps to SQL.  Then there is `run'
which performs normal SQL queries but has various tricks for narrowing the
output.  It can also grep on whole rows, rather than having to list all fields
that you expect to match.  They get combined by the function `shell' which
converts and runs in an endless loop.

This is work in progress, only recently isolated from a monolithic script.
Language elements and API may change as the need arises, e.g. `:macro' used
to be `@macro', till the day I wanted to use an SQL-variable and noticed the
collision.  In this early stage, you are more than welcome to propose
ammendments, especially if they make the language more powerful and/or more
consistent.  Defaults are for MariaDB/MySQL, though the mechanism also works
with other DBs.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README
%perl_vendor_privlib/S*

%changelog
