%define module_name SVG-Sparkline
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(Pod/Usage.pm) perl(SVG.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.12
Release: alt1
Summary: Create Sparklines in SVG
Group: Development/Perl
License: perl
URL: http://wiki.github.com/gwadej/svg-sparkline

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GW/GWADEJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
In the book *Beautiful Evidence*, Edward Tufte describes sparklines as.*small, high-resolution, graphics embedded in a context of words, numbers, images*. 

This module provides a relatively easy interface for creating different
kinds of sparklines. This class is not intended to be used to build large,
complex graphs (there are other modules much more suited to that job). The
focus here is on the kinds of data well-suited to the sparklines concept.

See the SVG::Sparkline::Manual manpage for the full usage documentation for the module.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
