# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(SVN/Access.pm) perl(SVN/Notify.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name SVN-Notify-Filter-AuthZMail
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Determines Subversion accounts to receive the email, via the AuthZSVNAccess file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BO/BORLIK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a filter for SVN::Notify, intended to assist with the maintenance of
access control lists with Subversion repositories.  This module removes the need to
maintain a separate list of people to send email notification messages to (via
svnnotify --to arguments), from the AuthZSVNAccessFile.

Based upon the Subversion revision, it finds the files that were modified in the
commit, determines the union of people that access to those files (via the AuthZ
file), and passes those account names into the SVN::Notify.  Hopefully, this module
follows Subversion's rules for determining access.

This module works well with SVN::Notify::Filter::EmailFlatFileDB.  If this filter
is put first in the svnnotify argument list, it will add to the usernames to
SVN::Notify's list of recipient names, and then the EmailFlatFileDB filter will
convert those usernames into email addresses.

(Note that for SVN::Notify versions less than 2.76, you may need to include a
--to option line in order to bypass some of SVN::Notify's checking.)



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
