# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(IPC/Open2.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Path/Class/File.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.00001
%define module_name Script-Remote
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00001
Release: alt1
Summary: Exceute Your Scripts Over SSH (And Pass Data Along)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a stupid little hack that makes running scripts remotely a *bit*
easier. 

Please note that this is full of potential security gotchas.
We generate code on the fly. This is bad. We're basically doing a 
remote eval(), which is just bad bad bad. DO NOT USE THIS MODULE 
if you expect people with no or minimal knowledge about how this kind of
distributed system hacks work. 

Having said that, for tests, this could be handy. All you need is a 
ssh-enabled set of machines (you probably want public key auth, too),
and two scripts: the script you want to run remotely, and a script that will
drive those script(s).

To run a single script on a single remote machine, simply say:

  use Script::Remote;

  Script::Remote->new(
    script => 'foo.pl',
    hostname => 'my.host.name'
  )->run();

If you want to run the same script on multiple hosts, you need to tell
Script::Remote to not block on wait(), so you need to use the no_wait
parameter:

  my $script = 'foo.pl';
  my @scripts;
  my $data = ...; # some shared data
  foreach my $host (@hosts) {
    my $remote = Script::Remote->new(
      script => $script,
      hostname => $host,
      no_wait => 1,
    );
    $remote->run(data => $data);
    push @scripts, $remote;
  }

  $_->wait_child for @scripts;


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/S*

%changelog
