# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Statistics-Table-F
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Perl module for computing the statistical F-ratio
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JO/JONO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
See Orwant, Hietaniemi, and Macdonald, *Mastering Algorithms in
Perl*, O'Reilly 1999.  From Chapter 15:

The significance tests covered so far can only pit one group against
another.  Sure, we could do a t-test of every possible pair of web
design firms, but we'd have trouble integrating the results.

An analysis of variance, or ANOVA, is necessary when you need to
consider not just the variance of one data set but the variance
between data sets.  The sign, ChiSquare, and t-tests all involved
computing intrasample descriptive statistics; we'd speak of the means
and variances of individual samples.  Now we can jump up a level of
abstraction and start thinking of entire data sets as elements in a
larger data set -- a data set of data sets.

For our test of web designs, our null hypothesis is that the design
has no effect on the size of the average sale.  Our alternative is
simply that some design is different from the rest.  This isn't a very
strong statement; we'd like a little matrix that show us how each
design compares to one another and to no design at all.
Unfortunately, ANOVA can't do that.

The key to the particular analysis of variance we'll study here, a
one-way ANOVA, is computing the F-ratio.  The F-ratio is defined as
the mean square between (the variance between the means of each data
set) divided by the mean square within (the mean of the variance
estimates).  This is the most complex significance test we've seen so
far.  Here's a Perl program that computes the analysis of variance for
all four designs.  Note that since ANOVA is ideal for multiple data
sets with varying numbers of elements, we choose a data structure to
reflect that: $designs, a list of lists.


%prep
%setup -n Statistics
# depth is > 1 .. moving up
pushd "Table/F"
  mv -f * ../../
  mv -f .* ../../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/S*
%perl_vendor_privlib/auto/*

%changelog
