Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/Interface/Simple.pm) perl(NetAddr/IP.pm) perl(Pod/Usage.pm) perl-podlators
# END SourceDeps(oneline)
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Automatically generated by perl-Sys-Virt-TCK.spec.PL

%define appname Sys-Virt-TCK

Summary: Sys::Virt::TCK - libvirt Technology Compatibility Kit
Name: perl-%{appname}
Version: 1.1.0
Release: alt2_9
License: GPLv2
Source: http://libvirt.org/sources/tck/%{appname}-v%{version}.tar.gz
Url: http://libvirt.org/
Requires: libvirt >= 4.4.0
%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires: perl-devel
BuildRequires: rpm-build-perl
%endif
BuildRequires: perl(accessors.pm)
BuildRequires: perl(App/Prove.pm)
BuildRequires: perl(Config/Record.pm)
BuildRequires: perl(Cwd.pm)
BuildRequires: perl(File/Spec/Functions.pm)
BuildRequires: perl(File/Copy.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(File/Slurp.pm)
BuildRequires: perl(LWP/UserAgent.pm)
BuildRequires: perl(IO/String.pm)
BuildRequires: perl(IO/Uncompress/Gunzip.pm)
BuildRequires: perl(IO/Uncompress/Bunzip2.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(TAP/Formatter/HTML.pm)
BuildRequires: perl(TAP/Formatter/JUnit.pm)
BuildRequires: perl(TAP/Harness.pm)
BuildRequires: perl(TAP/Harness/Archive.pm)
BuildRequires: perl(Test/Builder.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Sub/Uplevel.pm)
BuildRequires: perl(Sys/Virt.pm)
BuildRequires: perl(XML/Twig.pm)
BuildRequires: perl(XML/Writer.pm)
BuildRequires: perl(XML/XPath.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
# RPM autoprovides misses these 3
Requires: perl(Test/Exception.pm)
Requires: perl(TAP/Formatter/HTML.pm)
Requires: perl(TAP/Formatter/JUnit.pm)
Requires: perl(TAP/Harness/Archive.pm)
Requires: perl(Net/OpenSSH.pm)
Requires: perl(IO/Pty.pm)
Requires: libguestfs-tools
Requires: /usr/bin/mkisofs
# Want to force this minimal version, so don't rely on RPM autoprov
Requires: perl(Sys/Virt.pm) >= 0.2.1
BuildArchitectures: noarch
Source44: import.info

%description
Sys::Virt::TCK provides an integration test suite for validating
correct operation of libvirt drivers with underlying virtualization
technology.

%prep
%setup -q -n %{appname}-v%{version}


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0 \
  --install_path conf=%{_sysconfdir}/libvirt-tck \
  --install_path pkgdata=%{_datadir}/libvirt-tck/tests

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

install -m 0755 -d $RPM_BUILD_ROOT%{_localstatedir}/cache/libvirt-tck

%files
%doc --no-dereference LICENSE
%doc README Changes
%dir %{_sysconfdir}/libvirt-tck
%config(noreplace) %{_sysconfdir}/libvirt-tck/default.cfg
%{_bindir}/libvirt-tck
%dir %{_datadir}/libvirt-tck
%{_datadir}/libvirt-tck/*
%{_mandir}/man1/*
%{perl_vendor_privlib}/Sys/Virt/TCK.pm
%{perl_vendor_privlib}/Sys/Virt/TCK/
%dir %{_localstatedir}/cache/libvirt-tck

%changelog
