Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-podlators
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This file is licensed under the terms of GNU GPLv2+.

# Perform optinoal tests
%bcond_without perl_Task_Perl_Critic_enables_optional_test

Name:           perl-Task-Perl-Critic
Version:        1.008
Release:        alt2_27
Summary:        Install everything Perl::Critic
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Task-Perl-Critic
Source0:        https://cpan.metacpan.org/authors/id/T/TH/THALJEF/Task-Perl-Critic-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Other requires from META.yml are not needed at build and check time. There
# is no code, no provided modules. Do not BuildRequire them.
# Tests only:
BuildRequires:  perl(Test/More.pm)
%if %{with perl_Task_Perl_Critic_enables_optional_test}
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
%endif
Requires:       perl(criticism.pm) >= 1.020
Requires:       perl(Perl/Critic.pm) >= 1.117
Requires:       perl(Perl/Critic/Bangs.pm) >= 1.0
Requires:       perl(Perl/Critic/Compatibility.pm) >= 1.0
Requires:       perl(Perl/Critic/Dynamic.pm) >= 0.050
Requires:       perl(Perl/Critic/Itch.pm)
Requires:       perl(Perl/Critic/Lax.pm) >= 0.007
Requires:       perl(Perl/Critic/Moose.pm)
Requires:       perl(Perl/Critic/More.pm) >= 1.0
Requires:       perl(Perl/Critic/Nits.pm) >= 1.0
Requires:       perl(Perl/Critic/PetPeeves/JTRAMMELL.pm) >= 0.010
Requires:       perl(Perl/Critic/Pulp.pm) >= 3
Requires:       perl(Perl/Critic/Storable.pm)
Requires:       perl(Perl/Critic/StricterSubs.pm) >= 0.030
# Perl::Critic::Swift: 1.000003 is decimal notion for 1.0.3 version
Requires:       perl(Perl/Critic/Swift.pm) >= 1.0.3
Requires:       perl(Perl/Critic/Tics.pm) >= 0.005
Requires:       perl(Test/Perl/Critic.pm) >= 1.020
Requires:       perl(Test/Perl/Critic/Progressive.pm) >= 0.030
Source44: import.info

%description
This module does nothing but act as a placeholder. See Task.

%prep
%setup -q -n Task-Perl-Critic-%{version}

%build
perl Makefile.PL installdirs=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
