# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Adapter/Builder.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Find/Rule.pm) perl(File/Find/Rule/VCS.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Params/Util.pm) perl(Template.pm) perl(Template/Provider.pm) perl(Test/More.pm) perl(Test/SubCalls.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Template-Provider-Preload
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Preload templates to save memory when forking
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
One of the nicer things that the Template Toolkit modules do in the default
the Template::Provider manpage is provide two powerful caching features.

The first is to cache the result of the slow and expensive compilation
phase, storing the Perl version of the template in a specific cache
directory. This mechanism is disabled by default, and enabled with
the `COMPILE_DIR' parameter.

The second is that the compiled templates will be cached in memory the
first time they are used, based on template path. This feature is enabled
by default and permitted to grow to infinite size. It can be limited or
disabled via the `CACHE_SIZE' param.

The default cache strategy works just fine in a single-process application,
and in fact in many such cases is the optimum caching strategy.

However, the default cache strategy can perform horribly in several
situations relating to large-scale and high-demand applications.

Template::Provider::Preload can be used to create caching strategies
that are more appropriate for heavily forking applications such as
clustered high-traffic mod_perl systems.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/T*

%changelog
