Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Able-Runner
Version:        1.002
Release:        alt2_21
Summary:        Use Test::Able without a bunch of boilerplate
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Able-Runner
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HANENKAMP/Test-Able-Runner-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Exporter.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(Moose/Util/MetaRole.pm)
BuildRequires:  perl(Test/Able.pm)
# Tests only:
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/Able/Role.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Simple.pm)
Requires:       perl(Class/Load.pm) >= 0.200
Requires:       perl(Module/Pluggable.pm) >= 3.600
Requires:       perl(Moose.pm) >= 0.940
Requires:       perl(Test/Able.pm) >= 0.090

# Do not export underspecified dependencies

Source44: import.info
%filter_from_requires /^perl(\(Module.Pluggable\|Moose\|Test.Able\|Class.Load\)\\)\\s*$/d

%description
I like Test::Able. I really don't like having to copy my boilerplate test
runner and modify it when I use it in a new project. This provides a basic
test runner for your testable tests that takes care of the basics for you.
You can extend it a bit to customize things if you like as well. Let me
know if you want this to do something else.

%prep
%setup -q -n Test-Able-Runner-%{version}
# Remove stray files, CPAN RT#92579
rm lib/Test/Able/Runner/Role/Meta/Class.pm.{orig,rej}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
