Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(FFI/Platypus.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Alien
Version:        0.15
Release:        alt1_12
Summary:        Testing tools for Alien modules
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Alien
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Test-Alien-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Capture/Tiny.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Env.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(ExtUtils/ParseXS.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(File/Which.pm)
BuildRequires:  perl(if.pm)
# Test2::API version from Test2 in META
BuildRequires:  perl(Test2/API.pm)
BuildRequires:  perl(Test2/Require.pm)
BuildRequires:  perl(Text/ParseWords.pm)
# Optional run-time:
# FFI::Platypus not yet packaged
# Tests:
# Test2::Bundle::Extended version from Test2::Suite in META
BuildRequires:  perl(Test2/Bundle/Extended.pm)
BuildRequires:  perl(Test2/Require/Module.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
# Acme::Alien::DontPanic 0.026 not yet packaged
# Alien::Base 0.023 not yet packaged
# Alien::Libarchive 0.26 not yet packaged
Requires:       perl(Config.pm)
Requires:       perl(ExtUtils/CBuilder.pm)
Requires:       perl(ExtUtils/ParseXS.pm) >= 3.210
# Test2::API version from Test2 in META
Requires:       perl(Test2/API.pm) >= 1.302.015
Requires:       perl(Text/ParseWords.pm) >= 3.260
# Optional run-time:
# FFI::Platypus not yet packaged

# Remove under-specified depenedncies

Source44: import.info
%filter_from_requires /^perl(\(Test2.API\|Text.ParseWords\).pm)/d

%description
This package provides tools for testing Alien Perl modules. It has hooks to
work easily with Alien::Base based modules, but can also be used via the
synthetic interface to test non Alien::Base based Alien modules.

%prep
%setup -q -n Test-Alien-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
