%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(GD/Simple.pm) perl(MIME/Entity.pm) perl(Module/Build.pm) perl(Params/Validate.pm) perl(Perl6/Slurp.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Test/CheckChanges.pm) perl(Test/CheckManifest.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Prereq/Build.pm) perl(Test/Spelling.pm) perl(Text/Lorem.pm) perl(UNIVERSAL/require.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_version v0.0.3
%define module_name Test-CGI-Multipart
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: Test posting of multi-part form data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SI/SILASMONK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
It is quite difficult to write test code to capture the behaviour 
of CGI or similar objects handling forms that include a file upload.
Such code needs to harvest the parameters, build file content in MIME
format, set the environment variables accordingly and pump it into the 
the standard input of the required CGI object. This module provides
simple methods so that having prepared suitable content, the test script
can simulate the submission of web forms including file uploads.

However we also recognise that a test script is not always the best place
to prepare content. Rather a test script would rather specify requirements
for a file a upload: type, size, mismatches between the file name and its
contents and so on. This module cannot hope to provide such open ended
functionality but it can provide extension mechanisms.

This module works with the CGI manpage (the default), the CGI::Minimal manpage and 
the CGI::Simple manpage. In principle it ought to work with all equivalent modules
however each module has a slightly different interface when it comes
to file uploads and so requires slightly different test code.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
