Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-CheckManifest
Version:        1.42
Release:        alt2_8
Summary:        Check if your Manifest matches your distro
License:        Artistic 2.0
URL:            https://metacpan.org/release/Test-CheckManifest
Source0:        https://cpan.metacpan.org/authors/id/R/RE/RENEEB/Test-CheckManifest-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{__perl}

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)

BuildRequires:  perl(CPAN/Meta/YAML.pm)
BuildRequires:  perl(Pod/Coverage/TrustPod.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info


%description
This package checks whether the Manifest file matches the distro or not. To
match a distro the Manifest has to name all files that come along with the
distribution.

%prep
# Unpackage tarball in a subdirectory, otherwise the testsuite will fail.
%setup -q -c -n %{name}-%{version}
%setup -q -T -D -n %{name}-%{version} -a0

%if "%{version}" == "1.42"
cd Test-CheckManifest-%{version}
# Bogus deps
sed -i -e '/Data::Dumper/d' META.json META.yml Makefile.PL
cd ..
%endif

%build
cd Test-CheckManifest-%{version}
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}
cd ..

%install
cd Test-CheckManifest-%{version}
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*
cd ..

%check
cd Test-CheckManifest-%{version}
%{__make} test
cd ..

%files
%doc Test-CheckManifest-%{version}/Changes Test-CheckManifest-%{version}/README
%doc --no-dereference Test-CheckManifest-%{version}/LICENSE
%{perl_vendor_privlib}/*

%changelog
