%define module_name Test-Conditions
# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/Util.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.83
Release: alt1
Summary: test multiple conditions across a large data structure or list in a simple and compact way
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MM/MMCCLENN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The purpose of this module is to facilitate testing complex data structures such as trees, lists
of hashes, results of database queries, etc. You may want to run certain tests on each node or
row, and report the results in a compact way.  You might, for example, wish to test a list or
other structure with 1,000 nodes and report the result as a single test rather than multiple
thousands of individual tests. This module provides a far more flexible approach than the
`is_deeply' method of the Test::More manpage.

An object of class Test::Conditions can keep track of any number of conditions, and reports a
single event when its `ok_all' method is called. Under the most common usage, the test fails if
one or more conditions are flagged, and succeeds if none are.  Each condition which has been flagged
is reported as a separate diagnostic message.  Futhermore, if the nodes or other pieces of the
data structure have unique identifiers, you can easily arrange for Test::Conditions to report the
identifier of one of the failing nodes to help you in diagnosing the problem.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
