Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Test-Pod-No404s
Version:        0.02
Release:        alt2_27
Summary:        Checks POD for HTTP 404 links
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Pod-No404s
Source0:        https://cpan.metacpan.org/authors/id/A/AP/APOCAL/Test-Pod-No404s-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
# ExtUtils::MakeMaker not needed
BuildRequires:  perl(Module/Build/Tiny.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-Time:
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Pod/Simple/Text.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(URI/Find.pm)
# Tests:
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
# Break build-time cycle with perl-Test-Apocalypse
%if %{undefined perl_bootstrap}

# Disable using of Test::Apocalypse, because it cannot be built with Perl 5.22
# due to failing perl-Test-Vars
%if ! 0%(perl -e 'print $] >= 5.022')
BuildRequires:  perl(Test/Apocalypse.pm)
%endif
%endif
# Inject correct provide, bug #1160263
Provides:       perl(Test/Pod/No404s.pm) = %{version}

# Filter bogus provide, bug #1160263

Source44: import.info
%filter_from_provides /^perl(Test.Pod.No404s\\) = 404$/d

%description
This module looks for any HTTP(S) links in your POD and verifies that they
will not return a 404. It uses LWP::UserAgent for the heavy lifting, and
simply lets you know if it failed to retrieve the document. More specifically,
it uses $response->is_error as the "test".

%prep
%setup -q -n Test-Pod-No404s-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install "--destdir=$RPM_BUILD_ROOT" --create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc AUTHOR_PLEDGE Changes CommitLog examples LICENSE README
%{perl_vendor_privlib}/*

%changelog
