%define module_version 1.1.4
%define module_name Text-AutoCSV
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Struct.pm) perl(DateTime.pm) perl(DateTime/Format/Epoch/JD.pm) perl(DateTime/Format/Strptime.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/BOM.pm) perl(Hash/Util.pm) perl(List/MoreUtils.pm) perl(POSIX.pm) perl(Params/Validate.pm) perl(Text/CSV.pm) perl(Time/Local.pm) perl(Unicode/Normalize.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.4
Release: alt1
Summary: helper module to automate the use of Text::CSV
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MILLETSEB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
By default, Text::AutoCSV will detect the following characteristics of the input:

- The separator, among ",", ";" and "\t" (tab)

- The escape character, among '"' (double-quote) and '\\' (backslash)

- Try UTF-8 and if it fails, fall back on latin1

- Read the header line and compute field names

- If asked to (see the fields_dates_auto entry elsewhere in this document), detect any field that contains a datetime value, trying
20 date formats, possibly followed by a time (6 time formats tested)

- If asked to (see the fields_dates entry elsewhere in this document), detect datetime format of certain fields, croak if no datetime
format can be worked out

- Fields identified as containing a datetime value (the fields_dates_auto entry elsewhere in this document or the fields_dates entry elsewhere in this document) are
stored as DateTime objects by default

Text::AutoCSV also provides methods to search on fields (using cached hash tables) and it can
populate the value of "remote" fields, made from joining 2 CSV files with a key-value search

_use Text::AutoCSV;

_Text::AutoCSV->new()->write();    # Read CSV data from std input, write to std output

_Text::AutoCSV->new(in_file => 'f.csv')->write(); # Read CSV data from f.csv, write to std output

__# Read CSV data from f.csv, write to g.csv
_Text::AutoCSV->new(in_file => 'f.csv', out_file => 'g.csv')->write();

_my $csv = Text::AutoCSV->new(in_file => 'zips.csv');
__# Get zipcode of Claix
_my $z = $csv->vlookup('CITY', ' claix    ', 'ZIPCODE');
__# Same as above, but vlookup is strict for case and spaces around
_my $csv = Text::AutoCSV->new(in_file => 'zips.csv', search_case => 1, search_trim => 0);
_my $z = $csv->vlookup('CITY', 'Claix', 'ZIPCODE');

__# Identify column internal names with more flexibility as the default mechanism
_my $csv = Text::AutoCSV->new(in_file => 'zips.csv',
__fields_hr => {'CITY' => '^(city|town)', 'ZIPCODE' => '^zip(code)?$'});
__# Get zipcode of Claix
_my $z = $csv->vlookup('CITY', ' claix    ', 'ZIPCODE');

__# Create field 'MYCIT...
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README Changes LICENSE
%perl_vendor_privlib/T*

%changelog
