%define module_name Text-MiniTmpl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(Export/Attrs.pm) perl(Filter/CommaEquals.pm) perl(HTML/Entities.pm) perl(JSON/XS.pm) perl(Module/Build/Tiny.pm) perl(Path/Tiny.pm) perl(Test/Exception.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(URI/Escape.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.1
Release: alt1
Summary: Compile and render templates
Group: Development/Perl
License: mit
URL: https://github.com/powerman/perl-Text-MiniTmpl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POWERMAN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Compile templates with embedded perl code into anonymous subroutines..These subroutines can be (optionally) cached, and executed to render these
templates with (optional) parameters.

Perl code in templates will be executed with:

    package PACKAGE_WHERE_render_OR_tmpl2code_WAS_CALLED;
    use warnings;
    use strict;

Recursion in templates is supported (you can call render() or tmpl2code()
inside template to "include" another template inside current one).
Path name to included template can be set in several ways:

=over

=item *

path relative to current template's directory: ` 'file', 'dir/file', '../file' '

=item *

path relative to current working directory (where your script executed):
` './file', './dir/file' '

=item *

absolute path: ` '/dir/file' '

=back

When you render top-level template (i.e. call render() from your script,
not inside some template) paths ` 'file' ' and ` './file' ', ` 'dir/file' '
and ` './dir/file' ' are same.

Correctly report compile errors in templates, with template name and line
number.


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/T*

%changelog
