Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Timer/Simple.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Text-VimColor
Version:        0.29
Release:        alt2_9
Summary:        Syntax color text in HTML or XML using Vim
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Text-VimColor
Source0:        https://cpan.metacpan.org/authors/id/R/RW/RWSTAUNER/Text-VimColor-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/ShareDir/Install.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(Symbol.pm)
BuildRequires:  perl(Term/ANSIColor.pm)
# Tests
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(Test/File/ShareDir/Dist.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  vim-common vimtutor
# Optional tests
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Tie/StdHandle.pm)
BuildRequires:  perl(XML/Parser.pm)
Requires:       perl(Path/Class.pm) >= 0.040
Requires:       perl(Term/ANSIColor.pm) >= 1.030
Requires:       vim-common vimtutor


Source44: import.info
%filter_from_requires /^perl(Path.Class.pm)/d

%description
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colorful source code samples.
It can produce output in various formats. text-vimcolor is a command line
interface to the Perl module Text::VimColor:
  text-vimcolor --format html --filetype prolog foo.pl > foo.html

%prep
%setup -q -n Text-VimColor-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{_bindir}/text-vimcolor
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
