%define module_name Tickit
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Module/Build/Using/PkgConfig.pm) perl(Struct/Dumb.pm) perl(Test/Builder/Tester.pm) perl(Test/Fatal.pm) perl(Test/HexString.pm) perl(Test/Identity.pm) perl(Test/More.pm) perl(Test/Refcount.pm) pkgconfig(termkey) unibilium-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.66
Release: alt3
Summary: Terminal Interface Construction KIT
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
`Tickit' is a high-level toolkit for creating full-screen terminal-based
interactive programs. It allows programs to be written in an abstracted way,
working with a tree of widget objects, to represent the layout of the
interface and implement its behaviours.

Its supported terminal features includes a rich set of rendering attributes
(bold, underline, italic, 256-colours, etc), support for mouse including wheel
and position events above the 224th column and arbitrary modified key input
via libtermkey (all of these will require a supporting terminal as well).
It also supports having multiple instances and non-blocking or asynchronous
control.

At the current version, this is a Perl distribution which contains and XS and
C implementation of the lower levels (the Tickit::Term manpage and the Tickit::Pen manpage), and
implements the higher levels (the Tickit::Window manpage and the Tickit::Widget manpage) in pure
perl. The XS parts are supported by libtickit, either from the installed
library, or using a bundled copy compiled at build time. It is intended that
eventually the Window layer will be rewritten in XS and C instead.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
