Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Time-OlsonTZ-Download
Version:        0.009
Release:        alt2_11
Summary:        Olson time zone database from source
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Time-OlsonTZ-Download
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/Time-OlsonTZ-Download-%{version}.tar.gz
# Use GnuPG2 instead of GnuPG1, CPAN RT#124132
Patch0:         Time-OlsonTZ-Download-0.008-Use-gpgv2-from-GnuPG-2.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
# coreutils for cp, sha512sum, not used at tests
# gnupg2 for gpgv2, not used at tests
# gzip for gunzip, not used at tests
# lzip not used at tests
# make not used at tests
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/Dir.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(IPC/Filter.pm)
BuildRequires:  perl(Net/FTP.pm)
BuildRequires:  perl(Params/Classify.pm)
BuildRequires:  perl(utf8.pm)
# tar not used at tests
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
# coreutils for cp, sha512sum
Requires:       coreutils
# gnupg2 for gpgv2
Requires:       gnupg gnupg2
# gzip for gunzip
Requires:       gzip gzip-utils
Requires:       lzip
Requires:       make
Requires:       tar


Source44: import.info

%description
An object of this Perl class represents a local copy of the source of the
Olson time zone database, possibly used to build binary tzfiles. The source
copy always begins by being downloaded from the canonical repository of the
Olson database. This class provides methods to help with extracting useful
information from the source.

%prep
%setup -q -n Time-OlsonTZ-Download-%{version}
%patch0 -p1

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
