Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Time-y2038
Version:	20100403
Release:	alt10_26
Summary:	Versions of Perl's time functions which work beyond 2038
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Time-y2038
Source0:	https://cpan.metacpan.org/modules/by-module/Time/Time-y2038-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	perl(Config.pm)
BuildRequires:	perl(ExtUtils/CBuilder.pm)
BuildRequires:	perl(JSON.pm)
BuildRequires:	perl(lib.pm)
BuildRequires:	perl(Module/Build.pm)
# Module Runtime
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(warnings.pm)
BuildRequires:	perl(XSLoader.pm)
# Test Suite
BuildRequires:	perl(Test/Exception.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Warn.pm)
# Dependencies

# Don't "provide" private Perl libs

Source44: import.info

%description
On many computers, Perl's time functions will not work past the year 2038.
This is a design fault in the underlying C libraries Perl uses. Time::y2038
provides replacements for those functions, which will work accurately
+/1 142 million years.

%prep
%setup -q -n Time-y2038-%{version}

%build
perl Build.PL --installdirs=vendor --optimize="%{optflags}"
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -delete
# %{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc Changes
%{perl_vendor_archlib}/auto/Time/
%{perl_vendor_archlib}/Time/

%changelog
