# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Tk-Action
%define upstream_version 1.093390

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_10

Summary:    Action abstraction for tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(MooseX/Has/Sugar.pm)
BuildRequires: perl(MooseX/SemiAffordanceAccessor.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Tk/Sugar.pm)

BuildArch: noarch
Source44: import.info


%description
Menu entries are often also available in toolbars or other widgets. And
sometimes, we want to enable or disable a given action, and this means
having to update everywhere this action is allowed.

This module helps managing actions in a the Tk manpage GUI: just create a
new object, associate some widgets and bindings with 'add_widget()' and
then de/activate the whole action at once with 'enable()' or 'disable()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE README META.yml
%perl_vendor_privlib/*


%changelog
