Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Fcntl.pm) perl(GraphViz.pm) perl(IO.pm) perl(IPC/Open3.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Tk-GraphViz
Version:        1.01
Release:        alt1_30
Summary:        Render an interactive GraphViz graph
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tk-GraphViz
Source0:        https://cpan.metacpan.org/authors/id/J/JG/JGS/Tk/GraphViz/Tk-GraphViz-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Reaper.pm)
BuildRequires:  perl(Tk.pm)
Requires:       perl(Reaper.pm) >= 1
Requires:       perl(Tk.pm) >= 800.020
Provides:       bundled(perl-Parse-Yapp) = 1.05

# Do not provide private bundled Parse::Yapp::Driver module

Source44: import.info
%filter_from_provides /^perl(Parse.Yapp.Driver.pm)/d

%description
The GraphViz widget is derived from Tk::Canvas. It adds the ability to
render graphs in the canvas. The graphs can be specified either using the
DOT graph-description language, or using via a GraphViz object.

%prep
%setup -q -n Tk-GraphViz-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
# Test can't be run w/o x11, run them at least
# when developing the package until a mockup/Xvfb is provided
if [ "$DISPLAY" ]
then
        make test
fi


%files
%doc Changes parseRecordLabel.yp README
%{perl_vendor_privlib}/*


%changelog
