# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Spec/Functions.pm) perl(Mojo/Base.pm) perl(Mojo/Loader.pm) perl(Mojo/Path.pm) perl(Test/Mojo.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Toadfarm-Plugin-Letsencrypt
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Toadfarm Plugin to handle letsencrypt.org
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SADAMS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Toadfarm::Plugin::Letsencrypt manpage is a the Toadfarm manpage plugin that will generate
routes for providing responses for letsencrypt.org domain verification.

  Config options
  challenges -> /path/to/challenges/root (/tmp/letsencrypt/public_html)
  route -> /path/to/route/called/by/letsencrypt (/.well-known/acme-challenges)

In your Toadfarm script, make sure you mount your apps with a User-Agent
rejection (you should reject Github-Hookshot as well so you can use
Toadfarm::Plugin::Reload):

  mount '/var/mojo/myapp.pl' => {
    "User-Agent" => qr{^(?:(?!GitHub-Hookshot)(?!letsencrypt).)*$},
  };

Download letsencrypt.org
Run it with ./letsencrypt-auto certonly -a manual -d cn1.domain.tld -d ...
For each domain specified, letsenrypt will need to verify ownership and will
provide details for capturing the challenge / response:

  mkdir -p /tmp/letsencrypt/public_html/.well-known/acme-challenge
  cd /tmp/letsencrypt/public_html
  printf "%%s" 123 > .well-known/acme-challenge/abc

Simplist thing to do is copy and paste that.  Toadfarm::Plugin::Letsencrypt
will pick up the verification request from letsencrypt and provide the correct
challenge response in order to verify domain ownership.
%prep
%setup -q -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/T*

%changelog
