%define module_version 0.05
%define module_name URI-Find-UTF8
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(File/Path.pm) perl(Filter/Util/Call.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Test/Pod.pm) perl(Text/Diff.pm) perl(URI/Escape.pm) perl(URI/Find.pm) perl(URI/Find/Schemeless.pm) perl(URI/URL.pm) perl(YAML.pm) perl(base.pm) perl(overload.pm) perl(threads/shared.pm) perl(Test/Base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Finds URI from arbitrary text containing UTF8 raw characters in its path
Group: Development/Perl
License: perl
URL: https://github.com/miyagawa/URI-Find-UTF8

Source0: http://cpan.org.ua/authors/id/M/MI/MIYAGAWA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
URI::Find::UTF8 is an URI::Find extension to find URIs from arbitrary
chunk of text that has UTF8 raw characters in its path (instead of URI
escaped *%%XX%%XX%%XX* form).

This often happens when Safari users paste an URL to IM or IRC window,
because Safari displays decoded URL path in its location bar, such as:

  http://ja.wikipedia.org/wiki/.'..'I.'u.''.''.'a

This module tries to extract URLs like this (in addition to normal
URLs that URI::Find can find) and give you an encoded URL (URI object)
and the raw, unencoded string.

This module passes URI::Find's own test file (besides the old
`find_uris' call), so this can be used as a drop-in replacement for
the module.

Note that this module doesn't (yet) handle International Domain Names.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/U*

%changelog
