Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/CPAN/Meta.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-URI-Title
Version:        1.902
Release:        alt2_6
Summary:        Get the titles of things on the web in a sensible way
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/URI-Title
Source0:        https://cpan.metacpan.org/authors/id/B/BO/BOOK/URI-Title-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(File/Type.pm)
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(Image/Size.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(MP3/Info.pm)
BuildRequires:  perl(utf8.pm)
# Tests only
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(IPC/Open3.pm)
BuildRequires:  perl(lib.pm)
# Needed for Twitter in live tests
BuildRequires:  perl(LWP/Protocol/https.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Encode.pm)
Requires:       perl(File/Type.pm) >= 0.220
Requires:       perl(LWP/Protocol/https.pm)
Requires:       perl(Module/Pluggable.pm) >= 1.200



Source44: import.info
%filter_from_requires /^perl(File.Type.pm)/d
%filter_from_requires /^perl(Module.Pluggable.pm)/d

%description
I keep having to find the title of things on the web.  This seems like a really
simple request, just get() the object, parse for a title tag, you're done.
Ha, I wish.  There are several problems with this approach:

What if the resource is on a very slow server?  Do we wait forever or what?
What if the resource is a 900 gig file?  You don't want to download that.
What if the page title isn't in a title tag, but is buried in the HTML
somewhere?
What if the resource is an MP3 file, or a word document or something?
...

So, let's solve these issues once.

%prep
%setup -q -n URI-Title-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} %{buildroot}/*

%files
%doc --no-dereference LICENSE
%doc Changes README eg/title.pl
%{perl_vendor_privlib}/*

%changelog
