%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Unicode-Regex-Set
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Subtraction and Intersection of Character Sets in Unicode Regular Expressions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SADAHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl 5.8.0 misses subtraction and intersection of characters,
which is described in Unicode Regular Expressions (UTS #18).
This module provides a mimic syntax of character classes
including subtraction and intersection,
taking advantage of look-ahead assertions.

The syntax provided by this module is considerably incompatible
with the standard Perl's regex syntax.

Any whitespace character (that matches `/\s/') is allowed between any tokens.
Square brackets (`'['' and `']'') are used for grouping.
A literal whitespace and square brackets must be backslashed
(escaped with a backslash, `'\'').
You cannot put literal `']'' at the start of a group.

A POSIX-style character class like `[:alpha:]' is allowed
since its `'['' is not a literal.

SEPARATORS (`'&'' for intersection, `'|'' for union, and `'-''
for subtraction) should be enclosed with one or more whitespaces.
E.g. `[A&Z]' is a list of `'A'', `'&'', `'Z''.
`[A-Z]' is a character range from `'A'' to `'Z''.
`[A-Z - Z]' is a set by removal of `[Z]' from `[A-Z]'.

Union operator `'|'' may be omitted.
E.g. `[A-Z | a-z]' is equivalent to `[A-Z a-z]',
and also to `[A-Za-z]'.

Intersection operator `'&'' has high precedence,
so `[\p{A} \p{B} & \p{C} \p{D}]' is equivalent to
`[\p{A} | [\p{B} & \p{C}] | \p{D}]'.

Subtraction operator `'-'' has low precedence,
so `[\p{A} \p{B} - \p{C} \p{D}]' is equivalent to
`[[\p{A} | \p{B}] - [\p{C} | \p{D}] ]'.

`[\p{A} - \p{B} - \p{C}]' is a set
by removal of `\p{B}' and `\p{C}' from `\p{A}'.
It is equivalent to `[\p{A} - [\p{B} \p{C}]]' and `[\p{A} - \p{B} \p{C}]'.

Negation. when `'^'' just after a group-opening `'['',
i.e. when they are combined as `'[^'', all the tokens following are negated.
E.g. `[^A-Z a-z]' matches anything but neither `[A-Z]' nor `[a-z]'.
More clearly you can say this with grouping as `[^ [A-Z a-z]]'.

If `'^'' that is not next to `'['' is prefixed
to a sequence of literal characters, character ranges,
and/or metacharacters, such a `'^'' only negates that sequence;
e.g. `[A-Z ^\p{Latin}]' matches `A-...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/U*

%changelog
