%define module_name VolSurface-Calibration-Equities
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Utility.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Format/Util/Numbers.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Moose.pm) perl(Test/CheckDeps.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Warn.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: lib/VolSurface/Calibration/Equities.pm
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements Binary.com's volatility surface calibration algorithm which is based on SABR.
The SABR (Stochastic alpha, beta, rho) model is a stochastic volatility model, which is used to 
estimate the volatility smile in the derivatives market. For a more general overview of the general 
SABR model, please refer https://en.wikipedia.org/wiki/SABR_volatility_model.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README LICENSE Changes
%perl_vendor_privlib/V*

%changelog
