%def_without test
%define module_name WWW-Desk
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dancer.pm) perl(Data/Random.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IO/Socket/SSL.pm) perl(IPC/Open3.pm) perl(MIME/Base64.pm) perl(Mojo/Headers.pm) perl(Mojo/Path.pm) perl(Mojo/URL.pm) perl(Mojo/UserAgent.pm) perl(Mojolicious.pm) perl(Moose.pm) perl(Net/OAuth.pm) perl(Net/OAuth/Client.pm) perl(Test/CheckDeps.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Tie/Hash/LRU.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Desk.com perl API
Group: Development/Perl
License: perl
URL: https://github.com/binary-com/perl-WWW-Desk

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WWW::Desk will allow you make all API calls using HTTP or oAuth authentication

    use WWW::Desk;
    use WWW::Desk::Auth::HTTP;

    my $auth = WWW::Desk::Auth::HTTP->new(
        'username' => 'desk username',
        'password' => 'desk password'
    );
    my $desk = WWW::Desk->new(
        'desk_url'       => 'https://your.desk.com/',
        'authentication' => $auth,
    );
    my $response = $desk->call('/cases','GET', {'locale' => 'en_US'} );


NOTE: Checkout demo/oAuth_demo.pl for oauth demo application
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE README.md
%perl_vendor_privlib/W*

%changelog
