# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test/More.pm) perl(WWW/Sitebase.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name WWW-Tunecore
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Control your Tunecore account in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRANTG/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WWW::Tunecore provides methods that allow you to programatically
perform various functions in your Tunecore account, such as
withdraw funds and download your monthly sales reports.

    use WWW::Tunecore;

    my $tc = new WWW::Tunecore( $account, $password );

    # Get sales
    print "Getting sales report...\n";
    my $sales = $tc->download_sales or die $tc->error;

    my $filename = "/path/to/tunecore_sales.csv";

    open FH, '>', $filename or die "Can't write sales to $filename\n";

    print FH $sales;

    close FH;

    # Withdraw funds
    print "Withdrawing funds...\n";
    $tc->withdraw_funds or die $tc->error;



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/W*

%changelog
