Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/xvfb-run perl(MIME/Base64.pm) perl(Scalar/Util.pm) perl(overload.pm) perl-podlators
# END SourceDeps(oneline)
AutoReq: yes,noperl
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global use_x11_tests 1

Name:           perl-Wx-Perl-DataWalker
Version:        0.02
Release:        alt2_37
Summary:        Implement subclass that shows relatively simple structure
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Wx-Perl-DataWalker
Source0:        https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/Wx-Perl-DataWalker-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Class/XSAccessor.pm)
BuildRequires:  perl(Devel/Size.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Wx.pm)
BuildRequires:  perl(YAML/XS.pm)
BuildRequires:  perl(Test/More.pm)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-xvfb xvfb-run
BuildRequires:  xinit
BuildRequires:  fontlang(en)
%endif
Source44: import.info

%description
Wx::Perl::DataWalker implements a Wx::Frame subclass that shows a
relatively simple Perl data structure browser. After opening such a frame
and supplying it with a reference to an essentially arbitrary data
structure, you can visually browse it by double-clicking references.

%prep
%setup -q -n Wx-Perl-DataWalker-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a make test
%endif

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
