# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/TreeBuilder.pm) perl(IO/File.pm) perl(XML/Handler/YAWriter.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name XML-Driver-HTML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt2
Summary: SAX Driver for non wellformed HTML.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KR/KRAEHE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
XML::Driver::HTML is a SAX Driver for HTML. There is no need for the HTML
input to be weel formed, as XML::Driver::HTML is generating its SAX events
by walking a HTML::TreeBuilder object. The simplest kind of use, is a
filter from HTML to XHTML using XML::Handler::YAWriter as a SAX Handler.

    my $ya = new XML::Handler::YAWriter( 
	'Output' => new IO::File ( ">-" ),
	'Pretty' => {
	    'NoWhiteSpace'=>1,
	    'NoComments'=>1,
	    'AddHiddenNewline'=>1,
	    'AddHiddenAttrTab'=>1,
	    }
	);

    my $html = new XML::Driver::HTML(
	'Handler' => $ya,
	'Source' => { 'ByteStream' => new IO::File ( "<-" ) }
	);
    
    $html->parse();

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/X*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
