%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CGI.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IO/Scalar.pm) perl(LWP/Simple.pm) perl(Symbol.pm) perl(URI.pm) perl(XML/DOM.pm) perl(XML/Parser.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name XML-EP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A framework for embedding XML into a web server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JW/JWIED/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
XML::EP is an administrative framework for embedding XML into a
web server. That means that the system allows you to retrieve
XML documents from external storage (files, a Tamino database
engine, or whatever), parse them, pipe the parsed XML tree into
processors (modules, that change the tree, for example the DBI
processor will issue SQL queries and insert the result as XML
elements). Finally the XML tree will be piped into a so-called
formatter, that converts XML to HTML and prints the result.

The architecture is as follows:

__+---------------------+
__|   Control element   |
__+---------------------+
               /          |            \
              /           |             \
   +----------+ XML  +------------+ XML  +-----------+
   | Producer | ---> | Processors | ---> | Formatter |
   +----------+      +------------+      +-----------+

The control element, an instance of XML::EP::Control, will be
created first. Its purpose is the creation of the other
elements, the producer (an instance of XML::EP::Producer),
one or more processors (instances of XML::EP::Processor) and
finally a formatter (an instance of XML::EP::Formatter).
The producer, processors, formatters are selected based on
virtual host, location (file part of the URL being requested)
and in particular depending on the client. For example, an
HTML formatter will be selected, if the client seems to
request HTML, WML formatter will be created, if the client
appears to be WAP HANDY and so on.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc ChangeLog README examples
%perl_vendor_privlib/X*

%files scripts
%_bindir/*

%changelog
