%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(Time/Seconds.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm) perl(XML/Schema.pm) perl(XML/Schema/Type/Builtin.pm) perl(base.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define module_version 0.9
%define module_name XML-XForms-Validate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9
Release: alt1
Summary: Perl extension for validation of XForms submissions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JW/JWALT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module validates input data against an XML document containing one or more
XForms models. It is able to process all serializations except `multipart/related',
relying on pre-parsed data for `multipart/form-data' or `application/x-www-form-urlencoded'.

Usage is rather simple: Supply input data (usually a submitted XML instance), an XML
document containing one or more XForms models, and possibly some optional arguments.
The return value is a hash of validated (and possibly modified) result DOM trees, one
entry per original instance, or an error message string if validation failed.

Since XForms is a sufficient complex standard to make perfect validation of submission
data impossible in the general case, some assumptions must be made. Most forms should
work fine, but it is possible (and easy, if you know how) to create forms that yield
submissions which are rejected as invalid. Likewise, there are some constructions
which can allow invalid submissions to pass as valid. These limitations are documented
in the VALIDATION entry elsewhere in this document, so please read that section carefully.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/X*

%changelog
