# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DateTime.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Yahoo-Finance
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: 2020 Yahoo::Finance
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SP/SPAJAI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
(2020) Yahoo::Finance get the symbols historic data from yahoo

Perhaps a little code snippet.


    #oject oriented interface

    use Yahoo::Finance;

    my $fin = Yahoo::Finance->new();

        my $param = {
            symbol   => 'GAIL.BO',     
            period1  => '25-12-2015',  #optional default '01-01-1800'
            period2  => '25-12-2019',  #optional default 'todays date'
            interval => '1mo',         #optional default '1d'
            events   => 'split',       #optional default 'history'
            timeout  => '30',          #optional default '60'
        };

        print $fin->get_historic_data( $param );

                                or

        #only div for week interval
        my $param = {
            symbol   => 'GAIL.BO',
            interval => '1wk',
            events   => 'div',
        };

        print $fin->get_historic_data( $param );

                                or

        print $fin->get_historic_data({ 'symbol' => 'GAIL.BO' });



        #non-oject oriented interface

          use Yahoo::Finance;
          print get_historic_data( { 'symbol' => 'GOLD' } );

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/Y*

%changelog
