%define module_name Yote
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/RecordStore.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.0
Release: alt1
Summary: Code server side, use client side.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CANID/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The purpose of Yote to be able to develop rapidly, flexbily and 
fluidly. Yote stores a graph of interconnected container objects.
Each of these can be connected to any other, and each may have 
properties attached to them. No schema is needed to describe how
objects are connected or what properties they contain.

There is an organization to this object graph, however; all objects
that are 'live' can trace back to the root of the graph. This root
contains a collection of user logins and application objects. It 
provides methods for creating these login objects, which, since they are
Yote objects, can have arbitrary properties attached to them. The
application objects are singleton Yote objects are are accessed via 
the fetch_app_by_class method attached to the root.

I wrote Yote because I wanted to write object oriented applications,
particulally web applications and prototypes, in a ferenic ADHD style. I did
want want to have to set up schemas, and then make changes to them as the 
application changed.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README ChangeLog
%perl_vendor_privlib/Y*

%files scripts
%_bindir/*

%changelog
