%define module_name ZMQ-Raw
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libbsd-devel libcxxabi-devel libgnutls-devel libkrb5-devel libsowing-devel libunwind-devel libzeromq-devel openpgm-devel perl(Carp.pm) perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XSLoader.pm) perl(constant.pm) perl(overload.pm) perl(strict.pm) perl(threads.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.39
Release: alt3
Summary: Perl bindings to the ZeroMQ library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JACQUESG/%{module_name}-%{version}.tar.gz

%description
use ZMQ::Raw;

_my $ctx = ZMQ::Raw::Context->new;

_my $responder = ZMQ::Raw::Socket->new ($ctx, ZMQ::Raw->ZMQ_REP);
_$responder->bind ('tcp://*:5555');

_my $requestor = ZMQ::Raw::Socket->new ($ctx, ZMQ::Raw->ZMQ_REQ);
_$requestor->connect ('tcp://localhost:5555');

_# prints: Request 'hello'
_$requestor->send ('hello');
_print "Request '", $responder->recv(), "'\n";

_# prints: Response 'world'
_$responder->send ('world');
_print "Response '", $requestor->recv(), "'\n";
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/Z*
%perl_vendor_autolib/*

%changelog
