# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test/More.pm) perl(accessors.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name accessors-rw-explicit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: RW object attribute accessors, with explicit semantics
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AJ/AJKALD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
ceci n'est pas un Moose

The purpose of this module is to provide very basic 
object instance attribute accessors for basic perl5
blessed hash-reference objects. 

That is a mouthful. Essentially is is just an exercise in
codifying convention, and sensible code reuse. It is not 
an attempt at a complete object system, with flexible
attribute definitions. If you want that, you want Moose, 
end of.

This module will set up attribute accessors for you though, 
and allow you to specify a prefix on your getters and setters. It
denotes itself as explicit, as it defaults to different names 
for the getters and setters, namely prepending "set_" to setters.

so for foo you would get:

  $obj->set_foo( $foo );

and 

  my $foo = $obj->foo;

These prefixes can be changed by providing options on import.

eg:

  use accessors::rw::explicit ({get_prefix => 'you_tell_me_', set_prefix => 'I_tell_you_'}, 'foo');

would provide:

  $obj->I_tell_you_foo( $foo )

and 

  my $foo = $obj->you_tell_me_foo();


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/a*

%changelog
