# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/MultiStatementDo.pm) perl(File/Slurp.pm) perl(Mojo/Base.pm)
# END SourceDeps(oneline)
%define module_name db-sql-migrations-advanced
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.4
Release: alt1
Summary: # DB-SQL-Migrations-Advanced
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CR/CRLCU/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This package provides a nice way to apply migrations from a directory.
It has the ability to also rollback migrations.

# Example

```perl
use DB::SQL::Migrations::Advanced;
my $migrator = DB::SQL::Migrations::Advanced->new(
    dbh     => $some_db_handle,
    folder  => $some_path,
);

$migrator->run;
```

```perl
use DB::SQL::Migrations::Advanced;
my $migrator = DB::SQL::Migrations::Advanced->new(
    dbh         => $some_db_handle,
    folder      => $some_path,
    rollback    => 1,
    steps       => 3,
);

$migrator->run;
```

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README.md Changes LICENSE
%perl_vendor_privlib/D*

%changelog
