%define module_name signatures
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(B/Deparse.pm) perl(B/Hooks/EndOfScope.pm) perl(B/Hooks/OP/Check.pm) perl(B/Hooks/OP/PPAddr.pm) perl(B/Hooks/Parser.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(base.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt3
Summary: subroutine signatures with no source filter
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/signatures

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz

%description
With this module, we can specify subroutine signatures and have variables.automatically defined within the subroutine.

For example, you can write

    sub square ($num) {
        return $num * $num;
    }

and it will be automatically turned into the following at compile time:

    sub square {
        my ($num) = @_;
        return $num * $num;
    }

Note that, although the syntax is very similar, the signatures provided by this
module are not to be confused with the prototypes described in the perlsub manpage. All
this module does is extracting items of @_ and assigning them to the variables
in the parameter list. No argument validation is done at runtime.

The signature definition needs to be on a single line only.

If you want to combine sub signatures with regular prototypes a `proto'
attribute exists:

    sub foo ($bar, $baz) : proto($$) { ... }


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes CONTRIBUTING
%perl_vendor_archlib/s*
%perl_vendor_autolib/*

%changelog
