Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: phpwapmail
Summary: WAP-based e-mail client
Version: 0.9.5
Release: alt2_5
License: GPLv2+
URL: http://phpwapmail.sourceforge.net
Source: http://dl.sourceforge.net/sourceforge/phpwapmail/phpwapmail-%{version}.tar.gz

BuildArch: noarch
Requires: apache2-base apache2-htcacheclean, php7-imap
Source44: import.info


%description
phpWAPmail is a WAP-based e-mail client. It is intended for providing access
to e-mail servers from cellular phones using WAP browser.

phpWAPmail is written in PHP and uses standard PHP imap module to operate
with mailboxes. It is placed on a web-server and acts as a proxy between
cellular users and mail servers. This way it can provide faster access
to the mailboxes rather than built-in e-mail clients and less network traffic.

Edit %{_sysconfdir}/httpd/conf.d/%{name}.conf to allow access
by remote IP addresses. Edit %{_sysconfdir}/%{name}/config.php
to change some default settings.


%prep
%setup -q -n %{name}-%{version}


%build


%install

install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}


pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf lang/ COPYING README
find locale -name "*.po" -print0 | xargs -0 rm -f
popd


install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php

cat <<EOF >%{name}.conf
#
#  %{summary}
#

Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
  <IfModule mod_authz_core.c>
    # Apache 2.4
    Require local
  </IfModule>
  <IfModule !mod_authz_core.c>
    # Apache 2.2
    Order Deny,Allow
    Deny from all
    Allow from 127.0.0.1
    Allow from ::1
  </IfModule>
</Directory>

EOF

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d


%post
if [ $1 -eq 1 ]; then
    set @@@ `dd bs=12 count=1 </dev/urandom 2>/dev/null | base64`
    sed -i -e '/$SECRET = "";/ s|"";|"'$2'";  # Autogenerated for '`uname -n`'|'  %{_sysconfdir}/%{name}/config.php
fi


%files
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}
%doc README COPYING


%changelog
