Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pimd
Version:        2.3.2
Release:        alt2_16
Summary:        The original PIM-SM multicast routing daemon

License:        BSD
URL:            http://troglobit.com/pimd.html

Source0:        ftp://ftp.troglobit.com/pimd/%{name}-%{version}.tar.gz
Source1:        %{name}.service

# https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(libite) = 1.4.2

BuildRequires:      libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-homed systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils gcc
Source44: import.info


%description
pimd is a lightweight, stand-alone PIM-SM/SSM multicast routing daemon
available under the free 3-clause BSD license. This is the restored
original version from University of Southern California, by Ahmed Helmy,
Rusty Eddy and Pavlin Ivanov Radoslavov.


%prep
%setup -q


%build
%configure
export CFLAGS="$RPM_OPT_FLAGS"
%make_build


%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm $RPM_BUILD_ROOT/usr/share/doc/pimd/LICENSE
rm $RPM_BUILD_ROOT/usr/share/doc/pimd/LICENSE.mrouted

# Systemd unit files
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service



%post
%post_service %{name}


%preun
%preun_service %{name}


%files
%{_sbindir}/pimd
%{_mandir}/man8/*
%doc --no-dereference LICENSE LICENSE.mrouted
%doc README.md README-config.md README.config.jp README-debug.md ChangeLog.org
%doc CONTRIBUTING.md CODE-OF-CONDUCT.md INSTALL.md
%doc TODO.org CREDITS FAQ.md AUTHORS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}.service


%changelog
