Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      pius
Version:   2.2.4
Release:   alt1_6
Summary:   A tool for signing and emailing all UIDs on a set of PGP keys

License:   GPLv2
URL:       http://www.phildev.net/pius
Source0:   https://github.com/jaymzh/pius/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires:  rpm-build-perl
BuildRequires:  python-devel
BuildRequires:  /usr/bin/pathfix.py
Source44: import.info

%description
The PGP Individual UID Signer (PIUS) is a tool for individually
signing all of the UIDs on a set of keys and encrypt-emailing each
one to it's respective email address. This drastically reduces the time
and errors involved in signing keys after a key signing party.

%prep
%setup -q

pathfix.py -pni "%{__python} %{py2_shbang_opts}" pius{,-{keyring-mgr,report}}

%build

%install
install -pdm 755 $RPM_BUILD_ROOT%{_bindir}
install -p  %{name} %{name}-* -t $RPM_BUILD_ROOT%{_bindir}
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
mv libpius %{buildroot}%{python_sitelibdir_noarch}

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-report
%{_bindir}/%{name}-keyring-mgr
%{_bindir}/%{name}-party-worksheet
%{python_sitelibdir_noarch}/libpius
%doc README.md README-keyring-mgr.md COPYING %{name}.spec INSTALL RELEASE_PROCESS

%changelog
