Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Computes number of pages or quantity of ink needed to print documents
Name:    pkpgcounter
Version: 3.50
Release: alt1_18
License: GPLv3+
URL:     http://www.pykota.com/software/pkpgcounter
Source0: http://www.pykota.com/software/pkpgcounter/download/tarballs/pkpgcounter-%{version}.tar.gz
Patch0:  pkpgcounter-postscript-multiple-copies.patch

BuildArch:     noarch
BuildRequires: python-devel
BuildRequires: python-module-Pillow
Requires:      python-module-Pillow
Requires:      ghostscript-utils ghostscript
Source44: import.info

%description
pkpgcounter parses files and outputs the number of pages needed to print them.
It can also, for certain file formats, compute the percentage of ink colors
covering each page. It currently recognizes almost 20 Page Description Languages
or file formats, including the most used ones like Postscript, PDF,
the PCL family, DVI, OpenDocument, or even Microsoft Word, corresponding to
hundreds of different printer drivers. This utility and Python library is often
used as the PDL parsing engine in print accounting software like PyKota or
JASMine, but can of course be used independently.

%prep
%setup -q

# This change corrects the page count of postscript files when printed
# with multiple copies from the MS Office suite. Without this patch, every time
# that a user try to print a job using multiple copies from MS office it counts
# much more than the correct quantity of copies.
%patch0 -p1 -b .multiple_copies

iconv -f iso-8859-1 -t utf-8 -o NEWS.tmp NEWS && mv NEWS.tmp NEWS
iconv -f iso-8859-1 -t utf-8 -o CREDITS.tmp CREDITS && mv CREDITS.tmp CREDITS

# Remove shebang /usr/bin/env python
for file in pkpgpdls/*.py; do
    sed -i '/\/usr\/bin\/env/d' ${file}
done


%build
%python_build

%install
%python_install
rm -rf %{buildroot}%{_docdir}/pkpgcounter


%files
%doc BUGS COPYING CREDITS NEWS README
%{python_sitelibdir_noarch}/pkpgpdls
%{python_sitelibdir_noarch}/pkpgcounter*.egg-info
%{_bindir}/pkpgcounter
%{_mandir}/man1/pkpgcounter.1*

%changelog
