Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: planet
Version: 2.0
Release: alt1_31
Summary: Flexible RDF/RSS/Atom feed aggregator

License: Python
URL: http://www.planetplanet.org/
Source0: http://www.planetplanet.org/download/%{name}-%{version}.tar.bz2
Patch1: planet-1.0-no-shebang.patch
Patch2: planet-js-sanitize.patch
Patch3: planet-feedparser.patch

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-module-pkg_resources python-module-setuptools
Requires: python-module-feedparser
Source44: import.info

%description
Planet is a flexible feed aggregator, this means that it downloads feeds
and aggregates their content together into a single combined feed with
the latest news first.

It uses Mark Pilgrim's Ultra-liberal feed parser so can read from RDF, RSS
and Atom feeds and Tomas Styblo's template library to output static files
in unlimited formats based on a series of templates.


%prep
%setup -q
%patch1 -p1 -b .no-shebang
%patch2 -p0 -b .js-sanitize
%patch3 -p0 -b .feedparser

# Fix line endings.
sed -i 's/\r//' LICENCE

#Drop timeoutsocket.py to fix BZ 498456.
rm -f planet/timeoutsocket.py

%build
%python_build


%install
%python_install

# Remove .py from install scripts, e.g. planet.py -> planet.
REGEXP='s:%{_bindir}/\(.*\).py:%{_bindir}/\1:'

for i in $RPM_BUILD_ROOT%{_bindir}/*.py; do
  mv -v $i $(echo $i | sed -e $REGEXP)
done

rm -f $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/planet/feedparser*


%files
%doc --no-dereference LICENCE
%doc AUTHORS INSTALL NEWS PKG-INFO THANKS README examples
%{_bindir}/planet*
%exclude %{_bindir}/runtests
%dir %{python_sitelibdir_noarch}/planet
%{python_sitelibdir_noarch}/planet/*.py*
%{python_sitelibdir_noarch}/planet-%{version}-*.egg-info
%dir %{python_sitelibdir_noarch}/planet/compat_logging
%{python_sitelibdir_noarch}/planet/compat_logging/*.py*
%exclude %{python_sitelibdir_noarch}/planet/tests
%exclude %{python_sitelibdir_noarch}/planet/tests/*


%changelog
