Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           playitagainsam
Version:        0.5.0
Release:        alt2_16
Summary:        Record and replay interactive terminal sessions

License:        MIT
URL:            https://github.com/rfk/playitagainsam
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Requires:       python3-module-psutil >= 2.0
Requires:       python3-module-six

# shortcut and executable name
Provides:       pias = %{version}-%{release}
Source44: import.info

%description
Playitagainsam is a tool and a corresponding file format for recording and
replaying interactive terminal sessions. It takes inspiration from the Unix
commands "script" and "ttyrec" and the Python tool "playerpiano".

Useful features include:

 * ability to replay with fake typing for enhanced "interactivity"
 * ability to replay synchronized output in multiple terminals

%prep
%setup -q -n %{name}-%{version}


# Shebang removal
sed -i '1d' %{name}/__main__.py

%build
%python3_build

%install
%python3_install

%files
%doc --no-dereference LICENSE.txt
%doc README.rst ChangeLog.txt
%{_bindir}/pias
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}-%{version}-py%{__python3_version}.egg-info

%changelog
