Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ libqt4-devel qt5-base-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global release_hash aaf782d8e6b4

Name:           plug
Version:        1.2.1
Release:        alt2_7
Summary:        Linux software for Fender Mustang amplifiers

License:        GPLv3+
Url:            http://piorekf.org/plug/
# The tarball has a rather unconventional name - v1.1.tar.gz
Source0:        https://bitbucket.org/piorekf/plug/get/v%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        plug-udev-rules

# Qt5 fixes
# https://bitbucket.org/piorekf/plug/commits/40057045db25b0d62aaac3b618da10b4d2c05c94
Patch0:         plug-1.2.1-qt5.patch

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  desktop-file-utils
Source44: import.info


%description
Linux replacement for Fender FUSE software for Mustang amps.


%prep
# The way this tarball is packed up is rather unconventional!
%setup -q -n piorekf-plug-%{release_hash}/plug

%patch0 -p2 -b .qt5

%build
%qmake_qt5
%make_build

%install
install -D -m 755 %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

# Install desktop file
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    %{SOURCE1}

# Install udev rules
install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_usr}/lib/udev/rules.d/50-mustang.rules

%files
%doc README
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_usr}/lib/udev/rules.d/50-mustang.rules

%changelog
