Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/a2x /usr/bin/asciidoc /usr/bin/fop /usr/bin/xmllint /usr/bin/xsltproc TestU01-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name procServ
%define version 2.7.0
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Summary: Process server with telnet console and log access
Name: procServ
Version: 2.7.0
Release: alt2_12

License: GPLv3
URL: https://github.com/ralphlange/procServ
Source0: https://github.com/ralphlange/procServ/releases/download/V%{version}/procServ-%{version}.tar.gz
BuildRequires: libtelnet-devel gcc-c++
Source44: import.info

%description
procServ is a wrapper that starts an arbitrary command as a child process in
the background, connecting its standard input and output to a Unix domain
socket or a TCP port for telnet access.
It supports logging, child restart (manual or automatic on exit), and more.

procServ does not have the rich feature set of the screen utility,
but is intended to provide running a command in a system service style,
in a small, robust way.
Handling multiple users, authorization, authentication, central logging
is done best on a higher level, using a package like conserver.

For security reasons, procServ only accepts connections from localhost.

%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name}
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%files
%{_docdir}/%{name}/
%{_bindir}/procServ
%{_mandir}/man1/procServ.1*

%changelog
