Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/svnversion
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Tarfile created using git
# git clone https://github.com/ptpd/ptpd.git
# git archive --format=tar --prefix=ptpd-2.3.1/ 235e9b4 | xz > ptpd-2.3.1-235e9b4.tar.xz

%global gitshort 235e9b4

Name:    ptpd
Version: 2.3.1
Release: alt2_19%{?gitshort:.%{gitshort}}
Summary: PTPd implements the Precision Time protocol (PTP) as defined by the IEEE 1588
License: BSD
URL:     https://github.com/ptpd/ptpd/wiki

Source0: %{name}-%{version}-%{gitshort}.tar.xz
Source1: ptpd2.service
Source2: ptpd2
Source3: ptpd2.conf

# The definition of EVP_MD_CTX conflicts with the one from openssl which is
# pulled in by the new vesion of net-snmp.
Patch0:  patch-conflicting-typedef

%{?systemd_requires}
BuildRequires: libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-homed systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils
BuildRequires: libpcap-devel
BuildRequires: libnet-snmp-devel libucd-snmp-devel net-snmp-config
BuildRequires: libtool autoconf automake
Source44: import.info

%description
The PTP daemon (PTPd) implements the Precision Time protocol (PTP) as defined
by the relevant IEEE 1588 standard. PTP was developed to provide very precise
time coordination of LAN connected computers.

PTPd is a complete implementation of the IEEE 1588 specification for a standard
(non-boundary) clock. PTPd has been tested with and is known to work properly
with other IEEE 1588 implementations.

%prep
%setup -q
%patch0 -p1


%build
autoreconf -vif
%configure --enable-statistics --with-max-unicast-destinations=512
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_mandir}/man{5,8}
mkdir -p %{buildroot}%{_datadir}/snmp/mibs
mkdir -p %{buildroot}%{_datadir}/ptpd
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_localstatedir}/log

install -pm 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig
install -pm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}
install -pm 755 src/ptpd2 %{buildroot}%{_bindir}
install -pm 644 src/ptpd2.8 %{buildroot}%{_mandir}/man8/
install -pm 644 src/ptpd2.conf.5 %{buildroot}%{_mandir}/man5/
install -pm 644 doc/PTPBASE-MIB.txt %{buildroot}%{_datadir}/snmp/mibs
install -pm 644 src/leap-seconds.list %{buildroot}%{_datadir}/ptpd
# have to create the below, else ptpd will not log drift
touch %{buildroot}%{_localstatedir}/log/ptpd2_kernelclock.drift

%post
%post_service ptpd2

%preun
%preun_service ptpd2

%files
%doc --no-dereference COPYRIGHT
%doc ChangeLog README.md
%config(noreplace) %{_sysconfdir}/sysconfig/ptpd2
%config(noreplace) %{_sysconfdir}/ptpd2.conf
%config %{_localstatedir}/log/ptpd2_kernelclock.drift
%{_bindir}/*
%{_unitdir}/*
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_datadir}/snmp/mibs/*
%{_datadir}/ptpd/

%changelog
