Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-module-setuptools-tests python3-module-setuptools-tests
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if (! 0%{?rhel}) || 0%{?rhel} > 6
%global with_python3 1
%endif
%if 0%{?rhel} && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           pycscope
Version:        1.2.1
Release:        alt1_9
Summary:        Generates a cscope index of Python source trees

License:        GPLv2
URL:            http://pypi.python.org/pypi/%{name}
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools python-module-nose
Requires:       python-module-setuptools

%description
A python script to generate a cscope index from a Python source tree. %{name}
uses Python's own parser and AST to generate the index, so it is a bit more
accurate than plain cscope.

%if 0%{?with_python3}
%package -n python3-module-pycscope
Group: Other
Summary:        Generates a cscope index of Python source trees

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute python3-module-nose
Requires:       python3-module-distribute

%description -n python3-module-pycscope
A python script to generate a cscope index from a Python source tree. %{name}
uses Python's own parser and AST to generate the index, so it is a bit more
accurate than plain cscope.
%endif # with_python3


%prep
%setup -q
rm -rfv pycscope.egg-info

# Correct perm
chmod -x doc/dwh-cscopeFormat.txt

# Remove shebang
pushd pycscope
    sed '1{\@^#!/usr/bin/env python@d}' __init__.py > __init__.py.new &&
    touch -r __init__.py __init__.py.new &&
    mv __init__.py.new __init__.py
popd

%if 0%{?with_python3}
cp -a . %{_builddir}/python3-%{name}-%{version}-%{release}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pycscope %{buildroot}%{_bindir}/python3-pycscope
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}


#%check
##%{__python} setup.py test
#cd test
#nosetests --with-coverage --cover-package pycscope --cover-erase --cover-html --cover-html-dir=.cover.python2 $@

#%if 0%{?with_python3}
#pushd %{_builddir}/python3-%{name}-%{version}-%{release}
#cd test
#nosetests-3.3 --with-coverage --cover-package pycscope --cover-erase --cover-html --cover-html-dir=.cover.python3.3 $@
##%{__python3} setup.py test
#popd
#%endif # with_python3

 
%files
%doc README LICENSE doc/dwh-cscopeFormat.txt
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{name}-%{version}-py?.?.egg-info
%{python_sitelibdir_noarch}/%{name}/

%if 0%{?with_python3}
%files -n python3-module-pycscope
%doc README LICENSE doc/dwh-cscopeFormat.txt
%{_bindir}/python3-%{name}
%{python3_sitelibdir_noarch}/%{name}-%{version}-py?.?.egg-info
%{python3_sitelibdir_noarch}/%{name}/
%endif # with_python3

%changelog
