Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global sum Python bindings for the liblo OSC library

Name:           pyliblo
Version:        0.10.0
Release:        alt2_20
Summary:        %{sum}

License:        GPLv2+
URL:            http://das.nasophon.de/pyliblo/
Source0:        http://das.nasophon.de/download/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-Cython
BuildRequires:  liblo-devel

Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < 0.10.0
Source44: import.info

%description
pyliblo is a Python wrapper for the liblo Open Sound Control library.
It supports almost the complete functionality of liblo, allowing you
to send and receive OSC messages using a nice and simple Python API.

Also included are the command line utilities send_osc and dump_osc.

%package -n python3-module-pyliblo
Group: Other
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-module-pyliblo
pyliblo is a Python wrapper for the liblo Open Sound Control library.
It supports almost the complete functionality of liblo, allowing you
to send and receive OSC messages using a nice and simple Python API.

Also included are the command line utilities send_osc and dump_osc.

%prep
%setup -q -n %{name}-%{version}

find -type f -exec sed -i '1s=^#!/usr/bin/\(python\|env python\)[23]\?=#!%{__python3}=' {} +

# Remove shebang and executable bit from example scripts
find examples/ -type f -exec sed -i '1s=^#!/usr/bin/\(python\|env python\)[23]\?==' {} +
chmod -x examples/*

%build
%python3_build

%install
%python3_install

%files -n python3-module-pyliblo
%doc NEWS README examples/
%doc --no-dereference COPYING
%{_mandir}/man*/*.*
%{_bindir}/*_osc
%{python3_sitelibdir}/liblo*.so
%{python3_sitelibdir}/%{name}*.egg-info

%changelog
