Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Python modules and utilities for Nagios plugins and configuration
Name: pynag
Version: 1.1.2
Release: alt2_7
Source0: http://pypi.python.org/packages/source/p/pynag/pynag-%{version}.tar.gz
License: GPLv2
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
BuildRequires: /usr/bin/pathfix.py
Url: http://pynag.org/
BuildArch: noarch
Source44: import.info

%description
Python modules and utilities for pragmatically handling Nagios configuration
file maintenance, status information, log file parsing and plug-in
development.

%package examples
Group: System/Libraries
Summary: Example scripts which manipulate Nagios configuration
Requires: pynag
AutoReq: yes,nopython

%description examples
Example scripts which manipulate Nagios configuration files. Provided
are scripts which list services, do network discovery among other tasks.

%prep
%setup -q

pathfix.py -pni "%{__python3} %{py3_shbang_opts}" . ./examples/Model/parse-configmain.py

%build
%{__python3} setup.py build

%install
test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install --prefix=/usr --root=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Model
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Utils
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Parsers
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Plugins
install -m 755 examples/Model/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Model/
install -m 755 examples/Parsers/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Parsers/
install -m 755 examples/Plugins/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples/Plugins/


%files
%{python3_sitelibdir_noarch}/pynag*.egg-info
%{python3_sitelibdir_noarch}/pynag/
%{_bindir}/pynag
%{_mandir}/man1/pynag.1*

%doc AUTHORS README.md LICENSE CHANGES
%dir %{_datadir}/%{name}

%files examples
%{_datadir}/%{name}/examples
%doc examples/README

%changelog
