# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%global ver_major 0
%global ver_minor 9
%global ver_patch 3
%global ver %{ver_major}.%{ver_minor}.%{ver_patch}

Name:           pyobd
Version:        %{ver}
Release:        alt1_2
Summary:        OBD-II (SAE-J1979) compliant scantool software
Group:          Engineering
License:        GPLv2+
# contact for patches: support@secons.com
# upstream refuses patches to support "Chinese" ELM32X
URL:            http://www.obdtester.com/
Source0:        http://www.obdtester.com/download/%{name}_%{ver_major}.%{ver_minor}.%{ver_patch}.tar.gz
Source1:        pyobd-icon.svg
Source2:        README.Fedora
BuildArch:      noarch
# import from pyobd module
Patch0:         pyobd-0.9.2-pyobd-module.patch
Requires:       python-module-serial, python-module-wx3.0
BuildRequires:  python-devel, python-module-serial, python-module-wx3.0, desktop-file-utils
BuildRequires:  dos2unix, ImageMagick
Source44: import.info

%description
pyOBD is an OBD-II (SAE-J1979) compliant scantool software written
entirely in Python. It is meant to interface with the low cost ELM 32x
devices such as ELM-USB.

%prep
%setup -q -n %{name}-%{ver_major}.%{ver_minor}.%{ver_patch}

cp %{SOURCE2} README.Fedora

# convert CR/LF to LF
dos2unix pyobd.desktop
# fix encoding settings
sed -i '/Encoding=/ s|UTF8|UTF-8|' pyobd.desktop
# change icon in pyobd.desktop
sed -i 's|/usr/share/pyobd/pyobd.gif|pyobd|' pyobd.desktop
# create dummy module init
[ -f __init__.py ] || echo '# module init' > __init__.py

# remove hashbangs
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/env/ d' $f
done

%patch0 -p1 -b .pyobd-module

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 pyobd %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{python_sitelibdir_noarch}/%{name}
install -m 0644 -t %{buildroot}%{python_sitelibdir_noarch}/%{name} *.py

# icon
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/pyobd.svg

# desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications \
  pyobd.desktop

%files
%doc COPYING README.Fedora
%_iconsdir/*/*/*/*
%{_datadir}/applications/pyobd.desktop
%{python_sitelibdir_noarch}/pyobd/
%{_bindir}/pyobd

%changelog
