# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname binaryornot
%global sum A pure Python package to check if a file is binary or text

Name:               python-binaryornot
Version:            0.4.0
Release:            alt1_7
Summary:            %{sum}
Group:              Development/Python
License:            BSD
URL:                http://pypi.python.org/pypi/BinaryOrNot
Source0:            https://pypi.python.org/packages/source/b/binaryornot/binaryornot-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python-dev
BuildRequires:      python-module-chardet >= 2.0.0
BuildRequires:      python-module-hypothesis
BuildRequires:      python-module-sphinx

BuildRequires:      python3-devel
BuildRequires:      python3-module-chardet >= 2.0.0
BuildRequires:      python3-module-hypothesis
Source44: import.info


%description
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.


%package -n python-module-binaryornot
Summary:            %{sum}
Group:              Development/Python
Requires:           python-module-chardet >= 2.0.0

%{?python_provide:%python_provide python2-%{modname}}

%description -n python-module-binaryornot
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by 
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.


%package -n python3-module-binaryornot
Summary:            %{sum}
Group:              Development/Python
Requires:           python3-module-chardet >= 2.0.0

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-module-binaryornot
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.


%package -n python-module-binaryornot-docs
Group: Development/Python
Summary:            Documentation for python-binaryornot
BuildArch: noarch

%description -n python-module-binaryornot-docs
Documentation for python-binaryornot


%prep
%setup -q -n %{modname}-%{version}


rm -rf %{modname}.egg-info


%build
%python_build
%python3_build

make -C docs html PYTHONPATH=$(pwd)


%install
%python_install
%python3_install

%check
%{__python} setup.py test
%{__python3} setup.py test

rm -rf docs/_build/html/.buildinfo


%files -n python-module-binaryornot
%doc README.rst
%doc --no-dereference LICENSE
%{python_sitelibdir_noarch}/%{modname}/
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%files -n python3-module-binaryornot
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{modname}/
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*

%files -n python-module-binaryornot-docs
%doc docs/_build/html




%changelog
