# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           python-mglob
Version:        0.4
Release:        alt1_9
Summary:        Enhanced file name globbing module

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/mglob
Source0:        http://pypi.python.org/packages/source/m/mglob/mglob-%{version}.zip
# sent upstream via mail
Patch0:         mglob-0.4-built-in-set.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-module-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-module-setuptools
Source44: import.info

%description
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%package -n python3-module-mglob
Group:          Development/Python
Summary:        Enhanced file name globbing module
%description -n python3-module-mglob
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%prep
%setup -q -n mglob-%{version}
%patch0
sed -i -e '/^#!\//, 1d' mglob.py

cp -a . %{_builddir}/python3-%{name}-%{version}-%{release}
find %{_builddir}/python3-%{name}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%{_bindir}/2to3 --write --nobackups %{_builddir}/python3-%{name}-%{version}-%{release}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'


%build
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
    %{__python3} setup.py build
popd

%python_build


%install
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
    mv %{buildroot}%{_bindir}/mglob %{buildroot}%{_bindir}/python3-mglob
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{_bindir}/mglob
%{python_sitelibdir_noarch}/mglob.py*
%{python_sitelibdir_noarch}/mglob-%{version}-py?.?.egg-info

%files -n python3-module-mglob
%{_bindir}/python3-mglob
%{python3_sitelibdir_noarch}/__pycache__/mglob.cpython*
%{python3_sitelibdir_noarch}/mglob.py*
%{python3_sitelibdir_noarch}/mglob-%{version}-py?.?.egg-info



%changelog
