Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname PyPAM
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        PAM bindings for Python
Name:           python-module-PyPAM
Version:        0.5.0
Release:        alt5_49
# Note that the upstream site is dead.
Source0:        http://www.pangalactic.org/PyPAM/%{oldname}-%{version}.tar.gz
Url:            http://www.pangalactic.org/PyPAM
Patch0:         PyPAM-dlopen.patch
Patch1:         PyPAM-0.5.0-dealloc.patch
Patch2:         PyPAM-0.5.0-nofree.patch
Patch3:         PyPAM-0.5.0-memory-errors.patch
Patch4:         PyPAM-0.5.0-return-value.patch
Patch5:         PyPAM-python3-support.patch
License:        LGPLv2
BuildRequires:  libpam0-devel
BuildRequires:  gcc



%global _description\
PAM (Pluggable Authentication Module) bindings for Python.
Source44: import.info
%add_findprov_skiplist %{python3_sitelibdir}/PAM*.so$

%description 
%_description

%package -n python3-module-PyPAM
Group: Development/Python
Summary:        PAM bindings for Python 3
BuildRequires:  python3-devel

%description -n python3-module-PyPAM
PAM (Pluggable Authentication Module) bindings for Python 3.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1 -b .dlopen
%patch1 -p1 -b .dealloc
%patch2 -p1 -b .nofree
%patch3 -p1 -b .memory
%patch4 -p1 -b .retval
%patch5 -p0 -b .python3
# remove prebuild rpm and others binaries
rm -rf build dist

%build

CFLAGS="$CFLAGS -fno-strict-aliasing" %{__python3} setup.py build

%install
%{__python3} setup.py install --root=$RPM_BUILD_ROOT

# Make sure we don't include binary files in the docs
chmod 644 examples/pamtest.py
rm -f examples/pamexample

%check
PYTHONPATH=build/lib.linux-`uname -m`-%{__python3_version}/ %{__python3} tests/PamTest.py

%files -n python3-module-PyPAM
%{python3_sitelibdir}/PAM*.so
%{python3_sitelibdir}/*.egg-info
%doc --no-dereference COPYING
%doc AUTHORS NEWS README ChangeLog INSTALL
%doc examples

%changelog
