Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-XStatic-FileSaver
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name XStatic-FileSaver

Name:           python-module-XStatic-FileSaver
Version:        1.3.2.0
Release:        alt2_11
Summary:        FilseSaver (XStatic packaging standard)

License:        MIT
URL:            https://github.com/eligrey/FileSaver.js
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info


%description
FilseSaver JavaScript library packaged for setup-tools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.


%package -n xstatic-filesaver-common
Group: Development/Python
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-filesaver-common
FilseSaver JavaScript library packaged for setup-tools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the JavaScript files.


%package -n python3-module-XStatic-FileSaver
Group: Development/Python
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-xstatic
Requires:       xstatic-filesaver-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-XStatic-FileSaver
FilseSaver JavaScript library packaged for setup-tools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Patch to use webassets directory
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/filesaver'|" xstatic/pkg/filesaver/__init__.py


%build
%python3_build


%install
%python3_install

mkdir -p %{buildroot}/%{_jsdir}/filesaver
mv %{buildroot}/%{python3_sitelibdir_noarch}/xstatic/pkg/filesaver/data/FileSaver.js %{buildroot}/%{_jsdir}/filesaver
rmdir %{buildroot}%{python3_sitelibdir_noarch}/xstatic/pkg/filesaver/data/

%files -n xstatic-filesaver-common
%doc README.txt
%{_jsdir}/filesaver

%files -n python3-module-XStatic-FileSaver
%doc README.txt
%{python3_sitelibdir_noarch}/xstatic/pkg/filesaver
%{python3_sitelibdir_noarch}/XStatic_FileSaver-%{version}-py3.*.egg-info
%{python3_sitelibdir_noarch}/XStatic_FileSaver-%{version}-py3.*-nspkg.pth


%changelog
