Group: System/Servers
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-bucky
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-bucky
Version:        2.3.0
Release:        alt2_13
Summary:        CollectD and StatsD adapter for Graphite

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/bucky

Source0:        https://files.pythonhosted.org/packages/source/b/bucky/bucky-%{version}.tar.gz
Source1:        python-bucky-example.conf
Source2:        python-bucky-supervisord-example.conf

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

%global _description\
Bucky is a small server for collecting and translating metrics for\
Graphite. It can current collect metric data from CollectD daemons\
and from StatsD clients.
Source44: import.info

%description 
%_description

%package -n python3-module-bucky
Group: System/Servers
Summary: %summary
Requires:       collectd collectd-memcached
Requires:       python3-module-six
Requires:       python3-module-distribute
Requires:       python3-module-watchdog
Requires:       python3-module-setproctitle
Requires:       python3-module-crypto
%{?python_provide:%python_provide python3-bucky}

%description -n python3-module-bucky 
%_description

%prep
%setup -q -n bucky-%{version}
install -m 644 %{SOURCE2} .


%build
%python3_build


%install
# Delete the Python 2 executable so that the Python 3
# version can take it's place.
rm -rf %{_bindir}/bucky
%python3_install
mkdir -p %{buildroot}%{_localstatedir}/log/bucky
mkdir -p %{buildroot}%{_localstatedir}/run/bucky
mkdir -p %{buildroot}%{_sysconfdir}/bucky
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bucky/bucky.conf


%pre
getent group bucky >/dev/null || groupadd -r bucky
getent passwd bucky >/dev/null || \
    useradd -r -g bucky -d / \
    -s /sbin/nologin -c "Bucky daemon" bucky


%postun
if [ $1 = 0 ]; then
  getent passwd bucky >/dev/null && \
      userdel -r bucky 2>/dev/null
fi

 
%files -n python3-module-bucky
%doc --no-dereference LICENSE
%doc THANKS README.rst python-bucky-supervisord-example.conf
%{_bindir}/bucky
%attr(-,bucky,bucky) %{_localstatedir}/log/bucky
%attr(-,bucky,bucky) %{_localstatedir}/run/bucky
%config(noreplace) %{_sysconfdir}/bucky/bucky.conf
%{python3_sitelibdir_noarch}/bucky/
%{python3_sitelibdir_noarch}/bucky-%{version}-py%{__python3_version}.egg-info


%changelog
