Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: gcc-c++ python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-cclib
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pname cclib

%bcond_without check

%global _description \
cclib is a Python library that provides parsers for output \
files of computational chemistry packages. \
It also provides a platform for computational chemists to \
implement algorithms in a platform-independent way. \
\
The goals of cclib are centered around the reuse of data obtained \
from these programs and contained in output files, specifically: \
\
- extract (parse) data from the output files generated by multiple programs \
- provide a consistent interface to the results of computational chemistry \
  calculations, particularly those results that are useful for \
  algorithms or visualization\
- facilitate the implementation of algorithms that are not specific to a \
  particular computational chemistry package \
- to maximize interoperability with other open source computational \
  chemistry and cheminformatic software libraries

Name:           python-module-cclib
Version:        1.6.2
Release:        alt1_7
Summary:        Parsers for output files of computational chemistry packages
License:        BSD and LGPLv2+
URL:            https://cclib.github.io/
Source0:        https://github.com/cclib/cclib/archive/v%{version}/%{pname}-%{version}.tar.gz
BuildArch:      noarch

Patch0:         %{oldname}-python39_rhbz1818598.patch
Source44: import.info
# cclib2biopython brifge; optional
%filter_from_requires /^python2...Bio./d

%description
%{_description}.

%package -n python3-module-cclib
Group: Development/Python
Summary: Parsers for output files of computational chemistry packages

BuildRequires:  python3-devel
BuildRequires:  python3-module-numpy python3-module-numpy-testing
BuildRequires:  python3-module-six
#Requires:       python3-module-periodictable
Requires:       python3-module-numpy
Requires:       python3-module-PyQt4
Requires:       python3-module-vtk8.2
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pname}}

%description -n python3-module-cclib
%{_description}.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1


rm -rf  cclib.egg-info

%build
%python3_build

%install
%python3_install

# Remove shebangs
for lib in %{buildroot}%{python3_sitelibdir_noarch}/cclib/scripts/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%if %{with check}
%check
PYTHONPATH=%{buildroot}%{python3_sitelibdir_noarch} %{__python3} -m test.test_data
%endif

%files -n python3-module-cclib
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/*egg-info/
%{python3_sitelibdir_noarch}/%{pname}/
%{_bindir}/ccframe
%{_bindir}/ccget
%{_bindir}/ccwrite
%{_bindir}/cda

%changelog
