Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-dmidecode
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: python-module-dmidecode
Summary: Python module to access DMI data
Version: 3.12.2
Release: alt4_24
License: GPLv2
URL: https://github.com/nima/python-dmidecode
Source0: https://github.com/nima/python-dmidecode/archive/v%{version}/%{oldname}/%{oldname}-%{version}.tar.gz

Patch0: python-dmidecode-use_python3.patch

BuildRequires: gcc
BuildRequires: libxml2-devel

BuildRequires: python3-devel
BuildRequires: python3-module-libxml2

%global _description\
python-dmidecode is a python extension module that uses the\
code-base of the 'dmidecode' utility, and presents the data\
as python data structures or as XML data using libxml2.\
\

Source44: import.info


%description 
%_description

%package -n python3-module-dmidecode
Group: System/Libraries
Summary: Python 3 module to access DMI data
Requires: python3-module-libxml2

%description -n python3-module-dmidecode 
%_description


%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1


%build
# -std=gnu89 is there to avoid `undefined symbol: dmixml_GetContent`
export PYTHON_BIN=%{__python3}
export PYTHON_VERSION=%{__python3_version}
export CFLAGS="%{optflags} -std=gnu89"
export CC=gcc
%make_build

%install
%{__python3} src/setup.py install --root %{buildroot} --prefix=%{_prefix}


%check
export PYTHONPATH=%{buildroot}%{python3_sitelibdir}
export PYTHON_BIN=%{__python3}
make -C unit-tests


%files -n python3-module-dmidecode
%doc --no-dereference doc/LICENSE
%doc README doc/AUTHORS doc/AUTHORS.upstream
%{python3_sitelibdir}/dmidecodemod.cpython-3*.so
%{python3_sitelibdir}/__pycache__/dmidecode.cpython-3*.py[co]
%{python3_sitelibdir}/dmidecode.py
%{python3_sitelibdir}/*.egg-info
%{_datadir}/python-dmidecode/

%changelog
