%define oldname python-igraph
%{!?python_archlib: %define python_archlib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-module-igraph
Version:	0.5.4
Release:	alt1_7
Summary:	Python bindings for igraph

Group:		Development/Python
License:	GPLv2+
URL:		http://pypi.python.org/pypi/python-igraph
Source0:	python-igraph-%{version}.tar.gz
#Patch0:		python-igraph.diffs
Patch1:		python-igraph-parse.diff
Patch2:		python-igraph-memory.diff
Patch3:		python-igraph-authors.diff
#Patch4:		python-igraph.setup.diff

BuildRequires:	python-devel python-module-setuptools igraph-devel = %{version} gcc libxml2-devel
Source44: import.info
#Requires:	python igraph libxml2 igraph = %{version}

%description
This module extends Python with a Graph class which is capable of
handling arbitrary directed and undirected graphs with thousands of
nodes and millions of edges. Since the module makes use of the open
source igraph library written in almost 100% pure C, it is blazing
fast and outperforms most other pure Python-based graph packages
around.

%prep
%setup -n %{oldname}-%{version} -q
#%patch0 -p1
#%patch1 -p0
#%patch2 -p0
%patch3 -p0
#%patch4 -p0

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%files
%doc AUTHORS
%{python_archlib}/igraph
%{python_archlib}/python_igraph-%{version}-py*.egg-info
%{_bindir}/igraph

%check
(cd igraph; PYTHONPATH=$RPM_BUILD_ROOT%{python_archlib} %{__python} -c 'import igraph.test; igraph.test.test();' )

%changelog
