Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-logging-tree
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name logging-tree
%global mod_name logging_tree

Name:               python-module-logging-tree
Version:            1.8.1
Release:            alt2_5
Summary:            Introspect and display the logger tree inside "logging"

License:            BSD
URL:                https://github.com/brandon-rhodes/logging_tree
Source0:            https://github.com/brandon-rhodes/logging_tree/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:          noarch
Source44: import.info

%description
Introspection for the 'logging' logger tree in the Standard Library.

While you can write programs that call this package's 'tree()'
function and examine the hierarchy of logger objects that it finds
inside of the Standard Library 'logging' module, the simplest use of
this package for debugging is to call 'printout()' to print the
loggers, filters, and handlers that your application has configured::

    >>> logging.getLogger('a')
    >>> logging.getLogger('a.b').setLevel(logging.DEBUG)
    >>> logging.getLogger('x.c')
    >>> from logging_tree import printout
    >>> printout()
       ""
       Level WARNING
       |
       o<--"a"
       |   |
       |   o<--"a.b"
       |       Level DEBUG
       |
       o<--[x]
           |
           o<--"x.c"

%package -n python3-module-logging-tree
Group: Development/Other
Summary:            Introspect and display the logger tree inside "logging"

BuildRequires:      python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-logging-tree
Introspection for the ``logging`` logger tree in the Standard Library.

While you can write programs that call this package's ``tree()``
function and examine the hierarchy of logger objects that it finds
inside of the Standard Library ``logging`` module, the simplest use of
this package for debugging is to call ``printout()`` to print the
loggers, filters, and handlers that your application has configured::

    >>> logging.getLogger('a')
    >>> logging.getLogger('a.b').setLevel(logging.DEBUG)
    >>> logging.getLogger('x.c')
    >>> from logging_tree import printout
    >>> printout()
       ""
       Level WARNING
       |
       o<--"a"
       |   |
       |   o<--"a.b"
       |       Level DEBUG
       |
       o<--[x]
           |
           o<--"x.c"

%prep
%setup -q -n %{mod_name}-%{version}


%build
%python3_build

%install
%python3_install

# Need fixing upstream
#%check
#%{__python3} -v -m unittest discover %{mod_name}

%files -n python3-module-logging-tree
%doc README.md
%doc --no-dereference COPYRIGHT 
%{python3_sitelibdir_noarch}/%{mod_name}/
%{python3_sitelibdir_noarch}/%{mod_name}-%{version}-*

%changelog
