Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-messaging
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

%global srcname messaging

Name:		python-module-messaging
Version:	1.1
Release:	alt2_22
Summary:	Python abstraction of a "message"
License:	ASL 2.0
URL:		https://github.com/cern-mig/%{oldname}
Source0:	http://pypi.python.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
# For python < 2.6 python-simplejson is required

%global _description\
This module provides an abstraction of a "message", as used in Enterprise\
Messaging Systems.\
\
The modules include a transport independent message abstraction, a\
versatile message generator and several message queues/spools to\
locally store messages.\
\
The python module messaging is compatible with the Perl\
module Messaging::Message.
Source44: import.info
# seems local
%filter_from_requires /^python....dirq./d

%description 
%_description

%package -n python3-module-messaging
Group: Development/Other
Summary:	Python abstraction of a "message"

%description -n python3-module-messaging
This module provides an abstraction of a "message", as used in Enterprise
Messaging Systems.

The modules include a transport independent message abstraction, a
versatile message generator and several message queues/spools to
locally store messages.

The python module messaging is compatible with the Perl
module Messaging::Message.

%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python3} setup.py build

%install
rm -fr $RPM_BUILD_ROOT
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
rm -f test/*.pyc
%{__python3} setup.py test
rm -f test/*.pyc

%files -n python3-module-messaging
%doc LICENSE README.rst CHANGES example test
%{python3_sitelibdir_noarch}/%{srcname}/
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info

%changelog
