Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-metar
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname metar
%global summary Coded METAR and SPECI weather reports parser for Python

Name: python-module-metar
Version: 1.8.0
Release: alt2_3
Summary: %{summary}

License: BSD
URL: https://github.com/python-metar/python-metar
# note that development was moved to a new github account
# the old account was: http://github.com/tomp/python-metar
# see also this discussion on the 2 project names:
# https://github.com/python-metar/python-metar/issues/58
Source: https://files.pythonhosted.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-module-distribute
BuildRequires: python3-devel pytest pytest3 python3-module-pytest

%global _description \
Python-metar is a python package for interpreting METAR and SPECI coded \
weather reports.  METAR (Meteorological Aerodrome Report) and SPECI (Specials) \
are reports containing airport weather information encoded in ASCII \
following standards set by WMO (World Meteorological Organization) \
and ICAO (International Civil Aviation Organization).
Source44: import.info

%description 
%_description

%package -n python3-module-metar
Group: Development/Other
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-metar 
%_description

%prep
%setup -q -n %{srcname}-%{version}


%build

%python3_build

%install

%python3_install

# note: sample file is not present anymore in pypi version
# remove executable permissions from sample.py to
# prevent dependencies being pulled in from this file
#chmod 644 sample.py

%check

# these variants dont work, even if the first one
# works just fine when doing a manual install. Dont know why.
#%%{__python3} setup.py test
#PYTHONPATH="%%{buildroot}%%{python3_sitelib}" %%{__python3} setup.py test

# this works fine
PYTHONPATH="%{buildroot}%{python3_sitelibdir_noarch}" %{_bindir}/pytest-3


%files -n python3-module-metar

%doc LICENSE README.md PKG-INFO CHANGELOG.md 
# sample.py

%{python3_sitelibdir_noarch}/%{srcname}
%{python3_sitelibdir_noarch}/%{srcname}*egg-info

%changelog
