Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-okaara
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{?python_enable_dependency_generator}
%global modname okaara
%global rel 1

# -- headers ------------------------------------------------------------------

Name:           python-module-okaara
Version:        1.0.37
Release:        alt2_17
Summary:        Python command line utilities

License:        GPLv2
URL:            https://github.com/jdob/okaara
Source0:        https://github.com/jdob/%{modname}/archive/python-%{modname}-%{version}-%{rel}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
Python library to facilitate the creation of command-line interfaces.

%package -n python3-module-okaara
Group: Development/Tools
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-babel
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-future
BuildRequires:  python3-module-mock
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-module-okaara
Python library to facilitate the creation of command-line interfaces.


%prep
%setup -q -n %{modname}-%{oldname}-%{version}-%{rel}


# -- build --------------------------------------------------------------------

%build
%python3_build

mkdir -p po/build
for lang in `ls po/*.po` ; do
    echo $lang;
    lang=`basename $lang .po`;
    mkdir -p po/build/$lang/LC_MESSAGES/;
    %{__python3} setup.py compile_catalog -i po/$lang.po \
        -o po/build/$lang/LC_MESSAGES/okaara.mo;
done

# -- install ------------------------------------------------------------------

%install
# Python setup
%python3_install

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/
cp -R po/build/* $RPM_BUILD_ROOT/%{_datadir}/locale/
%find_lang okaara

# -- check --------------------------------------------------------------------

%check
nosetests-%{__python3_version}

# -- files --------------------------------------------------------------------

%files -f %{modname}.lang -n python3-module-okaara
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{modname}/
%{python3_sitelibdir_noarch}/%{modname}*.egg-info

# -- changelog ----------------------------------------------------------------

%changelog
