# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-paver
%if 0%{?rhel} && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname Paver
Name: python-module-paver
Version: 1.1.1
Release: alt1_3
Summary: Python-based build/distribution/deployment scripting tool

Group: Development/Python
# The main paver code is licensed BSD
# The paver documentation includes jquery which is licensed MIT or GPLv2
License: BSD and (MIT or GPLv2)
URL: http://www.blueskyonmars.com/projects/paver/
Source0: http://pypi.python.org/packages/source/P/%{srcname}/%{srcname}-%{version}.tar.gz
# Fix call to os.path.samefile
# Submitted upstream https://github.com/paver/paver/pull/86
# (Code has changed a little but this patch is the equivalent)
Patch0: paver-samefile-fix.patch

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-sphinx
BuildRequires: python-module-nose
Source44: import.info


%description
Paver is a Python-based build/distribution/deployment scripting tool along the
lines of Make or Rake. What makes Paver unique is its integration with commonly
used Python libraries. Common tasks that were easy before remain easy. More
importantly, dealing with your applications specific needs and requirements is
now much easier.

* Build files are just Python
* One file with one syntax, pavement.py, knows how to manage your project
* File operations are unbelievably easy, thanks to the built-in version of
  Jason Orendorffa.'s path.py.
* Need to do something that takes 5 lines of code? Ita.'ll only take 5 lines of
  code..
* Completely encompasses distutils and setuptools so that you can customize
  behavior as you need to.
* Wraps Sphinx for generating documentation, and adds utilities that make it
  easier to incorporate fully tested sample code.
* Wraps Subversion for working with code that is checked out.
* Wraps virtualenv to allow you to trivially create a bootstrap script that
  gets a virtual environment up and running. This is a great way to install
  packages into a contained environment.
* Can use all of these other libraries, but requires none of them
* Easily transition from setup.py without making your users learn about or
  even install Paver! (See the Getting Started Guide for an example).


%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1

# Note: This falls somewhere in between source and non-source.  It's a copy
# of the essential files from the library that's being packaged.  But it's
# zipped up.  For us, the paver command should find the uninstalled paver
# module in the directory so we might as well use it instead.
rm paver-minilib.zip

%build
%{__python} setup.py build

%check
nosetests

%install

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE.txt README.rst
%{_bindir}/*
%{python_sitelibdir_noarch}/*


%changelog
