# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-pgu
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		python-module-pgu
Version:	0.12.3
Release:	alt1_20
Summary:	A collection of useful modules for writing games with PyGame

Group:		Development/Other
License:	LGPLv2+
URL:		http://code.google.com/p/pgu/
Source0:	http://pgu.googlecode.com/files/pgu-%{version}.zip

BuildArch:	noarch
BuildRequires:	python-devel

%global _description\
PGU is a collection of useful modules for writing games with PyGame.\
At the moment the project consists of:\
- Tools for editing tile-based levels\
- A module for creating GUIs\
- A set of general-purpose game libraries
Source44: import.info

%description %_description

%prep
%setup -q -n pgu-%{version}


%build
%{__python} setup.py build
cd docs/ && %{__python} build.py


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# remove these examples programs.
rm -f %{buildroot}%{_bindir}/*
# put them in a directory that will be included in doc
chmod 644 build/scripts-*/*
mv build/scripts-*/* examples
# replace the Vera.ttf files by a symlink to the file provided by the
# bitstream-vera-sans-fonts rpm
find %{buildroot}%{_datadir}/pgu -name Vera.ttf -exec ln -sf %{_datadir}/fonts/ttf/TrueType-vera/Vera.ttf '{}' \;



%files -n python-module-pgu
%doc GUIDE.txt LICENSE.txt README.txt TODO.txt CHANGES.txt BUGS.txt
%doc docs/*.html
# some examples
%doc examples
# python files
%{python_sitelibdir_noarch}/*
# data files
%{_datadir}/pgu


%changelog
