Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-posix_ipc
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

%if 0%{?fedora}
%global with_python3 1
%else
%global with_python2 1
%endif

Name:           python-module-posix_ipc
Version:        0.9.8
Release:        alt5_27
Summary:        POSIX IPC primitives (semaphores and shared memory) for Python
License:        BSD
URL:            http://semanchuk.com/philip/posix_ipc/
Source0:        http://semanchuk.com/philip/posix_ipc/posix_ipc-%{version}.tar.gz

# See https://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot
BuildRequires:	gcc


%global _description\
posix_ipc is a Python module (written in C) that permits creation and\
manipulation of POSIX inter-process semaphores, shared memory and message\
queues on platforms supporting POSIX Realtime Extensions, POSIX 1003.1b-1993.\

Source44: import.info


%description 
%_description

%if 0%{?with_python3}
%package -n python3-module-posix_ipc
Group: Development/Python
Summary:        POSIX IPC primitives (semaphores and shared memory) for Python
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

%description -n python3-module-posix_ipc 
%_description
%endif  # with_python3


%prep
%setup -q -n posix_ipc-%{version}
chmod 644 demo/make_all.sh
chmod 644 demo2/cleanup.py
chmod 644 demo/cleanup.py

%if 0%{?with_python3}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%if 0%{?with_python2}
%python_build
%endif
%if 0%{?with_python3}
%python3_build
%endif


%install
%if 0%{?with_python2}
%python_install
%endif
%if 0%{?with_python3}
%python3_install
%endif

%if 0%{?with_python2}
%files -n python-module-posix_ipc
%doc README LICENSE demo demo2
%{python_sitelibdir}/*
%endif

%if 0%{?with_python3}
%files -n python3-module-posix_ipc
%doc README LICENSE demo demo2
%{python3_sitelibdir}/*
%endif


%changelog
