Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-praw
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_with tests
%bcond_with docs
%bcond_with update_checker

%global pypi_name praw

Name:           python-module-praw
Version:        3.6.2
Release:        alt1_2
Summary:        A python package that allows for simple access to reddit's API

License:        GPLv3+
URL:            https://praw.readthedocs.org
Source0:        https://github.com/praw-dev/praw/archive/v%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
# Disable the update feature
Patch0:         praw-%{version}-remove_update_check.patch
# Remove overly strict dependencies from setup.py.
Patch1:         praw-%{version}-clean-dependency-versions.patch

BuildArch:      noarch

BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  mock
BuildRequires:  python-module-betamax >= 0.7.1
BuildRequires:  python-module-betamax-matchers >= 0.2.0
BuildRequires:  python-module-betamax-serializers >= 0.2
BuildRequires:  pytest python-module-pytest
BuildRequires:  python-module-pytest-runner
BuildRequires:  python3-module-mock
BuildRequires:  python3-module-betamax >= 0.7.1
BuildRequires:  python3-module-betamax-matchers >= 0.2.0
BuildRequires:  python3-module-betamax-serializers >= 0.2
BuildRequires:  python3-module-pytest
BuildRequires:  python3-module-pytest-runner
%endif
%if %{with docs}
BuildRequires:  python-module-sphinx
%endif
Source44: import.info

%description
PRAW, an acronym for "Python Reddit API Wrapper", is a python package that
allows for simple access to reddit's API.

%package -n python3-module-praw
Group: Other
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-module-praw
PRAW, an acronym for "Python Reddit API Wrapper", is a python package that
allows for simple access to reddit's API.

%if %{with docs}
%package -n python-module-praw-doc
Group: Other
Summary:        A python package that allows for simple access to reddit's API
BuildArch: noarch
%description -n python-module-praw-doc
PRAW, an acronym for "Python Reddit API Wrapper", is a python package that
allows for simple access to reddit's API.
%endif

%prep
%setup -n %{pypi_name}-%{version}
%{!?with_update_checker:%patch0 -p1}
%patch1 -p1

%build
%python_build
%python3_build
%if %{with docs}
sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%python_install
cp %{buildroot}/%{_bindir}/praw-multiprocess %{buildroot}/%{_bindir}/praw-multiprocess-2
ln -sf %{_bindir}/praw-multiprocess-2 %{buildroot}/%{_bindir}/praw-multiprocess-%{__python_version}
%python3_install
cp %{buildroot}/%{_bindir}/praw-multiprocess %{buildroot}/%{_bindir}/praw-multiprocess-3
ln -sf %{_bindir}/praw-multiprocess-3 %{buildroot}/%{_bindir}/praw-multiprocess-%{__python3_version}

%if %{with tests}
%check
%{__python} setup.py test
%{__python3} setup.py test
%endif

%files -n python-module-praw
%doc README.rst
%doc --no-dereference COPYING
%{_bindir}/praw-multiprocess-2
%{_bindir}/praw-multiprocess-%{__python_version}
%{python_sitelibdir_noarch}/%{pypi_name}
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-module-praw
%doc README.rst
%doc --no-dereference COPYING
%{_bindir}/praw-multiprocess
%{_bindir}/praw-multiprocess-3
%{_bindir}/praw-multiprocess-%{__python3_version}
%{python3_sitelibdir_noarch}/%{pypi_name}
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with docs}
%files -n python-module-praw-doc
%doc html
%endif

%changelog
