# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname pyzor
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pyver %(python -c 'import sys ; print sys.version[:3]')

Name:          python-module-pyzor
Version:       0.5.0
Release:       alt1_10
Summary:       Pyzor collaborative spam filtering system
Group:         Networking/WWW
# COPYING is GPLv2; usage.html indicates v2+.  No statements in the code itself.
License:       GPLv2+
URL:           http://pyzor.sourceforge.net/
Source0:       http://downloads.sourceforge.net/pyzor/pyzor-%{version}.tar.bz2
Patch0:        pyzor-0.5.0-ignore-deprecation-warning.patch
BuildArch:     noarch
Source44: import.info

%description
Pyzor is a collaborative, networked system to detect
and block spam using identifying digests of messages.
Pyzor is similar to Vipul's Razor except implemented
in python, and using fully open source servers.

Pyzor can be used either standalone, or to augment the
spam filtering ability of spamassassin.  spamassassin
is highly recommended.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1


%build
%__python setup.py build


%install
install -m755 -d %{buildroot}%{python_sitelibdir_noarch}/pyzor
install -p -m644 build/lib/pyzor/* %{buildroot}%{python_sitelibdir_noarch}/pyzor
install -m755 -d %{buildroot}%{_bindir}
install -p -m755 build/scripts-%{pyver}/* %{buildroot}%{_bindir}
%__python -c 'from compileall import *; compile_dir("'%{buildroot}'/%{python_sitelibdir_noarch}",10,"%{python_sitelibdir_noarch}")'
%__python -O -c 'from compileall import *; compile_dir("'%{buildroot}'/%{python_sitelibdir_noarch}",10,"%{python_sitelibdir_noarch}")'
chmod -R a+rX %{buildroot}/%{python_sitelibdir_noarch}/pyzor %{buildroot}%{_bindir}/pyzor*


%files
%dir %{python_sitelibdir_noarch}/pyzor
%doc docs/usage.html COPYING NEWS README THANKS UPGRADING PKG-INFO
%attr(0644,root,root) %{python_sitelibdir_noarch}/pyzor/client.py*
%attr(0644,root,root) %{python_sitelibdir_noarch}/pyzor/server.py*
%attr(0644,root,root) %{python_sitelibdir_noarch}/pyzor/__init__.py*
%attr(0755,root,root) %{_bindir}/pyzor
%attr(0755,root,root) %{_bindir}/pyzord


%changelog
