Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-devel
# END SourceDeps(oneline)
%define oldname python-q
%define fedora 24
%if 0%{?fedora}
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           python-module-q
Version:        2.5
Release:        alt1_6
Summary:        Quick and dirty python debugging output

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/q
Source0:        https://pypi.python.org/packages/source/q/q/q-%{version}.tar.gz
# Fix for using @q decorator
# Submitted upstream: https://github.com/mithro/q/pull/1
Patch0: https://github.com/mithro/q/pull/1.diff
# Prettyprint dicts and other builtins
# Submitted upstream: https://github.com/mithro/q/pull/2
Patch1: https://github.com/mithro/q/pull/2.diff
# mentioned here: https://github.com/zestyping/q/pull/15 to judge interest
Patch2: fix-introspection.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

%if 0%{?with_python3}
BuildRequires: python3-dev
BuildRequires:  python3-module-distribute
%endif # with_python3
Source44: import.info

%description
If you've ever been frustrated trying to debug with print because a web
application or a unittesting framework is swallowing your debugging output,
q will make you jump for joy.

  import q
  variable = 'Hmmm... something happened here'
  q(variable)

cat /tmp/q

%if 0%{?with_python3}
%package -n python3-module-q
Group: Other
Summary: Quick and dirty python3 debugging output

%description -n python3-module-q
If you've ever been frustrated trying to debug with print because a web
application or a unittesting framework is swallowing your debugging output,
q will make you jump for joy.
  import q
  variable = 'Hmmm... something happened here'
  q(variable)

cat /tmp/q

This package contains the q module for python3

%endif # with_python3

%prep
%setup -q -n q-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%files
%doc README.md
%{python_sitelibdir_noarch}/*

%if 0%{?with_python3}
%files -n python3-module-q
%doc README.md
%{python3_sitelibdir_noarch}/*
%endif # with_python3

%changelog
