Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/sphinx-build python-devel
# END SourceDeps(oneline)
%define oldname python-restauth
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           python-module-restauth
Version:        0.6.1
Release:        alt1_18
Summary:        Reference implementation of RestAuth specification in Python
License:        GPLv3+
URL:            https://python.restauth.net/
Source0:        https://python.restauth.net/download/%{oldname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-module-sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

%global _description\
The RestAuth project is a system providing shared authentication,\
authorization and preferences.\
\
This reference library implements all features of the RestAuth specification.\
It is written in pure python and generally works with\
Python 2.6 or later (including Python 3).
Source44: import.info
# skip not found
%filter_from_requires /^python....RestAuthCommon./d

%description 

%_description
%package -n python3-module-restauth
Group: Development/Other
Summary:        Reference implementation of RestAuth specification in Python
Requires:       python3-module-restauth-common

%description -n python3-module-restauth
The RestAuth project is a system providing shared authentication,
authorization and preferences.

This reference library implements all features of the RestAuth specification.
It is written in pure Python and generally works with
Python 2.6 or later (including Python 3).


%package -n python-module-restauth-doc
Group: Documentation
Summary:        RestAuth Documentation
BuildArch: noarch

%description -n python-module-restauth-doc
Documentation for RestAuth

%prep
%setup -n %{oldname}-%{version} -q -c


%build

CFLAGS="%{optflags}" %{__python3} setup.py build

%{__python3} setup.py build_doc

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}/usr/share/doc/*

rm -rf %{buildroot}/usr/share/doc/*

# Install doc
cp -a ./doc/_build/html ./
rm -f html/\.buildinfo

# Remove shebangs from examples and make them non-executable
for f in examples/*.py; do
    sed '/\/usr\/bin\/env/d' $f > $f.new &&
    touch -r $f $f.new && mv $f.new $f
    chmod -x $f
done

%files -n python3-module-restauth
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python3_sitelibdir_noarch}/*

%files -n python-module-restauth-doc
%doc html examples

%changelog
