Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-setuptools_git
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname setuptools_git
%global pypi_name setuptools-git

%global common_desc \
This is a plugin for setup tools that enables Git integration.  Once \
installed, Setuptools can be told to include in a module distribution \
all the files tracked by git.  This is an alternative to explicit \
inclusion specifications with MANIFEST.in.

Name:           python-module-setuptools_git
Version:        1.1
Release:        alt1_18
Summary:        Setuptools revision control system plugin for Git

License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  git
Source44: import.info

%description
%{common_desc}


%package -n python3-module-setuptools_git
Group: Development/Python
Summary:  %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:  python3-module-distribute

Provides:  python3-%{pypi_name} == %{version}-%{release}

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-setuptools_git
%{common_desc}


%prep
%setup -q -n %{pypi_name}-%{version}
%{_bindir}/git config --global user.email "koji@dummy.lan"
%{_bindir}/git config --global user.name "Koji Builder"
%{_bindir}/git init
%{_bindir}/git add .
%{_bindir}/git commit -m'fake commit'


%build
%python3_build


%install
%python3_install


%check
%{__python3} setup.py test -vv
unset LANG


%files -n python3-module-setuptools_git
%doc PKG-INFO README.rst TODO.txt
%doc --no-dereference AUTHORS.txt LICENSE.txt
%{python3_sitelibdir_noarch}/%{srcname}/
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info/


%changelog
