# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-sippy
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global realname sippy

Name:           python-module-sippy
Version:        1.0.3
Release:        alt1_19
Summary:        B2BUA (back-to-back user agent) SIP call controlling component
Group:          Development/Other
License:        GPLv2+
URL:            http://b2bua.org/
BuildArch:      noarch
Source0:        http://b2bua.org/chrome/site/%{realname}-%{version}.tar.gz
Patch0:         sippy-setup.diff
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
# for sippy/Radius_client.py


%global _description\
This ia a RFC3261-compliant Session Initiation Protocol (SIP) Back-to-back\
user agent (B2BUA) server software.\
\
The B2BUA is a SIP call controlling component. Unlike a SIP proxy server,\
which only maintains transaction state, the B2BUA maintains complete call\
state and participates in all call requests. For this reason it can perform\
number of functions that are not possible to implement using SIP proxy,\
such as for example accurate call accounting, pre-paid rating and billing,\
fail over call routing etc. Unlike PBX-type solutions such as Asterisk for\
example, the B2BUA doesn't perform any media relaying or processing,\
therefore it doesn't introduce any additional packet loss, delay or jitter\
into the media path.\

Source44: import.info


%description %_description

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0 -b .do_not_install_copying
chmod 644 sippy/Udp_server.py
%if 0%{?rhel}
find -type f -name "*.py" -exec sed -i s,hashlib,md5,g {} \;
%endif


%build
python setup.py build


%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT
# remove unused files
rm -f $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/sippy/b2bua_radius.py*
rm -f $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/sippy/b2bua_simple.py*


%files -n python-module-sippy
%doc COPYING README
%dir %{_sysconfdir}/%{realname}
%config(noreplace) %{_sysconfdir}/%{realname}/dictionary
%{_bindir}/b2bua_radius.py
%{_bindir}/b2bua_simple.py
%{python_sitelibdir_noarch}/*


%changelog
