Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-structlog
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname structlog
%global sum Painless structural logging

Name:           python-module-structlog
Version:        19.2.0
Release:        alt2_6
Summary:        %{sum}

License:        ASL 2.0 and MIT
URL:            http://www.structlog.org/
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words twisted-core-tools
BuildRequires:  python3-devel
BuildRequires:  python3-module-freezegun
BuildRequires:  python3-module-pretend
BuildRequires:  pytest pytest3 python3-module-pytest
BuildRequires:  python3-module-distribute

%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-freezegun
BuildRequires:  python%{python3_other_pkgversion}-pretend
BuildRequires:  python%{python3_other_pkgversion}-pytest
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%endif
Source44: import.info


%description
Structlog makes structured logging in Python easy by augmenting your existing 
logger. It allows you to split your log entries up into key/value pairs and 
build them incrementally without annoying boilerplate code.


%package -n python3-module-structlog
Group: Development/Python
Summary:        Painless structural logging
License:        ASL 2.0 and MIT
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}


%description -n python3-module-structlog
Structlog makes structured logging in Python easy by augmenting your existing 
logger. It allows you to split your log entries up into key/value pairs and 
build them incrementally without annoying boilerplate code.


%prep
%setup -q -n %{srcname}-%{version}



%build
%python3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%python3_install


%check
pushd src
%{__python3} -m pytest ../tests
popd


%files -n python3-module-structlog
%doc AUTHORS.rst CHANGELOG.rst README.rst PKG-INFO docs/*.rst docs/code_examples
%doc --no-dereference LICENSE LICENSE.mit LICENSE.apache2
%{python3_sitelibdir_noarch}/%{srcname}
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py%{__python3_version}.egg-info


%if 0%{?with_python3_other}
%files -n python-module-structlog
%doc AUTHORS.rst CHANGELOG.rst README.rst PKG-INFO docs/*.rst docs/code_examples
%doc --no-dereference LICENSE LICENSE.mit LICENSE.apache2
%{python3_other_sitelib}/%{srcname}
%{python3_other_sitelib}/%{srcname}-%{version}-py%{__python3_version}.egg-info
%endif


%changelog
