Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-tempdir
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pname tempdir

%global desc \
Having to manually manage temporary directories is annoying. \
So this class encapsulates temporary directories which just disappear after \
use, including contained directories and files. \
Temporary directories are created with tempfile.mkdtemp and thus safe from \
race conditions. Cleanup might not work on windows if files are still opened. \


Name: python-module-tempdir
Version: 0.7.1
Release: alt2_18
Summary: Automatically manage temporary directories, based on tempfile.mkdtemp
License: MIT
URL: https://bitbucket.org/another_thomas/tempdir
Source0: https://pypi.python.org/packages/source/t/%{pname}/%{pname}-%{version}.tar.gz
BuildArch: noarch
Source44: import.info

%description
%{desc}

%package -n python3-module-tempdir
Group: Development/Python
Summary: %{summary}
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
%{?python_provide:%python_provide python3-%{pname}}

%description -n python3-module-tempdir
%{desc}

%prep
%setup -q -n %{pname}-%{version}
rm -r tempdir.egg-info

%build
%python3_build

%install
%python3_install

%files -n python3-module-tempdir
%doc --no-dereference docs/license.rst
%doc docs/use.rst
%{python3_sitelibdir_noarch}/%{pname}-%{version}-py%{__python3_version}.egg-info
%{python3_sitelibdir_noarch}/__pycache__/*
%{python3_sitelibdir_noarch}/tempdir.py

%changelog
