Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-tftpy
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname tftpy

Name:		python-module-tftpy
Version:	0.8.0
Release:	alt1_9
Summary:	TFTPy is a pure Python implementation of the Trivial FTP protocol

License:	MIT
URL:		https://github.com/msoulier/%{srcname}
Source0:	%{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch


%global _description\
Tftpy is a TFTP library for the Python programming language. It includes\
client and server classes, with sample implementations. Hooks are included\
for easy inclusion in a UI for populating progress indicators. It supports\
RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.\

Source44: import.info


%description 
%_description

%package -n python3-module-tftpy
Group: Development/Python
Summary: %summary
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:	python3-devel, python3-module-distribute
Conflicts:	python-module-%{srcname} <= 0.8.0-1

%description -n python3-module-tftpy 
%_description


%prep
%setup -q -n %{srcname}-%{version}


%build
%if 0%{?fedora} <= 31
%python_build
%endif
%python3_build


%install
%if 0%{?fedora} <= 31
%python_install
# rename python2 commands to avoid file conflicts with python3 package
mv ${RPM_BUILD_ROOT}%{_bindir}/tftpy_client{,2}.py
mv ${RPM_BUILD_ROOT}%{_bindir}/tftpy_server{,2}.py
%endif

%python3_install

%if 0%{?fedora} <= 31
# rename python3 commands to avoid file conflicts with python2 package
mv ${RPM_BUILD_ROOT}%{_bindir}/tftpy_client{,3}.py
mv ${RPM_BUILD_ROOT}%{_bindir}/tftpy_server{,3}.py
# make python3 commands the default version (TODO: use alternatives)
ln -s tftpy_client3.py ${RPM_BUILD_ROOT}%{_bindir}/tftpy_client.py
ln -s tftpy_server3.py ${RPM_BUILD_ROOT}%{_bindir}/tftpy_server.py
%endif


%if 0%{?fedora} <= 31
%files -n python-module-tftpy
%doc README COPYING
%{_bindir}/tftpy_client2.py
%{_bindir}/tftpy_server2.py
%{python_sitelibdir_noarch}/tftpy/
%{python_sitelibdir_noarch}/*.egg-info
%endif


%files -n python3-module-tftpy
%doc README COPYING
%if 0%{?fedora} <= 31
%{_bindir}/tftpy_client3.py
%{_bindir}/tftpy_server3.py
%endif
%{_bindir}/tftpy_client.py
%{_bindir}/tftpy_server.py
%{python3_sitelibdir_noarch}/tftpy/
%{python3_sitelibdir_noarch}/*.egg-info


%changelog
