Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-transforms3d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname transforms3d

Name:           python-module-transforms3d
Version:        0.3.1
Release:        alt2_14
Summary:        3 dimensional spatial transformations

License:        BSD
URL:            http://matthew-brett.github.io/transforms3d/
Source0:        https://github.com/matthew-brett/transforms3d/archive/%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
Code to convert between various geometric transformations.

* Composing rotations / zooms / shears / translations into affine matrix;
* Decomposing affine matrix into rotations / zooms / shears / translations;
* Conversions between different representations of rotations, including:
** 3x3 Rotation matrices;
** Euler angles;
** quaternions.


%package -n python3-module-transforms3d
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
# Test deps
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-numpy python3-module-numpy-testing
Requires:       python3-module-numpy python3-module-numpy-testing
Requires:     python3-module-sympy sympy

%description -n python3-module-transforms3d
Code to convert between various geometric transformations.

* Composing rotations / zooms / shears / translations into affine matrix;
* Decomposing affine matrix into rotations / zooms / shears / translations;
* Conversions between different representations of rotations, including:
** 3x3 Rotation matrices;
** Euler angles;
** quaternions.

Python 3 version.

%prep
%setup -q -n %{modname}-%{version}


%build
%python3_build

%install
%python3_install

%check
nosetests-%{__python3_version} -v

%files -n python3-module-transforms3d
%doc --no-dereference LICENSE
%doc README.rst AUTHORS
%{python3_sitelibdir_noarch}/%{modname}*

%changelog
