Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-tw2-core
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname tw2.core

Name:           python-module-tw2-core
Version:        2.2.7
Release:        alt1_2
Summary:        Web widget creation toolkit based on TurboGears widgets

License:        MIT
URL:            http://toscawidgets.org
Source0:        https://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

# remove kajiki support because of broken dependencies on Fedora
Patch1:         python-tw2-core-without-kajiki.patch

BuildArch:      noarch

# For building, generally
# General
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-webob >= 0.9.7
BuildRequires:  python3-module-simplejson >= 2.0
BuildRequires:  python3-module-decorator
BuildRequires:  python3-module-markupsafe
BuildRequires:  python3-module-speaklater
BuildRequires:  python3-module-PasteDeploy
BuildRequires:  python3-module-six

# Specifically for the test suite
BuildRequires:  python-module-nose python3-module-nose
BuildRequires:  python-module-coverage python3-module-coverage
BuildRequires:  python3-module-FormEncode
BuildRequires:  python3-module-webtest
BuildRequires:  python3-module-sieve

# Templating languages for the test suite
BuildRequires:  python-module-mako python3-module-mako
BuildRequires:  python3-module-genshi
BuildRequires:  python3-module-chameleon.core
#BuildRequires:  python3-kajiki
BuildRequires:  python3-module-jinja2
Source44: import.info
# in .pth
%py_provides tw2
%filter_from_requires /^python....tw2./d

%description

ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

The tw2.core package is lightweight and intended for run-time use only;
development tools are in tw2.devtools.


%package -n python3-module-tw2-core
Group: Development/Other
Summary: Web widget creation toolkit based on TurboGears widgets
Requires: python3-module-webob >= 0.9.7
Requires: python3-module-simplejson >= 2.0
Requires: python3-module-decorator
Requires: python3-module-markupsafe
Requires: python3-module-speaklater
Requires: python3-module-PasteDeploy
Requires: python3-module-six

%{?python_provide:%python_provide python3-tw2-core}

%description -n python3-module-tw2-core
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

The tw2.core package is lightweight and intended for run-time use only;
development tools are in tw2.devtools.

This package contains the python3 version of the toolkit

%prep
%setup -q -n %{modname}-%{version}
%patch1 -p2

%build
# Fix shebang for python3
sed -i '1s=^#!/usr/bin/\(python\|env python\)[0-9.]*=#!%{__python3}=' tw2/core/testbase/xhtmlify.py
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build \
    --install-data=%{_datadir} --root=%{buildroot}

%files -n python3-module-tw2-core
%{!?_licensedir:%global license %%doc}
%doc --no-dereference LICENSE.txt
%doc README.rst
%{python3_sitelibdir_noarch}/tw2
%{python3_sitelibdir_noarch}/%{modname}-%{version}*

%changelog
