Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-ufolib
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname ufoLib
%global pkgname ufolib

Name:           python-module-ufolib
Version:        2.1.1
Release:        alt1_10
Summary:        A low-level UFO reader and writer

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/unified-font-object/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
ufoLib reads and writes Unified Font Object (UFO) files. UFO is a file format
that stores fonts source files.

%package -n python3-module-ufolib
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  pytest python-module-pytest python3-module-pytest
BuildRequires:  python3-module-pytest-runner
BuildRequires:  python3-module-fonttools
Requires: python3-module-fonttools

%description -n python3-module-ufolib
ufoLib reads and writes Unified Font Object (UFO) files. UFO is a file format
that stores fonts source files.


%prep
%setup -q -n %{srcname}-%{version}


%build
%python3_build

%install
%python3_install

%check
%{__python3} setup.py test

%files -n python3-module-ufolib
%doc --no-dereference LICENSE.txt
%doc README.md
%dir %{python3_sitelibdir_noarch}/%{srcname}
%{python3_sitelibdir_noarch}/%{srcname}-*.egg-info
%{python3_sitelibdir_noarch}/%{srcname}/*.py
%{python3_sitelibdir_noarch}/%{srcname}/__pycache__
%{python3_sitelibdir_noarch}/%{srcname}/test

%changelog
