Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-urllib-gssapi
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
BuildRequires: /usr/bin/git
%global sname urllib-gssapi
%global s_name urllib_gssapi

Name:           python-module-urllib-gssapi
Version:        1.0.2
Release:        alt1_3
Summary:        A GSSAPI/SPNEGO authentication handler for urllib/urllib2

License:        ASL 2.0
URL:            https://github.com/pythongssapi/%{sname}
Source0:        https://github.com/pythongssapi/%{sname}/releases/download/v%{version}/%{s_name}-%{version}.tar.gz
BuildArch:      noarch

# Patches

BuildRequires:  git-core

BuildRequires:  python3-devel
BuildRequires:  python3-module-gssapi
BuildRequires:  python3-module-distribute

%global _description\
urllib_gssapi is a backend for urllib.  It provides GSSAPI/SPNEGO\
authentication to HTTP servers.  urllib_gssapi replaces urllib_kerberos and\
behaves in the same ways.
Source44: import.info

%description 
%_description

%package -n python3-module-urllib-gssapi
Group: Development/Python
Summary:        %summary
Requires:       python3-module-gssapi
%{?python_provide:%python_provide python3-%{sname}}
%description -n python3-module-urllib-gssapi 
%_description

%prep
%setup -q -n %{s_name}-%{version}
git init -q
git config user.name "rpmbuild"
git config user.email "<rpmbuild>"
git config gc.auto 0
git add --force .
git commit -q --allow-empty -a --author "rpmbuild <rpmbuild>" -m "%{NAME}-%{VERSION} base"


%build
%python3_build


%install
%python3_install

%check
%{__python3} -m unittest

%files -n python3-module-urllib-gssapi
%doc README.md
%doc --no-dereference COPYING
%{python3_sitelibdir_noarch}/%{s_name}*

%changelog
