Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-vcstools
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 54418dbd886821a5ac70062c9dd22833f933a5bf
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname vcstools

%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%{!?python2_version: %global python2_version %(%{__python} -c "from sys import stdout, version; stdout.write(version[:3])")}
%endif

Name:           python-module-vcstools
Version:        0.1.40
Release:        alt1_1
Summary:        Version Control System tools for Python

License:        BSD
URL:            http://www.ros.org/wiki/vcstools
Source0:        https://github.com/%{realname}/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  bzr
BuildRequires:  git
BuildRequires:  mercurial mercurial-hgext
BuildRequires:  python-module-coverage
BuildRequires:  python-module-dateutil
BuildRequires:  python-devel
BuildRequires:  python-module-mock
BuildRequires:  python-module-nose
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-sphinx10
%else
BuildRequires:  python-module-sphinx
%endif
BuildRequires:  python-module-yaml
BuildRequires:  subversion subversion-server-common
Source44: import.info

%description
The vcstools module provides a Python API for interacting with different
version control systems (VCS/SCMs). The VcsClient class provides an API
for seamless interacting with Git, Mercurial (Hg), Bzr and SVN. The focus
of the API is manipulating on-disk checkouts of source-controlled trees.
Its main use is to support the rosinstall tool.

%if 0%{?with_python3}
%package -n python3-module-vcstools
Group: Other
Summary: Version Control System tools for Python

BuildRequires:  python3-module-coverage
BuildRequires:  python3-module-dateutil
BuildRequires:  python3-devel
BuildRequires:  python3-module-mock
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-sphinx
BuildRequires:  python3-module-yaml

Requires:       bzr
Requires:       git
Requires:       mercurial mercurial-hgext
Requires:       python3-module-dateutil
Requires:       python3-module-yaml
Requires:       subversion subversion-server-common
%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-module-vcstools
The vcstools module provides a Python API for interacting with different
version control systems (VCS/SCMs). The VcsClient class provides an API
for seamless interacting with Git, Mercurial (Hg), Bzr and SVN. The focus
of the API is manipulating on-disk checkouts of source-controlled trees.
Its main use is to support the rosinstall tool.
%endif # with_python3

%prep
%setup -n %{oldname}-%{version} -qn %{realname}-%{commit}
sed -i 's/haiku/default/' doc/conf.py
sed -i 's/:special-members://' doc/vcstools.rst

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
find %{_builddir}/python3-%{oldname}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build
%if 0%{?rhel} && 0%{?rhel} <= 6
make -C doc html man SPHINXBUILD=sphinx-1.0-build
%else
make -C doc html man
%endif
rm -f doc/_build/html/.buildinfo

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
make -C doc html man SPHINXBUILD=sphinx-build-%{__python3_version}
rm -f doc/_build/html/.buildinfo
popd
%endif # with_python3

%install
%{__python} setup.py install --root %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
chmod -x doc/_build/man/%{realname}.1
install -p -m 0644 doc/_build/man/%{realname}.1 %{buildroot}%{_mandir}/man1/

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelibdir_noarch}/setuptools/tests
mkdir -p %{buildroot}%{_mandir}/man1
chmod -x doc/_build/man/%{realname}.1
install -p -m 0644 doc/_build/man/%{realname}.1 %{buildroot}%{_mandir}/man1/python3-%{realname}.1
popd
%endif # with_python3

%check
export GIT_AUTHOR_EMAIL="foo@example.com"
export GIT_AUTHOR_NAME="Foo Bar"
export GIT_COMMITTER_EMAIL="foo@example.com"
export GIT_COMMITTER_NAME="Foo Bar"
export HGUSER="Foo Bar <foo@example.com>"
export LANG=en_US.UTF-8

# Exclude 5 tests which access remote data
# Exclude a test with a bad unicode conversion on python2.6 machines (filed upstream)
%if "%{python2_version}" == "2.6"
nosetests --with-coverage --cover-package %{realname} -w test \
  -e "^(test_git_subm|test_url_matches_with_shortcut|test_checkout|test_checkout_dir_exists|test_checkout_version|test_get_url_by_reading|test_shell_command_verbose)$"
%else
nosetests --with-coverage --cover-package %{realname} -w test \
  -e "^(test_git_subm|test_url_matches_with_shortcut|test_checkout|test_checkout_dir_exists|test_checkout_version|test_get_url_by_reading)$"
%endif

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
nosetests-%{__python3_version} --with-coverage --cover-package %{realname} -w test \
  -e "^(test_git_subm|test_url_matches_with_shortcut|test_checkout|test_checkout_dir_exists|test_checkout_version|test_get_url_by_reading)$"
popd
%endif # with_python3

%files -n python-module-vcstools
%doc doc/_build/html LICENSE
%{python_sitelibdir_noarch}/%{realname}
%{python_sitelibdir_noarch}/%{realname}-%{version}-py?.?.egg-info
%{_mandir}/man1/%{realname}.1*

%if 0%{?with_python3}
%files -n python3-module-vcstools
%doc doc/_build/html LICENSE
%{python3_sitelibdir_noarch}/%{realname}
%{python3_sitelibdir_noarch}/%{realname}-%{version}-py?.?.egg-info
%{_mandir}/man1/python3-%{realname}.1*
%endif # with_python3

%changelog
