Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-vulture
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global module_name vulture
%global common_desc \
Vulture finds unused classes, functions and variables in your code. \
This helps you cleanup and find errors in your programs. If you run it \
on both your library and test suite you can find untested code. \
Due to Pythona.'s dynamic nature, static code analyzers like vulture \
are likely to miss some dead code. Also, code that is only called \
implicitly may be reported as unused. Nonetheless, vulture can be a \
very helpful tool for higher code quality.

Name:		python-module-vulture
Version:	1.0
Release:	alt1_5
Summary:	Find Dead Code

License:	MIT
URL:		https://pypi.python.org/pypi/vulture
Source0:	https://files.pythonhosted.org/packages/source/v/%{module_name}/%{module_name}-%{version}.tar.gz

BuildArch:	noarch
Source44: import.info

%description
%{common_desc}

%package -n python3-module-vulture
Group: Development/Python
Summary:	Find Dead Code
%{?python_provide:%python_provide python3-%{module_name}}

BuildRequires:	python3-devel
BuildRequires:	python3-module-distribute
# Required by tests
BuildRequires:	pytest3 python3-module-pytest
BuildRequires:	python3-module-pytest-cov

Requires:	python3-module-distribute
%description -n python3-module-vulture
%{common_desc}

%prep
%setup -q -n %{module_name}-%{version}

# Remove shebang
sed -i '1{/^#!/d}' vulture/*.py

%build
%python3_build

%install
%python3_install
mv %{buildroot}%{_bindir}/%{module_name} %{buildroot}%{_bindir}/%{module_name}-%{__python3_version}

ln -s %{_bindir}/vulture-%{__python3_version} %{buildroot}/%{_bindir}/vulture-3
ln -s %{_bindir}/vulture-%{__python3_version} %{buildroot}/%{_bindir}/vulture

%files -n python3-module-vulture
%doc README.rst
%doc --no-dereference LICENSE.txt
%{_bindir}/%{module_name}
%{_bindir}/%{module_name}-3
%{_bindir}/%{module_name}-%{__python3_version}
%{python3_sitelibdir_noarch}/%{module_name}/__pycache__
%{python3_sitelibdir_noarch}/%{module_name}
%{python3_sitelibdir_noarch}/%{module_name}-%{version}-py%{__python3_version}.egg-info

%changelog
