Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-w3lib
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{?python_enable_dependency_generator}
%global srcname w3lib

Name:           python-module-w3lib
Version:        1.17.0
Release:        alt2_17
Summary:        Library of web-related functions

License:        BSD
URL:            https://github.com/scrapy/w3lib
Source0:        https://files.pythonhosted.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz
# Usually pypi packages does not include license boilerplate.
# so, I've downloaded it from the project github repository
# wget -N https://raw.githubusercontent.com/scrapy/w3lib/master/LICENSE -O LICENSE-w3lib
Source1:        LICENSE-w3lib
BuildArch:      noarch
Source44: import.info


%description
This is a Python library of web-related functions, such as:
- Remove comments, or tags from HTML snippets
- Extract base url from HTML snippets
- Translate entites on HTML strings
- Encoding mulitpart/form-data
- Convert raw HTTP headers to dicts and vice-versa
- Construct HTTP auth header
- Converting HTML pages to unicode
- RFC-compliant url joining
- Sanitize urls (like browsers do)
- Extract arguments from urls


%package -n python3-module-w3lib
Group: Development/Python
Summary:    %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-w3lib
This is a Python3 library of web-related functions, such as:
- Remove comments, or tags from HTML snippets
- Extract base url from HTML snippets
- Translate entites on HTML strings
- Encoding mulitpart/form-data
- Convert raw HTTP headers to dicts and vice-versa
- Construct HTTP auth header
- Converting HTML pages to unicode
- RFC-compliant url joining
- Sanitize urls (like browsers do)
- Extract arguments from urls


%prep
%setup -n %{oldname}-%{version} -qn %{srcname}-%{version}
# Remove bundled egg
rm -rf w3lib.egg-info
# copy LICENSE-w3lib file to sources as well.
cp -a %{SOURCE1} .


%build
%python3_build


%install
%python3_install


%files -n python3-module-w3lib
%doc README.rst
%doc --no-dereference LICENSE-w3lib
%{python3_sitelibdir_noarch}/w3lib/
%{python3_sitelibdir_noarch}/w3lib-*.egg-info


%changelog
