Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: /usr/bin/pathfix.py python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-zbase32
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This package has a circular dependency with pyutil.
# Enable the bootstrap conditional to break the cycle.
%bcond_with bootstrap

Name:           python-module-zbase32
Version:        1.1.5
Release:        alt2_23
Summary:        A base32 encoder/decoder
License:        BSD and LGPLv2
URL:            http://allmydata.org/trac/zbase32
Source0:        http://pypi.python.org/packages/source/z/zbase32/zbase32-%{version}.tar.gz
Patch1:         0001-port-to-Python-3.patch
Patch2:         0002-expect-binary-data-to-be-bytes-not-str.patch
BuildArch:      noarch

%global _description\
An alternate base32 encoder (not RFC 3548 compliant).
Source44: import.info

%description 
%_description

%package -n python3-module-zbase32
Group: Development/Tools
Summary: %summary
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%if %{with bootstrap}
%{?python_disable_dependency_generator}
%else
BuildRequires:  python3-module-pyutil
Requires:       python3-module-pyutil
%endif
%{?python_provide:%python_provide python3-zbase32}

%description -n python3-module-zbase32 
%_description

%prep
%setup -q -n zbase32-%{version}
%patch1 -p1
%patch2 -p1
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
%python3_build

%install
%python3_install

chmod 0755 %{buildroot}%{python3_sitelibdir_noarch}/zbase32/test/test_zbase32.py
chmod 0755 %{buildroot}%{python3_sitelibdir_noarch}/zbase32/zbase32.py

%check
%if ! %{with bootstrap}
%{__python3} setup.py test
%endif

%files -n python3-module-zbase32
%doc README DESIGN TODO
%{python3_sitelibdir_noarch}/zbase32
%{python3_sitelibdir_noarch}/zbase32-%{version}-py%{__python3_version}.egg-info

%changelog
