Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-zope-sqlalchemy
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-zope-sqlalchemy
Version:        1.4
Release:        alt1_2
BuildArch:      noarch

License:        ZPLv2.1
Summary:        Minimal Zope/SQLAlchemy transaction integration
URL:            https://github.com/zopefoundation/zope.sqlalchemy
Source0:        https://github.com/zopefoundation/zope.sqlalchemy/archive/%{version}.tar.gz

BuildRequires:      python3-devel
BuildRequires:      python3-module-distribute
BuildRequires:      python3-module-zope.testing


%global _description\
The aim of this package is to unify the plethora of existing packages\
integrating SQLAlchemy with Zope's transaction management. As such it seeks\
only to provide a data manager and makes no attempt to define a zopeish way to\
configure engines.
Source44: import.info

%description 
%_description

%package -n python3-module-zope-sqlalchemy
Group: Development/Python
Summary:   Minimal Zope/SQLAlchemy transaction integration with Python 3 support

Requires:           python3-module-transaction
Requires:           python3-module-sqlalchemy >= 0.5.1
Requires:           python3-module-zope.interface >= 3.6.0

%description -n python3-module-zope-sqlalchemy
The aim of this package is to unify the plethora of existing packages
integrating SQLAlchemy with Zope's transaction management. As such it seeks
only to provide a data manager and makes no attempt to define a zopeish way to
configure engines.

%prep
%setup -q -n zope.sqlalchemy-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}


%files -n python3-module-zope-sqlalchemy
%doc src/zope/sqlalchemy/README.rst
%doc CHANGES.rst CREDITS.rst
%doc --no-dereference COPYRIGHT.txt LICENSE.txt
# Co-own %%{python_sitelib}/zope/
%{python3_sitelibdir_noarch}/*
%exclude %{python3_sitelibdir_noarch}/zope/sqlalchemy/*.rst


%changelog
