Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global shortname gpgme
%global modname pygpgme

Name:           python-%{modname}
Version:        0.3
Release:        alt4_27
Summary:        Python module for working with OpenPGP messages

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/%{modname}
Source0:        https://files.pythonhosted.org/packages/source/%(n=%{modname}; echo ${n:0:1})/%{modname}/%{modname}-%{version}.tar.gz
# upstream is dead, but all of patches somewhere in launchpad and backported here
# All patches are tracked at: https://pagure.io/pygpgme
Patch0001:      0001-reflect-2.1-reporting-for-key-imports.patch
Patch0002:      0002-passphrase_cb-is-deprecated.patch
Patch0003:      0003-handle-generic-error-when-no-passphrase-callback-pre.patch
Patch0004:      0004-add-pubkey_algo-and-hash_algo-attributes-to-signatur.patch
Patch0005:      0005-add-ENCRYPT_NO_ENCRYPT_TO-constant.patch
Patch0006:      0006-ignore-STATUS_KEY_CONSIDERED-when-editing.patch

BuildRequires:  gpgme libgpgme-devel
BuildRequires:  gcc

%global _description \
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt\
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and\
the GPGME library.
Source44: import.info

%description 

%{_description}
%package -n python-module-pygpgme
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
%{?python_provide:%python_provide python2-%{shortname}}
BuildRequires:  python-devel
Provides:       pygpgme = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       pygpgme = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      pygpgme < 0.3-17

%description -n python-module-pygpgme 

Python 2 version.

%{_description}
%package -n python3-module-pygpgme
Group: Development/Python
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-%{shortname}}
BuildRequires:  python3-devel

%description -n python3-module-pygpgme 

Python 3 version.

%{_description}
%prep
%setup -q -n %{modname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%python_build
%python3_build

%install
%python_install
%python3_install

%check
# Use the installed gpgme because it has the built compiled module
mv gpgme gpgme.bak
PYTHONPATH=%{buildroot}%{python_sitelibdir} GPG_AGENT_INFO= %{__python} test_all.py -v || :
PYTHONPATH=%{buildroot}%{python3_sitelibdir} GPG_AGENT_INFO= %{__python3} test_all.py -v || :

%files -n python-module-pygpgme
%doc README examples tests
%{python_sitelibdir}/%{shortname}/
%{python_sitelibdir}/%{modname}-*.egg-info

%files -n python3-module-pygpgme
%doc README examples tests
%{python3_sitelibdir}/%{shortname}/
%{python3_sitelibdir}/%{modname}-*.egg-info

%changelog
