Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-exif
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global oname   exif-py

%if 0%{?fedora} < 32
%global         py2 1
%endif

Summary:        Python module to extract EXIF information
Name:           python3-module-exif
Version:        2.3.2
Release:        alt1_3
License:        BSD
URL:            https://github.com/ianare/exif-py
Source0:        https://github.com/ianare/%{oname}/archive/%{version}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?py2}
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
%endif
BuildRequires:  python3-module-distribute
BuildRequires:  python3-devel

%global _description\
Python Library to extract EXIF information in digital camera image files.
Source44: import.info

%description 
%_description

%if 0%{?py2}
%package -n python-module-exif
Group: Development/Python
Summary: %summary
%{?python_provide:%python_provide python2-exif}

%description -n python-module-exif 
%_description
%endif

%prep
%setup -q -n %{oname}-%{version}

%build
%{?py2:%python_build}
%python3_build

%install
%if 0%{?py2}
%python_install
mv %{buildroot}%{_bindir}/EXIF.py %{buildroot}%{_bindir}/python2-EXIF.py
ln -s python2-EXIF.py %{buildroot}%{_bindir}/python2-EXIF
%endif
%python3_install
ln -s EXIF.py %{buildroot}%{_bindir}/EXIF

%if 0%{?py2}
%files -n python-module-exif
%doc --no-dereference LICENSE.txt
%doc ChangeLog.rst README.rst
%{_bindir}/python2-EXIF
%{_bindir}/python2-EXIF.py
%{python_sitelibdir_noarch}/ExifRead-*-*.egg-info
%{python_sitelibdir_noarch}/exifread
%endif

%files -n python3-module-exif
%doc --no-dereference LICENSE.txt
%doc ChangeLog.rst README.rst
%{_bindir}/EXIF
%{_bindir}/EXIF.py
%{python3_sitelibdir_noarch}/exifread
%{python3_sitelibdir_noarch}/ExifRead-*-py*.egg-info

%changelog
