%filter_from_requires /^python3.qpid/d
Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3(kitchen) python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-moksha-hub
%define fedora 31
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora} || 0%{?rhel} >= 8
%global with_python3 1
%endif

%if 0%{?fedora} < 31 || 0%{?rhel}
%global with_python2 1
%endif

%global modname moksha.hub

Name:           python3-module-moksha-hub
Version:        1.5.17
Release:        alt1_6
Summary:        Hub components for Moksha

License:        ASL 2.0
URL:            https://pypi.io/project/moksha.hub
Source0:        https://pypi.io/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?with_python2}
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-mock

BuildRequires:  python-module-six

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-module-moksha-common
BuildRequires:  python-module-txzmq
BuildRequires:  python-module-txws
BuildRequires:  python-daemon
BuildRequires:  python-twisted-core
BuildRequires:  python-stomper
%else
BuildRequires:  python-module-moksha-common
BuildRequires:  python-module-txzmq
BuildRequires:  python-module-txws
BuildRequires:  python-module-daemon
BuildRequires:  python-module-twisted
BuildRequires:  python-module-stomper
BuildRequires:  python-module-pyasn1
BuildRequires:  python-module-service-identity
%endif
%endif

%if 0%{?with_python2}
%if 0%{?fedora}
BuildRequires:  python-module-websocket-client
%endif
%endif

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-mock

BuildRequires:  python3-module-moksha-common >= 1.0.6
BuildRequires:  python3-module-twisted-conch python3-module-twisted-core python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
BuildRequires:  python3-module-txzmq
BuildRequires:  python3-module-txws
BuildRequires:  python3-module-six
BuildRequires:  python3-module-stomper
BuildRequires:  python3-module-pyasn1
BuildRequires:  python3-module-service-identity
BuildRequires:  python3-module-daemon

BuildRequires:  python3-module-websocket-client
%endif

# When installed, these enable new plugins for the moksha.hub
#BuildRequires:  python2-qpid
#Requires:       python2-qpid

# Its a whole different package now.

%global _description\
Hub components for Moksha.\

Source44: import.info
# in .pth
%py3_provides moksha
%filter_from_requires /^python....moksha./d


%description 
%_description

%prep
%setup -q -n %{modname}-%{version}

# Removed twisted from the list of deps in setup.py.
sed -i 's/"Twisted",//' setup.py

# *Experimental* support for python-zmq-13.0.0 in rawhide.
sed -i 's/pyzmq<=2.2.0.1/pyzmq/' setup.py

%build
%if 0%{?with_python2}
%python_build
%endif

%if 0%{?with_python3}
%python3_build
%endif


%install
%if 0%{?with_python2}
%python_install
mv %{buildroot}%{_bindir}/moksha-hub %{buildroot}%{_bindir}/moksha-hub-%{__python_version}
ln -s ./moksha-hub-%{__python_version} %{buildroot}%{_bindir}/moksha-hub-2
%endif

%if 0%{?with_python3}
%python3_install
ln -s ./moksha-hub %{buildroot}%{_bindir}/moksha-hub-3
ln -s ./moksha-hub %{buildroot}%{_bindir}/moksha-hub-%{__python3_version}
%endif

%check
%if 0%{?rhel}
# Test suite requires a more modern Twisted than is in el6, so don't run it for
# now.

# Furthermore, the test suite requires python-websocket-client, which is in a
# rhel7-optional and isn't showing up in the fedoraproject koji buildroot.
# https://bugzilla.redhat.com/show_bug.cgi?id=1185049

%else
%if 0%{?with_python2}
%{__python} setup.py test
%endif
%endif

%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%if 0%{?with_python2}
%files -n python-module-moksha-hub
%doc README AUTHORS
%doc --no-dereference COPYING
%{python_sitelibdir_noarch}/moksha/hub/
%{python_sitelibdir_noarch}/%{modname}-%{version}*
%{_bindir}/moksha-hub-2
%{_bindir}/moksha-hub-%{__python_version}
%endif

%if 0%{?with_python3}
%files -n python3-module-moksha-hub
%doc README AUTHORS
%doc --no-dereference COPYING
%{python3_sitelibdir_noarch}/moksha/hub/
%{python3_sitelibdir_noarch}/%{modname}-%{version}*
%{_bindir}/moksha-hub
%{_bindir}/moksha-hub-3
%{_bindir}/moksha-hub-%{__python3_version}
%endif

%changelog
