Group: Development/Python3
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-unipath
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global        oname Unipath
Summary:       Alternative to Python modules os, os.path and shutil
Name:          python3-module-unipath
Version:       1.1
Release:       alt1_16
License:       MIT
URL:           https://pypi.python.org/pypi/Unipath/
Source0:       https://files.pythonhosted.org/packages/source/U/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
%global _description\
Unipath is a package for doing pathname calculations and filesystem\
access in an object-oriented manner, an alternative to functions in\
os.path, shutil and glob, and even some functions in os.* It's based\
on Jason Orendorffs path.py but does not adhere as strictly to the\
underlying functions' syntax, in order to provide more user\
convenience and higher-level functionality. For example:\
\
 o p.mkdir() succeeds silently if the directory already exists, and\
 o p.mkdir(True) creates intermediate directories a la os.makedirs.\
 o p.rmtree(parents=True) combines shutil.rmtree, os.path.isdir,\
   os.remove, and os.removedirs, to recursively remove whatever it is\
   if it exists.\
 o p.read_file("rb") returns the file's contents in binary mode.\
 o p.needs_update([other_path1, ...]) returns True if p doesn't exist\
   or has an older timestamp than any of the others.\
 o extra convenience functions in the unipath.tools module. dict2dir\
   creates a directory hierarchy described by a dict. dump_path displays\
   an ASCII tree of a directory hierarchy.
Source44: import.info

%description 
%_description

%prep
%setup -q -n %{oname}-%{version}

%build
%python3_build

%install
%python3_install

%files -n python3-module-unipath
%doc --no-dereference CHANGES
%doc BUGS.txt PKG-INFO README.html README.rst
%{python3_sitelibdir_noarch}/unipath/
%{python3_sitelibdir_noarch}/%{oname}-%{version}-py*.egg-info

%changelog
