Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-virtualenvwrapper
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname virtualenvwrapper
%global desc virtualenvwrapper is a set of extensions to Ian Bicking's \
`virtualenv <http://pypi.python.org/pypi/virtualenv>`_ tool.  The extensions \
include wrappers for creating and deleting virtual environments and otherwise \
managing your development workflow, making it easier to work on more than \
one project at a time without introducing conflicts in their dependencies.
%global sum Enhancements to virtualenv

Name:             python3-module-virtualenvwrapper
Version:          4.8.2
Release:          alt2_17
Summary:          %{sum}

License:          MIT
URL:              https://pypi.python.org/pypi/%{modname}
Source0:          https://pypi.python.org/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz
Patch0:           python-virtualenvwrapper-4.8.2-default-binaries.patch

BuildArch:        noarch

BuildRequires:      python3-devel
BuildRequires:      python3-module-distribute
BuildRequires:      python3-module-virtualenv
BuildRequires:      python3-module-virtualenv-clone
BuildRequires:      python3-module-stevedore
BuildRequires:      python3-module-pbr
Source44: import.info
# use pth instead of __init__
%filter_from_requires /^python2...virtualenvwrapper./d
%py_provides virtualenvwrapper

## Just for tests
#BuildRequires:      python-tox
#BuildRequires:      ksh
#BuildRequires:      zsh

%description
%{desc}

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info
# Fix default binaries
%patch0 -p1 -b .default-binaries

%build
%python3_build

%install
%python3_install

# Prepend a shebang to these so they are not stripped of executable bits
sed -i '1i #!/bin/sh' %{buildroot}/%{_bindir}/%{modname}.sh

mkdir -p %{buildroot}/%{_sysconfdir}/profile.d/
ln -s %{_bindir}/virtualenvwrapper_lazy.sh %{buildroot}/%{_sysconfdir}/profile.d/virtualenvwrapper.sh

ln -s %{_bindir}/virtualenvwrapper_lazy.sh %{buildroot}/%{_bindir}/virtualenvwrapper_lazy-3.sh
ln -s %{_bindir}/virtualenvwrapper.sh %{buildroot}/%{_bindir}/virtualenvwrapper-3.sh


#%%check
# Tests won't fly in koji since they try to install stuff from pypi
#tox -e py27

%files -n python3-module-virtualenvwrapper
%doc PKG-INFO docs
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/%{modname}
%{python3_sitelibdir_noarch}/%{modname}-%{version}*
%{_bindir}/virtualenvwrapper.sh
%{_bindir}/virtualenvwrapper_lazy.sh
%{_bindir}/virtualenvwrapper-3.sh
%{_bindir}/virtualenvwrapper_lazy-3.sh
%config(noreplace) %{_sysconfdir}/profile.d/virtualenvwrapper.sh

%changelog
