# false alarm
%filter_from_requires /^python3.bindann./d
%filter_from_requires /^python3.exceptions./d
%filter_from_requires /^python3.thread./d
# bootstrap; remove after zbase32 build
%filter_from_requires /^python3.zbase32/d
Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pyutil
Version:        3.1.0
Release:        alt1_8
Summary:        A collection of mature utilities for Python programmers

License:        GPLv2+
URL:            https://github.com/tpltnt/pyutil
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

Patch1:         package-data.patch
# https://github.com/tpltnt/pyutil/pull/3
Patch2:         py3.patch

BuildArch:      noarch


%global _description\
These are a few data structures, classes and functions which we've needed \
over many years of Python programming and which seem to be of general use \
to other Python programmers. Many of the modules that have existed in pyutil \
over the years have subsequently been obsoleted by new features added to \
the Python language or its standard library, thus showing that we're not \
alone in wanting tools like these.
Source44: import.info

%description 

%_description
%package -n python3-module-pyutil
Group: Other
Summary:        %summary
%{?python_provide:%python_provide python3-%{name}}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
#BuildRequires:  python3-module-zbase32
BuildRequires:  python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
BuildRequires:  net-tools
BuildRequires:  python3-module-simplejson
BuildRequires:  python3-module-mock
Requires:       python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-wx python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
#Requires:       python3-module-zbase32
Requires:       python3-module-simplejson

%description -n python3-module-pyutil 

%_description
%prep
%setup -q
find . -name "*~" -delete
%patch1 -p1
%patch2 -p1

%build
%python3_build

%install
%python3_install

# rename the utilities to something less generic
mv %{buildroot}%{_bindir}/lines %{buildroot}%{_bindir}/%{name}_lines
mv %{buildroot}%{_bindir}/randcookie %{buildroot}%{_bindir}/%{name}_randcookie
mv %{buildroot}%{_bindir}/randfile %{buildroot}%{_bindir}/%{name}_randfile
mv %{buildroot}%{_bindir}/tailx %{buildroot}%{_bindir}/%{name}_tailx
mv %{buildroot}%{_bindir}/try_decoding %{buildroot}%{_bindir}/%{name}_try_decoding
mv %{buildroot}%{_bindir}/unsort %{buildroot}%{_bindir}/%{name}_unsort
mv %{buildroot}%{_bindir}/verinfo %{buildroot}%{_bindir}/%{name}_verinfo
mv %{buildroot}%{_bindir}/passphrase %{buildroot}%{_bindir}/%{name}_passphrase

rm -rf %{buildroot}%{_docdir}/%{name}

# remove shebang
find %{buildroot}%{python3_sitelibdir_noarch}/%{name} \
        -type f -name \*.py -o -name test_template | \
	xargs sed -i '/^#!\/usr\/bin\/env/d'
 
%check
%{__python3} setup.py test

%files -n python3-module-pyutil
%doc README.rst COPYING.GPL COPYING.SPL.txt COPYING.TGPPL.rst CREDITS
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}-%{version}-*.egg-info
%{_bindir}/%{name}_lines
%{_bindir}/%{name}_randcookie
%{_bindir}/%{name}_randfile
%{_bindir}/%{name}_tailx
%{_bindir}/%{name}_try_decoding
%{_bindir}/%{name}_unsort
%{_bindir}/%{name}_verinfo
%{_bindir}/%{name}_passphrase

%changelog
