# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libwayland-cursor-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?mgaversion} >= 6
%global qt5_ver 5.6
%global qt5_ver_minor 1
%else
%global qt5_ver 5.5
%global qt5_ver_minor 1
%endif
%global qt5_version %{qt5_ver}.%{qt5_ver_minor}

Name:           qgnomeplatform
Version:        0.6.1
Group:          Graphical desktop/KDE
Release:        alt1_2
Summary:        Qt Platform Theme aimed to accommodate Gnome settings

License:        LGPLv2+
URL:            https://github.com/MartinBriza/QGnomePlatform
Source0:        https://github.com/MartinBriza/QGnomePlatform/archive/%{version}/QGnomePlatform-%{version}.tar.gz
Patch0:         qgnomeplatform-0.6.0-linkage.patch
Patch1:         qgnomeplatform-0.6.1-fix-build-with-qt-5.15.patch

# Upstream patches

BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_ver}
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5-base-devel
BuildRequires:  qt5-base-devel qt5-base-devel-static
BuildRequires:  qt5-base-devel qt5-base-devel-static
BuildRequires:  qt5-base-devel qt5-base-devel-static

Requires:       gdm gdm-data
Requires:       libqt5-gui libqt5-network
Requires:       adwaita-qt5
Requires:       qt5-wayland
Source44: import.info

%description
QGnomePlatform is a Qt Platform Theme aimed to accommodate as much of
GNOME settings as possibleand utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.


%prep
%setup -q -n QGnomePlatform-%{version}
%patch0 -p1
%patch1 -p1



%build
%qmake_qt5

%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%doc --no-dereference LICENSE
%{_qt5_plugindir}/platformthemes/libqgnomeplatform.so
%{_qt5_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so


%changelog
