# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Doesn't require any BIOS/copyrighted material, so it can go in core.

%define uname   QMednafen

Name:           qmednafen
Version:        0.1.0
Release:        alt1_6
Summary:        Multi-platform frontend (GUI) for the Mednafen emulator (Qt 5)
Group:          Emulators
License:        GPLv3+
URL:            https://github.com/Tuxman88/QMednafen
Source0:        https://github.com/Tuxman88/QMednafen/archive/%{version}/%{uname}-%{version}.tar.gz
# https://github.com/Tuxman88/QMednafen/pull/1
Patch0:         0001-Use-hicolor-theme-for-icon-and-improve-desktop-file.patch

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       mednafen
Provides:       mednafen-frontend
Source44: import.info

%description
QMednafen is a Qt 5 GUI interface for Mednafen, the multi-platform
and multi-console emulator.

QMednafen brings to the user an interface that ease the process
of using Mednafen.

%prep
%setup -q -n %{uname}-%{version}
%patch0 -p1


%build
%qmake_qt5
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/qmednafen.desktop
%{_iconsdir}/hicolor/512x512/apps/qmednafen.png


%changelog
