Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:          An arpeggiator, sequencer and MIDI LFO for ALSA
Name:             qmidiarp
Version:          0.6.5
Release:          alt2_10
License:          GPLv2+
URL:              http://sourceforge.net/projects/qmidiarp
Source0:          http://downloads.sourceforge.net/qmidiarp/files/%{name}-%{version}.tar.bz2
BuildRequires:    desktop-file-utils
BuildRequires:    libalsa-devel
BuildRequires:    gcc-c++
BuildRequires:    qt5-base-devel
BuildRequires:    qt5-designer qt5-tools
BuildRequires:    liblo-devel
BuildRequires:    libjack-devel
BuildRequires:    lv2-devel
Requires:         icon-theme-hicolor
Source44: import.info

%description
QMidiArp is a MIDI phrase generator and controller LFO for the ALSA sequencer. 
It can run multiple synchronized arpeggiators, LFOs and step sequencers. 
QMidiArp has been growing since June 2009 on top of Matthias Nagorni's original 
arp idea.  

%package -n lv2-qmidiarp 
Group: Sound
Summary:          LV2 plugins of the QMidiArp MIDI arpeggiator, sequencer and LFO

%description -n lv2-qmidiarp
lv2-qmidiarp contains LV2 versions of the QMidiArp's LFO, ARP and sequencer

%prep

%setup -q 

# Fix encoding issues
for file in ChangeLog AUTHORS README COPYING NEWS; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
%configure --enable-nsm 
%make_build

%install
make DESTDIR=%{buildroot} install

%files 
%doc AUTHORS ChangeLog README NEWS
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/de/man1/%{name}.1.*
%{_mandir}/fr/man1/%{name}.1.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/metainfo/%{name}*

%files -n lv2-qmidiarp
%{_libdir}/lv2/qmidiarp*

%changelog
