Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           qsstv
Version:        9.5.3
Release:        alt1_1
Summary:        Qt-based slow-scan TV and fax

License:        GPLv2+
URL:            http://users.telenet.be/on4qz/

Source0:        http://users.telenet.be/on4qz/qsstv/downloads/%{name}_%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.1
Source3:        qsstv.appdata.xml

Patch0:         qsstv-install.patch

BuildRequires:  gcc-c++ doxygen desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  libfftw3-devel
BuildRequires:  qt5-base-devel
BuildRequires:  libqwt6-qt5-devel
BuildRequires:  hamlib-devel hamlib-tcl
BuildRequires:  libalsa-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  libopenjpeg-devel
BuildRequires:  libopenjpeg2.0-devel
BuildRequires:  libv4l-devel
Source44: import.info


%description
Qsstv is a program for receiving slow-scan television and fax. These are
modes used by hamradio operators. Qsstv uses a soundcard to send and
receive images.


%package doc
Group: Communications
Summary:             User manual for Qsstv.
BuildArch:           noarch
Requires:            %{name} = %{version}-%{release}

%description doc
User manual for Qsstv.


%prep
%setup -q -n %{name}_%{version}
%patch0 -p1


# Honor build flags...
sed -i "s/\-O0/\-O2/g" qsstv.pro


%build 
# mode_and_occupancy_code_table has different sizes  in its declaration
# vs its definition.  This is a hard error when using LTO and must be
# resolved before this package can use LTO
%define _lto_cflags %{nil}

qmake-qt5 PREFIX=%{_prefix} CONFIG+=debug QMAKE_CXXFLAGS+="-std=c++14 %{optflags}"
%make_build


%install
export INSTALL_ROOT=%{buildroot}
make install 

# Install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p icons/qsstv.png %{buildroot}%{_datadir}/pixmaps/

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

# Install appdata file
%if 0%{?fedora}
mkdir -p %{buildroot}%{_metainfodir}
install -pm 0644 %{SOURCE3} %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
%endif

find %{buildroot} -type f -name "*.a" -exec rm -f {} \;


%files
%doc --no-dereference COPYING
%doc README.txt
%{_bindir}/* 
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{?fedora:%{_metainfodir}/*.appdata.xml}

%files doc
%{_docdir}/%{name}/


%changelog
