Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 502c88bdc7613abb68e868eb520e39ec8a5cf6dd
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

# Created by pyp2rpm-3.2.2
%global pypi_name quasselgrep

# This package is not published to PyPI; it is purely a
# command line application that happens to be written in Python.

Name:           quasselgrep
Version:        0.1
Release:        alt2_0.13.20170411git%{shortcommit0}
Summary:        Tool for searching quassel logs from the commandline

License:        GPLv2 and BSD
URL:            https://github.com/fish-face/quasselgrep
Source0:        https://github.com/fish-face/%{name}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

# Port to python3 using modernize. I sent this patch upstream.
Patch0:         https://patch-diff.githubusercontent.com/raw/fish-face/quasselgrep/pull/12.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-future

Requires:       python3-module-dateutil
Requires:       python3-module-crypto
Requires:       python3-module-psycopg2
Requires:       python3-module-six

# Since this _is_ a python package, provide python3-quasselgrep.
%{?python_provide:%python_provide python3-%{pypi_name}}
Source44: import.info

%description
quasselgrep is a tool for searching quassel logs from the commandline.
It can run against both SQLite and PostgreSQL databases, and also
supports running in a client/server mode.

%prep
%setup -q -n %{pypi_name}-%{commit0}
%patch0 -p1


# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Fix chbang.
# Actually we should just delete the chbang.
sed "/env python/d" -i quasselgrep/quasselgrep.py

%build
%python3_build

%install
%python3_install

%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/quasselgrep
%{python3_sitelibdir_noarch}/%{pypi_name}
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py%{__python3_version}.egg-info

%changelog
