Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rcssmonitor
Version:        16.0.0
Release:        alt4_5
Summary:        RoboCup 2D Soccer Simulator Monitor

License:        GPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop
Patch0:         %{name}-gcc11.patch
Provides:       rcsslogplayer = %{version}-%{release}
Obsoletes:      rcsslogplayer <= 15.1.1-30

BuildRequires:  gcc-c++ automake boost-complete qt5-base-devel desktop-file-utils
Source44: import.info

%description
The RoboCup Soccer Simulator Monitor is a viewer for moved 2d vector graphics.
You can use it to watch 2D soccer games running on rcssserver. However, The
architecture of The RoboCup Soccer Simulator Monitor was from the beginning
kept as general and modular as possible and not just hacked to fit the  needs
of the robocup soccer server (rcssserver). So by now The RoboCup Soccer
Simulator Monitor is also used to visualize many other two dimensional system.

You can use UDP/IP communication sockets to send commands to The RoboCup Soccer
Simulator Monitor. A generic communication device is also included. It
understands a very easy description language to build and move 2d objects.

%prep
%setup -q
%patch0 -p1
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
sed -i.newarchs \
    "s|-o \$ax_arch = ppc64|-o \$ax_arch = aarch64 -o \$ax_arch = ppc64 -o \$ax_arch = ppc64le|" \
    m4/ax_boost_base.m4
sed -i.nostatic \
    -e 's|--static||g' m4/qt.m4
autoreconf -if

%build
%configure --with-boost-program-options=boost_program_options	\
	--with-qt-moc=%{_bindir}/moc-qt5
%make_build 

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

mkdir -p %{buildroot}/%{_datadir}/pixmaps/
cp -p icons/rcss.xpm %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%files
%doc AUTHORS ChangeLog COPYING NEWS README.md
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
