Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           redeclipse
Version:        1.6.0
Release:        alt2_6
Summary:        A Free, Casual Arena Shooter

# Game engine is zlib
# Icon and trademark info is CC-BY-SA
# Logo and name covered by "trademark guidelines" see trademark.txt
License:        zlib and CC-BY-SA
URL:            http://www.redeclipse.net/
Source0:        https://github.com/redeclipse/base/releases/download/v%{version}/redeclipse_%{version}_nix.tar.bz2

# Correctly pass cflags to embedded sqlite build
Patch0:         redeclipse-cflags.patch

# Build using external Enet library from Fedora
# Not wanted upstream
Patch1:         redeclipse-1.5.3-build-with-system-enet.patch

BuildRequires:  gcc-c++
BuildRequires:  libSDL2-devel
BuildRequires:  libSDL2_mixer-devel
BuildRequires:  libSDL2_image-devel
BuildRequires:  libGL-devel
BuildRequires:  libenet-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libfreetype-devel
BuildRequires:  desktop-file-utils
# This is needed by Makefile
BuildRequires:  ed

Requires:       %{name}-data = %{version}-%{release}
Source44: import.info

%description
Red Eclipse is a fun-filled new take on the casual first person arena
shooter, built as a total conversion of Cube Engine 2, which lends
itself toward a balanced gameplay, with a general theme of agility in a
variety of environments.

Features:
* Balanced gameplay, with a general theme of agility in a variety of
  environments
* Parkour, impulse boosts, dashing, sliding, and other tricks
* Favourite gamemodes with tons of mutators and variables
* Available for Windows, Linux/BSD and Mac OSX
* Builtin editor lets you create your own maps cooperatively online


%package data
Group: Games/Other
Summary:        Data for the Red Eclipse FPS game
# Game scripts are zlib
# Trademark info is CC-BY-SA
# Game data is mixed (per-directory readme.txt), by default CC-BY-SA
# See the included file 'doc/all-licenses.txt' for license breakdown
# Logo and name covered by "trademark guidelines" see trademark.txt
License:        zlib and CC-BY-SA and CC-BY and Public Domain and OFL
BuildArch:      noarch


%description data
This package contains the data content, e.g. maps, models, textures,
sounds, etc. for the Red Eclipse FPS game.


%package server
Group: Games/Other
Summary:        Server for the Red Eclipse FPS game
# Game engine is zlib
# Trademark info is CC-BY-SA
# Name covered by "trademark guidelines" see trademark.txt
License:        zlib and CC-BY-SA
Requires:       %{name}-data = %{version}-%{release}

%description server
This package contains the dedicated server for the Red Eclipse FPS game,
it also includes some example scripts for configuring the server. 


%package -n cube2font
Group: Games/Other
Summary:        Utility program for creating font bitmaps for Cube Engine games
License:        zlib


%description -n cube2font
cube2font is a utility program designed to create font bitmaps for Cube
Engine games, it works by taking a Truetype font and building it into a
set of coordinates in an image. cube2font is an improved version of the
previous TTF2Font, supporting a much larger range of characters.


%prep
%setup -q
%patch0 -p1
%patch1 -p1



%build
%make_build CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}" -C src/ \
       client server cube2font


%install
make %{?_smp_mflags} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}" -C src/ \
        DESTDIR=%{buildroot} prefix=%{_prefix}                         \
        libexecdir=%{buildroot}%{_libexecdir}                          \
        system-install system-install-cube2font


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/redeclipse.desktop


%files
%doc readme.txt doc/changelog.txt doc/trademark.txt
%doc --no-dereference doc/license.txt
%{_bindir}/redeclipse
%{_libexecdir}/redeclipse
%_iconsdir/*/*/*/*
%{_datadir}/pixmaps/*
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*
%{_mandir}/man6/redeclipse.6*
%{_docdir}/redeclipse

%files data
%doc --no-dereference doc/license.txt doc/all-licenses.txt 
%doc doc/trademark.txt
%{_datadir}/redeclipse

%files server
%doc --no-dereference doc/license.txt 
%doc doc/trademark.txt doc/examples/servinit.cfg
%{_bindir}/redeclipse-server
%{_libexecdir}/redeclipse
%{_mandir}/man6/redeclipse-server.6*

%files -n cube2font
%{_bindir}/cube2font
%{_mandir}/man1/*


%changelog
