Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: refmac-dictionary
Summary: Refmac ligand dictionaries
Version: 5.41
Release: alt2_14
License: LGPLv2+
URL: http://www2.mrc-lmb.cam.ac.uk/groups/murshudov/content/refmac/refmac.html
Source0: http://www2.mrc-lmb.cam.ac.uk/groups/murshudov/content/refmac/Dictionary/refmac_dictionary_v%{version}.tar.gz
BuildArch: noarch
Source44: import.info

%description
The refmac ligand dictionaries contain chemical information on a large
number of molecules, including the chemical structure of the ligand,
the tree-like structure, the links between ligands, and possible
modifications to them.  This information is stored in the mmCIF
format, which is used by a number of molecular viewing, refinement and
validation tools.

%prep
%setup -q -c
# stuff we don't want to redistribute/need
rm monomers/pdb_v2to3.py
rm monomers/pdb_alt_names.txt
rm monomers/dnarna_basepairs.txt
rm monomers/dnarna_basepairs_2.txt
rm -rf monomers/.bzr
rm monomers/t/TRP.cif~ monomers/g/GLU.cif~ monomers/h/HIS.cif~ monomers/g/GLN.cif~

# clear exec flag
chmod 644 monomers/docs/bug_fixes.html
chmod 644 monomers/primes.table monomers/primes.txt monomers/m/MO6.cif
chmod 644 monomers/f/FUC-A-L.cif
chmod 644 monomers/n/NAG-B-D.cif
chmod 644 monomers/m/MAN-B-D.cif
chmod 644 monomers/g/GLC-B-D.cif
chmod 644 monomers/d/DUM.cif
chmod 644 monomers/g/GAL-B-D.cif

%build

%install

mkdir -p %{buildroot}%{_datadir}/%{name}-%{version}/data
cp -pr monomers %{buildroot}%{_datadir}/%{name}-%{version}/data

%files
%doc monomers/COPYING monomers/docs/bug_fixes.html
%{_datadir}/%{name}-%{version}

%changelog
