# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define mainver 1.3

Name:           retux
Version:        1.3.4
Release:        alt1_2
Summary:        2D action platformer featuring Tux the penguin
Group:          Games/Arcade
License:        GPLv3+ and GPLv2+ and GPL and ASL 2.0 and CC-BY-SA and CC-BY and CC0
URL:            http://retux.nongnu.org
Source0:        http://download.savannah.gnu.org/releases/retux/%{mainver}/%{name}-%{version}-src.tar.gz

BuildArch:      noarch
Requires:       python-base python-tools-2to3
Requires:       python-module-pygame
Source44: import.info

%description
Tux is just getting ready to go fishing when all of a sudden, he receives a
message. The message states that his home, Icy Island, has been taken over by
the Snow King, and a new Fish Tax will be imposed. Tux is furious! How dare
the Snow King take away his fish?! Help Tux overthrow the Snow King and stop
him from taking Tux's fish away!

ReTux is a fully libre software and libre culture action platformer loosely
inspired by the Mario games, utilizing the art assets from the SuperTux
project. The name "ReTux" is a play on the words "redux" and "Tux".

%prep
%setup -q -n %{name}-%{version}-src


%build

%install
# Data
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a * %{buildroot}%{_gamesdatadir}/%{name}

# Wrapper script
cat << EOF > %{name}.sh
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{__python} retux.py \$@
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

# Desktop entry
cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Retux
Comment=2D action platformer featuring Tux the penguin
GenericName=Action platformer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ActionGame;
EOF
install -D -m644 %{name}.desktop \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
install -D -m644 data/images/misc/icon.svg \
  %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Documentation
rm -f %{buildroot}%{_gamesdatadir}/%{name}/{COPYING,README.txt}

%files
%doc README.txt
%doc --no-dereference COPYING
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
