Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		rgbds
Version:	0.5.1
Release:	alt1_1
Summary:	A development package for the Game Boy, including an assembler

# See LICENSE for details
License:	DWPL and ISC and MIT and BSD
URL:		https://github.com/gbdev/%{name}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	bison
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libpng)
Source44: import.info

%description
RGBDS (Rednex Game Boy Development System) is a free assembler/linker package
for the Game Boy and Game Boy Color.

It consists of:

* rgbasm (assembler)
* rgblink (linker)
* rgbfix (checksum/header fixer)
* rgbgfx (PNGa..toa..2bpp graphics converter)

%prep
%setup -q


%build
%make_build Q="" CFLAGS="%{optflags}"

%install
%makeinstall_std PREFIX=%{_prefix} bindir=%{_bindir} mandir=%{_mandir} STRIP="-p" MANMODE="644 -p" Q=""

%files
%{_bindir}/rgbasm
%{_bindir}/rgblink
%{_bindir}/rgbfix
%{_bindir}/rgbgfx
%{_mandir}/man1/rgbasm.1*
%{_mandir}/man1/rgblink.1*
%{_mandir}/man1/rgbfix.1*
%{_mandir}/man1/rgbgfx.1*
%{_mandir}/man5/rgbds.5*
%{_mandir}/man5/rgbasm.5*
%{_mandir}/man5/rgblink.5*
%{_mandir}/man7/rgbds.7*
%{_mandir}/man7/gbz80.7*
%doc --no-dereference LICENSE
%doc README.rst

%changelog
