# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ perl(Digest/MD5.pm) perl(Digest/SHA.pm)
# END SourceDeps(oneline)
# %%name or %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name roboptim-core
%define version 3.1
%global github_owner    roboptim
%global github_name     roboptim-core
%global github_version  3.1
%global github_commit   9f826bdc2513873e4b67a1d01cda8f78d1fe65b7

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_licensedir:%global license %%doc}

Name: roboptim-core
Version: 3.1
Release: alt1_4
Summary: The RobOptim core C++ library

Group: Development/C
License: LGPLv3+
URL: http://www.roboptim.net/
# Project uses submodules, github auto-generated tarballs do not include
# these
Source0:        https://github.com/%{github_owner}/%{github_name}/releases/download/v%{github_version}/%{github_name}-%{github_version}.tar.bz2
# Upstream forces lib suffix to be lib/ , remove this. See:
# https://github.com/roboptim/roboptim-core/pull/101
# https://github.com/jrl-umi3218/jrl-cmakemodules/commit/fba6aef9c4cddcc9728192bd17d0c1906a9b2dcd
Patch0:         roboptim-core-3.1-libdir.patch
# Fix various issues causing test failures on 32-bit
# https://github.com/roboptim/roboptim-core/issues/102
Patch1:         https://github.com/roboptim/roboptim-core/commit/8b03203596548e36a41f02d7f48856d67e077da8.patch

BuildRequires: boost-devel boost-devel-headers boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel libltdl7-devel
# Require Doxygen and its dependencies. After 3.1, uses 'Mathjax' instead
# of tex.
BuildRequires: doxygen /usr/bin/latex texlive-latex-recommended /usr/bin/dvips texlive-generic-recommended /usr/bin/gs
BuildRequires: ctest cmake
BuildRequires: pkgconfig(eigen3) >= 3.2.0
BuildRequires: pkgconfig(liblog4cxx) >= 0.10.0
Source44: import.info


%description
RobOptim provide C++ numerical optimization libraries for robotics.
RobOptim core focuses on providing abstractions for optimization problem
definition and infrastructure to allow the use of existing solvers as
a back-end.


%package devel
Summary: The Roboptim core headers and development-related files
Group: Development/C
Requires: %{name} = %{version}-%{release} boost-devel-headers
# pkg-config dependency is detected automatically on Fedora.
%description devel
Headers and shared object symlinks for the RobOptim core C++ library.


%package doc
Summary: The RobOptim core documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}
%description doc
Documentation for the RobOptim core library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# This should be in the tarball, but is missing:
# https://github.com/roboptim/roboptim-core/issues/103
echo "3.1" > .version


%build
%{fedora_cmake} .

#FIXME: should libraries have version numbers or not?
# LDFLAGS="-avoid-version"
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Install
install -cpm 644 AUTHORS CONTRIBUTING.md NEWS README.md THANKS TODO\
 $RPM_BUILD_ROOT%{_docdir}/%{name}


%check
ctest -V %{?_smp_mflags}


%files
%doc COPYING.LESSER
%doc %dir %{_docdir}/%{name}

# for COPYING, INSTALL, AUTHORS, etc.
%doc %{_docdir}/%{name}/[A-Z]*

# versioned shared library
%{_libdir}/*.so.*

# package whole directory:
# ``.so'' file is also needed as ltdl_openext does not consider
# versioned plug-ins.
%{_libdir}/%{name}/

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files doc
%doc %{_docdir}/%{name}/doxygen-html/

%changelog
