Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rvm
Version:        1.17
Release:        alt2_23
Summary:        C library for unstructured recoverable virtual memory
License:        LGPLv2
URL:            http://www.coda.cs.cmu.edu/
Source0:        ftp://ftp.coda.cs.cmu.edu/pub/rvm/src/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.coda.cs.cmu.edu/pub/rvm/src/%{name}-%{version}.tar.gz.asc
BuildRequires:  gcc
BuildRequires:  liblwp-devel
Source44: import.info

%description
The RVM persistent recoverable memory library. The RVM library is used by
the Coda distributed file-system.

%package tools
Group: Development/Other
Summary:        Tools for %{name}
License:        GPLv2
Requires:       %{name} = %{version}-%{release}

%description tools
User-space tools to initialize and manipulate RVM log and data segments.
The RVM library is used by the Coda distributed file-system.

%package        devel
Group: Development/Other
Summary:        Development files for %{name}
License:        LGPLv2
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# work around linking failures because of the disabling of rpath above
export LD_LIBRARY_PATH=`pwd`/rvm/.libs:`pwd`/seg/.libs
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%files
%doc COPYING NEWS
%{_libdir}/*.so.*

%files tools
%{_sbindir}/rvmutl
%{_sbindir}/rdsinit
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}lwp.pc

%changelog
