# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/doxygen gcc-c++ pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(gstreamer-1.0) pkgconfig(gstreamer-base-1.0) pkgconfig(libpcre) pkgconfig(zlib) rpm-build-perl rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# comment out when not stable release
%define stab	stable1

# comment out when not pre-release
#define prel	beta7

%define rel	1

Name:		sayonara
Version:	1.7.0
Release:	alt1_1
Summary:	A lightweight Qt Audio player
License:	GPLv3+
Group:		Sound
URL:		https://sayonara-player.com/
Source0:	https://gitlab.com/luciocarreras/sayonara-player/-/archive/%{version}%{?stab:-%stab}%{?prel:-%prel}/%{name}-player-%{version}%{?stab:-%stab}%{?prel:-%prel}.tar.bz2
BuildRequires:	cmake
BuildRequires:	qt5-designer qt5-tools
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(taglib)

Requires:	gst-plugins-bad1.0
Requires:	gst-plugins-bad1.0
Source44: import.info

%description
Sayonara is a small, clear, not yet platform-independent music player.
Low CPU usage, low memory consumption and no long loading times are only
three benefits of this player. Sayonara should be easy and intuitive to use
and therefore it should be able to compete with the most popular music players.

%prep
%setup -q -n %{name}-player-%{version}%{?stab:-%stab}%{?prel:-%prel}


%build
%{mageia_cmake_qt5} \
	-DWITH_SYSTEM_TAGLIB=ON \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now"

%mageia_cmake_build

%install
%mageia_cmake_install

# remove menu dir, because it's not necessary
rm -rf %{buildroot}%{_datadir}/menu

%files
%doc MANUAL README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-ctl
%{_bindir}/%{name}-query
%{_datadir}/%{name}/
%{_datadir}/applications/com.%{name}-player.Sayonara.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-ctl.1*
%{_mandir}/man1/%{name}-query.1*


%changelog
