Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           sblim-cmpi-devel
Version:        2.0.3
Release:        alt2_22
Summary:        SBLIM CMPI Provider Development Support

License:        EPL
URL:            http://sblim.wiki.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
# Source1: macro definitions
Source1: macros.sblim-cmpi-devel

# Patch0:       remove version from docdir
Patch0:         sblim-cmpi-devel-2.0.3-docdir.patch
BuildRequires:  gcc
Source44: import.info
Requires: rpm-macros-sblim-cmpi-devel = %{version}-%{release}


%description
This packages provides the C and C++ CMPI header files needed by
provider developers and can be used standalone. If used for
C++ provider development it is also necessary to have
tog-pegasus-devel installed.

%package -n libcmpiCppImpl0
Group: Development/Other
License:        EPL
Summary:        CMPI C++ wrapper library
Conflicts:      tog-pegasus-libs
BuildRequires:  gcc-c++

%description -n libcmpiCppImpl0
This packages provides the C++ wrapper library for CMPI development


%package -n rpm-macros-sblim-cmpi-devel
Summary: Set of RPM macros for packaging sblim-cmpi applications
Group: Development/Other
BuildArch: noarch

%description -n rpm-macros-sblim-cmpi-devel
Set of RPM macros for packaging sblim-cmpi applications for ALT Linux.
Install this package if you want to create RPM packages that use sblim-cmpi.

%prep
%setup -q
%patch0 -p1 -b .docdir

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
# install macro definitions
mkdir -p $RPM_BUILD_ROOT%{_rpmmacrosdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%_rpmmacrosdir/sblim-cmpi-devel



%files
%doc AUTHORS COPYING README
%{_includedir}/cmpi

%files -n libcmpiCppImpl0
%{_libdir}/libcmpiCppImpl.so*

%files -n rpm-macros-sblim-cmpi-devel
%_rpmmacrosdir/*


%changelog
