Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		scrub
Version:	2.6.1
Release:	alt1_2
Summary:	Disk scrubbing program
License:	GPLv2+
URL:		https://github.com/chaos/scrub/
Source0:	https://github.com/chaos/scrub/releases/download/%{version}/scrub-%{version}.tar.gz
# https://github.com/chaos/scrub/commit/b90fcb2330d00dbd1e9aeaa2e1a9807f8b80b922.patch
Patch0:		scrub-2.6.1-symlinks-to-block-device.patch
# https://github.com/chaos/scrub/commit/27f6452a658f057e3ba6bf9dfda070b6dffc6798.patch
Patch1:		scrub-2.6.1-use-libgcrypt.patch
Patch2:		scrub-2.6.1-extentonly.patch
Patch3:		scrub-2.5.2-test-use-power-2-filesizes.patch
# https://github.com/chaos/scrub/commit/864a454f16ac3e47103064b0e4fe3a9111593e49
Patch4:		scrub-2.6.1-analyzer-fixes.patch
BuildRequires:	gcc
BuildRequires:	gcrypt-utils libgcrypt-devel
BuildRequires:	autoconf, automake, libtool
Source44: import.info

%description
Scrub writes patterns on files or disk devices to make
retrieving the data more difficult.  It operates in one of three
modes: 1) the special file corresponding to an entire disk is scrubbed
and all data on it is destroyed;  2) a regular file is scrubbed and
only the data in the file (and optionally its name in the directory
entry) is destroyed; or 3) a regular file is created, expanded until
the file system is full, then scrubbed as in 2).

%prep
%setup -q
%patch0 -p1 -b .symlinks-to-block-devices
%patch1 -p1 -b .libgcrypt
%patch2 -p1 -b .extent-only
%patch3 -p1 -b .test-use-power-2-filesizes
%patch4 -p1 -b .analyzer-fixes
autoreconf -ifv --include=config

%build
%configure
%{make_build}

%install
%{makeinstall_std}

%files
%doc --no-dereference COPYING
%doc DISCLAIMER
%doc README ChangeLog
%{_bindir}/scrub
%{_mandir}/man1/scrub.1*

%changelog
