# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ pkgconfig(lash-1.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _disable_ld_no_undefined 1
 
Name:           sequencer64
Version:        0.90.5
Release:        alt1_3
Summary:        A minimal loop based midi sequencer
License:        GPLv2+
Group:          Sound
URL:            https://github.com/ahlstromcj/sequencer64
Source0:        https://github.com/ahlstromcj/sequencer64/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        sequencer64.svg
Source2:        sequencer64.png

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gail)
BuildRequires:  doxygen
BuildRequires:  graphviz
Requires:       at-spi2-core
Source44: import.info

%description
%{name} is a minimal loop based midi sequencer.
It is a major reboot of Seq24, with new features and bug fixes.

%prep
%setup -q

%build
./bootstrap
%configure
%make_build

%install
%makeinstall_std

install -p -Dm0644 %SOURCE1 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/sequencer64.svg
install -p -Dm0644 %SOURCE2 %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/sequencer64.png

desktop-file-install \
    --set-key=Icon --set-value="%{name}" \
    --dir %{buildroot}%{_datadir}/applications \
    debian/%{name}.desktop

%files
%doc ChangeLog NEWS README README.jack TODO
%{_bindir}/seq64
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_includedir}/%{name}-0.90/
%{_libdir}/%{name}-0.90/
%{_mandir}/man1/seq64.1*
%{_mandir}/man1/sequencer64.1*



%changelog
