# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install libgtk+2-devel perl(IO/Handle.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Find commit and version via redirection on https://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz
%define commit  79a5378
%define uname   puzzles

Name:           sgt-%{uname}
Version:        20191231
Release:        alt1_2
Summary:        Simon Tatham's one-player puzzle collection
Group:          Games/Puzzles
License:        MIT
URL:            https://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Source0:        https://www.chiark.greenend.org.uk/~sgtatham/puzzles/%{uname}-%{version}.%{commit}.tar.gz
Source1:        template.desktop

BuildRequires:  pkgconfig(gtk+-3.0)
Source44: import.info

%description
This is a collection of small desktop toys, little games that you can
pop up in a window and play for two or three minutes while you take a
break from whatever else you were doing.

%prep
%setup -q -n %{uname}-%{version}.%{commit}


%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir}
%make_build

%install
%makeinstall_std
install -d %{buildroot}%{_datadir}/applications

# Rename binaries, install icons and create desktop files
path=%{buildroot}%{_gamesbindir}
for game in ${path}/*; do
    base=`basename ${game}`
    name=`perl -e 'print ucfirst($ARGV[0])' "${base}"`
    command=puzzle-${base}

    mv ${game} ${path}/puzzle-${base}

    sed -e "s/<NAME>/${name}/g;s!<EXEC>!${command}!g;s!<ICON>!${command}!g" %{_sourcedir}/template.desktop > puzzle-${base}.desktop
    desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ ${command}.desktop

    for size in 16 32 48; do
        install -D -m644 icons/${base}-${size}d24.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/${command}.png
    done
done

# Create a menu subfolder for Simon Tatham's puzzles in the Puzzle folder
mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/%{name}.directory <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Simon Tatham's Puzzles
Icon=puzzle_section
Type=Directory
EOF

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
  <Name>Applications</Name>
  <Menu>
    <Name>Games</Name>
    <Menu>
      <Name>Puzzles</Name>
      <Menu>
        <Name>Simon Tatham's Puzzles</Name>
        <Directory>%{name}.directory</Directory>
        <Include>
          <Category>X-SGTatham-Puzzles</Category>
        </Include>
      </Menu>
    </Menu>
  </Menu>
</Menu>
EOF

%files
%doc HACKING puzzles.txt
%doc --no-dereference LICENCE
%{_datadir}/applications/puzzle-*.desktop
%{_datadir}/desktop-directories/%{name}.directory
%{_gamesbindir}/puzzle-*
%{_iconsdir}/hicolor/*/apps/puzzle-*.png
%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu


%changelog
