Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-java
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		shaman
Version:	1.1
Release:	alt2_11
Summary:	Man pages viewer

License:	GPLv3+
URL:		http://sites.google.com/site/mohammedisam2000/home/projects/
Source0:	%{url}/%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires: java-1.8.0
Requires: icon-theme-hicolor
BuildRequires: desktop-file-utils, libappstream-glib, makeinfo
BuildRequires: java-devel, javapackages-tools
Source44: import.info

%description
Shaman is a software package that allows the user to view, search and run 
through the manual pages that are installed on the system in a Graphical User 
Interface (GUI). The aim is to make reading man pages an easy task for 
newcomers to the GNU/Linux system.

%prep
%setup -q

%build
%make_build

%install
install -m 0644 -p -D info/shaman.info* %{buildroot}%{_infodir}/shaman.info
install -d %{buildroot}%{_mandir}/man1/
install -d %{buildroot}%{_docdir}/shaman/
install -m 0644 -p -D man/man1/shaman.1* %{buildroot}%{_mandir}/man1/
#install the JAR
mkdir -p %{buildroot}%{_javadir}/
install -p -m 644 shaman.jar %{buildroot}%{_javadir}/shaman.jar

#install app icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/
cp -p shaman-256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/shaman.png
cp -p shaman-48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/shaman.png
cp -p shaman-24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/shaman.png
mkdir -p %{buildroot}%{_datadir}/metainfo/
mkdir -p %{buildroot}%{_datadir}/appdata/
cp -p shaman.appdata.xml %{buildroot}%{_datadir}/metainfo/shaman.appdata.xml
#cp -p shaman.appdata.xml %%{buildroot}%%{_datadir}/appdata/shaman.appdata.xml
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%jpackage_script mima.shaman.Shaman "" "" %{name} shaman true

%files
%{_bindir}/*
%{_javadir}/*
%{_mandir}/man1/shaman.1*
%{_infodir}/*
%{_docdir}/shaman
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
#%%{_datadir}/appdata/%%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%%doc AUTHORS NEWS README ChangeLog

%doc --no-dereference COPYING

%changelog
