Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name shunit2
%define version 2.1.6
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           shunit2
Version:        2.1.6
Release:        alt2_20
Summary:        A xUnit based unit testing for Unix shell scripts

License:        LGPLv2
URL:            http://code.google.com/p/shunit2
Source0:        http://shunit2.googlecode.com/files/%{name}-%{version}.tgz
# add makefiles to do install
Source1:        LGPL-2.1
Patch0:         add_makefiles.patch
Patch1:         fix_examples_source_path.patch
BuildArch:      noarch
Source44: import.info


%description
shUnit2 is a xUnit unit test framework for Bourne based shell scripts,
and it is designed to work in a similar manner to JUnit, PyUnit, etc.
If you have ever had the desire to write a unit test for a shell script,
shUnit2 can do the job.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
iconv -f ISO88592 -t UTF8 doc/shunit2.txt -o doc/shunit2.txt
cp -p %{SOURCE1} doc/

%build
# This section is empty because this package ccontains shell scripts
# to be sourced: there's nothing to build


%install
make install DESTDIR=%{buildroot} DOCDIR=%{_docdir}/%{name}



%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_docdir}/%{name}


%changelog
