Group: Graphics
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define __cmake_in_source_build 1

Name:           sir
Version:        2.5.1
Release:        alt2_24
Summary:        A simple application for resizing images

License:        GPLv2+
URL:            http://sir.projet-libre.org
Source0:        http://sir.googlecode.com/files/%{name}_%{version}.tar.gz
Patch0:         sir_service.desktop.patch

BuildRequires:  libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools,desktop-file-utils,libexiv2-devel ctest cmake
Source44: import.info
   

%description
A simple application for resizing images,inspired by GTPY - ImageResizer
But uses C++/QT and QImage class to convert the images.

%prep
%setup -q -n %{name}
%patch0 -p0

%build
%{fedora_v2_cmake} . -Dmetadata=ON
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{name}_service.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: https://code.google.com/p/sir/issues/detail?id=6
SentUpstream: 2014-09-17
-->
<application>
  <id type="desktop">sir.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Resize images in batches</summary>
  <description>
    <p>
      Sir (Simple Image Resizer) is a utility to resize one or many images at a time.
      Sir allows you to select a number of images (or a whole directory), to import
      then once you have chosen the size that you want to export to, will export them
      in one action.
      Sir also has the ability to resize while preserving the aspect  ratio,
      and do simple transforms like rotation.
      Sir supports over 30 different image formats for import and output,
      including PNG, JPG, BMP, SVG and TIFF.
    </p>
  </description>
  <url type="homepage">https://code.google.com/p/sir/</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/sir/a.png</screenshot>
  </screenshots>
</application>
EOF

%files
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%doc LICENSE

%changelog
