# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global 	commit 72d2a6f1a412298cbeae612c184d5d876f0ddf33
%global 	shortcommit %(c=%{commit}; echo ${c:0:7})

Name: 		sniproxy
Version: 	0.4.0
Release: 	alt1_5
Summary: 	Transparent TLS proxy
Group: 		System/Servers
License: 	BSD
URL: 		https://github.com/dlundquist/sniproxy
Source0: 	https://github.com/dlundquist/sniproxy/archive/%{version}.tar.gz#/%{name}-%{version}.zip
Source1: 	sniproxy.conf
Source2: 	sniproxy.service
Source3: 	sniproxy.init
Source4:	sniproxy-tmpfiles.conf
Patch0: 	ports-tests-0.4.0.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: curl
BuildRequires: systemd systemd-analyze systemd-container systemd-coredump systemd-networkd systemd-services systemd-stateless systemd-sysvinit systemd-utils udev
# for macro definition:
BuildRequires: pkgconfig(systemd)

BuildRequires: pkgconfig(libev)
BuildRequires: pkgconfig(libpcre)
BuildRequires: perl
BuildRequires: libudns-devel
# for lib-prefix.m4
BuildRequires: gettext-tools libasprintf-devel
# required for EL
BuildRequires: perl(Time/HiRes.pm)

Requires(pre):    shadow-change shadow-check shadow-convert shadow-edit shadow-groups shadow-log shadow-submap shadow-utils
Source44: import.info

%description
SNIproxy proxies incoming HTTP and TLS connections based on the host name 
contained in the initial request. This enables HTTPS name based virtual 
hosting to separate back-end servers without the installing the private
key on the proxy machine.


%prep
%setup -q

%patch0 -p1

%build
touch config.rpath
autoreconf -fvi
CFLAGS="${CFLAGS:-%optflags} -I/usr/include/libev" ; export CFLAGS ;
%configure --disable-dependency-tracking
%make_build

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

%pre
getent group sniproxy &>/dev/null || groupadd -r sniproxy
getent passwd sniproxy &>/dev/null || \
    /usr/sbin/useradd -r -g sniproxy -s /sbin/nologin -c sniproxy \
    -d / sniproxy

%post
%_tmpfilescreate %{name}
%post_service sniproxy

%preun
%preun_service sniproxy

%postun
true

%files

%config(noreplace) %{_sysconfdir}/sniproxy.conf

%{_sbindir}/sniproxy
%doc COPYING README.md AUTHORS debian/changelog
%{_unitdir}/sniproxy.service
%{_mandir}/man5/sniproxy.conf.5*
%{_mandir}/man8/sniproxy.8*



%changelog
