Group: Other
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           spacenavd
Version:        0.8
Release:        alt2_3
Summary:        A free, compatible alternative for 3Dconnexion's input drivers

License:        GPLv3+
URL:            http://spacenav.sourceforge.net/
Source0:        https://github.com/FreeSpacenav/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
# systemd unit files, for fedora
Source1:        spacenavd.service
# systemV init script, for el6
Source2:        spacenavd

BuildRequires:  gcc libX11-devel

%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libsystemd-devel libudev-devel systemd systemd-analyze systemd-coredump systemd-homed systemd-networkd systemd-portable systemd-services systemd-stateless systemd-sysvinit systemd-utils
%{?systemd_requires}
%else
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif
Source44: import.info


%description
Spacenavd, is a free software replacement user-space driver (daemon), for
3Dconnexion's space-something 6dof input devices. It's compatible with the
original 3dxsrv proprietary daemon provided by 3Dconnexion, and works
perfectly with any program that was written for the 3Dconnexion driver.


%prep
%setup -q



%build
%configure
sed -i "s/CFLAGS =/CFLAGS +=/g" Makefile

%make_build


%install
%makeinstall_std

%if 0%{?fedora} || 0%{?rhel} >= 7
# Install systemd unit file
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}
%else
# Install systemV init script
mkdir -p %{buildroot}%{_initrddir}
install -p -m 0755 %{SOURCE2} %{buildroot}%{_initrddir}
%endif


%post
%if 0%{?fedora} || 0%{?rhel} >= 7
%post_service spacenavd
%else
    if [ $1 -eq 1 ] ; then 
        /sbin/chkconfig --add spacenavd &> /dev/null || :
    fi
%endif

%preun
%if 0%{?fedora} || 0%{?rhel} >= 7
%preun_service spacenavd
%else
    if [ $1 -eq 0 ] ; then
        /sbin/service spacenavd stop &> /dev/null
        /sbin/chkconfig --del spacenavd &> /dev/null || :
    fi
%endif

%postun
%if 0%{?fedora} || 0%{?rhel} >= 7
: 
%else
    if [ $1 -ge 1 ] ; then
        /bin/service restart spacenavd &> /dev/null || :
    fi
%endif


%files
%doc AUTHORS doc/* README.md
%doc --no-dereference COPYING
%{_bindir}/*
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_unitdir}/%{name}.service
%else
%{_initrddir}/%{name}
%endif


%changelog
