Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:      spor
Summary:   Store file modes (permission/ownership) recursively 
Version:   1.0
Release:   alt2_23
License:   GPLv3+
URL:       http://code.google.com/p/spor
Source0:   http://spor.googlecode.com/files/%{name}-%{version}.tar.bz2

# Build changes
# http://code.google.com/p/spor/issues/detail?id=1
Patch0:    spor.1.patch
# Remove invalid -Wl from linker call
Patch1:    spor-1.0-Makefile.patch

BuildRequires:  gcc
Source44: import.info
%description
Spor recursively walks into a given directory, storing file mode & ownership 
information in a flat-file database for future retrievals. It was firstly 
intended to use with backup & version control scripts, and it provides a 
simple and safe method to save and restore particular meta-data information 
of a given directory.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .spor.1.man
%patch1 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -D -p -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
install -D -p -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%doc readme.txt LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
