Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Patch stack for Git repositories
Name: stgit
Version: 1.1
Release: alt1_2
License: GPLv2
URL: https://stacked-git.github.io/
Source: https://github.com/stacked-git/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: git-core, python3-devel asciidoc asciidoc-a2x, xmlto
Requires: git-core, git-email, python3
Source44: import.info

%description
StGit is a Python application providing similar functionality
to Quilt (i.e. pushing/popping patches to/from a stack) on top of Git.
These operations are performed using Git commands and the patches
are stored as Git commit objects, allowing easy merging of the StGit patches
into other repositories using standard Git functionality.

Note that StGit is not an SCM interface on top of Git and it expects
a previously initialized Git repository. For standard SCM operations,
either use plain Git commands or the Cogito tool.

%prep
%setup -q
chmod -x contrib/stgbashprompt.sh

%build
# make install replicates the build steps, so do nothing

%install
make install install-doc PYTHON=python3 DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}

# Install bash completion
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
ln -s ../..%{_datadir}/%{name}/completion/stgit.bash \
    $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

# Install vim syntax highlighting
install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
install -m 644 contrib/vim/syntax/*.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax/
install -m 644 -D contrib/vim/ftdetect/stg.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/ftdetect/stg.vim

%files
%doc COPYING
%{_bindir}/stg
%{python3_sitelibdir_noarch}/*
%{_mandir}/man1/stg*
%{_sysconfdir}/bash_completion.d/
%{_datadir}/stgit/
%{_datadir}/vim/vimfiles/syntax/*.vim
%{_datadir}/vim/vimfiles/ftdetect/stg.vim

%changelog
