# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		stopmotion
Version:	0.8.4
Release:	alt1_2
Summary:	An application for creating stopmotion animations
Group:		Video
License:	GPLv2
URL:		http://linuxstopmotion.sourceforge.net/
# devel is now on SF git
# git clone git://git.code.sf.net/p/linuxstopmotion/code linuxstopmotion-code
# from commit: a6dfbe367ff43dc297d1af3e611e42112885899c
# https://sourceforge.net/code-snapshots/git/l/li/linuxstopmotion/code.git/linuxstopmotion-code-a6dfbe367ff43dc297d1af3e611e42112885899c.zip
# https://sourceforge.net/p/linuxstopmotion/code/ci/0.8.3/tree/
Source0:	%{name}-%{version}.tar.xz
Patch0:		stopmotion-0.8.1-install.patch
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	libtar-devel
BuildRequires:	libqt4-devel qt5-declarative-devel qt5-tools
BuildRequires:	qt4-designer qt5-designer qt5-tools

Requires:	vgrabbj
Source44: import.info

%description
Stopmotion is a free application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive, add sound effects and export the animation
to different video formats such as mpeg or avi.

%prep
%setup -q
%patch0 -p1


%build
%qmake_qt4

%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc README.md AUTHORS manual/
%doc --no-dereference COPYING
%{_docdir}/%{name}/html/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
