Group: Video
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 2cb0ffbbdc83e6822cfcf288cdf268b21604ed47
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:		subdownloader
Version:	2.0.19
Release:	alt1_9
Summary:	Program for download/upload subtitles for video files and DVDs
# "modules/progressbar.py is LGPLv2+, everything else is GPLv3+"
License:	GPLv3+ and LGPLv2+
URL:		https://github.com/subdownloader/subdownloader
#Source0:    https://github.com/subdownloader/%{name}/releases/tag/v%{version}/%{name}-%{version}.tar.gz
Source0:    https://github.com/subdownloader/%{name}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Patch1:     subdownloader-desktop.patch

BuildArch:	noarch
BuildRequires:	gettext gettext-tools desktop-file-utils python-devel
BuildRequires:	python-module-PyQt5-devel
Requires:	python >= 2.3.5 python-module-PyQt5 python-module-pycrypto
%if 0%{?fedora} < 28
Requires:   python-module-kaa-metadata
%endif
#Requires:	python2-progressbar
%if 0%{?fedora}
Requires:	python-module-argcomplete
%endif
Source44: import.info

%description
SubDownloader is a Free Open Source tool written in Python
for automatic download/upload subtitles for video files
(DIVX,MPEG,AVI,VOB,etc) and DVD's using fast hashing.

%prep
#setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{commit0}
%patch1 -p1
# submitted as bugreport 361416
# https://bugs.launchpad.net/subdownloader/+bug/361416
sed -i 's#/usr/share/subdownloader#%{python_sitelibdir_noarch}/%{name}#g' gui/main.py
# Remove shebang
t=$(stat -c %%y gui/ui_parser.py); sed -i -e '1{\@^#!@d}' gui/ui_parser.py; chmod -x gui/ui_parser.py; touch -d "$t" gui/ui_parser.py

%build
pushd gui
make
popd
# compile scripts
%{__python} -mcompileall .

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}/%{name}
chmod +x run.py
sed -i '1s:#!/usr/bin/env python:#!/usr/bin/env python2:' run.py
cp -a run.py FileManagement cli gui languages modules %{buildroot}%{python_sitelibdir_noarch}/%{name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{python_sitelibdir_noarch}/%{name}/run.py %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}
rm -f locale/*/LC_MESSAGES/%{name}.po* locale/%{name}.pot
cp -a locale %{buildroot}%{_datadir}/locale
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 gui/images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install subdownloader.desktop --dir %{buildroot}%{_datadir}/applications \
  --add-category X-AudioVideoImport
#ln -s ../..%{python_sitelibdir_noarch}/%{name}/run.py %{buildroot}%{_bindir}/subdownloader
%find_lang %{name}


%files -f %{name}.lang
%doc README.md ChangeLog
%doc --no-dereference COPYING
%{python_sitelibdir_noarch}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
