Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake
BuildRequires: /usr/bin/desktop-file-install /usr/bin/hg boost-devel boost-program_options-devel libX11-devel libopenal-devel pkgconfig(tinyxml2) zip
# END SourceDeps(oneline)
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: boost-filesystem-devel cmake
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define __cmake_in_source_build 1

Name:           sumwars
Version:        0.5.8
Release:        alt4_24
Summary:        Hack and slash top-down view RPG game

# Also includes "nlfg" networking layer licensed as MIT,
# the effective license of GPLv3+ and MIT is GPLv3+
License:        GPLv3+
URL:            http://sumwars.org
Source0:        http://sourceforge.net/projects/sumwars/files/%{version}/%{name}-%{version}-src.tar.bz2
Source1:        sumwars.desktop
# Later versions of lua should still work
Patch0:         newer-lua.patch

BuildRequires:  gcc-c++
BuildRequires:  gettext gettext-tools ctest cmake, libogre-devel, cegui-devel, libois-devel, lua-devel
BuildRequires:  libXrandr-devel, desktop-file-utils
BuildRequires:  libalut-devel, libogg-devel, libvorbis-devel, libphysfs-devel
BuildRequires:  tinyxml-devel, libenet-devel

# Needed to automate finding font paths at build time
%global fonts font(dejavusans) font(dejavuserif)
BuildRequires: fontconfig %{fonts}

# runtime plugin, doesn't get picked up automatically
Requires:       cegui-libxml-xmlparser
Requires:       %{name}-data = %{version}
Source44: import.info

%description
Summoning Wars is an open source role-playing game, featuring both
a single-player and a multiplayer mode for about 2 to 8 players. 

%package data
Group: Games/Other
Summary:        %{summary}
Requires:       %{name} = %{version}
BuildArch:      noarch
License:        CC-BY-SA

Requires:       %{fonts}

%description data
This package contains the data files for Summoning Wars.

%prep
%setup -q
%patch0

rm -rf src/enet
rm -rf src/tinyxml
rm -rf tools/*

%build
# we don't build developer tools into the application as users won't need that
# do not use the bundled TinyXML, use the system one
# do not use the bundled enet, use the system one

%{fedora_v2_cmake} -DSUMWARS_BUILD_TOOLS:BOOL=OFF -DSUMWARS_NO_TINYXML:BOOL=ON -DSUMWARS_NO_ENET:BOOL=ON

%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

# remove bundled but unused OgreCore.zip
rm $RPM_BUILD_ROOT/%{_datadir}/%{name}/resources/packs/OgreCore.zip

# use system-wide dejavu sans and serif fonts
ln -f -s $(fc-match -f "%{file}" "sans") \
        $RPM_BUILD_ROOT/%{_datadir}/%{name}/resources/gui/fonts/DejaVuSans.tt
ln -f -s $(fc-match -f "%{file}" "serif") \
        $RPM_BUILD_ROOT/%{_datadir}/%{name}/resources/gui/fonts/DejaVuSerif.ttf

# upstream doesn't want to install .desktop file and icons because distros
# keep them at different locations, lets install both manually

for i in 16 24 32 48 64 128
do
    install -D "share/icon/SumWarsIcon_${i}x${i}.png" \
        "$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png"
done

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
                     --mode="0644" \
                     %{SOURCE1}

# move docs to an unversioned directory
mv $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}

%files
%doc COPYING AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_datadir}/%{name}/translation/
%lang(de) %{_datadir}/%{name}/translation/de/
%lang(en) %{_datadir}/%{name}/translation/en/
%lang(es) %{_datadir}/%{name}/translation/es/
%lang(it) %{_datadir}/%{name}/translation/it/
%lang(pl) %{_datadir}/%{name}/translation/pl/
%lang(pt) %{_datadir}/%{name}/translation/pt/
%lang(ru) %{_datadir}/%{name}/translation/ru/
%lang(uk) %{_datadir}/%{name}/translation/uk/

%files data
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/data/
%{_datadir}/%{name}/resources/

%changelog
