# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name syck
%define	major 0
%define libname lib%{name}%{major}
%define develname lib%{name}-devel

Summary:	A library for reading and writing YAML
Name:		syck
Version:	0.70
Release:	alt1_7
License:	BSD (and D&R) 
Group:		System/Libraries
URL:		https://github.com/indeyets/syck/wiki
Source0:	http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	re2c
Source44: import.info

%description
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{libname}
Summary:	A library for reading and writing YAML
Group:          System/Libraries

%description -n	%{libname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{develname}
Summary:	Static library and header files for the syck library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libsyck0-devel

%description -n	%{develname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

This package contains the static syck library and its header files.

%prep

%setup -q -n %{name}-%{version}


%build
export CFLAGS="%{optflags} -fPIC  -DYYPARSE_PARAM=parser"
touch INSTALL NEWS AUTHORS ChangeLog
autoreconf -fi
%configure \
    --enable-shared \
    --disable-static

## %%make_build works randomly 
make

%install
%makeinstall_std
# disable-static doesn't work
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a


%files -n %{libname}
%doc CHANGELOG COPYING README README.BYTECODE README.EXT RELEASE TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
