Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/mdassembler /usr/bin/monodocer /usr/bin/nunit-console2 pkgconfig(mono-nunit)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global debug_package %{nil}

Name:    taglib-sharp
Version: 2.1.0.0
Release: alt2_16
Summary: Provides tag reading and writing for Banshee and other Mono apps

License: LGPLv2+
URL:     http://download.banshee-project.org/taglib-sharp/
Source0: http://download.banshee-project.org/taglib-sharp/%{version}/%{name}-%{version}.tar.bz2
# These files are missing from the 2.1.0.0 tarball for some reason.
# Downloaded into Fedora packages git on 2016-01-19
Source1: https://raw.githubusercontent.com/mono/taglib-sharp/master/examples/extractKey.cpp
Source2: https://raw.githubusercontent.com/mono/taglib-sharp/master/examples/listData.cpp

# Mono only available on these:
ExclusiveArch: %{mono_arches}

BuildRequires:  gcc-c++
BuildRequires: mono-core mono-data mono-data-oracle mono-devel mono-dyndata mono-extras mono-mono2-compat mono-mono2-compat-devel mono-mvc mono-wcf mono-web mono-winforms mono-winfx, mono-monodoc-devel, libgnome-sharp-devel, libexiv2-devel
Source44: import.info

%description
TagLib# is a FREE and Open Source library for the .NET 2.0 and Mono frameworks 
which will let you tag your software with as much or as little detail as you 
like without slowing you down. It supports a large variety of movie and music 
formats which abstract away the work, handling all the different cases, so all 
you have to do is access file.Tag.Title, file.Tag.Lyrics, or my personal 
favorite file.Tag.Pictures. But don't think all this abstraction is gonna keep 
you from tagging's greatest gems. You can still get to a specific tag type's 
features with just a few lines of code. 

%package devel
Group: Other
Summary: Provides tag reading and writing for Banshee and other Mono apps
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files for taglib-sharp.

%prep
%setup -q
cp %{SOURCE1} %{SOURCE2} examples/
sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
# building examples is broken
sed -i "s/SUBDIRS = src examples docs/SUBDIRS = src docs/" Makefile.in
# Docs are broken.
%configure --disable-docs
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_datadir}/pkgconfig/*.pc %{buildroot}%{_libdir}/pkgconfig/

%files
%doc COPYING
%{_prefix}/lib/mono/gac/*/
%{_prefix}/lib/mono/taglib-sharp/

%files devel
# %%doc %%{_libdir}/monodoc/sources/taglib-sharp-docs*
%{_libdir}/pkgconfig/taglib-sharp.pc

%changelog
