Group: Other
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_without abi

%{!?tcl_version: %define tcl_version 8.6}
%{!?tcl_sitearch: %define tcl_sitearch tcl%{tcl_version}}

%define real_name mysqltcl

Summary:        MySQL interface for Tcl
Name:           tcl-mysqltcl
Version:        3.052
Release:        alt2_15

License:        MIT
Source:         http://www.xdobry.de/mysqltcl/%{real_name}-%{version}.tar.gz
URL:            http://www.xdobry.de/mysqltcl

BuildRequires:  gcc
BuildRequires:  libmariadb-devel
BuildRequires:  tcl-devel
Provides:       %{real_name} = %{version}-%{release}
Source44: import.info

%description
Mysqltcl is an extension to the Tool Command Language (Tcl) that
provides high-level access to a MySQL database server.


%prep
%setup -q -n mysqltcl-%{version}
chmod -x generic/mysqltcl.c
chmod 644 README ChangeLog COPYING AUTHORS README-msqltcl doc/mysqltcl.html

%build
%configure --with-tcl=%{_libdir} \
           --with-mysql-lib=%{_libdir} \
           --enable-threads \
           --enable-symbols
%make_build


%install
rm -Rf %{buildroot}
make DESTDIR=%{buildroot} install

pushd %{buildroot}%{_libdir}
mkdir %{tcl_sitearch}
mv %{real_name}-%{version} %{tcl_sitearch}
popd



%files
%doc README ChangeLog COPYING AUTHORS README-msqltcl doc/mysqltcl.html
%{_libdir}/%{tcl_sitearch}/%{real_name}-%{version}
%{_mandir}/mann/*


%changelog
