Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-generic-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%global realname tkpng

Name:		tcl-%{realname}
Version:	0.9
Release:	alt2_27
Summary:	Tcl/Tk support for PNG
License:	TCL
URL:		http://www.muonics.com/FreeStuff/TkPNG/
Source0:	http://downloads.sourceforge.net/tkpng/%{realname}%{version}.tgz
Provides:	%{realname} = %{version}-%{release}
Provides:	tk-%{realname} = %{version}-%{release}
BuildRequires:  gcc
BuildRequires:	tcl-devel, tk-devel, zlib-devel
Source44: import.info

%description
TkPNG is an open source package that adds PNG photo image support to Tcl/Tk. 
Although other extensions such as Img also add support for PNG images, this 
package was designed to be lightweight, not depending on libpng nor 
implementing other image formats, and suitable for inclusion in the Tk core. 
Tk does not currently have native support for any image formats that allow 
for alpha (partial-transparency) channels, although it does have support for 
alpha blending internally.

%prep
%setup -q -n %{realname}%{version}

%build
%if 0%{?__isa_bits} == 64
%configure --enable-64bit
%else
%configure
%endif

%make_build

%install
make DESTDIR=%{buildroot} install
install -d %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_libdir}/%{realname}%{version} %{buildroot}%{tcl_sitearch}/%{realname}%{version}

%files
%doc --no-dereference license.terms
%doc README ChangeLog
%{tcl_sitearch}/%{realname}%{version}/

%changelog
