Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?tcl_version: %global tcl_version %((echo '8.5'; echo 'puts $tcl_version' | tclsh 2>/dev/null) | tail -1)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%global debug_package %{nil}

Name:           tcltls
Version:        1.7.22
Release:        alt2_2
Summary:        OpenSSL extension for Tcl

License:        BSD
URL:            https://core.tcl.tk/tcltls/home
Source0:        https://core.tcl.tk/tcltls/uv/%{name}-%{version}.tar.gz

Patch0:         tcltls-1.7.21-cipher-tests.patch
Patch1:         tcltls-1.7.21-hostname-tests.patch

BuildRequires:  libssl-devel
BuildRequires:  tcl-devel
BuildRequires:  gcc
Source44: import.info


%description
A TLS OpenSSL extension for Tcl

%package devel
Group: Development/Other
Summary:        Header files for the OpenSSL extension for Tcl
Requires:       %{name} = %{version}-%{release}

%description devel
The TLS OpenSSL extension to Tcl

This package contains the development files for tls.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure --disable-rpath --with-ssl-dir=%{_prefix}
%make_build

%check
make test

%install
%makeinstall_std libdir=%{tcl_sitearch}

install -D -p -m 0644 tls.h %{buildroot}%{_includedir}/tls.h

%files
%doc --no-dereference license.terms
%doc README.txt ChangeLog
%{tcl_sitearch}/%{name}%{version}

%files devel
%{_includedir}/tls.h

%changelog
