Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A utility for removing files based on when they were last accessed
Name: tmpwatch
Version: 2.11
Release: alt2_18
URL: https://fedorahosted.org/tmpwatch/
Source0: https://fedorahosted.org/releases/t/m/tmpwatch/tmpwatch-%{version}.tar.bz2
License: GPLv2
Requires: psmisc
Provides: bundled(gnulib)
# configure is looking for /sbin/fuser
BuildRequires:  gcc
BuildRequires: psmisc
Source44: import.info

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} INSTALL='install -p' install

mkdir -p %{buildroot}%{_bindir}
# The $(...) computes /usr/bin => ../../
ln -s $(echo %{_bindir} |sed 's,/[^/]\+,/..,g; s,^/,,')%{_sbindir}/tmpwatch \
   %{buildroot}%{_bindir}/tmpwatch

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/tmpwatch
%{_sbindir}/tmpwatch
%{_mandir}/man8/tmpwatch.8*

%changelog
