Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install /usr/bin/gettext gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           tuxanci
Version:        0.21.0
Release:        alt2_10
Summary:        First tux shooter multiplayer network game

License:        GPLv2
URL:            http://www.tuxanci.org/en/start
Source0:        http://download.tuxanci.org/tuxanci-0.21.0.tar.bz2
Source1:        tuxanci.desktop
Source2:        tuxanci.appdata.xml
Patch1:         0001-SDLmain-is-no-more.patch
Patch2:         0002-dlopen-is-used-outside-server-too.patch
Patch3:         0003-Unbreak-DLIB_INSTALL_DIR.patch
Patch4:         0004-Make-the-icon-square.patch

BuildRequires:  gcc
BuildRequires:  zziplib-devel
BuildRequires:  ctest cmake
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_ttf-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  desktop-file-utils
BuildRequires:  inkscape
BuildRequires:  /usr/bin/appstream-util
Source44: import.info

%description
Tuxanci is a first tux shooter game supporting single player and multiplayer 
modes both on a single computer and over the network.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
%{fedora_cmake} -DCMAKE_INSTALL_LIBDIR=%{_libdir} .
%make_build


%install
make install DESTDIR=%{buildroot}

# Install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{scalable,48x48}/apps
install -pm644 data/tuxanci.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
inkscape --export-png=%{buildroot}%{_datadir}/icons/hicolor/48x48/apps/tuxanci.png \
        --export-width=48 data/tuxanci.svg

# Launcher
ln -s tuxanci-%{version} %{buildroot}%{_bindir}/tuxanci
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Appdata
mkdir -p %{buildroot}%{_datadir}/appdata/
install -pm644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/
appstream-util validate-relax --nonet \
        %{buildroot}%{_datadir}/appdata/tuxanci.appdata.xml

%files
%{_bindir}/tuxanci
%{_bindir}/tuxanci-%{version}
%{_libdir}/tuxanci-%{version}
%{_datadir}/tuxanci-%{version}
%_iconsdir/hicolor/*/*/*
%{_datadir}/applications/tuxanci.desktop
%{_datadir}/appdata/tuxanci.appdata.xml
%doc %{_docdir}/tuxanci-%{version}


%changelog
