Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           txt2regex
Version:        0.9
Release:        alt2_3
Summary:        Regular expression wizard that converts human sentences to regexes

License:        GPLv2
URL:            https://aurelio.net/projects/txt2regex/
Source0:        https://github.com/aureliojargas/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# This removes the "TEXTDOMAINDIR=..." line from txt2regex. It isn't needed in
# Fedora where the default value is OK.
Patch0:         txt2regex-no-TEXTDOMAINDIR.patch

BuildArch:      noarch

BuildRequires:  gettext gettext-tools
Requires:       bash sh
Source44: import.info

%description
txt2regex is a regular expression wizard that converts human sentences to
regexes.

In a simple interactive interface, you just answer questions and build your
own regex for a large variety of software and programming languages.

%prep
%setup -q
%patch0 -p1

%build
# nothing to do

%install

# install txt2regex and locale files
make DESTDIR=%{buildroot} install

# install man page
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 644 man/txt2regex.man %{buildroot}%{_mandir}/man1/txt2regex.1

# find locale files
%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG.md CONTRIBUTING.md README.md TODO
%doc --no-dereference COPYRIGHT
%{_bindir}/*
%{_mandir}/*/*

%changelog
