Group: Toys
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		tzclock
Version:	3.1.7
Release:	alt2_7
Summary:	GTK+ graphical Clock displaying the time around the world

License:	GPLv2
URL:		https://theknight.co.uk/
Source0:	http://www.tzclock.org/releases/source/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	desktop-file-utils
Source44: import.info

%description
TzClock is an X Window GTK+ graphical Clock that can display 
the time around the world. It supports multiple faces showing 
different time zones. 
There is a stopwatch function that is accurate to a tenth of a second, 
plus there are many other nice features for you to discover.

%prep
%setup -q

sed -i.suffix \
	-e 's|^Icon=.*|Icon=tzclock|' \
	%{name}.desktop

%build
%configure
make %{?_smp_mflags}

%install
make install \
	INSTALL="install -p" \
	DESTDIR=%{buildroot}

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/tzclock.desktop

# Backward compatibility
%if 0%{?fedora} < 28
ln -sf tzclock %{buildroot}%{_bindir}/TzClock
ln -sf tzclock.1.gz %{buildroot}%{_mandir}/man1/TzClock.1.gz
mv %{buildroot}%{_datadir}/applications/{tzclock,TzClock}.desktop
%endif

%files
%doc	AUTHORS
%doc	COPYING

%{_bindir}/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/tzclock*
%{_datadir}/applications/*desktop

%{_mandir}/man1/*

%changelog
