Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A tool for generating SELinux security policies for containers
Name: udica
Version: 0.2.4
Release: alt1_4
Source0: https://github.com/containers/udica/archive/v%{version}.tar.gz
License: GPLv3+
BuildArch: noarch
Url: https://github.com/containers/udica
%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires: python3 python3-devel python3-module-distribute
Requires: python3 python3-module-semanage python3-module-selinux
%else
BuildRequires: python python-devel python-module-setuptools
Requires: python python-module-libsemanage python-module-libselinux
%endif
Source44: import.info

%description
Tool for generating SELinux security profiles for containers based on
inspection of container JSON file.

%prep
%setup -q


%build
%if 0%{?fedora} || 0%{?rhel} > 7
%{__python3} setup.py build
%else
%{__python} setup.py build
%endif

%install
install --directory %%{buildroot}%{_datadir}/udica/templates

%if 0%{?fedora} || 0%{?rhel} > 7
%{__python3} setup.py install --single-version-externally-managed --root=%{buildroot}
%else
%{__python} setup.py install --single-version-externally-managed --root=%{buildroot}
%endif

install --directory %{buildroot}%{_mandir}/man8
install -m 0644 udica/man/man8/udica.8 %{buildroot}%{_mandir}/man8/udica.8

%files
%{_mandir}/man8/udica.8*
%{_bindir}/udica
%dir %{_datadir}/udica
%dir %{_datadir}/udica/ansible
%dir %{_datadir}/udica/templates
%{_datadir}/udica/ansible/*
%{_datadir}/udica/templates/*

%if 0%{?fedora} || 0%{?rhel} > 7
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/udica/
%{python3_sitelibdir_noarch}/udica-*.egg-info
%else
%{_datarootdir}/licenses/udica/LICENSE
%{python_sitelibdir_noarch}/udica/
%{python_sitelibdir_noarch}/udica-*.egg-info
%endif

%changelog
