# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Integrate uGet Download Manager with various browsers
Name:		uget-integrator
Version:	1.0.0
Release:	alt1_3
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/ugetdm/uget-integrator
Source0:	https://raw.githubusercontent.com/ugetdm/%{name}/v%{version}/bin/%{name}
Source1:    https://raw.githubusercontent.com/ugetdm/%{name}/v%{version}/conf/com.ugetdm.chrome.json
Source2:    https://raw.githubusercontent.com/ugetdm/%{name}/v%{version}/conf/com.ugetdm.firefox.json

Requires:   python3 python3-tools
Requires:   uget
Source44: import.info

%description
Integrate uGet Download Manager with Google Chrome,
Chromium, Opera, Vivaldi and Mozilla Firefox

Note: Before using this application please install
uget-extension for your browser from your browser's
extension site/page.

%prep
%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/{chromium,opt/chrome,opera}/native-messaging-hosts
mkdir -p %{buildroot}%{_libdir}/mozilla/native-messaging-hosts

install -m755 %{_sourcedir}/%{name} %{buildroot}%{_bindir}/%{name}
install -m644 %{_sourcedir}/com.ugetdm.chrome.json \
    %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/com.ugetdm.chrome.json
    
ln -s %{_sysconfdir}/chromium/native-messaging-hosts/com.ugetdm.chrome.json \
    %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/com.ugetdm.chrome.json
ln -s %{_sysconfdir}/chromium/native-messaging-hosts/com.ugetdm.chrome.json \
    %{buildroot}%{_sysconfdir}/opera/native-messaging-hosts/com.ugetdm.chrome.json

install -m644 %{_sourcedir}/com.ugetdm.firefox.json \
    %{buildroot}%{_libdir}/mozilla/native-messaging-hosts/com.ugetdm.firefox.json
    
cat > README.install.urpmi <<EOF

INSTALLATION NOTE:
Before using this application please install uget-extension
for your browser from your browser's extension site/page.
EOF


%files
%doc  README.install.urpmi
%{_bindir}/%{name}
%dir %{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/chromium/native-messaging-hosts/com.ugetdm.chrome.json
%dir %{_sysconfdir}/opt/chrome/native-messaging-hosts
%{_sysconfdir}/opt/chrome/native-messaging-hosts/com.ugetdm.chrome.json
%dir %{_sysconfdir}/opera/native-messaging-hosts
%{_sysconfdir}/opera/native-messaging-hosts/com.ugetdm.chrome.json
%dir %{_libdir}/mozilla/native-messaging-hosts
%{_libdir}/mozilla/native-messaging-hosts/com.ugetdm.firefox.json


%changelog
