Group: System/Fonts/True type
# BEGIN SourceDeps(oneline):
BuildRequires: perl(GD.pm) perl(Wx.pm) perl(Wx/Event.pm) perl(base.pm) perl(fields.pm)
# END SourceDeps(oneline)
%add_findreq_skiplist %_bindir/unifont-viewer
Name:            unifont
Version:         7.0.06
Release:         alt1_2
License:         GPLv2+ and GFDL
Url:             https://savannah.gnu.org/projects/unifont
Summary:         Tools and glyph descriptions in a very simple text format

Source0:         http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:         unifont.metainfo.xml

BuildRequires:   xorg-x11-font-utils
BuildRequires:   fontforge
BuildRequires:   fontpackages-devel
BuildRequires:   texinfo
Requires(post):  info
Requires(preun): info
Source44: import.info

%description
A font with a glyph for every visible Unicode Basic Multilingual Plane
code point and more, with supporting utilities to modify the
font. This package contains tools and glyph descriptions.

%package -n fonts-ttf-unifont
Group: System/Fonts/True type
BuildArch: noarch
Summary: Unicode font with a glyph for every visible BMP code point


%description -n fonts-ttf-unifont
A fixed-width Unicode font with a glyph for every visible Unicode 7.0
Basic Multilingual Plane code point and more. The latest version of
Unifont includes approximately 54,700 glyphs for all the visible
Unicode BMP code points.

This font strives for very wide coverage rather than beauty, so use it
only as fallback or for special purposes.

%package viewer
Group: System/Fonts/True type
BuildArch: noarch
Summary: Graphical viewer for unifont

%description viewer
A graphical viewer for unifont.

%prep
%setup -q
# Disable rebuilding during installation
sed -i 's/^install: .*/install:/' Makefile
sed -i 's/install -s/install/' src/Makefile

%build
# Makefile is broken with parallel builds
make CFLAGS='%{optflags}'
make -C doc unifont.info

%install
%makeinstall_std USRDIR=/usr COMPRESS=0 TTFDEST='$(DESTDIR)/usr/share/fonts/unifont'
find %{buildroot}/usr/share/unifont/ -type f \! -name %{name}.hex -delete
rm -rv %{buildroot}/usr/share/fonts/X11
rm -v %{buildroot}%{_fontdir}/*sample*
rm -v %{buildroot}%{_fontdir}/unifont_*csur*.ttf
install -Dm0644 doc/unifont.info %{buildroot}%{_infodir}/unifont.info
install -Dm0644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/unifont.metainfo.xml
# Remove APL font for now
rm %{buildroot}/usr/share/consolefonts/Unifont-APL8x16.psf.gz

%files
%{_bindir}/*
%{_datadir}/%{name}/
%doc NEWS README
%doc COPYING
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_infodir}/unifont.*
%exclude %{_bindir}/unifont-viewer

%{_datadir}/appdata/
%doc COPYING

%files viewer
%{_bindir}/unifont-viewer
%doc COPYING

%changelog
