# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global githash a6832f7a

Name:           uprof
Version:        0.3
Release:        alt1_0.15.20110115git%{githash}
Summary:        Profiling toolkit

Group:          System/Libraries
License:        LGPLv2+
URL:            http://git.moblin.org/cgit.cgi/uprof/
# Tarball generation:
# git clone git://git.moblin.org/uprof
# cd uprof
# git archive --format=tar --prefix=uprof-0.2/ %%{githash} | bzip2 > uprof-0.2-%%{githash}.tar.bz2
Source0:        %{name}-%{version}-%{githash}.tar.bz2

BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  gtk-doc gtk-doc-mkpdf
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils
BuildRequires:  libtool
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  libdbus-glib-devel
Source44: import.info

%description
An open source library providing a toolkit to assist in profiling
applications in a domain specific way and generating reports than can quickly
be digested and discussed.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
./autogen.sh
%configure --enable-gtk-doc --disable-static
#parallel build is broken
#make %{?_smp_mflags} V=1
make V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%doc COPYING
%{_bindir}/uprof-tool
%{_libdir}/*.so.*

%files devel
%doc README
%{_includedir}/*
%{_libdir}/*.so
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/uprof/
%{_libdir}/pkgconfig/uprof-0.3.pc

%changelog
