# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         oname UrTSB

Summary:        Game Server Browser for the FPS Urban Terror
Name:           urtsb
Version:        0.4
Release:        alt1_11
License:        GPLv3
Group:          Games/Other
Source0:        http://urtsb.googlecode.com/files/%{oname}-%{version}.tar.gz
Url:            http://code.google.com/p/%{name}/
BuildArch:      noarch
BuildRequires:  pkgconfig(python2) >= 2.6
Requires:       python-module-pygtk
Source44: import.info

%description
UrTSB is a Game Server Browser for the First Person Shooter game Urban Terror 
(http://www.urbanterror.info), targeted to run on Linux and Windows.

Features:

* Server search (master server query)
* Filter results (including UrT specific game types)
* Display server details - players (with kills, ping) and server vars
* Manage favorites - add/remove servers to a favorites list
* Buddy list - manage a buddy list and search servers your buddies are playing 
  on (note: the search is case sensitive!). Supports sub-strings. For example 
  if you add only the string [clan-tag] a buddy search will return all servers
  where players with [clan-tag] in their name are playing. Good to see where 
  your clan m8s are playing :)
* of course launching Urban Terror with automatic connection to a selected 
  server
* view a list of servers you recently played on (if UrTSB was used to connect) 
  including date of last connection and number of connections
* RCON feature


%prep 
%setup -qn %{oname}-%{version}

%build
OVERRIDE_CFLAGS="%{optflags}" %{__python} setup.py build


%install
#python setup.py install --skip-build --root %{buildroot} \
%{__python} setup.py install --skip-build --root=%{buildroot} \
                        --prefix=%{_prefix} \

#Icon installation
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p %{name}_src/resource/icons/logo.png       %{buildroot}%{_datadir}/pixmaps/%{name}.png

#Menu entry creation
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{oname}
Comment=Game Server Browser for the FPS Urban Terror
GenericName=Game Server Browser for the FPS Urban Terror
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=ArcadeGame;
EOF

%files
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
