Group: Communications
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		usbsoftrock
Version:	1.0.2
Release:	alt2_20
Summary:	Command line utility for interfacing with Si570 based SDR kits

License:	GPLv2+
URL:		http://code.google.com/p/usbsoftrock
Source0:	http://usbsoftrock.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{name}-rules-usb

BuildRequires:  gcc
BuildRequires:	libusb-compat-devel libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
Simple program which accepts convenient command line options
(e.g., frequencies in MHz), speaks the DG8SAQ USB protocol, understands
the Si570. It supports advanced firmware (that allows calculation of the
registers) and features such as BPF selection and smooth tuning in Fred
PE0FKO's firmware.


%prep
%setup -q
chmod -x usbsoftrock.c


%build
%configure
%make_build


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/lib/udev/rules.d
install -p -m 644 %{SOURCE1} %{buildroot}/lib/udev/rules.d/99-%{name}.rules



%files
%doc AUTHORS ChangeLog COPYING README THANKS
/lib/udev/rules.d/99-%{name}.rules
%{_bindir}/%{name}



%changelog
