Group: Development/Debuggers
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		valkyrie
Version:	2.0.0
Release:	alt2_24
Summary:	Graphical User Interface for Valgrind Suite

%global valkyrie %{name}-%{version}

License:	GPLv2
URL:		http://www.valgrind.org/
Source0:	http://www.valgrind.org/downloads/%{valkyrie}.tar.bz2
Source1:	%{name}.desktop
Patch1:		%{name}-docdir.patch
Patch2:		%{name}-usleep.patch
Patch3:		%{name}-getuid.patch
Patch4:		%{name}-getpid.patch

BuildRequires:	desktop-file-utils
BuildRequires:	libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
Requires:	valgrind >= 3.6.0
Source44: import.info

%description
Valkyrie is a graphical user interface to the Valgrind suite
of tools for debugging and profiling programs.  It makes use
of the XML output capabilities offered by Valgrind.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{qmake_qt4} PREFIX=%{_prefix}
%make_build

%install
make INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -d %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{_builddir}/%{valkyrie}/icons/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
cp -p %{_builddir}/%{valkyrie}/COPYING %{buildroot}%{_docdir}/%{valkyrie}
cp -p %{_builddir}/%{valkyrie}/INSTALL %{buildroot}%{_docdir}/%{valkyrie}
cp -p %{_builddir}/%{valkyrie}/README  %{buildroot}%{_docdir}/%{valkyrie}

%files
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_docdir}/%{valkyrie}

%changelog
