Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: liblapack-devel perl(Exporter.pm) perl(FindBin.pm) perl(IO/Select.pm) perl(IPC/Open2.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		vcftools
Version:	0.1.16
Release:	alt2_10
Summary:	VCF file manipulation tools

License:	GPLv3 
URL:		https://vcftools.github.io/
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	rpm-build-perl
BuildRequires:	perl-devel
BuildRequires:	zlib-devel
Source44: import.info


%description
A program package designed for working with VCF files, such as those
generated by the 1000 Genomes Project. The aim of VCFtools is to
provide methods for working with VCF files: validating, merging,
comparing and calculate some basic population genetic statistics.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --with-pmdir=%(perl -e 'print $ARGV[0] =~ s{\A\Q$ARGV[1]\E/}{}r' \
    %{perl_vendor_privlib} %{_exec_prefix})
%make_build

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'


%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/vcf-compare
%{_bindir}/fill-aa
%{_bindir}/fill-an-ac
#%%{_bindir}/fill-rsIDs
%{_bindir}/vcf-merge
%{_bindir}/vcf-query
%{_bindir}/vcf-annotate
%{_bindir}/vcf-concat
%{_bindir}/vcf-convert
%{_bindir}/vcf-isec
%{_bindir}/vcf-sort
%{_bindir}/vcf-stats
%{_bindir}/vcf-subset
%{_bindir}/vcf-to-tab
%{_bindir}/vcf-validator
%{_bindir}/fill-fs
%{_bindir}/fill-ref-md5
%{_bindir}/vcf-consensus
%{_bindir}/vcf-contrast
%{_bindir}/vcf-fix-ploidy
%{_bindir}/vcf-indel-stats
%{_bindir}/vcf-phased-join
%{_bindir}/vcf-shuffle-cols
%{_bindir}/vcf-tstv
%{_bindir}/vcf-fix-newlines
%{_bindir}/vcftools
%{perl_vendor_privlib}/FaSlice.pm
%{perl_vendor_privlib}/Vcf.pm
%{perl_vendor_privlib}/VcfStats.pm
%{_mandir}/man1/vcftools.1*

%changelog
