Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wbox
Version:        5
Release:        alt2_21
Summary:        HTTP testing tool and configuration-less HTTP server

License:        BSD
URL:            http://www.hping.org/wbox/
Source0:        http://www.hping.org/%{name}/%{name}-%{version}.tar.gz
# Man page from http://patch-tracker.debian.org/patch/debianonly/view/wbox/5-1
Source1:        wbox.1

BuildRequires:  gcc
Source44: import.info

%description
Wbox aims to help you having fun while testing HTTP related stuff.
You can use it to perform many tasks, including the following.
 * Benchmarking how much time it takes to generate content
   for your web application.
 * Web server and web application stressing.
 * Testing virtual domains configuration without the need to alter
   your local resolver.
 * Check if your redirects are working correctly emitting
   the right HTTP code.
 * Test if the HTTP compression is working and if it is actually
   serving pages faster.
 * Use it as a configuration-less HTTP server to share files!

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" 

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS Changelog README
%doc --no-dereference COPYING
%{_bindir}/*
%{_mandir}/man1/*

%changelog
