Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wiggle
Version:        1.2
Release:        alt2_4
Summary:        A tool for applying patches with conflicts

License:        GPLv2+
URL:            http://neil.brown.name/wiggle/
Source0:        http://neil.brown.name/wiggle/%{name}-%{version}.tar.gz
Patch0:         wiggle-fix-build.patch


BuildRequires:  gcc
BuildRequires:  groff-base groff-dvi groff-extra groff-lbp groff-lj4, time libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

# The source tarball used, is obtained by visiting the URL above and
# getting a snapshot that contains the latest sources.  This can be
# done by clicking the 'snapshot' link listed on the gitweb interface
# This snapshot was the latest commit on the 'master' branch.
# 
# RPM doesn't particularly like this link as a 'Source', so I'll paste
# is here for posterity:
#
# http://neil.brown.name/git?p=wiggle;a=snapshot;h=1c5bfa7ce4de088e3b942463bb11cdc553a92b97;sf=tgz
#

%description
Wiggle is a program for applying patches that 'patch' cannot apply due
to conflicting changes in the original.

Wiggle will always apply all changes in the patch to the original.  If
it cannot find a way to cleanly apply a patch, it inserts it in the
original in a manner similar to 'merge', and reports an unresolvable
conflict.

%prep
%setup -q
%patch0 -p1 -b .build

%build
export CFLAGS="$RPM_OPT_FLAGS"
%make_build

%check
make test

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc --no-dereference COPYING
%doc ANNOUNCE TODO
/usr/bin/wiggle
%{_mandir}/man1/wiggle.1*


%changelog
