# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         srcdirname       src
%define         scriptname       getquote

%global _legacy_common_support 1

Name:           wmstock
Version:        0.11
Release:        alt1_11
Summary:        A dock application which displays stock quote data
License:        GPLv2
Group:          Monitoring

URL:            http://www.mattfischer.com/wmstock
Source0:        http://www.mattfischer.com/wmstock/src/%{name}-%{version}.tar.gz
#format int does not match sizeof() returning long unsigned
Patch0:         %{name}-0.11-format.patch
#date[10] can be overflowed, pushed up to date[16]
Patch1:         %{name}-0.11-overflow.patch

BuildRequires:  glibc-devel glibc-devel-static
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xdmcp)
Requires:       wget
Requires:       perl
Source44: import.info


%description
Wmstock is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
current stock quote data and cycles through tickers.



%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0




%build
cd %{srcdirname}
%make_build CFLAGS="%optflags" LIBDIR=""



%install
cd %{srcdirname}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 %{scriptname} %{buildroot}%{_bindir}/%{scriptname}
install -D -m 644 wmstock.1x %{buildroot}%{_mandir}/man1/wmstock.1x



%files
%doc CHANGES COPYING CREDITS  README TODO
%{_bindir}/%{scriptname}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*





%changelog
