Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install pkgconfig(glu)
# END SourceDeps(oneline)
Summary(uk_UA.KOI8-U): MacMolPlt -  צ̦æ 
Summary(ru_RU.KOI8-R): MacMolPlt -   
%define fedora 34
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: wxmacmolplt
Version: 7.7
Release: alt1_17
Summary: A graphics program for plotting 3-D molecular structures and normal modes
License: GPLv2+
URL: http://brettbode.github.io/wxmacmolplt/
# http://brettbode.github.io/wxmacmolplt/downloads.html
# -> https://uofi.box.com/shared/static/7pzccnku3uv0mmf6il6yiqghf4b34lc7.gz
Source0: https://public.boxcloud.com/d/1/Oj-GfT43PM2JETaILGilJVHNB_9f_ljhMpkSNG-NNRrFqGCr2irf1LApKotdcJeRBz9nyiukYmpZqX-P8vjSvV_8WLkMCOnuNcU8YWQVqIgAZ9YZQCDkK6dYL_bOmetSVkXD1vaTjenko7nWGN_su3odl5enZFZu7eL1fpUkzoraljb8yc8PyIkA_SPhvhGuKtNAe1wwmOSeSv-hy_CN4lVLU-C-d0Ye-kI718OQtZQ1IXfb8HekWAi2Nyv3IQtweWREsVi0S1xzr5Y8oWjMBokX9ZcGOoGE9ShfdqPjEw4pIZPliQNL2aECMo60C6AjUU1q6ecN_pvqR-WlGHUGCG3h38ym0n_npMDik3WSgA6no5ElWm2zK3Z_OMn35Ejqc5hnIT_gRFwmiQcZ_Q8HWqzs32K3Ao4EytDH9YT2xnk0b7CDRtCA80eYR7rdanUjgVAUJ2GFFJoVgL7M4aAfnfweJ2OMi1nGkdjgi7j3QV7ENPRWIPHMOU-W2eBdFjdccQyu0Hq_TUSjfI-jzQlHqU6XjPOvOWMhL8Yf3aMcggpRrq4WdnlDkyTK_rI6DwJCRIBoPj5TIWDGq-lHvIkQFyWKo2r94BlLJjDXfO7Zl0nHvyEOqvGSB6FRJ-yzADPhOE_w3tsal-jL_nj0TA8vuuTQdo1pC9ABCAhZr9rDrj8sz4dPkD2UhBJ_qlRS_1ahtz-s99VNl5rQQKyWM_38LK6W5K_ybme8wThICf04EUeVmSG_V9k-Kvc0LOXNkRlENcvGdWd1werEmbMjB6cSsGatbzlxW6WkVk7hBRUUs3o2i9gn05_qBeX2DhZ-wXUx-e-XayK6PtShZAR_gEtG4OOsl5lM8L58XVIKs5H3rnn153W60_v7351si8S2xkE7YEi237F6nK_E3vhdyQ2WI9lW25tEzftzLmkKt-xeDxU7iQG5gc7yWK75AJ1IB9KRY-i219Ws-jJiAnMjWESKwf44yo9k6AOt35aMTeTYy6MeNIdxdKXPMHvPdE0e4CE4LAGGXPnD3Dd98fm00Vzw7TmUrTnIjnsTja_Ir8yp06HhWKspr78hm_PICNgW82_LZuB17Bf0kppLx8bWFRK39VzENhcnTzbLOm61Bi3R3uYFw3gAcKm9KHtzn1iHPQJ3iamZhOEDmlPc33sgK1sRzxCfiwIJl84YUaderMSX-ansPvCGMPA./download#/wxmacmolplt-%{version}.tar.gz
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: libGLEW-devel
%if 0%{?fedora} >= 25
BuildRequires: libwxGTK3.0-devel
BuildRequires: automake
%else
BuildRequires: libwxGTK3.1-devel >= 2.6.3
%endif
Requires: icon-theme-hicolor
Source44: import.info

%description
MacMolPlt is:
* A modern graphics program for plotting 3-D molecular structures and
  normal modes (vibrations). Modern means:
  o Mouse driven interface for real-time rotation and translation.
  o copy and paste functionality for interfacing to other programs such
    as word processors or other graphics programs (like ChemDraw).
  o simple printing to color or black and white printers (publication
    quality).
  o multiple files open at once.
* It reads a variety of file formats including any GAMESS input, log or
  IRC file directly to create animations of IRC's, DRC's, and
  optimizations. You may also import a $VEC group from any file (such as
  a GAMESS .DAT file). In addition xMol XYZ files, MolDen format files
  and Chemical Markup Language (CML) files are supported. Also some PDB
  file support and MDL MolFile support is included.

%description -l ru_RU.KOI8-R
wxMacMolPlt        GAMESS  PC GAMESS





%description -l uk_UA.KOI8-U
wxMacMolPlt   צ̦æ     GAMESS  PCGAMESS

%define _desktop_cat Edutainment/Science

%prep
%setup -q

%build
export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS"
autoreconf -vif
%configure \
  --docdir=%{_docdir}/%{name} \
  --with-ming \
%if 0%{?fedora} >= 25
  --with-wx-config=%{_bindir}/wx-config-3.0 \
%endif

%make_build

%install
make DESTDIR=%{buildroot} install
install -Dpm644 resources/wxmacmolplt.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications resources/wxmacmolplt.desktop
rm %{buildroot}%{_docdir}/%{name}/LICENSE

%files
%doc --no-dereference LICENSE
%{_bindir}/wxmacmolplt
%{_mandir}/man1/wxmacmolplt.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
%{_datadir}/wxmacmolplt

%changelog
