Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xfhell
Version:        3.5.1
Release:        alt2_3
Summary:        GTK based Ham Radio application for the Hellschreiber communications mode

License:        GPLv2+
URL:            http://www.5b4az.org/
Source0:        http://www.5b4az.org/pkg/%{name}/%{name}-%{version}.tar.bz2
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png

Patch0:         xfhell-Makefile.patch

BuildRequires:  gcc gcc-c++
BuildRequires:  autoconf, automake, libtool
BuildRequires:  desktop-file-utils
BuildRequires:  libalsa-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
Source44: import.info


%description
xfhell is a GTK+ application for the "fuzzy" digital amateur radio 
communication mode known as Hellschreiber. 


%prep
%setup -q
%patch0 -p1



%build
./autogen.sh
export CFLAGS="%{optflags} `pkg-config --cflags gmodule-2.0`"
export LDFLAGS="%{optflags} -lm `pkg-config --libs gmodule-2.0`"
%configure
%make_build 


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

rm -f %{buildroot}%{_docdir}/%{name}/%{name}.1.gz
mkdir -p %{buildroot}%{_mandir}/man1
cp -a doc/%{name}.1.gz %{buildroot}%{_mandir}/man1/


%files
#Missing copy of the GPL, Notified upstream
%doc AUTHORS ChangeLog README
%doc doc/BDF_Spec.pdf doc/xfhell.html
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*


%changelog
