Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		xgridloc
Version:	1.8.2
Release:	alt2_31
Summary:	A GTK+ application for the calculation of Maidenhead QRA Locators

License:	GPLv3
URL:		https://www.qsl.net/5b4az/

Source0:        https://www.qsl.net/5b4az/pkg/locator/%{name}/%{name}-%{version}.tar.bz2

# desktop file
Source1:	%{name}.desktop
# icon file
Source2:	%{name}.png
# default config file wrapper script 
Source3:	xgridloc.sh.in

Patch0:         xgridloc-no_home.patch


BuildRequires:  gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	glib2-devel libgio libgio-devel
BuildRequires:	gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
Source44: import.info

%description
xgridloc is a GTK+ graphical version of gridloc and performs the same basic 
functions for ham radio operators, but additionally it can use xplanet to 
display the home and DX locations and the great circle path between them.

%prep
%setup -q
%patch0 -p1

mv doc/%{name}.1.gz .


%build
./autogen.sh
%configure LDFLAGS="-lm"
%make_build CFLAGS="$RPM_OPT_FLAGS" PACKAGE_LIBS="$PACKAGE_LIBS -lm"


%install
%makeinstall_std

# no upstream .desktop or icon yet so we'll use a temporary one.
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install  \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_mandir}/man1
mv %{name}.1.gz %{buildroot}%{_mandir}/man1/

# install default user configuration file
install -p -D -m 0644 .xgridloc/xgridlocrc $RPM_BUILD_ROOT%{_datadir}/%{name}/xgridlocrc

# move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xgridloc


%files
%doc AUTHORS NEWS README doc/%{name}.html
%doc --no-dereference COPYING
%dir %{_datadir}/%{name}
%{_libexecdir}/%{name}-bin
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/xgridlocrc
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
