# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:        A minimalists web browser
Name:           xombrero
Version:        1.6.4
Release:        alt2_3
License:        MIT
Group:          Networking/WWW
URL:            https://opensource.conformal.com/wiki/xombrero
Source0:        https://opensource.conformal.com/snapshots/%{name}/%{name}-%{version}.tgz
Patch0:         xxxterm-1.8.0-mdv-desktop.patch
Patch11:        xxxterm-1.11.3-mga-use-duckduckgo-as-home-and-search-engine.patch
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRequires:  pkgconfig(libbsd)
BuildRequires:  groff-base groff-ps

Requires:       glib-networking
Obsoletes:      xxxterm
Provides:       xxxterm
Source44: import.info

%description
%{name} is a minimalist web browser with sophisticated security features
designed-in (rather than through an add-on). In particular, it provides both
persistent and per-session controls for scripts and cookies, making it easy
to thwart tracking and scripting attacks.

In additional to providing a familiar mouse-based interface like other web
browsers, it offers a set of vi-like keyboard commands for users who prefer
to keep their hands on their keyboard.

The default settings provide a secure environment. With simple keyboard
commands, the user can "whitelist" specific sites, allowing cookies and scripts
from those sites.


%prep
%setup -q
%patch0 -p1
%patch11 -p1

%build
export GTK_VERSION=gtk3

make -C linux PREFIX=%{_prefix}

%install
export PREFIX=%{buildroot}%{_prefix}

%makeinstall -C linux

for s in 16 32 48 64 128; do
    install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/
    ln -s ../../../../%{name}/%{name}icon${s}.png %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/%{name}.png
done

install -d -m 0755 %{buildroot}%{_docdir}/%{name}
cat > %{buildroot}%{_docdir}/%{name}/LICENSE << EOF
-= License =-

/*
 * Copyright (c) 2010, 2011 Marco Peereboom <marco@peereboom.us>
 * Copyright (c) 2011 Stevan Andjelkovic <stevan@student.chalmers.se>
 * Copyright (c) 2010, 2011 Edd Barrett <vext01@gmail.com>
 * Copyright (c) 2011 Todd T. Fries <todd@fries.net>
 * Copyright (c) 2011 Raphael Graf <r@undefined.ch>
 * Copyright (c) 2011 Michal Mazurek <akfaew@jasminek.net>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

-= javascript.h license =-

Javascript code was borrowed from the friendly folks at vimprobable2 under the following license:

/*
Copyright (c) 2009 Leon Winter
Copyright (c) 2009-2011 Hannes Schueller
Copyright (c) 2009-2010 Matto Fransen
Copyright (c) 2010-2011 Hans-Peter Deifel
Copyright (c) 2010-2011 Thomas Adam
Copyright (c) 2011 Albert Kim
Copyright (c) 2011 Daniel Carl

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/
EOF

%files
%doc %{_docdir}/%{name}
%{_mandir}/man1/%{name}.*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/style.css
%{_datadir}/%{name}/tld-rules
%{_datadir}/%{name}/hsts-preload
%{_datadir}/%{name}/tordisabled.ico
%{_datadir}/%{name}/torenabled.ico
%{_datadir}/%{name}/xombrero.css
%{_datadir}/%{name}/favicon.ico
%{_datadir}/%{name}/http-accept-headers
%{_datadir}/%{name}/user-agent-headers
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
