Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xpsk31
Version:        3.6.1
Release:        alt2_5
Summary:        GTK+ graphical version of lpsk31 for Ham Radio

License:        GPLv2+
URL:            http://www.5b4az.org/

Source0:        http://www.5b4az.org/pkg/psk31/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
Source3:        %{name}.sh

Patch0:         xpsk31-1.2-configure.patch
Patch1:         xpsk31-no_home.patch

BuildRequires: gcc
BuildRequires: autoconf automake libtool
BuildRequires: libalsa-devel
BuildRequires: gettext-tools libasprintf-devel
BuildRequires: glib2-devel libgio libgio-devel
BuildRequires: gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: desktop-file-utils
Source44: import.info


%description
xpsk31 is a GTK+ graphical version of lpsk31, using the same basic signal 
decoding and encoding engine but controlled by the user via the GUI. In 
addition it has a FFT-derived "waterfall" display of the incoming signal and a 
"magniphase" display that shows the magnitude, phase and frequency error of the
psk31 signal.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

#autoreconf -fiv
./autogen.sh


%build
%configure --program-suffix=.bin
%make_build


%install
%makeinstall_std

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install %{SOURCE1} --dir=%{buildroot}%{_datadir}/applications/

# Install wrapper to desl with config files needed in $HOME.
install -pm 0755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}


%files
%doc AUTHORS README doc/*.html
%doc AUTHORS README doc/*.pdf
%doc --no-dereference COPYING
%{_bindir}/%{name}*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
