Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install ladspa_sdk
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    Classic-analog style software synthesizer
Name:       xsynth-dssi
Version:    0.9.4
Release:    alt3_24
License:    GPLv2+
URL:        http://dssi.sourceforge.net/download.html#Xsynth-DSSI
Source0:    http://download.sf.net/dssi/%{name}-%{version}.tar.gz
Source1:    http://download.sf.net/dssi/%{name}-%{version}-RELEASE
Source2:    %{name}.desktop
# Derived from a screenshot from xsynth RHBZ#787588
Source3:    %{name}.png

BuildRequires: libalsa-devel
BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: gcc
BuildRequires: gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires: liblo-devel

Requires:   dssi
Source44: import.info

%description
Xsynth-DSSI is a classic-analog (VCOs-VCF-VCA) style software synthesizer which
operates as a plugin for the DSSI Soft Synth Interface.  DSSI is a plugin API
for software instruments (soft synths) with user interfaces, permitting them to
be hosted in-process by audio applications.

%prep
%setup -q

cp -a %{SOURCE1} .

%build
%configure
%make_build

%install
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"

# Make a symlink for easy access
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/%{name}

# Kill .la file
rm $RPM_BUILD_ROOT%{_libdir}/dssi/%{name}.la

# Desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                              \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}

# Icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files
%doc AUTHORS ChangeLog README TODO COPYING *-RELEASE
%{_bindir}/%{name}
%{_libdir}/dssi/%{name}/
%{_libdir}/dssi/%{name}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
