Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           yacpi
Version:        3.0.1
Release:        alt1_32
Summary:        Yet Another Configuration and Power Interface 

License:        GPLv2+
URL:            http://www.ngolde.de/yacpi.html
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch

BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel 
BuildRequires:  libacpi-devel 
ExcludeArch:    ppc ppc64
Source44: import.info

%description
Yacpi is an acpi monitoring program for Linux. It displays acpi information 
like battery status, ac status, cpu frequency, remaining battery/charge 
time, temperature... It also supports the use of more than one battery and 
can display them. 

%prep
%setup -q
%patch0 -p1
sed -i "s|CFLAGS  = -O2 -Wall -g|CFLAGS = $RPM_OPT_FLAGS|" Makefile
#fix convert changelog to UTF8
iconv -f ISO_8859-1 -t UTF-8 -o CHANGELOG{.utf8,}
mv CHANGELOG{.utf8,}


%build
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT DOCPATH=%{_docdir}/%{name}


%files
%{_bindir}/%{name}
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/CHANGELOG
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/THANKS
%{_mandir}/man1/%{name}.1*



%changelog
