# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		yainstall
Version:	1.2
Release:	alt1_13
Summary:	An utility to easily download and install FlightGear aircrafts
License:	GPLv3
Group:		Games/Other
Url:		https://bitbucket.org/_pmat_/yainstall
Source:		%{name}-%{version}.tar.xz
Patch0:		yainstall-1.2-fix-build-with-qt-5.12.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-designer qt5-tools
BuildRequires:	pkgconfig(libzip)
BuildRequires:	libyalib-devel
Source44: import.info

%description
An utility to easily download and install FlightGear aircrafts.

%prep
%setup -q
%patch0 -p1


%build
%add_optflags `pkg-config --cflags libzip`
%qmake_qt5
%make_build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

cat > README.urpmi << EOF
If your FlightGear aircrafts directory resides into /usr/share/games/flightgear/
you will need to launch YaInstall using tools like sudo, su, kdesu or gtksu to allow
the automatic download and installation of the aircraft models.
EOF

%files
%doc README.md COPYING README.urpmi
%{_bindir}/%{name}


%changelog
