# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++ libzip-devel zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define    major   1
%define    minor   5

Name:      yalib
Version:   1.8
Release:   alt1_2
Summary:   YaFlight and YaInstall shared library
Group:     System/Libraries
License:   GPLv3
URL:       https://github.com/xquiet/yalib
Source0:   https://github.com/xquiet/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	ccmake cmake ctest

%define    libname    libyalib%{major}
%define    develname  libyalib-devel
Source44: import.info

%description
yalib is a shared library written entirely in C++ and Qt to provide
common access methods to FlightGear resources for YaFlight and YaInstall.

#----------------------------------------------------------

%package -n %libname
Summary:      %{summary}
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with yalib.

%files -n %libname
%doc src/COPYING* README.md
%{_libdir}/lib*.so.%{major}.*

#----------------------------------------------------------

%package -n %develname
Summary:      yalib header files
Group:        Development/C++
Requires:     %{libname} >= %{version}
Requires:     pkgconfig(Qt5Core)
Provides:     %{name}-devel = %{version}-%{release}

%description -n %develname
This is the development package for yalib.

%files -n %develname
%{_libdir}/lib*.so
%dir %{_includedir}/yalib
%{_includedir}/yalib/*.h

#----------------------------------------------------------

%prep
%setup -q %{name}-%{version}

%build
%{mageia_cmake_qt5}
%mageia_cmake_build

%install
%mageia_cmake_install


%changelog
