Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           yank
Version:        0.8.3
Release:        alt2_11
Summary:        Tool for selecting and copying text from stdin without a mouse

License:        MIT
URL:            https://github.com/mptre/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc

Requires:       bash sh

# Executable 'yank' already exists in another package (EMBOSS-6.6.0-3.fc24.x86_64). Binary is 'yank-cli'.
%global name_change yank-cli
Source44: import.info

%description
Read input from stdin and display a selection interface that allows a field 
to be selected and copied to the clipboard. Fields are either recognized by 
a regular expression using the -g option or by splitting the input on a 
delimiter sequence using the -d option.

%prep
%setup -q


%build
CFLAGS=${RPM_OPT_FLAGS} %make_build PROG=%{name_change}

%install
%makeinstall_std PREFIX=%{_prefix} MANPREFIX=%{_mandir} INSTALL_PROGRAM='install -m 0755' PROG=%{name_change}

# Provide the same manpage for both 'yank' and 'yank-cli'
ln -s %{_mandir}/man1/%{name}.1 %{buildroot}%{_mandir}/man1/%{name_change}.1

%files
%{_bindir}/%{name_change}
%{_mandir}/man1/%{name}*
%{_mandir}/man1/%{name_change}*
%doc --no-dereference LICENSE
%doc README.md CHANGELOG.md

%changelog
