Group: Office
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#global pre pre2

Name:           yapet
Version:        2.3
Release:        alt2_7%{?pre}
Summary:        Yet Another Password Encryption Tool
License:        GPLv3+ with exceptions
URL:            http://yapet.guengel.ch/
Source0:        http://yapet.guengel.ch/downloads/%{name}-%{version}%{?pre}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  gettext gettext-tools
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  libssl-devel
BuildRequires:  cppunit-devel
BuildRequires:  libargon2-devel

%if 0%{?rhel} == 7
BuildRequires:  devtoolset-7-gcc-c++
%endif

Patch0: gcc10.patch
Source44: import.info

%description
YAPET is a text based password manager using the AES-256 encryption
algorithm to store passwords and associated information encrypted on
disk. Its primary aim is to provide a safe way to store passwords in a
file on disk while having a small footprint, and compiling and running
under today's most popular Unix Systems.

The password records are protected by a master password which is used
to encrypt and decrypt the password records.

%prep
%setup -qn %{name}-%{version}%{?pre}
%patch0 -p1

%build
%if 0%{?rhel} == 7
source /opt/rh/devtoolset-7/enable
%endif

%configure --disable-install-doc   \
           --disable-source-doc    \
           --disable-install-doci  \
           --disable-silent-rules

%make_build

%install
%makeinstall_std
# Console running is OK.
rm -frv %{buildroot}%{_datadir}/applications/

# %%doc instead.
rm -frv %{buildroot}%{_docdir}

%find_lang %{name}
%find_lang libyacurs
# multiple -f flags in %files for <main>: merging -f libyacurs.lang into -f %{name}.lang
cat libyacurs.lang >> %{name}.lang

%files -f %{name}.lang 
%doc AUTHORS BUGS NEWS README
%doc --no-dereference COPYING LICENSE
%{_bindir}/*yapet*
%{_mandir}/man*/*yapet*

%changelog
