Group: Shells
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define fedora 32
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name yash
%define version 2.51
# Upstream SCM
# Upstream is currently using SVN
# SVN path: http://svn.sourceforge.jp/svnroot/yash/yash/trunk

%global		repoid		74064
%global		mainver	2.51
%global		docver		%{mainver}

%if 0%{?fedora} >= 20
%global		yashdocdir		%{_datadir}/doc/%{name}-doc
%else
%global		yashdocdir		%{_datadir}/doc/%{name}-doc-%{version}
%endif

%global		mainrel		1
%undefine		minorver
%undefine       _changelog_trimtime

Name:		yash
Version:	%{mainver}
Release:	alt2_%{?minorver:0.}%{mainrel}%{?minorver:.%{minorver}}.1
Summary:	Yet Another SHell

License:	GPLv2+
URL:		http://yash.osdn.net/
Source0:	http://dl.osdn.net/yash/%{repoid}/%{name}-%{version}%{?minorver}.tar.xz
#Source1:	http://dl.osdn.jp/yash/%{repoid}/%{name}-doc-%{docver}%{?minorver}-ja.tar.gz

# Patches

BuildRequires:	gcc
BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:	ed
Provides:		/bin/yash
# Write needed Requires for scriptlets explicitly
Requires(post):	grep
Requires(post):	coreutils
Requires(postun):	sed
Source44: import.info


%description
Yash is a command line shell that conforms to the POSIX.1 (IEEE Std
1003.1, 2008 Edition) standard for the most part.

Yash also has its own features beyond POSIX, such as:
  * global aliases
  * random numbers
  * socket redirections and other special redirections
  * right prompt
  * command completion


%package	doc
Group: Documentation
Summary:	Documentation for %{name}
Version:	%{docver}
License:	CC-BY-SA
BuildArch:	noarch
Requires:	%{name} = %{mainver}-%{release}
#Requires:	%{name} >= %{version}

%description	doc
This package contains document files for %{name}.

%prep
%setup -q

%build
# This package use configure not based on autotools...
# won't accept --libdir=
env \
	CC="%{__cc}" \
	CFLAGS="%{optflags}" \
	\
	./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
%if 0%{?fedora} >= 17
	--bindir=%{_bindir} \
%else
	--bindir=/bin \
%endif
	--datarootdir=%{_datarootdir} \
	--docdir=%{yashdocdir}/ \

make -k %{?_smp_mflags}

%install
make install install-html \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="install -p" \
	CPPROG="cp -p"

%find_lang %{name}

%check
export LANG=en_US.UTF-8
teststatus=0
make test || teststatus=1

cat tests/summary.log
sleep 3
exit $teststatus


%post
if [ -f %{_sysconfdir}/shells ]
then
	grep -q '^/bin/yash$' %{_sysconfdir}/shells || echo '/bin/yash' >> %{_sysconfdir}/shells
else
	echo '/bin/yash' > %{_sysconfdir}/shells
fi
exit 0

%postun
[ -f %{_sysconfdir}/shells ] || exit 0
sed -i -e '\@/bin/yash$@d' %{_sysconfdir}/shells
exit 0

%files -f %name.lang
%doc --no-dereference	COPYING
%doc	NEWS
%doc	README
%lang(ja)	%doc	NEWS.ja
%lang(ja)	%doc	README.ja

%if 0%{?fedora} >= 17
%{_bindir}/%{name}
%else
/bin/%{name}
%endif

%dir	%{_datadir}/%{name}
%{_datadir}/%{name}/completion/
%{_datadir}/%{name}/config
%{_datadir}/%{name}/initialization/

%{_mandir}/man1/yash.1*
%lang(ja)	%{_mandir}/ja/man1/yash.1*

%files	doc
%dir	%{yashdocdir}/
%{yashdocdir}/*.html
%{yashdocdir}/*.css
%lang(ja)	%{yashdocdir}/ja/

%changelog
