Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global htmldir /var/www/yawn
%global apacheconfdir /etc/httpd2
%global svnrev 632
%global revdate 20140318

Name:           yawn
Version:        0
Release:        alt2_0.38.%{revdate}svn%{svnrev}
Summary:        Yet Another WBEM Navigator


License:        GPLv2
URL:            https://sourceforge.net/apps/mediawiki/pywbem/index.php?title=YAWN
# The source for this package was pulled from upstream svn repository.
# Use the following commands to get the archive:
#  svn export -r 632 https://svn.code.sf.net/p/pywbem/code/yawn/trunk/mod_wsgi yawn-20140318
#  tar -cJvf yawn-20140318.tar.xz yawn-20140318
Source0:        %{name}-%{revdate}.tar.xz

Patch0: fix-shebang-lines.patch
Patch1: python-3-support.patch
Patch2: fix-requires.patch

BuildRequires:  apache2-base apache2-htcacheclean, python3-devel, python3-module-distribute
Requires:       apache2-mod_wsgi-py3, python3-module-sblim-wbemcli apache2-base apache2-htcacheclean, python3-module-werkzeug, python3-module-mako
BuildArch:      noarch
Source44: import.info

%description
Web-based CIM/WBEM browser

%package server
Group: File tools
Summary: Standalone web server for yawn
Requires: %{name}

%description server
Script to run yawn without Apache web server.

%prep
%setup -q -n %{name}-%{revdate}
%patch0 -p1 -b .fix-shebang-lines
%patch1 -p1 -b .python-3-support
%patch2 -p1 -b .fix-requires

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{htmldir}
install ./scripts/yawn.wsgi $RPM_BUILD_ROOT%{htmldir}/index.wsgi
install -d $RPM_BUILD_ROOT%{apacheconfdir}/conf.d/
install -m 0644 ./apache/yawn.conf ${RPM_BUILD_ROOT}/%{apacheconfdir}/conf.d/yawn.conf

%post
/bin/systemctl try-restart httpd.service >/dev/null 2>&1 || :

%files
%{htmldir}
%{python3_sitelibdir_noarch}/*
%config(noreplace) %{apacheconfdir}/conf.d/yawn.conf
%doc README Changelog

%files server
%{_bindir}/yawn.py

%changelog
