Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       yourls
Version:    1.7.1
Release:    alt2_12
Summary:    Your Own URL Shortener
# License scenario:
#  * yourls files: GPL+
#  * GeoIP files: LGPLv2+
#  * JQuery files: MIT or GPLv2
License:    GPL+ and LGPLv2+ and (MIT or GPLv2)
URL:        http://yourls.org
Source0:    https://github.com/YOURLS/YOURLS/archive/%{version}.tar.gz
Source1:    yourls-httpd.conf
Patch0:     yourls.change-config-path.patch
Patch1:     yourls.add-fedora-readme.patch

Requires:   php-engine >= 4.3.0
Requires:   mysql >= 4.1.0
Requires:   php7-mysqlnd php7-mysqlnd-mysqli php7-pdo_mysql
Requires:   apache2-base apache2-htcacheclean
BuildArch:  noarch
Source44: import.info


%description
YOURLS is a small set of PHP scripts that will allow you to run your own URL 
shortening service (a la TinyURL). You can make it private or public, 
you can pick custom keyword URLs, it comes with its own API.


%prep
%setup -q -n YOURLS-%{version}
%patch0
%patch1


%build


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/yourls.conf
cp -ad ./* ${RPM_BUILD_ROOT}%{_datadir}/%{name}
mv ./user/config-sample.php ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/config.php

# Remove docs from datadir, to be put in defaultdocdir later
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{README.fedora,README.md,CHANGELOG.md,CONTRIBUTING.md,LICENSE.md,readme.html,sample-*}

# Remove Flash files
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/js/ZeroClipboard.swf


%files
%config(noreplace) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/yourls.conf
%doc README.md CHANGELOG.md CONTRIBUTING.md LICENSE.md
%doc readme.html sample-public-api.txt sample-public-front-page.txt
%doc sample-remote-api-call.txt sample-robots.txt
%doc README.fedora
%dir %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/


%changelog
