# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Usage.pm) perl(XML/XPath.pm) perl-Module-Build perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-XML-XPath
Name:           zanata-util
Version:        0.2.9
Release:        alt1_10
Summary:        Helper scripts for using Zanata
Group:          Development/Tools
License:        GPL+ or Artistic
URL:            http://git.fedorahosted.org/git/?p=zanata-util.git
Source0:        https://fedorahosted.org/releases/z/a/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(LWP/Protocol/https.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Locale/Country.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(XML/Twig.pm)
BuildRequires:  perl(version.pm)


# For rhbz 852951
Requires:  perl(LWP/UserAgent.pm)
Requires:  perl(LWP/Protocol/https.pm)


Source44: import.info

%description
zanata-util is a collection of helper scripts that make using Zanata easier.

It includes:
* zanata_pom_xml_make: Produce a pom.xml for using Zanata maven client.
    It either inserts setting for zanata plug-in and zanata plug-in repository,
    or create a new pom.xml if pom.xml does not yet exists.

* zanata_zanata_xml_make: Produce a zanata.xml for using Zanata clients.
    It downloads the corresponding zanata.xml and map the local locales to
    the ones that Zanata server supported.

* zanata_language_list
    List the all support languages from language list of a Zanata server.



%prep
%setup -q


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build


%install
./Build  destdir=$RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc description ChangeLog gpl-1.0.txt  COPYING.artistic README
# For noarch packages: vendorlib
%{perl_vendor_privlib}/*

%{_bindir}/zanata*
%{_datadir}/%{name}/locale.txt
%config(noreplace) %{_sysconfdir}/zanata.cfg
%{_mandir}/man1/zanata_**

%changelog
