# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/firewall-cmd /usr/bin/gpg /usr/bin/wget libgdbm-devel libsocket perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket.pm) perl(MIME/Base64.pm) perl(Test/More.pm) perl(XSLoader.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Summary: A Single Packet Authorization (SPA) implementation
Name: fwknop
Version: 2.6.5
Release: alt1_2
License: GPLv2
Group: System/Servers
Url: http://www.cipherdyne.org/fwknop/
Source0: http://cipherdyne.org/fwknop/download/fwknop-%{version}.tar.bz2
Source1: http://cipherdyne.org/fwknop/download/fwknop-%{version}.tar.bz2.asc
Source2: fwknopd.service
BuildRequires: libpcap-devel iptables systemd libgpgme-devel gpg
Requires: logrotate
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Source44: import.info

%description
fwknop implements an authorization scheme known as Single Packet
Authorization (SPA) that requires only a single encrypted packet to
communicate various pieces of information including desired access through an
iptables policy and/or specific commands to execute on the target system.
The main application of this program is to protect services such as SSH with
an additional layer of security in order to make the exploitation of
vulnerabilities (both 0-day and unpatched code) much more difficult.  The
authorization server passively monitors authorization packets via libpcap and
hence there is no "server" to which to connect in the traditional sense.  Any
service protected by fwknop is inaccessible (by using iptables to
intercept packets within the kernel) before authenticating; anyone scanning for
the service will not be able to detect that it is even listening.  This
authorization scheme offers many advantages over port knocking, include being
non-replayable, much more data can be communicated, and the scheme cannot be
broken by simply connecting to extraneous ports on the server in an effort to
break knock sequences.  The authorization packets can easily be spoofed as
well, and this makes it possible to make it appear as though, say,
www.yahoo.com is trying to authenticate to a target system but in reality the
actual connection will come from a seemingly unrelated IP. Although the
default data collection method is to use libpcap to sniff packets off the
wire, fwknop can also read packets out of a file that is written by the
iptables ulogd pcap writer or by a separate sniffer process.

%prep
%setup -q

%build
%configure --with-firewalld=/usr/bin/firewall-cmd
# remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Parallel build fails with version 2.0.4, the upstream fix does not always work
make %{?_smp_mflags} -j1 OPTS="$RPM_OPT_FLAGS"

%install

make install DESTDIR=$RPM_BUILD_ROOT

# init script
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/fwknopd.service

# devel stuff
rm $RPM_BUILD_ROOT/%{_libdir}/libfko.a
rm $RPM_BUILD_ROOT/%{_libdir}/libfko.la
rm $RPM_BUILD_ROOT/%{_libdir}/libfko.so
rm $RPM_BUILD_ROOT/%{_includedir}/fko.h
rm $RPM_BUILD_ROOT/%{_datadir}/info/libfko.info

%post
%post_service fwknopd

%preun
%preun_service pwknopd


%files
%doc CREDITS ChangeLog COPYING README
%dir %{_sysconfdir}/fwknop
%config(noreplace) %{_sysconfdir}/fwknop/fwknopd.conf
%config(noreplace) %{_sysconfdir}/fwknop/access.conf
%{_bindir}/fwknop
%{_sbindir}/fwknopd
%{_unitdir}/fwknopd.service
%{_mandir}/man8/*
%{_libdir}/*.so.*

%changelog
