# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/glib-compile-resources bzlib-devel gcc-c++ libGLU-devel pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(gthread-2.0) pkgconfig(tinyxml2)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# https://github.com/openclonk/openclonk/issues/69
ExclusiveArch: x86_64 %{ix86}

Name:           openclonk
Version:        8.1
Release:        alt1_8
Summary:        An action-packed game of strategy, tactics, and skill featuring Clonks
Group:          Games/Arcade
License:        ISC
URL:            http://www.openclonk.org
Source0:        http://www.openclonk.org/builds/release/%{version}/%{name}-%{version}-src.tar.bz2

BuildRequires:  boost-complete
BuildRequires:  ccmake cmake ctest
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(tinyxml)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libreadline-devel
Requires:       %{name}-data = %{version}-%{release}
Source44: import.info

%description
Clonk is a multiplayer-action-tactics-skill game. It is often referred to as
a mixture of The Settlers and Worms. In a simple 2D antfarm-style landscape,
the player controls his crew of Clonks, small but robust humanoid beings.
The game encourages free play but the normal goal is to either exploit
valuable resources from the earth by building a mine or fight each other on
an arena-like map.

%package        data
Summary:        Arch-independent data files for OpenClonk
Group:          Games/Arcade
BuildArch:      noarch

%description    data
Arch-independent data files for OpenClonk. The purpose of this package is
to be installed alongside the "%{name}" package which contains the game
binary.

%prep
%setup -q -n %{name}-release-%{version}-src


%build
%{mageia_cmake}  -DUSE_STATIC_BOOST=OFF \
        -DBUILD_SHARED_LIBS=OFF
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc Credits.txt TRADEMARK
%{_bindir}/c4group
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files          data
%{_gamesdatadir}/%{name}/


%changelog
