# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Math/Trig.pm) perl(Test/More.pm) perl(common/sense.pm) perl(inc/Module/Install.pm) perl(the.pm)
# END SourceDeps(oneline)
%define module_version 0.33
%define module_name Geo-DNA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.33
Release: alt1
Summary: Encode latitude and longitude in a useful string format
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KY/KYLED/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
NEW: see an interactive demo of Geo::DNA codes at
http://www.geodna.org/docs/google-maps.html

This is a Perl version of the Python "geoprint" system that we developed
a few years back at Action Without Borders.

Its purpose is to encode a latitude/longitude pair in a string format that
can be used in text databases to locate items by proximity.  For example,
if Wellington, New Zealand has the Geo::DNA(10) value of

etctttagat

(which it does), then you can chop characters off the end of that to expand
the area around Wellington.  You can easily tell if items are close
together because (for the most part) their Geo::DNA will have the same
prefix.  For example, Palmerston North, New Zealand, has a Geo::DNA(10) code of

etctttaatc

which has the same initial 7 characters.

The original implementation of this in Python was by Michel Pelletier.

This uses a concept that is very similar to Gustavo Niemeyer's geohash
system ( http://geohash.org ), but encodes the latitude and longitude in a
way that is more conducive to stem-based searching (which is probably
the a common use of these hashing systems).



%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md
%perl_vendor_privlib/G*

%changelog
