Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: gcc-c++ python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 692fbe95095baf9689fb923f96377626d536c6d6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

# we don't want to provide private python extension libs
%{echo 


}

%global srcname pyrit
# Need scapy for python3 first.
%global dopy3 0

Name:		%{srcname}
Version:	0.5.1
Release:	alt1_0.5.git%{shortcommit}
# OpenSSL exception
License:	GPLv3+ with exceptions
Summary:	A GPGPU-driven WPA/WPA2-PSK key cracker
URL:		https://github.com/JPaulMora/Pyrit
Source0:	https://github.com/JPaulMora/Pyrit/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# Source0:	https://github.com/JPaulMora/Pyrit/archive/v%%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	python-devel, libssl-devel, zlib-devel, libpcap-devel
%if %{dopy3}
BuildRequires:	python3-devel, python3-module-SQLAlchemy
%endif
# Scapy and python-sqlalchemy are needed for full testing
BuildRequires:	scapy, python-module-SQLAlchemy
Requires:	scapy, python-module-SQLAlchemy
%{?python_provide:%python_provide python2-%{srcname}}
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/.*\.so$

%description
Pyrit exploits the computational power of many-core and GPGPU-platforms to
create massive databases, pre-computing part of the WPA/WPA2-PSK authentication
phase in a space-time trade-off. It is a powerful attack against one of the 
world's most used security-protocols.
Please note that this package only provides CPU support, GPUGPU support requires
CUDA or OpenCL, which have no Free Software implementations at this time.

%if %{dopy3}
%package -n python3-module-pyrit
Group: Networking/WWW
Summary:        A GPGPU-driven WPA/WPA2-PSK key cracker
Requires:	python3-module-SQLAlchemy
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-pyrit
Pyrit exploits the computational power of many-core and GPGPU-platforms to
create massive databases, pre-computing part of the WPA/WPA2-PSK authentication
phase in a space-time trade-off. It is a powerful attack against one of the 
world's most used security-protocols.
Please note that this package only provides CPU support, GPUGPU support requires
CUDA or OpenCL, which have no Free Software implementations at this time.
%endif

%prep
%setup -q -n Pyrit-%{commit}

%build
%python_build
%if %{dopy3}
%python3_build
%endif

%install
%python_install
chmod 755 %{buildroot}%{python_sitelibdir}/cpyrit/*.so

%if %{dopy3}
%python3_install
chmod 755 %{buildroot}%{python3_sitelibdir}/cpyrit/*.so
%endif

%files
%doc --no-dereference COPYING
%doc CHANGELOG README.md
%{_bindir}/%{name}
%{python_sitelibdir}/*

%if %{dopy3}
%files -n python3-module-pyrit
%doc --no-dereference COPYING
%doc CHANGELOG README.md
%{python3_sitelibdir}/*
%endif

%changelog
